Imports System
Imports System.IO

Public Class CMultiMatKnight

  Public Class TEST_XYZ
    Public x As Single
    Public y As Single
    Public z As Single

    Public Sub New(ByVal x As Single, ByVal y As Single, ByVal z As Single)
      Me.x = x
      Me.y = y
      Me.z = z
    End Sub
  End Class

  Public Class TEST_UV
    Public u As Single
    Public v As Single

    Public Sub New(ByVal u As Single, ByVal v As Single)
      Me.u = u
      Me.v = v
    End Sub
  End Class

  Public Class TEST_NORMAL
    Public x As Single
    Public y As Single
    Public z As Single

    Public Sub New(ByVal x As Single, ByVal y As Single, ByVal z As Single)
      Me.x = x
      Me.y = y
      Me.z = z
    End Sub
  End Class

  Public Class TEST_TRIANGLE4
    Public xyzIndex(2) As Int32
    Public uvIndex(2) As Int32
    Public normalIndex(2) As Int32
    Public materialIndex As Int32

    Public Sub New(ByVal p0 As Int32, ByVal p1 As Int32, ByVal p2 As Int32, _
                   ByVal uv0 As Int32, ByVal uv1 As Int32, ByVal uv2 As Int32, _
                   ByVal n0 As Int32, ByVal n1 As Int32, ByVal n2 As Int32, _
                   ByVal materialIndex As Int32 )
      Me.xyzIndex(0) = p0
      Me.xyzIndex(1) = p1
      Me.xyzIndex(2) = p2
      Me.uvIndex(0) = uv0
      Me.uvIndex(1) = uv1
      Me.uvIndex(2) = uv2
      Me.normalIndex(0) = n0
      Me.normalIndex(1) = n1
      Me.normalIndex(2) = n2
      Me.materialIndex = materialIndex
    End Sub
  End Class

  Public Class TEST_RGB
    Public red As Single
    Public green As Single
    Public blue As Single

    Public Sub New(ByVal red As Single, ByVal green As Single, ByVal blue As Single)
      Me.red = red
      Me.green = green
      Me.blue = blue
    End Sub
  End Class

  Public Class TEST_MATERIAL
    Public name As String
    Public layerPtr As Int32
    Public ambientRGB As TEST_RGB
    Public diffuseRGB As TEST_RGB
    Public specularRGB As TEST_RGB
    Public emissiveRGB As TEST_RGB
    Public texturePathName As String

    Public Sub New(ByVal name As String, ByVal layerPtr As Int32, ByVal rgb0 As TEST_RGB, _
                   ByVal rgb1 As TEST_RGB, ByVal rgb2 As TEST_RGB, ByVal rgb3 As TEST_RGB, _
                   ByVal texturePathName As String)
      Me.name = name
      Me.layerPtr = layerPtr
      ambientRGB = rgb0
      diffuseRGB = rgb1
      specularRGB = rgb2
      emissiveRGB = rgb3
      Me.texturePathName = texturePathName
    End Sub
  End Class

  Public Class TEST_3D_DATA5
    Public name As String
    Public parentName As String
    Public xyzCount As Int32
    Public uvCount As Int32
    Public normalCount As Int32
    Public triangleCount As Int32
    Public xyz() As TEST_XYZ
    Public uv() As TEST_UV
    Public normal() As TEST_NORMAL
    Public triangle() As TEST_TRIANGLE4
    Public tag As Int32
    Public pivotPoint As TEST_XYZ

    Public Sub New(ByVal name As String, ByVal parentName As String, ByVal xyzCount As Int32, _
                   ByVal uvCount As Int32, ByVal normalCount As Int32, ByVal triangleCount As Int32, _
                   ByRef xyz() As TEST_XYZ, ByRef uv() As TEST_UV, ByRef normal() As TEST_NORMAL, _
                   ByRef triangle() As TEST_TRIANGLE4, ByVal tag As Int32, ByVal pivotPoint As TEST_XYZ)
      Me.name = name
      Me.parentName = parentName
      Me.xyzCount = xyzCount
      Me.uvCount = uvCount
      Me.normalCount = normalCount
      Me.triangleCount = triangleCount
      Me.xyz = xyz
      Me.uv = uv
      Me.normal = normal
      Me.triangle = triangle
      Me.tag = tag
      Me.pivotPoint = pivotPoint
    End Sub
  End Class

  Public materialCount As Int32 = 10
  Public layerCount As Int32 = 17
  Public dataMaterial() As TEST_MATERIAL = Nothing
  Public xyz_Head() As TEST_XYZ = Nothing
  Public uv_Head() As TEST_UV = Nothing
  Public normal_Head() As TEST_NORMAL = Nothing
  Public triangle4_Head() As TEST_TRIANGLE4 = Nothing
  Public xyz_LL_Arm() As TEST_XYZ = Nothing
  Public uv_LL_Arm() As TEST_UV = Nothing
  Public normal_LL_Arm() As TEST_NORMAL = Nothing
  Public triangle4_LL_Arm() As TEST_TRIANGLE4 = Nothing
  Public xyz_LL_Leg() As TEST_XYZ = Nothing
  Public normal_LL_Leg() As TEST_NORMAL = Nothing
  Public triangle4_LL_Leg() As TEST_TRIANGLE4 = Nothing
  Public xyz_LU_Arm() As TEST_XYZ = Nothing
  Public uv_LU_Arm() As TEST_UV = Nothing
  Public normal_LU_Arm() As TEST_NORMAL = Nothing
  Public triangle4_LU_Arm() As TEST_TRIANGLE4 = Nothing
  Public xyz_LU_Leg() As TEST_XYZ = Nothing
  Public normal_LU_Leg() As TEST_NORMAL = Nothing
  Public triangle4_LU_Leg() As TEST_TRIANGLE4 = Nothing
  Public xyz_L_Fingers() As TEST_XYZ = Nothing
  Public uv_L_Fingers() As TEST_UV = Nothing
  Public normal_L_Fingers() As TEST_NORMAL = Nothing
  Public triangle4_L_Fingers() As TEST_TRIANGLE4 = Nothing
  Public xyz_L_Foot() As TEST_XYZ = Nothing
  Public normal_L_Foot() As TEST_NORMAL = Nothing
  Public triangle4_L_Foot() As TEST_TRIANGLE4 = Nothing
  Public xyz_L_Hand() As TEST_XYZ = Nothing
  Public uv_L_Hand() As TEST_UV = Nothing
  Public normal_L_Hand() As TEST_NORMAL = Nothing
  Public triangle4_L_Hand() As TEST_TRIANGLE4 = Nothing
  Public xyz_Obj() As TEST_XYZ = Nothing
  Public normal_Obj() As TEST_NORMAL = Nothing
  Public triangle4_Obj() As TEST_TRIANGLE4 = Nothing
  Public xyz_Pelvis() As TEST_XYZ = Nothing
  Public uv_Pelvis() As TEST_UV = Nothing
  Public normal_Pelvis() As TEST_NORMAL = Nothing
  Public triangle4_Pelvis() As TEST_TRIANGLE4 = Nothing
  Public xyz_RL_Arm() As TEST_XYZ = Nothing
  Public uv_RL_Arm() As TEST_UV = Nothing
  Public normal_RL_Arm() As TEST_NORMAL = Nothing
  Public triangle4_RL_Arm() As TEST_TRIANGLE4 = Nothing
  Public xyz_RL_Leg() As TEST_XYZ = Nothing
  Public normal_RL_Leg() As TEST_NORMAL = Nothing
  Public triangle4_RL_Leg() As TEST_TRIANGLE4 = Nothing
  Public xyz_RU_Arm() As TEST_XYZ = Nothing
  Public uv_RU_Arm() As TEST_UV = Nothing
  Public normal_RU_Arm() As TEST_NORMAL = Nothing
  Public triangle4_RU_Arm() As TEST_TRIANGLE4 = Nothing
  Public xyz_RU_Leg() As TEST_XYZ = Nothing
  Public normal_RU_Leg() As TEST_NORMAL = Nothing
  Public triangle4_RU_Leg() As TEST_TRIANGLE4 = Nothing
  Public xyz_R_Foot() As TEST_XYZ = Nothing
  Public normal_R_Foot() As TEST_NORMAL = Nothing
  Public triangle4_R_Foot() As TEST_TRIANGLE4 = Nothing
  Public xyz_R_Hand() As TEST_XYZ = Nothing
  Public uv_R_Hand() As TEST_UV = Nothing
  Public normal_R_Hand() As TEST_NORMAL = Nothing
  Public triangle4_R_Hand() As TEST_TRIANGLE4 = Nothing
  Public xyz_Torso() As TEST_XYZ = Nothing
  Public uv_Torso() As TEST_UV = Nothing
  Public normal_Torso() As TEST_NORMAL = Nothing
  Public triangle4_Torso() As TEST_TRIANGLE4 = Nothing
  Public data5() As TEST_3D_DATA5 = Nothing

  Public Sub New()

    dataMaterial = New TEST_MATERIAL() { _
      New TEST_MATERIAL( "Mat0", 0, _
        New TEST_RGB( 0.324706, 0.324706, 0.324706 ), New TEST_RGB( 0.811765, 0.811765, 0.811765 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\GreenHelm.bmp" ), _
      New TEST_MATERIAL( "Mat1", 0, _
        New TEST_RGB( 0.4, 0.4, 0.0 ), New TEST_RGB( 1.0, 1.0, 0.0 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "" ), _
      New TEST_MATERIAL( "Mat2", 0, _
        New TEST_RGB( 0.197647, 0.048627, 0.0 ), New TEST_RGB( 0.494118, 0.121569, 0.0 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "" ), _
      New TEST_MATERIAL( "Mat3", 0, _
        New TEST_RGB( 0.324706, 0.324706, 0.324706 ), New TEST_RGB( 0.811765, 0.811765, 0.811765 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\BlueChain.bmp" ), _
      New TEST_MATERIAL( "Mat4", 0, _
        New TEST_RGB( 0.0, 0.200784, 0.0 ), New TEST_RGB( 0.0, 0.501961, 0.0 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "" ), _
      New TEST_MATERIAL( "Mat5", 0, _
        New TEST_RGB( 0.218039, 0.108235, 0.029804 ), New TEST_RGB( 0.545098, 0.270588, 0.07451 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "" ), _
      New TEST_MATERIAL( "Mat6", 0, _
        New TEST_RGB( 0.324706, 0.324706, 0.324706 ), New TEST_RGB( 0.811765, 0.811765, 0.811765 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\RedHelm.bmp" ), _
      New TEST_MATERIAL( "Mat7", 0, _
        New TEST_RGB( 0.324706, 0.324706, 0.324706 ), New TEST_RGB( 0.811765, 0.811765, 0.811765 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "" ), _
      New TEST_MATERIAL( "Mat8", 0, _
        New TEST_RGB( 0.324706, 0.324706, 0.324706 ), New TEST_RGB( 0.811765, 0.811765, 0.811765 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\GreenChrome.bmp" ), _
      New TEST_MATERIAL( "Mat9", 0, _
        New TEST_RGB( 0.324706, 0.324706, 0.324706 ), New TEST_RGB( 0.811765, 0.811765, 0.811765 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\RedChain.bmp" ) _
      }

    xyz_Head = New TEST_XYZ() { _
      New TEST_XYZ(0.029573, -0.110094, 0.41371), _
      New TEST_XYZ(0.079573, -0.007094, 0.43371), _
      New TEST_XYZ(-0.092427, -0.006094, 0.43371), _
      New TEST_XYZ(-0.043427, -0.110094, 0.41671), _
      New TEST_XYZ(0.043573, -0.114094, 0.63371), _
      New TEST_XYZ(0.094573, -0.007094, 0.63371), _
      New TEST_XYZ(-0.107427, -0.006094, 0.63371), _
      New TEST_XYZ(-0.057427, -0.113094, 0.63371), _
      New TEST_XYZ(0.079283, -0.007224, 0.43391), _
      New TEST_XYZ(0.044403, 0.100056, 0.49524), _
      New TEST_XYZ(-0.056507, 0.100616, 0.49524), _
      New TEST_XYZ(-0.092147, -0.006104, 0.43391), _
      New TEST_XYZ(0.043463, -0.113944, 0.63366), _
      New TEST_XYZ(0.094483, -0.007224, 0.63366), _
      New TEST_XYZ(0.044403, 0.100056, 0.63366), _
      New TEST_XYZ(-0.056507, 0.100616, 0.63366), _
      New TEST_XYZ(-0.107337, -0.006104, 0.63366), _
      New TEST_XYZ(-0.057257, -0.113384, 0.63366), _
      New TEST_XYZ(-0.006427, 0.013776, 0.65073), _
      New TEST_XYZ(-0.021427, 0.137416, 0.71475), _
      New TEST_XYZ(-0.021427, 0.117226, 0.69562), _
      New TEST_XYZ(-0.007737, 0.16292, 0.49635), _
      New TEST_XYZ(-0.007737, 0.167384, 0.50047), _
      New TEST_XYZ(0.009893, 0.137416, 0.71475), _
      New TEST_XYZ(0.009893, 0.117226, 0.69562), _
      New TEST_XYZ(-0.003797, 0.16292, 0.49635), _
      New TEST_XYZ(-0.003797, 0.167384, 0.50047), _
      New TEST_XYZ(-0.018617, 0.039668, 0.69818), _
      New TEST_XYZ(-0.018617, 0.05136, 0.67398), _
      New TEST_XYZ(-0.021427, 0.143658, 0.69093), _
      New TEST_XYZ(-0.021427, 0.139966, 0.71512), _
      New TEST_XYZ(0.009083, 0.037668, 0.69818), _
      New TEST_XYZ(0.007083, 0.05136, 0.67398), _
      New TEST_XYZ(0.009893, 0.143658, 0.69093), _
      New TEST_XYZ(0.009893, 0.139966, 0.71512), _
      New TEST_XYZ(-0.011297, 0.000352, 0.62691), _
      New TEST_XYZ(-0.011297, 0.006516, 0.62166), _
      New TEST_XYZ(-0.017867, 0.061772, 0.68036), _
      New TEST_XYZ(-0.017867, 0.040087, 0.69818), _
      New TEST_XYZ(0.002773, 0.000352, 0.62691), _
      New TEST_XYZ(0.002773, 0.006516, 0.62166), _
      New TEST_XYZ(0.009143, 0.061772, 0.68036), _
      New TEST_XYZ(0.009143, 0.040087, 0.69818) _
    }

    xyz_LL_Arm = New TEST_XYZ() { _
      New TEST_XYZ(0.262071, -0.030948, -0.175305), _
      New TEST_XYZ(0.268791, 0.035132, -0.175305), _
      New TEST_XYZ(0.321431, 0.048572, -0.176305), _
      New TEST_XYZ(0.346071, -0.008548, -0.177305), _
      New TEST_XYZ(0.310231, -0.052228, -0.176305), _
      New TEST_XYZ(0.232951, -0.037668, -0.001305), _
      New TEST_XYZ(0.249751, 0.054172, -0.000305), _
      New TEST_XYZ(0.321431, 0.070972, 0.004695), _
      New TEST_XYZ(0.356151, -0.010788, 0.006695), _
      New TEST_XYZ(0.306871, -0.071268, -0.009305), _
      New TEST_XYZ(0.243031, -0.030948, 0.071695), _
      New TEST_XYZ(0.250871, 0.041852, 0.071695), _
      New TEST_XYZ(0.309111, 0.055292, 0.077695), _
      New TEST_XYZ(0.337111, -0.008548, 0.080695), _
      New TEST_XYZ(0.296791, -0.055588, 0.073695), _
      New TEST_XYZ(0.290071, -0.001828, 0.090695), _
      New TEST_XYZ(0.301271, -0.000708, -0.176305) _
    }

    xyz_LL_Leg = New TEST_XYZ() { _
      New TEST_XYZ(0.040041, -0.00365, -0.7995), _
      New TEST_XYZ(0.044921, -0.00721, -0.54008), _
      New TEST_XYZ(0.071171, 0.05018, -0.79613), _
      New TEST_XYZ(0.068361, 0.03349, -0.53783), _
      New TEST_XYZ(0.133261, 0.05018, -0.79219), _
      New TEST_XYZ(0.115061, 0.03349, -0.53483), _
      New TEST_XYZ(0.164201, -0.00383, -0.79125), _
      New TEST_XYZ(0.138511, -0.00721, -0.53426), _
      New TEST_XYZ(0.133261, -0.05766, -0.79444), _
      New TEST_XYZ(0.115061, -0.0721, -0.53558), _
      New TEST_XYZ(0.071171, -0.05747, -0.79856), _
      New TEST_XYZ(0.068361, -0.07192, -0.53858), _
      New TEST_XYZ(0.112811, 0.00179, -0.95139), _
      New TEST_XYZ(0.077171, 0.00179, -0.95383), _
      New TEST_XYZ(0.040041, -0.00365, -0.7995), _
      New TEST_XYZ(0.115811, 0.00704, -0.95121), _
      New TEST_XYZ(0.097991, 0.03818, -0.95158), _
      New TEST_XYZ(0.071171, 0.05018, -0.79613), _
      New TEST_XYZ(0.121811, 0.00704, -0.95064), _
      New TEST_XYZ(0.139631, 0.03799, -0.94895), _
      New TEST_XYZ(0.133261, 0.05018, -0.79219), _
      New TEST_XYZ(0.124811, 0.00179, -0.95064), _
      New TEST_XYZ(0.160641, 0.00179, -0.9482), _
      New TEST_XYZ(0.164201, -0.00383, -0.79125), _
      New TEST_XYZ(0.121811, -0.00346, -0.95102), _
      New TEST_XYZ(0.139631, -0.03422, -0.95046), _
      New TEST_XYZ(0.133261, -0.05766, -0.79444), _
      New TEST_XYZ(0.115811, -0.00346, -0.95139), _
      New TEST_XYZ(0.097991, -0.03422, -0.95327), _
      New TEST_XYZ(0.071171, -0.05748, -0.79856) _
    }

    xyz_LU_Arm = New TEST_XYZ() { _
      New TEST_XYZ(0.237714, -0.052585, 0.078925), _
      New TEST_XYZ(0.231159, 0.043118, 0.078925), _
      New TEST_XYZ(0.299331, 0.082448, 0.066925), _
      New TEST_XYZ(0.347838, 0.00641, 0.078925), _
      New TEST_XYZ(0.309819, -0.05914, 0.081925), _
      New TEST_XYZ(0.229848, -0.052585, 0.189925), _
      New TEST_XYZ(0.218049, 0.053606, 0.195925), _
      New TEST_XYZ(0.300642, 0.095558, 0.199925), _
      New TEST_XYZ(0.370126, 0.007721, 0.189925), _
      New TEST_XYZ(0.312441, -0.091915, 0.183925), _
      New TEST_XYZ(0.237714, -0.056518, 0.273925), _
      New TEST_XYZ(0.231159, 0.043118, 0.273925), _
      New TEST_XYZ(0.300642, 0.082448, 0.273925), _
      New TEST_XYZ(0.349149, 0.00641, 0.273925), _
      New TEST_XYZ(0.31113, -0.078805, 0.273925), _
      New TEST_XYZ(0.227226, -0.068317, 0.323925), _
      New TEST_XYZ(0.221982, 0.052295, 0.322925), _
      New TEST_XYZ(0.301953, 0.103424, 0.318925), _
      New TEST_XYZ(0.364881, 0.007721, 0.318925), _
      New TEST_XYZ(0.313752, -0.091915, 0.315925), _
      New TEST_XYZ(0.237714, -0.061762, 0.361925), _
      New TEST_XYZ(0.237714, 0.047051, 0.361925), _
      New TEST_XYZ(0.300642, 0.077204, 0.361925), _
      New TEST_XYZ(0.349149, 0.007721, 0.360925), _
      New TEST_XYZ(0.31113, -0.073561, 0.361925), _
      New TEST_XYZ(0.318996, 0.010343, 0.369925), _
      New TEST_XYZ(0.292776, -0.010633, 0.054925) _
    }

    xyz_LU_Leg = New TEST_XYZ() { _
      New TEST_XYZ(-0.017048, -0.010851, -0.21841), _
      New TEST_XYZ(0.036624, -0.004228, -0.54551), _
      New TEST_XYZ(0.002834, -0.008719, -0.32738), _
      New TEST_XYZ(0.02422, 0.060775, -0.21485), _
      New TEST_XYZ(0.063345, 0.04217, -0.54326), _
      New TEST_XYZ(0.038334, 0.075105, -0.32401), _
      New TEST_XYZ(0.10654, 0.060775, -0.21035), _
      New TEST_XYZ(0.116583, 0.041954, -0.54007), _
      New TEST_XYZ(0.108888, 0.074888, -0.31988), _
      New TEST_XYZ(0.147808, -0.011068, -0.20903), _
      New TEST_XYZ(0.143316, -0.004444, -0.53932), _
      New TEST_XYZ(0.144388, -0.008719, -0.31913), _
      New TEST_XYZ(0.10654, -0.082489, -0.21241), _
      New TEST_XYZ(0.116378, -0.078202, -0.54045), _
      New TEST_XYZ(0.108033, -0.099805, -0.30975), _
      New TEST_XYZ(0.02422, -0.082272, -0.2171), _
      New TEST_XYZ(0.063129, -0.078202, -0.54345), _
      New TEST_XYZ(0.038334, -0.106862, -0.32682) _
    }

    xyz_L_Fingers = New TEST_XYZ() { _
      New TEST_XYZ(0.421579, -0.15503, 0.171205), _
      New TEST_XYZ(0.384579, -0.17263, -0.253845), _
      New TEST_XYZ(0.384579, -0.03578, -0.793225), _
      New TEST_XYZ(0.384579, 0.05007, -0.791735), _
      New TEST_XYZ(0.384579, 0.17332, -0.262785), _
      New TEST_XYZ(0.384579, 0.16552, 0.174185), _
      New TEST_XYZ(0.433579, 0.00077, -0.258315), _
      New TEST_XYZ(0.398579, -0.15608, 0.172695), _
      New TEST_XYZ(0.360579, -0.17263, -0.253845), _
      New TEST_XYZ(0.360579, -0.03578, -0.788755), _
      New TEST_XYZ(0.360579, 0.04412, -0.791735), _
      New TEST_XYZ(0.360579, 0.17332, -0.262785), _
      New TEST_XYZ(0.360579, 0.16552, 0.174185), _
      New TEST_XYZ(0.421579, -0.15503, 0.171205), _
      New TEST_XYZ(0.384579, -0.17263, -0.253845), _
      New TEST_XYZ(0.384579, -0.03578, -0.793225), _
      New TEST_XYZ(0.384579, 0.05007, -0.791735), _
      New TEST_XYZ(0.384579, 0.17332, -0.262785), _
      New TEST_XYZ(0.384579, 0.16552, 0.174185), _
      New TEST_XYZ(0.354579, 0.00077, -0.258315) _
    }

    xyz_L_Foot = New TEST_XYZ() { _
      New TEST_XYZ(0.043411, 0.08957, -1.06037), _
      New TEST_XYZ(0.043601, -0.0421, -1.06037), _
      New TEST_XYZ(0.073611, -0.23265, -1.06487), _
      New TEST_XYZ(0.152201, -0.23378, -1.06281), _
      New TEST_XYZ(0.185771, 0.01924, -1.06356), _
      New TEST_XYZ(0.146381, 0.10214, -1.06187), _
      New TEST_XYZ(0.094431, 0.02168, -0.94333), _
      New TEST_XYZ(0.049431, -0.03234, -1.02811), _
      New TEST_XYZ(0.071551, -0.23847, -1.03674), _
      New TEST_XYZ(0.131191, -0.22478, -1.03167), _
      New TEST_XYZ(0.147511, -0.02578, -0.94727), _
      New TEST_XYZ(0.141691, 0.0515, -0.94221), _
      New TEST_XYZ(0.094801, -0.03422, -0.94446), _
      New TEST_XYZ(0.094801, -0.03272, -1.06018) _
    }

    xyz_L_Hand = New TEST_XYZ() { _
      New TEST_XYZ(0.331313, -0.03163, -0.394175), _
      New TEST_XYZ(0.334733, 0.03677, -0.376175), _
      New TEST_XYZ(0.307373, 0.03791, -0.371175), _
      New TEST_XYZ(0.306233, -0.03277, -0.388175), _
      New TEST_XYZ(0.355253, -0.03733, -0.299175), _
      New TEST_XYZ(0.355253, 0.06527, -0.261175), _
      New TEST_XYZ(0.300533, 0.02993, -0.225175), _
      New TEST_XYZ(0.315353, -0.03847, -0.298175), _
      New TEST_XYZ(0.313073, -0.06355, -0.313175), _
      New TEST_XYZ(0.344993, 0.04817, -0.187175), _
      New TEST_XYZ(0.287993, 0.05045, -0.198175), _
      New TEST_XYZ(0.294833, -0.06241, -0.311175), _
      New TEST_XYZ(0.314213, -0.06811, -0.294175), _
      New TEST_XYZ(0.335873, -0.00769, -0.174175), _
      New TEST_XYZ(0.278873, 0.00941, -0.175175), _
      New TEST_XYZ(0.295973, -0.06925, -0.296175), _
      New TEST_XYZ(0.311933, -0.00769, -0.180175), _
      New TEST_XYZ(0.319913, 0.00599, -0.385175) _
    }

    xyz_Obj = New TEST_XYZ() { _
      New TEST_XYZ(-0.336259, 0.132827, -0.312733), _
      New TEST_XYZ(-0.336133, -0.048057, -0.305779), _
      New TEST_XYZ(-0.336646, -0.048057, -0.333781), _
      New TEST_XYZ(-0.336509, 0.132827, -0.326838), _
      New TEST_XYZ(-0.324927, 0.132827, -0.312919), _
      New TEST_XYZ(-0.324802, -0.048057, -0.305964), _
      New TEST_XYZ(-0.325315, -0.048057, -0.333977), _
      New TEST_XYZ(-0.325189, 0.132827, -0.327023), _
      New TEST_XYZ(-0.336475, 0.177082, -0.324385), _
      New TEST_XYZ(-0.336304, 0.177082, -0.315186), _
      New TEST_XYZ(-0.336008, 0.142665, -0.298629), _
      New TEST_XYZ(-0.336259, 0.132827, -0.312733), _
      New TEST_XYZ(-0.336133, -0.048068, -0.305779), _
      New TEST_XYZ(-0.334127, -0.060255, -0.196016), _
      New TEST_XYZ(-0.333226, -0.09938, -0.146748), _
      New TEST_XYZ(-0.333363, -0.104293, -0.15391), _
      New TEST_XYZ(-0.334127, -0.07992, -0.196016), _
      New TEST_XYZ(-0.336008, -0.07992, -0.298629), _
      New TEST_XYZ(-0.336783, -0.07992, -0.340943), _
      New TEST_XYZ(-0.338653, -0.07992, -0.443762), _
      New TEST_XYZ(-0.339428, -0.104293, -0.485869), _
      New TEST_XYZ(-0.339553, -0.09938, -0.493019), _
      New TEST_XYZ(-0.338653, -0.060255, -0.443762), _
      New TEST_XYZ(-0.336646, -0.048068, -0.333792), _
      New TEST_XYZ(-0.336521, 0.132827, -0.326838), _
      New TEST_XYZ(-0.336783, 0.142665, -0.340943), _
      New TEST_XYZ(-0.325144, 0.177082, -0.324571), _
      New TEST_XYZ(-0.324984, 0.177082, -0.315371), _
      New TEST_XYZ(-0.324676, 0.142665, -0.298814), _
      New TEST_XYZ(-0.324938, 0.132827, -0.312919), _
      New TEST_XYZ(-0.324802, -0.048068, -0.305975), _
      New TEST_XYZ(-0.322807, -0.060255, -0.196202), _
      New TEST_XYZ(-0.321906, -0.09938, -0.146944), _
      New TEST_XYZ(-0.322031, -0.104293, -0.154095), _
      New TEST_XYZ(-0.322807, -0.07992, -0.196202), _
      New TEST_XYZ(-0.324676, -0.07992, -0.298814), _
      New TEST_XYZ(-0.325451, -0.07992, -0.341128), _
      New TEST_XYZ(-0.327321, -0.07992, -0.443948), _
      New TEST_XYZ(-0.328096, -0.104293, -0.486054), _
      New TEST_XYZ(-0.328222, -0.09938, -0.493216), _
      New TEST_XYZ(-0.327321, -0.060255, -0.443948), _
      New TEST_XYZ(-0.325315, -0.048068, -0.333977), _
      New TEST_XYZ(-0.325189, 0.132827, -0.327023), _
      New TEST_XYZ(-0.325451, 0.142665, -0.341128), _
      New TEST_XYZ(-0.335996, -0.081236, -0.298618), _
      New TEST_XYZ(-0.335996, -0.316536, -0.298618), _
      New TEST_XYZ(-0.336338, -0.687162, -0.317431), _
      New TEST_XYZ(-0.336772, -0.316536, -0.340932), _
      New TEST_XYZ(-0.336772, -0.081236, -0.340932), _
      New TEST_XYZ(-0.324665, -0.081236, -0.298814), _
      New TEST_XYZ(-0.324665, -0.316536, -0.298814), _
      New TEST_XYZ(-0.325007, -0.687162, -0.317617), _
      New TEST_XYZ(-0.32544, -0.316536, -0.341128), _
      New TEST_XYZ(-0.32544, -0.081236, -0.341128) _
    }

    xyz_Pelvis = New TEST_XYZ() { _
      New TEST_XYZ(-0.099, 0.0, -0.022), _
      New TEST_XYZ(-0.099, 0.0, 0.072), _
      New TEST_XYZ(-0.05, 0.065, -0.021), _
      New TEST_XYZ(-0.049, 0.063, 0.073), _
      New TEST_XYZ(0.05, 0.065, -0.021), _
      New TEST_XYZ(0.049, 0.063, 0.073), _
      New TEST_XYZ(0.099, 0.0, -0.022), _
      New TEST_XYZ(0.099, 0.0, 0.072), _
      New TEST_XYZ(0.05, -0.064, -0.023), _
      New TEST_XYZ(0.049, -0.065, 0.071), _
      New TEST_XYZ(-0.05, -0.064, -0.023), _
      New TEST_XYZ(-0.049, -0.065, 0.071), _
      New TEST_XYZ(-0.224, -0.03622, -0.27764), _
      New TEST_XYZ(-0.145, 0.00178, -0.07664), _
      New TEST_XYZ(-0.099, 0.00078, -0.02264), _
      New TEST_XYZ(-0.103, 0.15878, -0.28164), _
      New TEST_XYZ(-0.067, 0.11578, -0.08564), _
      New TEST_XYZ(-0.05, 0.06478, -0.02064), _
      New TEST_XYZ(0.099, 0.15778, -0.28264), _
      New TEST_XYZ(0.067, 0.11578, -0.08564), _
      New TEST_XYZ(0.05, 0.06478, -0.02064), _
      New TEST_XYZ(0.193, -0.03622, -0.27764), _
      New TEST_XYZ(0.141, 0.00178, -0.07664), _
      New TEST_XYZ(0.099, 0.00078, -0.02264), _
      New TEST_XYZ(0.105, -0.17422, -0.30064), _
      New TEST_XYZ(0.067, -0.10322, -0.07864), _
      New TEST_XYZ(0.05, -0.06322, -0.02364), _
      New TEST_XYZ(-0.103, -0.17522, -0.29864), _
      New TEST_XYZ(-0.067, -0.10122, -0.07864), _
      New TEST_XYZ(-0.05, -0.06322, -0.02364) _
    }

    xyz_RL_Arm = New TEST_XYZ() { _
      New TEST_XYZ(-0.272909, -0.025257, -0.201564), _
      New TEST_XYZ(-0.279749, 0.042003, -0.201564), _
      New TEST_XYZ(-0.333329, 0.055683, -0.201564), _
      New TEST_XYZ(-0.359549, -0.002457, -0.201564), _
      New TEST_XYZ(-0.321929, -0.046917, -0.201564), _
      New TEST_XYZ(-0.239849, -0.032097, -0.011904), _
      New TEST_XYZ(-0.256949, 0.061383, -0.010814), _
      New TEST_XYZ(-0.329909, 0.078483, -0.004274), _
      New TEST_XYZ(-0.365249, -0.004737, -0.001004), _
      New TEST_XYZ(-0.315089, -0.066297, -0.019534), _
      New TEST_XYZ(-0.248969, -0.025257, 0.066576), _
      New TEST_XYZ(-0.256949, 0.048843, 0.067666), _
      New TEST_XYZ(-0.316229, 0.062523, 0.075296), _
      New TEST_XYZ(-0.344729, -0.002457, 0.078566), _
      New TEST_XYZ(-0.303689, -0.050337, 0.069846), _
      New TEST_XYZ(-0.296849, 0.004383, 0.088376), _
      New TEST_XYZ(-0.312809, 0.005523, -0.201564) _
    }

    xyz_RL_Leg = New TEST_XYZ() { _
      New TEST_XYZ(-0.220403, 0.00529, -0.78825), _
      New TEST_XYZ(-0.179352, 0.001448, -0.53313), _
      New TEST_XYZ(-0.18512, 0.066872, -0.79125), _
      New TEST_XYZ(-0.152836, 0.047846, -0.5352), _
      New TEST_XYZ(-0.114782, 0.067089, -0.79931), _
      New TEST_XYZ(-0.099814, 0.048051, -0.54139), _
      New TEST_XYZ(-0.079499, 0.005723, -0.80456), _
      New TEST_XYZ(-0.073298, 0.001653, -0.54533), _
      New TEST_XYZ(-0.114782, -0.05586, -0.80175), _
      New TEST_XYZ(-0.099598, -0.072322, -0.54214), _
      New TEST_XYZ(-0.18512, -0.05586, -0.7935), _
      New TEST_XYZ(-0.152619, -0.072322, -0.53595), _
      New TEST_XYZ(-0.19016, 0.010959, -0.9497), _
      New TEST_XYZ(-0.2258, 0.010959, -0.94502), _
      New TEST_XYZ(-0.21267, 0.005329, -0.78825), _
      New TEST_XYZ(-0.18716, 0.016209, -0.94989), _
      New TEST_XYZ(-0.20498, 0.047149, -0.94689), _
      New TEST_XYZ(-0.18172, 0.059349, -0.79125), _
      New TEST_XYZ(-0.18116, 0.016209, -0.95083), _
      New TEST_XYZ(-0.16353, 0.047339, -0.95252), _
      New TEST_XYZ(-0.12001, 0.059529, -0.79931), _
      New TEST_XYZ(-0.17816, 0.011139, -0.9512), _
      New TEST_XYZ(-0.14271, 0.011139, -0.95589), _
      New TEST_XYZ(-0.08906, 0.005699, -0.80456), _
      New TEST_XYZ(-0.18116, 0.005889, -0.95102), _
      New TEST_XYZ(-0.16353, -0.025061, -0.95402), _
      New TEST_XYZ(-0.12001, -0.048311, -0.80175), _
      New TEST_XYZ(-0.18716, 0.005889, -0.95027), _
      New TEST_XYZ(-0.20498, -0.025061, -0.94858), _
      New TEST_XYZ(-0.18172, -0.048311, -0.7935) _
    }

    xyz_RU_Arm = New TEST_XYZ() { _
      New TEST_XYZ(-0.246234, -0.051559, 0.047315), _
      New TEST_XYZ(-0.24099, 0.044144, 0.047315), _
      New TEST_XYZ(-0.309162, 0.083474, 0.034235), _
      New TEST_XYZ(-0.357669, 0.007436, 0.047315), _
      New TEST_XYZ(-0.31965, -0.058114, 0.050585), _
      New TEST_XYZ(-0.239679, -0.05287, 0.168305), _
      New TEST_XYZ(-0.22788, 0.054632, 0.174845), _
      New TEST_XYZ(-0.310473, 0.095273, 0.179205), _
      New TEST_XYZ(-0.378645, 0.008747, 0.168305), _
      New TEST_XYZ(-0.322272, -0.090889, 0.161765), _
      New TEST_XYZ(-0.247545, -0.056803, 0.259865), _
      New TEST_XYZ(-0.24099, 0.044144, 0.259865), _
      New TEST_XYZ(-0.310473, 0.083474, 0.259865), _
      New TEST_XYZ(-0.35898, 0.007436, 0.259865), _
      New TEST_XYZ(-0.320961, -0.07909, 0.259865), _
      New TEST_XYZ(-0.237057, -0.068602, 0.314365), _
      New TEST_XYZ(-0.231813, 0.05201, 0.313275), _
      New TEST_XYZ(-0.311784, 0.103139, 0.308915), _
      New TEST_XYZ(-0.374712, 0.008747, 0.308915), _
      New TEST_XYZ(-0.323583, -0.090889, 0.305645), _
      New TEST_XYZ(-0.247545, -0.060736, 0.355785), _
      New TEST_XYZ(-0.247545, 0.046766, 0.355785), _
      New TEST_XYZ(-0.310473, 0.076919, 0.355785), _
      New TEST_XYZ(-0.35898, 0.007436, 0.354695), _
      New TEST_XYZ(-0.320961, -0.072535, 0.355785), _
      New TEST_XYZ(-0.327516, 0.011369, 0.364505), _
      New TEST_XYZ(-0.302607, -0.009607, 0.021155) _
    }

    xyz_RU_Leg = New TEST_XYZ() { _
      New TEST_XYZ(-0.163951, -0.00326, -0.21222), _
      New TEST_XYZ(-0.184049, 0.003158, -0.54214), _
      New TEST_XYZ(-0.168659, -0.001117, -0.32232), _
      New TEST_XYZ(-0.122899, 0.068366, -0.21579), _
      New TEST_XYZ(-0.157327, 0.049772, -0.54439), _
      New TEST_XYZ(-0.133376, 0.082696, -0.32513), _
      New TEST_XYZ(-0.041002, 0.068582, -0.22516), _
      New TEST_XYZ(-0.104294, 0.049772, -0.55058), _
      New TEST_XYZ(-0.063243, 0.082696, -0.3332), _
      New TEST_XYZ(0.00005, -0.003044, -0.23116), _
      New TEST_XYZ(-0.077778, 0.003374, -0.55433), _
      New TEST_XYZ(-0.02796, -0.000901, -0.33864), _
      New TEST_XYZ(-0.041002, -0.074453, -0.22741), _
      New TEST_XYZ(-0.104078, -0.070395, -0.55077), _
      New TEST_XYZ(-0.061316, -0.091998, -0.32307), _
      New TEST_XYZ(-0.122899, -0.07467, -0.21804), _
      New TEST_XYZ(-0.157111, -0.070612, -0.54476), _
      New TEST_XYZ(-0.133376, -0.09926, -0.32795) _
    }

    xyz_R_Foot = New TEST_XYZ() { _
      New TEST_XYZ(-0.106951, 0.08018, -1.04724), _
      New TEST_XYZ(-0.107131, -0.05149, -1.04705), _
      New TEST_XYZ(-0.137141, -0.24205, -1.05155), _
      New TEST_XYZ(-0.215731, -0.24317, -1.04968), _
      New TEST_XYZ(-0.249301, 0.00984, -1.05024), _
      New TEST_XYZ(-0.209921, 0.09274, -1.04874), _
      New TEST_XYZ(-0.157961, 0.01228, -0.9302), _
      New TEST_XYZ(-0.118961, -0.04174, -1.01498), _
      New TEST_XYZ(-0.135081, -0.24805, -1.02361), _
      New TEST_XYZ(-0.194721, -0.23417, -1.01835), _
      New TEST_XYZ(-0.211041, -0.03517, -0.93414), _
      New TEST_XYZ(-0.205231, 0.0421, -0.92908), _
      New TEST_XYZ(-0.158341, -0.04361, -0.93133), _
      New TEST_XYZ(-0.158341, -0.04211, -1.04705) _
    }

    xyz_R_Hand = New TEST_XYZ() { _
      New TEST_XYZ(-0.338299, -0.021928, -0.431925), _
      New TEST_XYZ(-0.342859, 0.046472, -0.412305), _
      New TEST_XYZ(-0.314359, 0.047612, -0.405765), _
      New TEST_XYZ(-0.312079, -0.023068, -0.424295), _
      New TEST_XYZ(-0.365659, -0.027628, -0.329465), _
      New TEST_XYZ(-0.367939, 0.074972, -0.288045), _
      New TEST_XYZ(-0.313219, 0.040772, -0.246625), _
      New TEST_XYZ(-0.325759, -0.028768, -0.326195), _
      New TEST_XYZ(-0.322339, -0.053848, -0.342545), _
      New TEST_XYZ(-0.359959, 0.057872, -0.206295), _
      New TEST_XYZ(-0.302959, 0.060152, -0.217195), _
      New TEST_XYZ(-0.305239, -0.052708, -0.340365), _
      New TEST_XYZ(-0.325759, -0.058408, -0.321835), _
      New TEST_XYZ(-0.351979, 0.002012, -0.192125), _
      New TEST_XYZ(-0.294979, 0.019112, -0.192125), _
      New TEST_XYZ(-0.307519, -0.059548, -0.324015), _
      New TEST_XYZ(-0.328039, 0.003152, -0.197575), _
      New TEST_XYZ(-0.325759, 0.015692, -0.421025) _
    }

    xyz_Torso = New TEST_XYZ() { _
      New TEST_XYZ(-0.00245, -0.01167, 0.4859), _
      New TEST_XYZ(-0.12241, -0.00255, 0.00492), _
      New TEST_XYZ(-0.19739, -0.00369, 0.0584), _
      New TEST_XYZ(-0.241577, -0.00597, 0.17924), _
      New TEST_XYZ(-0.241577, -0.00939, 0.3605), _
      New TEST_XYZ(-0.072629, -0.01053, 0.3947), _
      New TEST_XYZ(-0.059633, -0.01167, 0.4802), _
      New TEST_XYZ(-0.00375, -0.01281, 0.4859), _
      New TEST_XYZ(-0.06743, 0.08641, 0.00606), _
      New TEST_XYZ(-0.09992, 0.10689, 0.05954), _
      New TEST_XYZ(-0.122014, 0.14337, 0.25106), _
      New TEST_XYZ(-0.123313, 0.07269, 0.36164), _
      New TEST_XYZ(-0.03754, 0.03165, 0.40184), _
      New TEST_XYZ(-0.032341, 0.02253, 0.48134), _
      New TEST_XYZ(0.05993, 0.08541, 0.00606), _
      New TEST_XYZ(0.09242, 0.10689, 0.05954), _
      New TEST_XYZ(0.114514, 0.14337, 0.2465), _
      New TEST_XYZ(0.115813, 0.11259, 0.36164), _
      New TEST_XYZ(0.03004, 0.03165, 0.39584), _
      New TEST_XYZ(0.024841, 0.02253, 0.48134), _
      New TEST_XYZ(-0.00505, -0.01167, 0.4859), _
      New TEST_XYZ(0.12491, -0.00255, 0.00492), _
      New TEST_XYZ(0.18989, -0.00369, 0.0584), _
      New TEST_XYZ(0.234077, -0.00597, 0.17924), _
      New TEST_XYZ(0.234077, -0.00939, 0.3605), _
      New TEST_XYZ(0.065129, -0.01053, 0.3947), _
      New TEST_XYZ(0.052133, -0.01167, 0.4802), _
      New TEST_XYZ(-0.00375, -0.01053, 0.4859), _
      New TEST_XYZ(0.05993, -0.08351, 0.00378), _
      New TEST_XYZ(0.09242, -0.11655, 0.05612), _
      New TEST_XYZ(0.115813, -0.14619, 0.17696), _
      New TEST_XYZ(0.115813, -0.11541, 0.35822), _
      New TEST_XYZ(0.03004, -0.05157, 0.3947), _
      New TEST_XYZ(0.024841, -0.04587, 0.4802), _
      New TEST_XYZ(-0.06743, -0.08651, 0.00378), _
      New TEST_XYZ(-0.09992, -0.11655, 0.05612), _
      New TEST_XYZ(-0.123313, -0.14619, 0.17696), _
      New TEST_XYZ(-0.123313, -0.11769, 0.35822), _
      New TEST_XYZ(-0.03754, -0.05157, 0.3947), _
      New TEST_XYZ(-0.032341, -0.04587, 0.4802) _
    }

    uv_Head = New TEST_UV() { _
      New TEST_UV(0.2247, 0.6593), New TEST_UV(0.2661, 0.4015), _
      New TEST_UV(0.3613, 0.6593), New TEST_UV(0.3997, 0.3793), _
      New TEST_UV(0.5977, 0.3749), New TEST_UV(0.6361, 0.6593), _
      New TEST_UV(0.7339, 0.4015), New TEST_UV(0.7753, 0.6593) _
    }

    uv_LL_Arm = New TEST_UV() { _
      New TEST_UV(0.0, 0.328358), New TEST_UV(0.38189, 0.328358), _
      New TEST_UV(0.040909, 0.464552), New TEST_UV(0.358268, 0.464552), _
      New TEST_UV(0.059055, 0.330224), New TEST_UV(0.431818, 0.330224), _
      New TEST_UV(0.102362, 0.464552), New TEST_UV(0.427273, 0.464552), _
      New TEST_UV(0.118182, 0.003731), New TEST_UV(0.118182, 0.358268), _
      New TEST_UV(0.358268, 0.003731), New TEST_UV(0.125984, 0.003731), _
      New TEST_UV(0.145455, 0.125984), New TEST_UV(0.354545, 0.003731), _
      New TEST_UV(0.231818, 0.244094), New TEST_UV(0.231818, 0.5), _
      New TEST_UV(0.255906, 0.5), New TEST_UV(0.268182, 0.5), _
      New TEST_UV(0.259091, 0.468284), New TEST_UV(0.277273, 0.251969), _
      New TEST_UV(0.3, 0.313433), New TEST_UV(0.190909, 0.475746), _
      New TEST_UV(0.309091, 0.444882), New TEST_UV(0.313636, 0.001866), _
      New TEST_UV(0.313636, 0.433071), New TEST_UV(0.140909, 0.001866), _
      New TEST_UV(0.359091, 0.07874), New TEST_UV(0.140909, 0.339552), _
      New TEST_UV(0.077273, 0.481343), New TEST_UV(0.422727, 0.220472), _
      New TEST_UV(0.422727, 0.481343), New TEST_UV(0.040909, 0.0), _
      New TEST_UV(0.459091, 0.0), New TEST_UV(0.459091, 0.279528), _
      New TEST_UV(0.0, 0.343284), New TEST_UV(0.5, 0.343284) _
    }

    uv_LU_Arm = New TEST_UV() { _
      New TEST_UV(0.127517, 0.22381), New TEST_UV(0.5, 0.22381), _
      New TEST_UV(0.130872, 0.425397), New TEST_UV(0.487069, 0.425397), _
      New TEST_UV(0.030172, 0.426984), New TEST_UV(0.439597, 0.426984), _
      New TEST_UV(0.038793, 0.214286), New TEST_UV(0.399329, 0.214286), _
      New TEST_UV(0.043103, 0.154362), New TEST_UV(0.154362, 0.038095), _
      New TEST_UV(0.456897, 0.038095), New TEST_UV(0.154362, 0.347619), _
      New TEST_UV(0.456897, 0.347619), New TEST_UV(0.064655, 0.077181), _
      New TEST_UV(0.064655, 0.487302), New TEST_UV(0.422819, 0.487302), _
      New TEST_UV(0.064655, 0.347619), New TEST_UV(0.409396, 0.347619), _
      New TEST_UV(0.064655, 0.038095), New TEST_UV(0.399329, 0.038095), _
      New TEST_UV(0.064655, 0.355705), New TEST_UV(0.144295, 0.487302), _
      New TEST_UV(0.435345, 0.487302), New TEST_UV(0.208054, 0.0), _
      New TEST_UV(0.24569, 0.0), New TEST_UV(0.24569, 0.291946), _
      New TEST_UV(0.291946, 0.0), New TEST_UV(0.232759, 0.019048), _
      New TEST_UV(0.267241, 0.053691), New TEST_UV(0.446309, 0.019048), _
      New TEST_UV(0.228448, 0.487302), New TEST_UV(0.271552, 0.432886), _
      New TEST_UV(0.432886, 0.487302), New TEST_UV(0.228448, 0.347619), _
      New TEST_UV(0.228448, 0.230159), New TEST_UV(0.224138, 0.419048), _
      New TEST_UV(0.301724, 0.042857), New TEST_UV(0.306034, 0.347619), _
      New TEST_UV(0.04698, 0.487302), New TEST_UV(0.306034, 0.04698), _
      New TEST_UV(0.306034, 0.487302), New TEST_UV(0.310345, 0.204762), _
      New TEST_UV(0.314655, 0.414286), New TEST_UV(0.261745, 0.5), _
      New TEST_UV(0.331896, 0.261745), New TEST_UV(0.073276, 0.038095), _
      New TEST_UV(0.251678, 0.038095), New TEST_UV(0.426724, 0.038095), _
      New TEST_UV(0.068966, 0.347619), New TEST_UV(0.431034, 0.347619), _
      New TEST_UV(0.068966, 0.485714), New TEST_UV(0.255034, 0.485714), _
      New TEST_UV(0.431034, 0.485714), New TEST_UV(0.017241, 0.419048), _
      New TEST_UV(0.482759, 0.419048), New TEST_UV(0.0, 0.214286), _
      New TEST_UV(0.5, 0.214286) _
    }

    uv_L_Fingers = New TEST_UV() { _
      New TEST_UV(0.0, 0.594417), New TEST_UV(0.395577, 0.0), _
      New TEST_UV(0.643735, 0.001642), New TEST_UV(0.977453, 1.0), _
      New TEST_UV(1.0, 0.584565), New TEST_UV(0.050874, 0.996716), _
      New TEST_UV(0.501229, 0.589491) _
    }

    uv_L_Hand = New TEST_UV() { _
      New TEST_UV(0.0, 0.292373), New TEST_UV(0.0, 0.497727), _
      New TEST_UV(0.207627, 0.497727), New TEST_UV(0.5, 0.497727), _
      New TEST_UV(0.055085, 0.445455), New TEST_UV(0.440299, 0.445455), _
      New TEST_UV(0.104478, 0.188636), New TEST_UV(0.395522, 0.188636), _
      New TEST_UV(0.474576, 0.188636), New TEST_UV(0.11194, 0.222727), _
      New TEST_UV(0.5, 0.222727), New TEST_UV(0.131356, 0.384091), _
      New TEST_UV(0.358209, 0.384091), New TEST_UV(0.179104, 0.013636), _
      New TEST_UV(0.179104, 0.364407), New TEST_UV(0.364407, 0.013636), _
      New TEST_UV(0.101695, 0.052273), New TEST_UV(0.313433, 0.052273), _
      New TEST_UV(0.216418, 0.486364), New TEST_UV(0.021186, 0.184091), _
      New TEST_UV(0.223881, 0.184091), New TEST_UV(0.276119, 0.184091), _
      New TEST_UV(0.004237, 0.227273), New TEST_UV(0.231343, 0.227273), _
      New TEST_UV(0.238806, 0.218182), New TEST_UV(0.261194, 0.218182), _
      New TEST_UV(0.385593, 0.218182), New TEST_UV(0.220339, 0.020455), _
      New TEST_UV(0.231343, 0.020455), New TEST_UV(0.268657, 0.220339), _
      New TEST_UV(0.13983, 0.0), New TEST_UV(0.343284, 0.0), _
      New TEST_UV(0.343284, 0.36017), New TEST_UV(0.134328, 0.040909), _
      New TEST_UV(0.365672, 0.105932), New TEST_UV(0.394068, 0.040909), _
      New TEST_UV(0.228814, 0.5), New TEST_UV(0.373134, 0.228814), _
      New TEST_UV(0.373134, 0.5), New TEST_UV(0.067164, 0.470455), _
      New TEST_UV(0.432836, 0.436441), New TEST_UV(0.432836, 0.470455), _
      New TEST_UV(0.436441, 0.470455), New TEST_UV(0.0, 0.215909), _
      New TEST_UV(0.118644, 0.215909), New TEST_UV(0.5, 0.215909), _
      New TEST_UV(0.0, 0.302273), New TEST_UV(0.5, 0.302273) _
    }

    uv_Pelvis = New TEST_UV() { _
      New TEST_UV(0.0, 0.004348), New TEST_UV(0.5, 0.004348), _
      New TEST_UV(0.0, 0.195652), New TEST_UV(0.5, 0.195652), _
      New TEST_UV(0.123737, 0.0), New TEST_UV(0.376263, 0.008696), _
      New TEST_UV(0.126263, 0.191304), New TEST_UV(0.373737, 0.2), _
      New TEST_UV(0.373737, 0.191304), New TEST_UV(0.126263, 0.2), _
      New TEST_UV(0.376263, 0.0), New TEST_UV(0.123737, 0.008696), _
      New TEST_UV(0.0, 0.004348), New TEST_UV(0.5, 0.004348), _
      New TEST_UV(0.0, 0.195652), New TEST_UV(0.5, 0.195652), _
      New TEST_UV(0.0, 0.0831), New TEST_UV(0.121, 0.7989), _
      New TEST_UV(0.2484, 0.0054), New TEST_UV(0.2495, 0.0677), _
      New TEST_UV(0.218, 0.9946), New TEST_UV(0.3108, 0.7922), _
      New TEST_UV(0.3108, 0.7681), New TEST_UV(0.3593, 0.9906), _
      New TEST_UV(0.3593, 1.0), New TEST_UV(0.6412, 0.9906), _
      New TEST_UV(0.6412, 1.0), New TEST_UV(0.6898, 0.7922), _
      New TEST_UV(0.6892, 0.7681), New TEST_UV(0.782, 0.9946), _
      New TEST_UV(0.7505, 0.0644), New TEST_UV(0.7521, 0.0), _
      New TEST_UV(0.879, 0.7989), New TEST_UV(1.0, 0.0831) _
    }

    uv_RL_Arm = New TEST_UV() { _
      New TEST_UV(0.0, 0.345865), New TEST_UV(0.5, 0.345865), _
      New TEST_UV(0.022727, 0.0), New TEST_UV(0.022727, 0.279528), _
      New TEST_UV(0.477273, 0.0), New TEST_UV(0.081818, 0.220472), _
      New TEST_UV(0.081818, 0.483083), New TEST_UV(0.418182, 0.483083), _
      New TEST_UV(0.127273, 0.07874), New TEST_UV(0.372727, 0.0), _
      New TEST_UV(0.359091, 0.340226), New TEST_UV(0.172727, 0.0), _
      New TEST_UV(0.172727, 0.433071), New TEST_UV(0.195455, 0.444882), _
      New TEST_UV(0.304545, 0.477444), New TEST_UV(0.2, 0.31391), _
      New TEST_UV(0.209091, 0.251969), New TEST_UV(0.245455, 0.468045), _
      New TEST_UV(0.227273, 0.5), New TEST_UV(0.244094, 0.5), _
      New TEST_UV(0.272727, 0.244094), New TEST_UV(0.272727, 0.5), _
      New TEST_UV(0.159091, 0.0), New TEST_UV(0.340909, 0.125984), _
      New TEST_UV(0.374016, 0.0), New TEST_UV(0.141732, 0.0), _
      New TEST_UV(0.368182, 0.0), New TEST_UV(0.368182, 0.358268), _
      New TEST_UV(0.068182, 0.464286), New TEST_UV(0.397638, 0.464286), _
      New TEST_UV(0.068182, 0.328947), New TEST_UV(0.440945, 0.328947), _
      New TEST_UV(0.141732, 0.462406), New TEST_UV(0.463636, 0.462406), _
      New TEST_UV(0.11811, 0.327068), New TEST_UV(0.5, 0.327068) _
    }

    uv_RU_Arm = New TEST_UV() { _
      New TEST_UV(0.0, 0.214286), New TEST_UV(0.5, 0.214286), _
      New TEST_UV(0.013043, 0.419048), New TEST_UV(0.486957, 0.419048), _
      New TEST_UV(0.065217, 0.347619), New TEST_UV(0.434783, 0.347619), _
      New TEST_UV(0.065217, 0.485714), New TEST_UV(0.246622, 0.485714), _
      New TEST_UV(0.434783, 0.485714), New TEST_UV(0.069565, 0.038095), _
      New TEST_UV(0.246622, 0.038095), New TEST_UV(0.430435, 0.038095), _
      New TEST_UV(0.169565, 0.263514), New TEST_UV(0.236486, 0.5), _
      New TEST_UV(0.182609, 0.414286), New TEST_UV(0.186956, 0.204762), _
      New TEST_UV(0.191304, 0.347619), New TEST_UV(0.191304, 0.047297), _
      New TEST_UV(0.191304, 0.487302), New TEST_UV(0.452703, 0.487302), _
      New TEST_UV(0.195652, 0.042857), New TEST_UV(0.278261, 0.419048), _
      New TEST_UV(0.067568, 0.487302), New TEST_UV(0.226087, 0.432432), _
      New TEST_UV(0.273913, 0.487302), New TEST_UV(0.273913, 0.347619), _
      New TEST_UV(0.273913, 0.230159), New TEST_UV(0.050676, 0.019048), _
      New TEST_UV(0.269565, 0.019048), New TEST_UV(0.449324, 0.019048), _
      New TEST_UV(0.209459, 0.0), New TEST_UV(0.252174, 0.0), _
      New TEST_UV(0.290541, 0.0), New TEST_UV(0.077703, 0.487302), _
      New TEST_UV(0.434783, 0.077703), New TEST_UV(0.434783, 0.487302), _
      New TEST_UV(0.087838, 0.347619), New TEST_UV(0.434783, 0.347619), _
      New TEST_UV(0.065217, 0.487302), New TEST_UV(0.35473, 0.487302), _
      New TEST_UV(0.434783, 0.35473), New TEST_UV(0.101351, 0.038095), _
      New TEST_UV(0.43913, 0.038095), New TEST_UV(0.043478, 0.038095), _
      New TEST_UV(0.347973, 0.038095), New TEST_UV(0.043478, 0.347619), _
      New TEST_UV(0.347973, 0.347619), New TEST_UV(0.097973, 0.214286), _
      New TEST_UV(0.46087, 0.214286), New TEST_UV(0.057432, 0.426984), _
      New TEST_UV(0.469565, 0.426984), New TEST_UV(0.013044, 0.425397), _
      New TEST_UV(0.368243, 0.425397), New TEST_UV(0.0, 0.22381), _
      New TEST_UV(0.375, 0.22381) _
    }

    uv_R_Hand = New TEST_UV() { _
      New TEST_UV(0.0, 0.3), New TEST_UV(0.5, 0.3), _
      New TEST_UV(0.015625, 0.213636), New TEST_UV(0.381356, 0.213636), _
      New TEST_UV(0.484375, 0.213636), New TEST_UV(0.054687, 0.436441), _
      New TEST_UV(0.054687, 0.470455), New TEST_UV(0.063559, 0.470455), _
      New TEST_UV(0.445313, 0.470455), New TEST_UV(0.109375, 0.228814), _
      New TEST_UV(0.109375, 0.5), New TEST_UV(0.271186, 0.5), _
      New TEST_UV(0.105932, 0.040909), New TEST_UV(0.328125, 0.040909), _
      New TEST_UV(0.139831, 0.0), New TEST_UV(0.203125, 0.0), _
      New TEST_UV(0.296875, 0.0), New TEST_UV(0.36017, 0.0), _
      New TEST_UV(0.273437, 0.488636), New TEST_UV(0.289063, 0.229545), _
      New TEST_UV(0.495763, 0.229545), New TEST_UV(0.114407, 0.220455), _
      New TEST_UV(0.210937, 0.220455), New TEST_UV(0.289063, 0.220455), _
      New TEST_UV(0.210937, 0.022727), New TEST_UV(0.279661, 0.022727), _
      New TEST_UV(0.1875, 0.186364), New TEST_UV(0.3125, 0.186364), _
      New TEST_UV(0.478814, 0.186364), New TEST_UV(0.132813, 0.054545), _
      New TEST_UV(0.398305, 0.054545), New TEST_UV(0.125, 0.386364), _
      New TEST_UV(0.372881, 0.386364), New TEST_UV(0.135593, 0.015909), _
      New TEST_UV(0.382812, 0.015909), New TEST_UV(0.0, 0.225), _
      New TEST_UV(0.414063, 0.225), New TEST_UV(0.025424, 0.190909), _
      New TEST_UV(0.070313, 0.190909), New TEST_UV(0.429687, 0.190909), _
      New TEST_UV(0.054687, 0.447727), New TEST_UV(0.444915, 0.447727), _
      New TEST_UV(0.0, 0.5), New TEST_UV(0.292373, 0.5), _
      New TEST_UV(0.5, 0.292373), New TEST_UV(0.5, 0.5) _
    }

    uv_Torso = New TEST_UV() { _
      New TEST_UV(0.0, 0.614173), New TEST_UV(0.0, 0.961868), _
      New TEST_UV(1.3, 0.961868), New TEST_UV(0.0, 0.473115), _
      New TEST_UV(1.3, 0.473115), New TEST_UV(0.120765, 0.147279), _
      New TEST_UV(0.660236, 0.147279), New TEST_UV(1.179235, 0.147279), _
      New TEST_UV(0.323224, 0.466967), New TEST_UV(0.323224, 0.127953), _
      New TEST_UV(0.323224, 0.955721), New TEST_UV(0.976776, 0.964942), _
      New TEST_UV(0.655118, 0.003074), New TEST_UV(0.919647, 0.003074), _
      New TEST_UV(0.973224, 0.666772), New TEST_UV(0.387158, 0.141131), _
      New TEST_UV(0.912841, 0.150353), New TEST_UV(0.461749, 0.609055), _
      New TEST_UV(0.461749, 1.054086), New TEST_UV(0.838251, 1.054086), _
      New TEST_UV(0.475956, 0.0), New TEST_UV(0.942271, 0.0), _
      New TEST_UV(0.824044, 0.006148), New TEST_UV(0.497268, 0.603937), _
      New TEST_UV(0.497268, 0.696063), New TEST_UV(0.497268, 1.28463), _
      New TEST_UV(0.802732, 1.28463), New TEST_UV(0.55765, 0.424803), _
      New TEST_UV(0.55765, 1.054086), New TEST_UV(0.55765, 0.798425), _
      New TEST_UV(0.74235, 1.073339), New TEST_UV(0.571858, 0.450394), _
      New TEST_UV(0.571858, 0.849606), New TEST_UV(0.571858, 1.28463), _
      New TEST_UV(0.571858, 0.75748), New TEST_UV(0.728142, 1.287704), _
      New TEST_UV(0.646448, 0.603937), New TEST_UV(0.646448, 0.696063), _
      New TEST_UV(0.65, 0.598819), New TEST_UV(0.65, 0.701181), _
      New TEST_UV(0.65, 0.609055), New TEST_UV(0.65, 0.690945), _
      New TEST_UV(0.653552, 0.603937), New TEST_UV(0.653552, 0.696063), _
      New TEST_UV(0.728142, 0.450394), New TEST_UV(0.728142, 1.28463), _
      New TEST_UV(0.571858, 1.287704), New TEST_UV(0.728142, 0.54252), _
      New TEST_UV(0.728142, 0.75748), New TEST_UV(0.74235, 0.424803), _
      New TEST_UV(0.74235, 1.054086), New TEST_UV(0.55765, 1.05716), _
      New TEST_UV(0.74235, 0.798425), New TEST_UV(0.497268, 1.28463), _
      New TEST_UV(0.802732, 0.603937), New TEST_UV(0.802732, 0.696063), _
      New TEST_UV(0.802732, 1.28463), New TEST_UV(0.824044, 0.0), _
      New TEST_UV(0.475956, 0.006148), New TEST_UV(0.461749, 1.054086), _
      New TEST_UV(0.838251, 0.609055), New TEST_UV(0.838251, 1.054086), _
      New TEST_UV(0.912841, 0.141131), New TEST_UV(0.387158, 0.150353), _
      New TEST_UV(0.326776, 0.654476), New TEST_UV(0.976776, 0.466967), _
      New TEST_UV(0.976776, 0.138189), New TEST_UV(0.976776, 0.955721), _
      New TEST_UV(0.323224, 0.964942), New TEST_UV(0.976776, 1.161811), _
      New TEST_UV(0.353022, 0.003074), New TEST_UV(0.946978, 0.003074), _
      New TEST_UV(0.120765, 0.147279), New TEST_UV(1.179235, 0.147279), _
      New TEST_UV(0.0, 0.961868), New TEST_UV(1.3, 0.614173), _
      New TEST_UV(1.3, 0.961868), New TEST_UV(0.0, 0.473115), _
      New TEST_UV(1.3, 0.473115) _
    }

    normal_Head = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.905877, -0.418469, -0.065352), _
      New TEST_NORMAL(-0.903883, -0.422375, -0.067791), _
      New TEST_NORMAL(-0.554279, -0.830903, -0.048724), _
      New TEST_NORMAL(-0.492699, -0.868993, -0.045814), _
      New TEST_NORMAL(0.495976, -0.866996, -0.048225), _
      New TEST_NORMAL(0.542169, -0.838878, -0.048345), _
      New TEST_NORMAL(0.901357, -0.428032, -0.065913), _
      New TEST_NORMAL(0.902644, -0.425031, -0.067698), _
      New TEST_NORMAL(-0.93315, 0.352413, -0.070961), _
      New TEST_NORMAL(-0.902825, 0.430009, 0.0), _
      New TEST_NORMAL(-0.18281, 0.087071, 0.979285), _
      New TEST_NORMAL(-0.152698, -0.071282, 0.985699), _
      New TEST_NORMAL(-0.000738, -0.132757, 0.991148), _
      New TEST_NORMAL(0.001074, 0.193473, 0.981105), _
      New TEST_NORMAL(0.005549, 0.999985, 0.0), _
      New TEST_NORMAL(0.151664, -0.072507, 0.985769), _
      New TEST_NORMAL(0.183481, 0.085652, 0.979285), _
      New TEST_NORMAL(0.903985, 0.421994, -0.068789), _
      New TEST_NORMAL(0.950998, 0.309198, 0.0), _
      New TEST_NORMAL(-0.999619, -0.027302, -0.004168), _
      New TEST_NORMAL(-0.999518, -0.02795, -0.013504), _
      New TEST_NORMAL(-0.997048, 0.05207, -0.056418), _
      New TEST_NORMAL(-0.996991, 0.053314, -0.056269), _
      New TEST_NORMAL(-0.996687, -0.052736, -0.061912), _
      New TEST_NORMAL(-0.996669, -0.051778, -0.06301), _
      New TEST_NORMAL(-0.012047, -0.166854, 0.985908), _
      New TEST_NORMAL(0.0, -0.974703, -0.223506), _
      New TEST_NORMAL(0.0, -0.873429, 0.486952), _
      New TEST_NORMAL(0.0, -0.16337, 0.986565), _
      New TEST_NORMAL(0.0, 0.180624, -0.983552), _
      New TEST_NORMAL(0.0, 0.678226, -0.734853), _
      New TEST_NORMAL(0.0, 0.728142, -0.685426), _
      New TEST_NORMAL(0.0, 0.990362, 0.138506), _
      New TEST_NORMAL(0.995838, -0.013773, -0.090093), _
      New TEST_NORMAL(0.996868, -0.050212, -0.061104), _
      New TEST_NORMAL(0.996885, -0.051141, -0.060039), _
      New TEST_NORMAL(0.996991, 0.053314, -0.056269), _
      New TEST_NORMAL(0.997048, 0.05207, -0.056418), _
      New TEST_NORMAL(0.999969, -0.007723, -0.001179) _
    }

    normal_LL_Arm = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.883638, -0.468099, -0.008231), _
      New TEST_NORMAL(-0.72331, -0.406202, 0.55841), _
      New TEST_NORMAL(-0.714204, 0.699656, -0.019821), _
      New TEST_NORMAL(-0.661879, -0.386459, -0.642313), _
      New TEST_NORMAL(-0.645885, 0.530707, 0.548801), _
      New TEST_NORMAL(-0.58176, 0.495705, -0.644851), _
      New TEST_NORMAL(-0.064754, -0.029463, 0.997466), _
      New TEST_NORMAL(-0.023233, 0.002602, -0.999727), _
      New TEST_NORMAL(0.122585, -0.805459, 0.579835), _
      New TEST_NORMAL(0.184602, -0.753298, -0.63124), _
      New TEST_NORMAL(0.223575, -0.973959, 0.037663), _
      New TEST_NORMAL(0.300183, 0.709988, 0.63703), _
      New TEST_NORMAL(0.355499, 0.693466, -0.626678), _
      New TEST_NORMAL(0.445475, 0.892685, 0.068303), _
      New TEST_NORMAL(0.741652, -0.131799, 0.657709), _
      New TEST_NORMAL(0.762321, -0.104985, -0.638628), _
      New TEST_NORMAL(0.983542, -0.14764, 0.104148) _
    }

    normal_LL_Leg = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.99982, -0.003632, 0.018607), _
      New TEST_NORMAL(-0.99724, 0.074245, -0.000172), _
      New TEST_NORMAL(-0.550632, -0.833103, -0.052374), _
      New TEST_NORMAL(-0.530207, -0.847365, -0.029188), _
      New TEST_NORMAL(-0.509094, 0.859259, 0.049978), _
      New TEST_NORMAL(-0.496271, 0.86668, 0.050793), _
      New TEST_NORMAL(0.491665, 0.866045, 0.09073), _
      New TEST_NORMAL(0.499608, 0.861437, 0.091202), _
      New TEST_NORMAL(0.506145, -0.862359, -0.012436), _
      New TEST_NORMAL(0.550699, -0.834596, 0.01346), _
      New TEST_NORMAL(0.99115, 0.086753, 0.100471), _
      New TEST_NORMAL(0.996963, 0.010076, 0.077223), _
      New TEST_NORMAL(-0.972281, 0.001346, -0.233812), _
      New TEST_NORMAL(-0.693264, 0.018364, -0.72045), _
      New TEST_NORMAL(-0.49614, 0.854798, -0.152202), _
      New TEST_NORMAL(-0.488003, -0.846637, -0.212271), _
      New TEST_NORMAL(-0.323167, 0.670443, -0.667884), _
      New TEST_NORMAL(-0.318828, -0.63168, -0.706632), _
      New TEST_NORMAL(0.058559, 0.01244, -0.998206), _
      New TEST_NORMAL(0.062213, 0.028329, -0.997661), _
      New TEST_NORMAL(0.064282, 0.027583, -0.997551), _
      New TEST_NORMAL(0.070204, 0.031821, -0.997025), _
      New TEST_NORMAL(0.071625, 0.025047, -0.997117), _
      New TEST_NORMAL(0.080423, 0.013301, -0.996672), _
      New TEST_NORMAL(0.428355, -0.635055, -0.642819), _
      New TEST_NORMAL(0.429614, 0.668772, -0.606774), _
      New TEST_NORMAL(0.49195, -0.863787, -0.108891), _
      New TEST_NORMAL(0.495966, 0.867086, -0.046685), _
      New TEST_NORMAL(0.807376, 0.016482, -0.589807), _
      New TEST_NORMAL(0.999715, -0.003956, -0.023532) _
    }

    normal_LU_Arm = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.898547, 0.43689, -0.041712), _
      New TEST_NORMAL(-0.87731, 0.472949, 0.081528), _
      New TEST_NORMAL(-0.875272, 0.482601, 0.031532), _
      New TEST_NORMAL(-0.813818, -0.580067, -0.034968), _
      New TEST_NORMAL(-0.790292, -0.603332, -0.10691), _
      New TEST_NORMAL(-0.784441, -0.619879, 0.020059), _
      New TEST_NORMAL(-0.749419, 0.37742, -0.543991), _
      New TEST_NORMAL(-0.597456, -0.614033, -0.515761), _
      New TEST_NORMAL(-0.5792, 0.379365, 0.721533), _
      New TEST_NORMAL(-0.555871, -0.460956, 0.691756), _
      New TEST_NORMAL(0.061759, -0.143486, -0.987723), _
      New TEST_NORMAL(0.134496, 0.033527, 0.990347), _
      New TEST_NORMAL(0.159103, 0.764709, -0.624425), _
      New TEST_NORMAL(0.174574, 0.641621, 0.746891), _
      New TEST_NORMAL(0.191482, 0.980334, 0.04774), _
      New TEST_NORMAL(0.211388, 0.976352, 0.045294), _
      New TEST_NORMAL(0.273025, 0.950996, -0.145136), _
      New TEST_NORMAL(0.289729, -0.951833, -0.100358), _
      New TEST_NORMAL(0.349985, -0.617541, 0.704381), _
      New TEST_NORMAL(0.358881, -0.767943, -0.530536), _
      New TEST_NORMAL(0.393645, -0.919262, 0.001177), _
      New TEST_NORMAL(0.424515, -0.902974, -0.066528), _
      New TEST_NORMAL(0.744299, 0.059854, 0.665158), _
      New TEST_NORMAL(0.835618, -0.006939, -0.549267), _
      New TEST_NORMAL(0.995355, 0.077864, -0.056623), _
      New TEST_NORMAL(0.997291, 0.07072, 0.020223), _
      New TEST_NORMAL(0.998303, 0.057821, 0.006921) _
    }

    normal_LU_Leg = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.990642, 0.04082, -0.130241), _
      New TEST_NORMAL(-0.987668, 0.042203, -0.15077), _
      New TEST_NORMAL(-0.981875, 0.080488, -0.17159), _
      New TEST_NORMAL(-0.57087, -0.802922, -0.171531), _
      New TEST_NORMAL(-0.557827, 0.829957, 0.000748), _
      New TEST_NORMAL(-0.543407, -0.833137, 0.102919), _
      New TEST_NORMAL(-0.520231, 0.851786, -0.061812), _
      New TEST_NORMAL(-0.494997, -0.867879, -0.041991), _
      New TEST_NORMAL(-0.491298, 0.851313, -0.184101), _
      New TEST_NORMAL(0.518268, 0.846647, 0.120779), _
      New TEST_NORMAL(0.520826, 0.853645, -0.005511), _
      New TEST_NORMAL(0.535595, 0.840277, -0.084102), _
      New TEST_NORMAL(0.562503, -0.819889, 0.106645), _
      New TEST_NORMAL(0.566858, -0.820849, 0.069851), _
      New TEST_NORMAL(0.596895, -0.799152, -0.071219), _
      New TEST_NORMAL(0.99616, 0.087521, 0.002176), _
      New TEST_NORMAL(0.999593, -0.02853, -0.000239), _
      New TEST_NORMAL(0.999968, 0.001472, -0.007885) _
    }

    normal_L_Fingers = New TEST_NORMAL() { _
      New TEST_NORMAL(0.959418, -0.272942, -0.070844), _
      New TEST_NORMAL(0.96179, 0.272416, -0.027369), _
      New TEST_NORMAL(0.986641, 0.154004, 0.053117), _
      New TEST_NORMAL(0.994931, 0.050977, -0.086683), _
      New TEST_NORMAL(0.994955, -0.048482, -0.087829), _
      New TEST_NORMAL(0.999143, 0.010484, -0.040051), _
      New TEST_NORMAL(0.999222, 0.018711, 0.034704), _
      New TEST_NORMAL(-0.999936, -0.000421, -0.011282), _
      New TEST_NORMAL(-0.999395, 0.034767, 0.000621), _
      New TEST_NORMAL(-0.999368, 0.034532, -0.008435), _
      New TEST_NORMAL(-0.999354, -0.034809, -0.008905), _
      New TEST_NORMAL(-0.99543, -0.032126, 0.089928), _
      New TEST_NORMAL(-0.99136, -0.117409, 0.058477), _
      New TEST_NORMAL(-0.234704, 0.946707, -0.220591), _
      New TEST_NORMAL(-0.183074, 0.017059, -0.982951), _
      New TEST_NORMAL(-0.046114, -0.967767, -0.247591), _
      New TEST_NORMAL(0.0, -0.999248, 0.038771), _
      New TEST_NORMAL(0.0, -0.969289, -0.245925), _
      New TEST_NORMAL(0.0, -0.009296, 0.999957), _
      New TEST_NORMAL(0.0, 0.971441, -0.237282), _
      New TEST_NORMAL(0.0, 0.999841, 0.017847), _
      New TEST_NORMAL(0.00924, -0.03727, -0.999263), _
      New TEST_NORMAL(0.047976, -0.998157, 0.037154), _
      New TEST_NORMAL(0.06451, 0.002999, 0.997913) _
    }

    normal_L_Foot = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.939603, -0.038287, 0.340117), _
      New TEST_NORMAL(-0.784828, -0.046099, -0.617996), _
      New TEST_NORMAL(-0.664512, 0.659005, -0.352329), _
      New TEST_NORMAL(-0.516661, 0.298815, 0.802354), _
      New TEST_NORMAL(-0.498861, -0.797664, 0.338926), _
      New TEST_NORMAL(-0.461255, -0.600215, -0.653441), _
      New TEST_NORMAL(-0.438271, -0.189475, 0.878645), _
      New TEST_NORMAL(-0.014613, 0.006028, -0.999875), _
      New TEST_NORMAL(0.308517, 0.589258, 0.746721), _
      New TEST_NORMAL(0.333047, -0.677363, 0.655941), _
      New TEST_NORMAL(0.357252, 0.83108, -0.426236), _
      New TEST_NORMAL(0.607628, -0.164665, 0.776964), _
      New TEST_NORMAL(0.621241, -0.683384, -0.383466), _
      New TEST_NORMAL(0.819555, 0.117755, -0.56077) _
    }

    normal_L_Hand = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.733073, -0.088225, 0.674403), _
      New TEST_NORMAL(-0.661059, 0.727998, 0.18171), _
      New TEST_NORMAL(-0.65597, -0.531702, -0.535721), _
      New TEST_NORMAL(-0.645504, 0.158075, -0.747219), _
      New TEST_NORMAL(-0.630039, 0.67343, -0.386709), _
      New TEST_NORMAL(-0.616046, 0.569207, -0.54451), _
      New TEST_NORMAL(-0.615236, -0.240548, -0.750747), _
      New TEST_NORMAL(-0.552696, -0.833365, 0.005421), _
      New TEST_NORMAL(-0.216373, -0.763898, 0.607982), _
      New TEST_NORMAL(-0.185914, 0.24701, -0.951011), _
      New TEST_NORMAL(0.372024, -0.418943, -0.828303), _
      New TEST_NORMAL(0.432251, -0.482946, -0.761526), _
      New TEST_NORMAL(0.509958, 0.641087, -0.573542), _
      New TEST_NORMAL(0.513233, 0.852981, -0.094952), _
      New TEST_NORMAL(0.559904, -0.434876, 0.705259), _
      New TEST_NORMAL(0.575864, -0.816427, 0.042756), _
      New TEST_NORMAL(0.611345, 0.498785, 0.614387), _
      New TEST_NORMAL(0.765419, -0.640034, 0.067006) _
    }

    normal_Obj = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.999842, 0.0, 0.01778), _
      New TEST_NORMAL(-0.999832, 0.0, 0.018318), _
      New TEST_NORMAL(-0.017298, 0.038423, -0.999112), _
      New TEST_NORMAL(-0.016356, 0.038364, -0.99913), _
      New TEST_NORMAL(0.016337, 0.038423, 0.999128), _
      New TEST_NORMAL(0.016339, 0.038423, 0.999128), _
      New TEST_NORMAL(0.999827, 0.0, -0.018587), _
      New TEST_NORMAL(0.999832, 0.0, -0.01831), _
      New TEST_NORMAL(-0.999841, 0.0, 0.017808), _
      New TEST_NORMAL(-0.99984, 0.000503, 0.017882), _
      New TEST_NORMAL(-0.999835, 0.0, 0.018137), _
      New TEST_NORMAL(-0.999835, 0.0, 0.01818), _
      New TEST_NORMAL(-0.999834, 0.000203, 0.018219), _
      New TEST_NORMAL(-0.999833, 0.00017, 0.018295), _
      New TEST_NORMAL(-0.999832, 0.000183, 0.01831), _
      New TEST_NORMAL(-0.999832, 0.000175, 0.018317), _
      New TEST_NORMAL(-0.999832, 0.0, 0.018328), _
      New TEST_NORMAL(-0.999831, 0.0, 0.018408), _
      New TEST_NORMAL(-0.999827, 0.0, 0.018585), _
      New TEST_NORMAL(-0.999827, 0.0, 0.018585), _
      New TEST_NORMAL(-0.999827, 0.0, 0.018589), _
      New TEST_NORMAL(-0.999825, 0.000552, 0.018715), _
      New TEST_NORMAL(-0.014734, 0.433581, -0.900994), _
      New TEST_NORMAL(-0.010764, 0.78316, -0.621728), _
      New TEST_NORMAL(-0.010171, 0.783092, -0.621822), _
      New TEST_NORMAL(-0.009803, -0.824217, -0.566189), _
      New TEST_NORMAL(-0.009353, -0.820233, -0.571952), _
      New TEST_NORMAL(-0.009353, -0.820233, -0.571952), _
      New TEST_NORMAL(-0.00925, -0.824618, -0.565614), _
      New TEST_NORMAL(-0.008199, -0.8655, -0.500841), _
      New TEST_NORMAL(-0.00819, -0.865501, -0.500839), _
      New TEST_NORMAL(-0.001801, 0.993918, -0.110111), _
      New TEST_NORMAL(-0.0018, 0.993918, -0.110111), _
      New TEST_NORMAL(0.0, -1.0, 0.0), _
      New TEST_NORMAL(0.0, 1.0, 0.0), _
      New TEST_NORMAL(0.001806, 0.993895, 0.110316), _
      New TEST_NORMAL(0.00191, 0.993896, 0.110303), _
      New TEST_NORMAL(0.00819, -0.865502, 0.500839), _
      New TEST_NORMAL(0.008192, -0.865501, 0.500839), _
      New TEST_NORMAL(0.009249, -0.824626, 0.565602), _
      New TEST_NORMAL(0.009352, -0.820233, 0.571952), _
      New TEST_NORMAL(0.009363, -0.820229, 0.571958), _
      New TEST_NORMAL(0.009814, -0.824217, 0.566189), _
      New TEST_NORMAL(0.010179, 0.783092, 0.621822), _
      New TEST_NORMAL(0.010777, 0.78316, 0.621727), _
      New TEST_NORMAL(0.014732, 0.433577, 0.900996), _
      New TEST_NORMAL(0.014749, 0.433582, 0.900994), _
      New TEST_NORMAL(0.999827, 0.0, -0.018589), _
      New TEST_NORMAL(0.99983, 0.000218, -0.018435), _
      New TEST_NORMAL(0.999831, 0.0, -0.018407), _
      New TEST_NORMAL(0.999831, 0.0, -0.018407), _
      New TEST_NORMAL(0.999832, -0.000182, -0.018318), _
      New TEST_NORMAL(0.999832, -0.000182, -0.018318), _
      New TEST_NORMAL(0.999834, -0.000204, -0.018219), _
      New TEST_NORMAL(0.999834, 0.0, -0.018217), _
      New TEST_NORMAL(0.999835, -0.000153, -0.018188), _
      New TEST_NORMAL(0.999835, 0.0, -0.01818), _
      New TEST_NORMAL(0.99984, 0.000503, -0.017881), _
      New TEST_NORMAL(0.99984, -0.000518, -0.017865), _
      New TEST_NORMAL(0.999842, 0.0, -0.017778), _
      New TEST_NORMAL(0.999849, -0.000595, -0.017348), _
      New TEST_NORMAL(-0.999832, 0.0, 0.018317), _
      New TEST_NORMAL(-0.017313, 0.0, -0.99985), _
      New TEST_NORMAL(-0.017279, -0.063291, -0.997846), _
      New TEST_NORMAL(-0.016318, -0.06332, -0.99786), _
      New TEST_NORMAL(0.01633, -0.050704, 0.99858), _
      New TEST_NORMAL(0.017289, -0.050675, 0.998566), _
      New TEST_NORMAL(0.017311, 0.0, 0.99985), _
      New TEST_NORMAL(0.999832, 0.0, -0.018317) _
    }

    normal_Pelvis = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.999964, -0.004246, 0.007319), _
      New TEST_NORMAL(-0.999899, 0.014204, 0.000672), _
      New TEST_NORMAL(-0.447861, 0.893787, 0.023781), _
      New TEST_NORMAL(-0.44416, -0.895931, -0.005408), _
      New TEST_NORMAL(-0.439873, -0.898047, -0.004874), _
      New TEST_NORMAL(-0.438241, 0.898692, 0.01726), _
      New TEST_NORMAL(0.433136, 0.901015, 0.023778), _
      New TEST_NORMAL(0.440335, -0.897817, -0.005459), _
      New TEST_NORMAL(0.442859, 0.896425, 0.017237), _
      New TEST_NORMAL(0.444622, -0.895706, -0.004799), _
      New TEST_NORMAL(0.999941, 0.007894, 0.007492), _
      New TEST_NORMAL(0.999947, -0.010235, 0.000681), _
      New TEST_NORMAL(-0.905432, -0.149815, 0.397176), _
      New TEST_NORMAL(-0.878941, 0.017302, 0.476617), _
      New TEST_NORMAL(-0.760765, -0.012192, 0.648913), _
      New TEST_NORMAL(-0.473132, 0.83875, 0.269526), _
      New TEST_NORMAL(-0.403419, 0.808668, 0.428145), _
      New TEST_NORMAL(-0.39357, -0.79477, 0.462), _
      New TEST_NORMAL(-0.368072, 0.680971, 0.633089), _
      New TEST_NORMAL(-0.361318, -0.856922, 0.367607), _
      New TEST_NORMAL(-0.360896, -0.708984, 0.605884), _
      New TEST_NORMAL(0.370205, -0.69943, 0.611348), _
      New TEST_NORMAL(0.371411, 0.680809, 0.631311), _
      New TEST_NORMAL(0.396647, -0.791745, 0.464554), _
      New TEST_NORMAL(0.406826, 0.807315, 0.427475), _
      New TEST_NORMAL(0.411409, -0.843521, 0.345274), _
      New TEST_NORMAL(0.502029, 0.834508, 0.227075), _
      New TEST_NORMAL(0.786348, -0.020336, 0.617449), _
      New TEST_NORMAL(0.897562, 0.008117, 0.440814), _
      New TEST_NORMAL(0.951259, -0.140961, 0.274293) _
    }

    normal_RL_Arm = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.981982, -0.148522, 0.116844), _
      New TEST_NORMAL(-0.779844, -0.104656, -0.617164), _
      New TEST_NORMAL(-0.73716, -0.13619, 0.661852), _
      New TEST_NORMAL(-0.444358, 0.893013, 0.071236), _
      New TEST_NORMAL(-0.362389, 0.695653, -0.620275), _
      New TEST_NORMAL(-0.293032, 0.714207, 0.635642), _
      New TEST_NORMAL(-0.219625, -0.974781, 0.039593), _
      New TEST_NORMAL(-0.190827, -0.75491, -0.627452), _
      New TEST_NORMAL(-0.113401, -0.813766, 0.570022), _
      New TEST_NORMAL(0.0, 0.0, -1.0), _
      New TEST_NORMAL(0.086018, -0.039054, 0.995528), _
      New TEST_NORMAL(0.570985, 0.496114, -0.654101), _
      New TEST_NORMAL(0.651601, -0.387655, -0.652028), _
      New TEST_NORMAL(0.658204, 0.532044, 0.532632), _
      New TEST_NORMAL(0.714632, 0.69883, -0.030618), _
      New TEST_NORMAL(0.738218, -0.411595, 0.534438), _
      New TEST_NORMAL(0.883572, -0.467822, -0.021057) _
    }

    normal_RL_Leg = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.988144, 0.068892, 0.137206), _
      New TEST_NORMAL(-0.987326, -0.005, 0.158629), _
      New TEST_NORMAL(-0.560882, -0.827702, 0.017882), _
      New TEST_NORMAL(-0.520135, -0.853266, 0.037389), _
      New TEST_NORMAL(-0.496189, 0.858934, 0.126602), _
      New TEST_NORMAL(-0.485319, 0.865294, 0.125425), _
      New TEST_NORMAL(0.497803, 0.866577, 0.035159), _
      New TEST_NORMAL(0.509239, 0.859945, 0.034197), _
      New TEST_NORMAL(0.51433, -0.853448, -0.084203), _
      New TEST_NORMAL(0.534213, -0.843115, -0.061427), _
      New TEST_NORMAL(0.995773, 0.088987, -0.022752), _
      New TEST_NORMAL(0.99869, 0.015943, -0.048631), _
      New TEST_NORMAL(-0.996515, -0.007286, 0.083096), _
      New TEST_NORMAL(-0.853914, 0.015183, -0.520193), _
      New TEST_NORMAL(-0.486812, 0.873495, 0.004464), _
      New TEST_NORMAL(-0.486712, -0.871653, -0.057728), _
      New TEST_NORMAL(-0.478983, -0.637285, -0.603692), _
      New TEST_NORMAL(-0.478867, 0.671442, -0.565555), _
      New TEST_NORMAL(-0.142062, 0.021163, -0.989632), _
      New TEST_NORMAL(-0.129361, 0.027601, -0.991213), _
      New TEST_NORMAL(-0.127531, 0.022219, -0.991586), _
      New TEST_NORMAL(-0.127493, 0.010928, -0.991779), _
      New TEST_NORMAL(-0.126897, 0.030423, -0.991449), _
      New TEST_NORMAL(-0.120814, 0.025565, -0.992346), _
      New TEST_NORMAL(0.261279, -0.630035, -0.731293), _
      New TEST_NORMAL(0.26258, 0.669044, -0.695293), _
      New TEST_NORMAL(0.47776, -0.837795, -0.26428), _
      New TEST_NORMAL(0.487497, 0.848419, -0.206233), _
      New TEST_NORMAL(0.631201, 0.01908, -0.775385), _
      New TEST_NORMAL(0.942596, 0.003914, -0.333911) _
    }

    normal_RU_Arm = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.998009, 0.06244, 0.008917), _
      New TEST_NORMAL(-0.997041, 0.074925, 0.017213), _
      New TEST_NORMAL(-0.995187, 0.078777, -0.05828), _
      New TEST_NORMAL(-0.849647, -0.005834, -0.527319), _
      New TEST_NORMAL(-0.757678, 0.052462, 0.650516), _
      New TEST_NORMAL(-0.42584, -0.902978, -0.05737), _
      New TEST_NORMAL(-0.402295, -0.915435, 0.011721), _
      New TEST_NORMAL(-0.367668, -0.77747, -0.510256), _
      New TEST_NORMAL(-0.352319, -0.629891, 0.692177), _
      New TEST_NORMAL(-0.298974, -0.949246, -0.097711), _
      New TEST_NORMAL(-0.268081, 0.954893, -0.12772), _
      New TEST_NORMAL(-0.219131, 0.974958, 0.037925), _
      New TEST_NORMAL(-0.191617, 0.979848, 0.056396), _
      New TEST_NORMAL(-0.176539, 0.660111, 0.730128), _
      New TEST_NORMAL(-0.160623, 0.770145, -0.617314), _
      New TEST_NORMAL(-0.137826, 0.038925, 0.989691), _
      New TEST_NORMAL(-0.066204, -0.15227, -0.986119), _
      New TEST_NORMAL(0.561881, -0.461878, 0.686264), _
      New TEST_NORMAL(0.591743, 0.384893, 0.708306), _
      New TEST_NORMAL(0.607378, -0.610527, -0.50828), _
      New TEST_NORMAL(0.754708, 0.386986, -0.529772), _
      New TEST_NORMAL(0.778378, -0.62707, 0.030161), _
      New TEST_NORMAL(0.789476, -0.605718, -0.099161), _
      New TEST_NORMAL(0.809413, -0.586358, -0.03217), _
      New TEST_NORMAL(0.872556, 0.487659, 0.028889), _
      New TEST_NORMAL(0.878789, 0.469981, 0.082753), _
      New TEST_NORMAL(0.895544, 0.443651, -0.034274) _
    }

    normal_RU_Leg = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.996686, 0.038783, 0.071505), _
      New TEST_NORMAL(-0.995953, 0.074605, 0.05011), _
      New TEST_NORMAL(-0.994955, 0.039028, 0.092419), _
      New TEST_NORMAL(-0.59948, -0.799431, -0.039168), _
      New TEST_NORMAL(-0.535358, 0.835233, 0.125611), _
      New TEST_NORMAL(-0.529378, 0.845567, -0.069105), _
      New TEST_NORMAL(-0.523727, 0.850249, 0.052797), _
      New TEST_NORMAL(-0.49702, -0.839032, 0.22135), _
      New TEST_NORMAL(-0.490012, -0.869272, 0.065227), _
      New TEST_NORMAL(0.494136, 0.84625, -0.199224), _
      New TEST_NORMAL(0.505251, 0.854875, -0.117937), _
      New TEST_NORMAL(0.538316, 0.842743, -0.000132), _
      New TEST_NORMAL(0.561636, -0.802824, -0.200097), _
      New TEST_NORMAL(0.568885, -0.82062, -0.054345), _
      New TEST_NORMAL(0.584662, -0.81088, -0.025382), _
      New TEST_NORMAL(0.971905, 0.091556, -0.216839), _
      New TEST_NORMAL(0.973507, 0.003298, -0.228635), _
      New TEST_NORMAL(0.974791, -0.023712, -0.221857) _
    }

    normal_R_Foot = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.82052, 0.117382, -0.559436), _
      New TEST_NORMAL(-0.620806, -0.682956, -0.384931), _
      New TEST_NORMAL(-0.607545, -0.16452, 0.77706), _
      New TEST_NORMAL(-0.35751, 0.830821, -0.426525), _
      New TEST_NORMAL(-0.334393, -0.676866, 0.65577), _
      New TEST_NORMAL(-0.308451, 0.589222, 0.746777), _
      New TEST_NORMAL(0.015435, 0.005595, -0.999865), _
      New TEST_NORMAL(0.461082, -0.18653, 0.867531), _
      New TEST_NORMAL(0.461349, -0.599002, -0.654487), _
      New TEST_NORMAL(0.499983, -0.797575, 0.337479), _
      New TEST_NORMAL(0.53138, 0.29154, 0.795386), _
      New TEST_NORMAL(0.676124, 0.648867, -0.349038), _
      New TEST_NORMAL(0.833708, -0.038814, -0.55084), _
      New TEST_NORMAL(0.919936, -0.037489, 0.390273) _
    }

    normal_R_Hand = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.765784, -0.642478, 0.028223), _
      New TEST_NORMAL(-0.63242, 0.512026, 0.581269), _
      New TEST_NORMAL(-0.623153, -0.782098, 0.001766), _
      New TEST_NORMAL(-0.572729, -0.446225, 0.687652), _
      New TEST_NORMAL(-0.518666, 0.848665, -0.103697), _
      New TEST_NORMAL(-0.497476, 0.642108, -0.583279), _
      New TEST_NORMAL(-0.403364, -0.477132, -0.780796), _
      New TEST_NORMAL(-0.335219, -0.409469, -0.848506), _
      New TEST_NORMAL(0.216798, -0.78789, 0.576393), _
      New TEST_NORMAL(0.245768, 0.268972, -0.931264), _
      New TEST_NORMAL(0.545399, -0.837768, 0.026161), _
      New TEST_NORMAL(0.639379, -0.238523, -0.73096), _
      New TEST_NORMAL(0.647042, 0.674795, -0.354948), _
      New TEST_NORMAL(0.655896, 0.725559, 0.208242), _
      New TEST_NORMAL(0.663703, 0.577269, -0.475667), _
      New TEST_NORMAL(0.679268, -0.526816, -0.51094), _
      New TEST_NORMAL(0.684827, 0.188741, -0.703839), _
      New TEST_NORMAL(0.705667, -0.097339, 0.701825) _
    }

    normal_Torso = New TEST_NORMAL() { _
      New TEST_NORMAL(-0.989013, 0.033344, -0.144018), _
      New TEST_NORMAL(-0.850083, 0.066353, 0.522452), _
      New TEST_NORMAL(-0.843097, 0.027979, -0.537033), _
      New TEST_NORMAL(-0.789478, -0.014351, 0.613611), _
      New TEST_NORMAL(-0.606318, 0.061398, -0.792848), _
      New TEST_NORMAL(-0.547781, -0.106642, 0.829798), _
      New TEST_NORMAL(-0.445252, 0.885058, 0.13573), _
      New TEST_NORMAL(-0.414864, 0.82263, -0.388803), _
      New TEST_NORMAL(-0.407068, -0.9092, -0.087466), _
      New TEST_NORMAL(-0.385697, 0.65932, 0.645396), _
      New TEST_NORMAL(-0.382034, -0.808885, -0.446939), _
      New TEST_NORMAL(-0.339944, -0.710804, 0.615789), _
      New TEST_NORMAL(-0.337552, 0.685828, 0.644746), _
      New TEST_NORMAL(-0.328721, 0.796505, -0.507466), _
      New TEST_NORMAL(-0.315368, -0.752126, 0.578661), _
      New TEST_NORMAL(-0.270062, -0.697356, 0.663898), _
      New TEST_NORMAL(-0.263733, -0.73704, -0.622267), _
      New TEST_NORMAL(-0.24109, 0.800822, 0.548234), _
      New TEST_NORMAL(-0.063159, 0.001663, -0.998002), _
      New TEST_NORMAL(-0.01426, 0.075776, -0.997023), _
      New TEST_NORMAL(0.028437, -0.100235, -0.994557), _
      New TEST_NORMAL(0.08104, -0.00082, -0.996711), _
      New TEST_NORMAL(0.252554, 0.677549, 0.690756), _
      New TEST_NORMAL(0.25931, -0.705125, 0.659968), _
      New TEST_NORMAL(0.280235, 0.808222, -0.517924), _
      New TEST_NORMAL(0.283571, -0.726018, -0.626487), _
      New TEST_NORMAL(0.311346, 0.704313, 0.637971), _
      New TEST_NORMAL(0.335031, -0.711058, 0.618184), _
      New TEST_NORMAL(0.341153, 0.686724, 0.641892), _
      New TEST_NORMAL(0.342689, -0.753938, 0.560483), _
      New TEST_NORMAL(0.379605, -0.801933, -0.461306), _
      New TEST_NORMAL(0.397017, 0.838338, -0.373585), _
      New TEST_NORMAL(0.398732, 0.917049, 0.005863), _
      New TEST_NORMAL(0.419945, -0.905005, -0.067915), _
      New TEST_NORMAL(0.559439, -0.000794, 0.828871), _
      New TEST_NORMAL(0.64026, -0.019995, -0.767898), _
      New TEST_NORMAL(0.788558, -0.006145, 0.614929), _
      New TEST_NORMAL(0.846617, -0.060795, 0.528718), _
      New TEST_NORMAL(0.850671, 0.011429, -0.525573), _
      New TEST_NORMAL(0.988142, -0.011051, -0.153147) _
    }

    triangle4_Head = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(0, 5, 1, 4, 7, 6, 4, 6, 7, 0), _
      New TEST_TRIANGLE4(0, 4, 5, 4, 5, 7, 4, 5, 6, 0), _
      New TEST_TRIANGLE4(7, 3, 2, 2, 3, 1, 2, 3, 0, 0), _
      New TEST_TRIANGLE4(7, 2, 6, 2, 1, 0, 2, 0, 1, 0), _
      New TEST_TRIANGLE4(3, 4, 0, 3, 5, 4, 3, 5, 4, 0), _
      New TEST_TRIANGLE4(7, 4, 3, 2, 5, 3, 2, 5, 3, 0), _
      New TEST_TRIANGLE4(8, 14, 9, 0, 0, 0, 18, 18, 18, 2), _
      New TEST_TRIANGLE4(13, 14, 8, 0, 0, 0, 17, 17, 17, 2), _
      New TEST_TRIANGLE4(9, 15, 10, 0, 0, 0, 14, 14, 14, 2), _
      New TEST_TRIANGLE4(9, 14, 15, 0, 0, 0, 14, 14, 14, 2), _
      New TEST_TRIANGLE4(10, 16, 11, 0, 0, 0, 8, 8, 8, 2), _
      New TEST_TRIANGLE4(10, 15, 16, 0, 0, 0, 9, 9, 9, 2), _
      New TEST_TRIANGLE4(12, 18, 13, 0, 0, 0, 15, 15, 15, 2), _
      New TEST_TRIANGLE4(13, 18, 14, 0, 0, 0, 16, 16, 16, 2), _
      New TEST_TRIANGLE4(15, 14, 18, 0, 0, 0, 13, 13, 13, 2), _
      New TEST_TRIANGLE4(16, 15, 18, 0, 0, 0, 10, 10, 10, 2), _
      New TEST_TRIANGLE4(18, 17, 16, 0, 0, 0, 11, 11, 11, 2), _
      New TEST_TRIANGLE4(18, 12, 17, 0, 0, 0, 12, 12, 12, 2), _
      New TEST_TRIANGLE4(20, 21, 19, 0, 0, 0, 22, 22, 22, 1), _
      New TEST_TRIANGLE4(19, 21, 22, 0, 0, 0, 21, 21, 21, 1), _
      New TEST_TRIANGLE4(24, 25, 20, 0, 0, 0, 26, 26, 26, 1), _
      New TEST_TRIANGLE4(20, 25, 21, 0, 0, 0, 26, 26, 26, 1), _
      New TEST_TRIANGLE4(21, 25, 26, 0, 0, 0, 30, 30, 30, 1), _
      New TEST_TRIANGLE4(22, 21, 26, 0, 0, 0, 30, 30, 30, 1), _
      New TEST_TRIANGLE4(22, 26, 23, 0, 0, 0, 32, 32, 32, 1), _
      New TEST_TRIANGLE4(19, 22, 23, 0, 0, 0, 32, 32, 32, 1), _
      New TEST_TRIANGLE4(26, 25, 23, 0, 0, 0, 37, 37, 37, 1), _
      New TEST_TRIANGLE4(25, 24, 23, 0, 0, 0, 36, 36, 36, 1), _
      New TEST_TRIANGLE4(29, 27, 28, 0, 0, 0, 20, 20, 20, 1), _
      New TEST_TRIANGLE4(30, 27, 29, 0, 0, 0, 19, 19, 19, 1), _
      New TEST_TRIANGLE4(33, 28, 32, 0, 0, 0, 29, 29, 29, 1), _
      New TEST_TRIANGLE4(29, 28, 33, 0, 0, 0, 29, 29, 29, 1), _
      New TEST_TRIANGLE4(31, 30, 34, 0, 0, 0, 28, 28, 28, 1), _
      New TEST_TRIANGLE4(31, 27, 30, 0, 0, 0, 25, 25, 25, 1), _
      New TEST_TRIANGLE4(31, 34, 33, 0, 0, 0, 38, 38, 38, 1), _
      New TEST_TRIANGLE4(33, 32, 31, 0, 0, 0, 33, 33, 33, 1), _
      New TEST_TRIANGLE4(37, 35, 36, 0, 0, 0, 23, 23, 23, 1), _
      New TEST_TRIANGLE4(38, 35, 37, 0, 0, 0, 24, 24, 24, 1), _
      New TEST_TRIANGLE4(41, 36, 40, 0, 0, 0, 31, 31, 31, 1), _
      New TEST_TRIANGLE4(37, 36, 41, 0, 0, 0, 31, 31, 31, 1), _
      New TEST_TRIANGLE4(39, 38, 42, 0, 0, 0, 27, 27, 27, 1), _
      New TEST_TRIANGLE4(39, 35, 38, 0, 0, 0, 27, 27, 27, 1), _
      New TEST_TRIANGLE4(39, 42, 41, 0, 0, 0, 34, 34, 34, 1), _
      New TEST_TRIANGLE4(41, 40, 39, 0, 0, 0, 35, 35, 35, 1) _
    }

    triangle4_LL_Arm = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(1, 6, 0, 11, 4, 10, 5, 2, 3, 3), _
      New TEST_TRIANGLE4(0, 6, 5, 10, 4, 1, 3, 2, 0, 3), _
      New TEST_TRIANGLE4(2, 7, 1, 25, 27, 13, 12, 13, 5, 3), _
      New TEST_TRIANGLE4(1, 7, 6, 13, 27, 5, 5, 13, 2, 3), _
      New TEST_TRIANGLE4(3, 8, 2, 31, 34, 25, 15, 16, 12, 3), _
      New TEST_TRIANGLE4(2, 8, 7, 25, 34, 27, 12, 16, 13, 3), _
      New TEST_TRIANGLE4(4, 9, 3, 23, 20, 32, 9, 10, 15, 3), _
      New TEST_TRIANGLE4(3, 9, 8, 32, 20, 35, 15, 10, 16, 3), _
      New TEST_TRIANGLE4(0, 5, 4, 8, 0, 23, 3, 0, 9, 3), _
      New TEST_TRIANGLE4(4, 5, 9, 23, 0, 20, 9, 0, 10, 3), _
      New TEST_TRIANGLE4(5, 6, 11, 1, 4, 6, 0, 2, 4, 3), _
      New TEST_TRIANGLE4(5, 11, 10, 1, 6, 3, 0, 4, 1, 3), _
      New TEST_TRIANGLE4(6, 7, 12, 5, 27, 21, 2, 13, 11, 3), _
      New TEST_TRIANGLE4(6, 12, 11, 5, 21, 7, 2, 11, 4, 3), _
      New TEST_TRIANGLE4(7, 8, 13, 27, 34, 28, 13, 16, 14, 3), _
      New TEST_TRIANGLE4(7, 13, 12, 27, 28, 21, 13, 14, 11, 3), _
      New TEST_TRIANGLE4(8, 9, 14, 35, 20, 18, 16, 10, 8, 3), _
      New TEST_TRIANGLE4(8, 14, 13, 35, 18, 30, 16, 8, 14, 3), _
      New TEST_TRIANGLE4(5, 10, 9, 0, 2, 20, 0, 1, 10, 3), _
      New TEST_TRIANGLE4(14, 9, 10, 18, 20, 2, 8, 10, 1, 3), _
      New TEST_TRIANGLE4(1, 0, 16, 12, 9, 19, 5, 3, 7, 3), _
      New TEST_TRIANGLE4(1, 16, 2, 12, 19, 26, 5, 7, 12, 3), _
      New TEST_TRIANGLE4(2, 16, 3, 26, 19, 33, 12, 7, 15, 3), _
      New TEST_TRIANGLE4(3, 16, 4, 33, 19, 24, 15, 7, 9, 3), _
      New TEST_TRIANGLE4(4, 16, 0, 24, 19, 9, 9, 7, 3, 3), _
      New TEST_TRIANGLE4(10, 11, 15, 3, 6, 16, 1, 4, 6, 3), _
      New TEST_TRIANGLE4(11, 12, 15, 7, 21, 17, 4, 11, 6, 3), _
      New TEST_TRIANGLE4(12, 13, 15, 22, 29, 14, 11, 14, 6, 3), _
      New TEST_TRIANGLE4(13, 14, 15, 30, 18, 15, 14, 8, 6, 3), _
      New TEST_TRIANGLE4(10, 15, 14, 2, 15, 18, 1, 6, 8, 3) _
    }

    triangle4_LL_Leg = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(0, 3, 1, 0, 0, 0, 0, 5, 1, 4), _
      New TEST_TRIANGLE4(2, 3, 0, 0, 0, 0, 4, 5, 0, 4), _
      New TEST_TRIANGLE4(2, 5, 3, 0, 0, 0, 4, 7, 5, 4), _
      New TEST_TRIANGLE4(4, 5, 2, 0, 0, 0, 6, 7, 4, 4), _
      New TEST_TRIANGLE4(4, 7, 5, 0, 0, 0, 6, 10, 7, 4), _
      New TEST_TRIANGLE4(6, 7, 4, 0, 0, 0, 11, 10, 6, 4), _
      New TEST_TRIANGLE4(6, 9, 7, 0, 0, 0, 11, 9, 10, 4), _
      New TEST_TRIANGLE4(8, 9, 6, 0, 0, 0, 8, 9, 11, 4), _
      New TEST_TRIANGLE4(11, 9, 8, 0, 0, 0, 2, 9, 8, 4), _
      New TEST_TRIANGLE4(11, 8, 10, 0, 0, 0, 2, 8, 3, 4), _
      New TEST_TRIANGLE4(11, 10, 1, 0, 0, 0, 2, 3, 1, 4), _
      New TEST_TRIANGLE4(1, 10, 0, 0, 0, 0, 1, 3, 0, 4), _
      New TEST_TRIANGLE4(12, 16, 13, 0, 0, 0, 19, 16, 13, 5), _
      New TEST_TRIANGLE4(15, 16, 12, 0, 0, 0, 18, 16, 19, 5), _
      New TEST_TRIANGLE4(13, 17, 14, 0, 0, 0, 13, 14, 12, 5), _
      New TEST_TRIANGLE4(13, 16, 17, 0, 0, 0, 13, 16, 14, 5), _
      New TEST_TRIANGLE4(15, 19, 16, 0, 0, 0, 18, 25, 16, 5), _
      New TEST_TRIANGLE4(18, 19, 15, 0, 0, 0, 23, 25, 18, 5), _
      New TEST_TRIANGLE4(17, 16, 20, 0, 0, 0, 14, 16, 27, 5), _
      New TEST_TRIANGLE4(20, 16, 19, 0, 0, 0, 27, 16, 25, 5), _
      New TEST_TRIANGLE4(18, 22, 19, 0, 0, 0, 23, 28, 25, 5), _
      New TEST_TRIANGLE4(21, 22, 18, 0, 0, 0, 21, 28, 23, 5), _
      New TEST_TRIANGLE4(20, 19, 23, 0, 0, 0, 27, 25, 29, 5), _
      New TEST_TRIANGLE4(23, 19, 22, 0, 0, 0, 29, 25, 28, 5), _
      New TEST_TRIANGLE4(25, 22, 21, 0, 0, 0, 24, 28, 21, 5), _
      New TEST_TRIANGLE4(25, 21, 24, 0, 0, 0, 24, 21, 22, 5), _
      New TEST_TRIANGLE4(23, 22, 26, 0, 0, 0, 29, 28, 26, 5), _
      New TEST_TRIANGLE4(25, 26, 22, 0, 0, 0, 24, 26, 28, 5), _
      New TEST_TRIANGLE4(25, 24, 28, 0, 0, 0, 24, 22, 17, 5), _
      New TEST_TRIANGLE4(28, 24, 27, 0, 0, 0, 17, 22, 20, 5), _
      New TEST_TRIANGLE4(29, 26, 25, 0, 0, 0, 15, 26, 24, 5), _
      New TEST_TRIANGLE4(25, 28, 29, 0, 0, 0, 24, 17, 15, 5), _
      New TEST_TRIANGLE4(28, 27, 13, 0, 0, 0, 17, 20, 13, 5), _
      New TEST_TRIANGLE4(13, 27, 12, 0, 0, 0, 13, 20, 19, 5), _
      New TEST_TRIANGLE4(29, 28, 14, 0, 0, 0, 15, 17, 12, 5), _
      New TEST_TRIANGLE4(14, 28, 13, 0, 0, 0, 12, 17, 13, 5) _
    }

    triangle4_LU_Arm = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(1, 6, 0, 9, 0, 19, 6, 2, 7, 3), _
      New TEST_TRIANGLE4(0, 6, 5, 19, 0, 7, 7, 2, 3, 3), _
      New TEST_TRIANGLE4(2, 7, 1, 27, 34, 10, 12, 15, 6, 3), _
      New TEST_TRIANGLE4(1, 7, 6, 10, 34, 1, 6, 15, 2, 3), _
      New TEST_TRIANGLE4(8, 2, 3, 55, 27, 45, 25, 12, 23, 3), _
      New TEST_TRIANGLE4(8, 7, 2, 55, 34, 27, 25, 15, 12, 3), _
      New TEST_TRIANGLE4(9, 3, 4, 41, 47, 36, 17, 23, 19, 3), _
      New TEST_TRIANGLE4(8, 3, 9, 56, 47, 41, 25, 23, 17, 3), _
      New TEST_TRIANGLE4(0, 5, 4, 18, 6, 36, 7, 3, 19, 3), _
      New TEST_TRIANGLE4(9, 4, 5, 41, 36, 6, 17, 19, 3, 3), _
      New TEST_TRIANGLE4(5, 6, 11, 7, 0, 11, 3, 2, 0, 3), _
      New TEST_TRIANGLE4(5, 11, 10, 7, 11, 17, 3, 0, 4, 3), _
      New TEST_TRIANGLE4(6, 7, 12, 1, 34, 33, 2, 15, 16, 3), _
      New TEST_TRIANGLE4(6, 12, 11, 1, 33, 12, 2, 16, 0, 3), _
      New TEST_TRIANGLE4(8, 13, 7, 55, 48, 34, 25, 24, 15, 3), _
      New TEST_TRIANGLE4(7, 13, 12, 34, 48, 33, 15, 24, 16, 3), _
      New TEST_TRIANGLE4(8, 9, 14, 56, 41, 37, 25, 17, 21, 3), _
      New TEST_TRIANGLE4(14, 13, 8, 37, 49, 56, 21, 24, 25, 3), _
      New TEST_TRIANGLE4(5, 10, 9, 6, 16, 41, 3, 4, 17, 3), _
      New TEST_TRIANGLE4(9, 10, 14, 41, 16, 37, 17, 4, 21, 3), _
      New TEST_TRIANGLE4(10, 11, 16, 17, 11, 2, 4, 0, 1, 3), _
      New TEST_TRIANGLE4(10, 16, 15, 17, 2, 5, 4, 1, 5, 3), _
      New TEST_TRIANGLE4(11, 12, 17, 12, 33, 35, 0, 16, 14, 3), _
      New TEST_TRIANGLE4(11, 17, 16, 12, 35, 3, 0, 14, 1, 3), _
      New TEST_TRIANGLE4(12, 13, 18, 33, 48, 53, 16, 24, 26, 3), _
      New TEST_TRIANGLE4(12, 18, 17, 33, 53, 35, 16, 26, 14, 3), _
      New TEST_TRIANGLE4(14, 19, 13, 37, 42, 49, 21, 20, 24, 3), _
      New TEST_TRIANGLE4(13, 19, 18, 49, 42, 54, 24, 20, 26, 3), _
      New TEST_TRIANGLE4(10, 15, 14, 16, 4, 37, 4, 5, 21, 3), _
      New TEST_TRIANGLE4(14, 15, 19, 37, 4, 42, 21, 5, 20, 3), _
      New TEST_TRIANGLE4(15, 16, 21, 5, 2, 21, 5, 1, 8, 3), _
      New TEST_TRIANGLE4(15, 21, 20, 5, 21, 15, 5, 8, 9, 3), _
      New TEST_TRIANGLE4(16, 17, 22, 3, 35, 30, 1, 14, 13, 3), _
      New TEST_TRIANGLE4(16, 22, 21, 3, 30, 22, 1, 13, 8, 3), _
      New TEST_TRIANGLE4(17, 18, 23, 35, 53, 50, 14, 26, 22, 3), _
      New TEST_TRIANGLE4(17, 23, 22, 35, 50, 30, 14, 22, 13, 3), _
      New TEST_TRIANGLE4(18, 19, 24, 54, 42, 40, 26, 20, 18, 3), _
      New TEST_TRIANGLE4(18, 24, 23, 54, 40, 52, 26, 18, 22, 3), _
      New TEST_TRIANGLE4(15, 20, 19, 4, 14, 42, 5, 9, 20, 3), _
      New TEST_TRIANGLE4(19, 20, 24, 42, 14, 40, 20, 9, 18, 3), _
      New TEST_TRIANGLE4(1, 0, 26, 9, 19, 26, 6, 7, 10, 3), _
      New TEST_TRIANGLE4(1, 26, 2, 8, 25, 28, 6, 10, 12, 3), _
      New TEST_TRIANGLE4(2, 26, 3, 29, 23, 46, 12, 10, 23, 3), _
      New TEST_TRIANGLE4(3, 26, 4, 47, 24, 36, 23, 10, 19, 3), _
      New TEST_TRIANGLE4(4, 26, 0, 36, 24, 18, 19, 10, 7, 3), _
      New TEST_TRIANGLE4(20, 21, 25, 13, 20, 44, 9, 8, 11, 3), _
      New TEST_TRIANGLE4(21, 22, 25, 20, 31, 44, 8, 13, 11, 3), _
      New TEST_TRIANGLE4(22, 23, 25, 32, 51, 43, 13, 22, 11, 3), _
      New TEST_TRIANGLE4(23, 24, 25, 51, 38, 43, 22, 18, 11, 3), _
      New TEST_TRIANGLE4(20, 25, 24, 13, 44, 39, 9, 11, 18, 3) _
    }

    triangle4_LU_Leg = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(1, 5, 2, 0, 0, 0, 2, 6, 1, 4), _
      New TEST_TRIANGLE4(4, 5, 1, 0, 0, 0, 8, 6, 2, 4), _
      New TEST_TRIANGLE4(2, 3, 0, 0, 0, 0, 1, 4, 0, 4), _
      New TEST_TRIANGLE4(2, 5, 3, 0, 0, 0, 1, 6, 4, 4), _
      New TEST_TRIANGLE4(4, 8, 5, 0, 0, 0, 8, 10, 6, 4), _
      New TEST_TRIANGLE4(7, 8, 4, 0, 0, 0, 11, 10, 8, 4), _
      New TEST_TRIANGLE4(3, 5, 6, 0, 0, 0, 4, 6, 9, 4), _
      New TEST_TRIANGLE4(5, 8, 6, 0, 0, 0, 6, 10, 9, 4), _
      New TEST_TRIANGLE4(7, 11, 8, 0, 0, 0, 11, 17, 10, 4), _
      New TEST_TRIANGLE4(10, 11, 7, 0, 0, 0, 15, 17, 11, 4), _
      New TEST_TRIANGLE4(6, 8, 9, 0, 0, 0, 9, 10, 16, 4), _
      New TEST_TRIANGLE4(9, 8, 11, 0, 0, 0, 16, 10, 17, 4), _
      New TEST_TRIANGLE4(10, 14, 11, 0, 0, 0, 15, 13, 17, 4), _
      New TEST_TRIANGLE4(13, 14, 10, 0, 0, 0, 14, 13, 15, 4), _
      New TEST_TRIANGLE4(9, 11, 12, 0, 0, 0, 16, 17, 12, 4), _
      New TEST_TRIANGLE4(12, 11, 14, 0, 0, 0, 12, 17, 13, 4), _
      New TEST_TRIANGLE4(17, 14, 13, 0, 0, 0, 7, 13, 14, 4), _
      New TEST_TRIANGLE4(17, 13, 16, 0, 0, 0, 7, 14, 3, 4), _
      New TEST_TRIANGLE4(12, 14, 15, 0, 0, 0, 12, 13, 5, 4), _
      New TEST_TRIANGLE4(17, 15, 14, 0, 0, 0, 7, 5, 13, 4), _
      New TEST_TRIANGLE4(17, 16, 2, 0, 0, 0, 7, 3, 1, 4), _
      New TEST_TRIANGLE4(2, 16, 1, 0, 0, 0, 1, 3, 2, 4), _
      New TEST_TRIANGLE4(15, 17, 0, 0, 0, 0, 5, 7, 0, 4), _
      New TEST_TRIANGLE4(0, 17, 2, 0, 0, 0, 0, 7, 1, 4) _
    }

    triangle4_L_Fingers = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(1, 0, 6, 0, 5, 6, 0, 6, 5, 6), _
      New TEST_TRIANGLE4(1, 6, 2, 0, 6, 1, 0, 5, 4, 6), _
      New TEST_TRIANGLE4(3, 2, 6, 2, 1, 6, 3, 4, 5, 6), _
      New TEST_TRIANGLE4(3, 6, 4, 2, 6, 4, 3, 5, 1, 6), _
      New TEST_TRIANGLE4(5, 4, 6, 3, 4, 6, 2, 1, 5, 6), _
      New TEST_TRIANGLE4(0, 5, 6, 5, 3, 6, 6, 2, 5, 6), _
      New TEST_TRIANGLE4(7, 14, 8, 0, 0, 0, 16, 16, 16, 7), _
      New TEST_TRIANGLE4(14, 7, 13, 0, 0, 0, 22, 22, 22, 7), _
      New TEST_TRIANGLE4(8, 15, 9, 0, 0, 0, 15, 15, 15, 7), _
      New TEST_TRIANGLE4(8, 14, 15, 0, 0, 0, 17, 17, 17, 7), _
      New TEST_TRIANGLE4(9, 16, 10, 0, 0, 0, 21, 21, 21, 7), _
      New TEST_TRIANGLE4(9, 15, 16, 0, 0, 0, 14, 14, 14, 7), _
      New TEST_TRIANGLE4(10, 17, 11, 0, 0, 0, 19, 19, 19, 7), _
      New TEST_TRIANGLE4(10, 16, 17, 0, 0, 0, 13, 13, 13, 7), _
      New TEST_TRIANGLE4(11, 18, 12, 0, 0, 0, 20, 20, 20, 7), _
      New TEST_TRIANGLE4(11, 17, 18, 0, 0, 0, 20, 20, 20, 7), _
      New TEST_TRIANGLE4(13, 7, 12, 0, 0, 0, 23, 23, 23, 7), _
      New TEST_TRIANGLE4(13, 12, 18, 0, 0, 0, 18, 18, 18, 7), _
      New TEST_TRIANGLE4(7, 8, 19, 0, 0, 0, 11, 11, 11, 7), _
      New TEST_TRIANGLE4(19, 8, 9, 0, 0, 0, 10, 10, 10, 7), _
      New TEST_TRIANGLE4(9, 10, 19, 0, 0, 0, 7, 7, 7, 7), _
      New TEST_TRIANGLE4(10, 11, 19, 0, 0, 0, 9, 9, 9, 7), _
      New TEST_TRIANGLE4(11, 12, 19, 0, 0, 0, 8, 8, 8, 7), _
      New TEST_TRIANGLE4(12, 7, 19, 0, 0, 0, 12, 12, 12, 7) _
    }

    triangle4_L_Foot = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(7, 1, 0, 0, 0, 0, 0, 1, 2, 5), _
      New TEST_TRIANGLE4(7, 0, 6, 0, 0, 0, 0, 2, 3, 5), _
      New TEST_TRIANGLE4(8, 2, 1, 0, 0, 0, 4, 5, 1, 5), _
      New TEST_TRIANGLE4(8, 1, 7, 0, 0, 0, 4, 1, 0, 5), _
      New TEST_TRIANGLE4(2, 9, 3, 0, 0, 0, 5, 9, 12, 5), _
      New TEST_TRIANGLE4(8, 9, 2, 0, 0, 0, 4, 9, 5, 5), _
      New TEST_TRIANGLE4(3, 10, 4, 0, 0, 0, 12, 11, 13, 5), _
      New TEST_TRIANGLE4(3, 9, 10, 0, 0, 0, 12, 9, 11, 5), _
      New TEST_TRIANGLE4(4, 11, 5, 0, 0, 0, 13, 8, 10, 5), _
      New TEST_TRIANGLE4(4, 10, 11, 0, 0, 0, 13, 11, 8, 5), _
      New TEST_TRIANGLE4(6, 0, 5, 0, 0, 0, 3, 2, 10, 5), _
      New TEST_TRIANGLE4(6, 5, 11, 0, 0, 0, 3, 10, 8, 5), _
      New TEST_TRIANGLE4(0, 1, 13, 0, 0, 0, 2, 1, 7, 5), _
      New TEST_TRIANGLE4(1, 2, 13, 0, 0, 0, 1, 5, 7, 5), _
      New TEST_TRIANGLE4(2, 3, 13, 0, 0, 0, 5, 12, 7, 5), _
      New TEST_TRIANGLE4(3, 4, 13, 0, 0, 0, 12, 13, 7, 5), _
      New TEST_TRIANGLE4(4, 5, 13, 0, 0, 0, 13, 10, 7, 5), _
      New TEST_TRIANGLE4(5, 0, 13, 0, 0, 0, 10, 2, 7, 5), _
      New TEST_TRIANGLE4(7, 6, 12, 0, 0, 0, 0, 3, 6, 5), _
      New TEST_TRIANGLE4(8, 7, 12, 0, 0, 0, 4, 0, 6, 5), _
      New TEST_TRIANGLE4(8, 12, 9, 0, 0, 0, 4, 6, 9, 5), _
      New TEST_TRIANGLE4(9, 12, 10, 0, 0, 0, 9, 6, 11, 5), _
      New TEST_TRIANGLE4(11, 10, 12, 0, 0, 0, 8, 11, 6, 5), _
      New TEST_TRIANGLE4(6, 11, 12, 0, 0, 0, 3, 8, 6, 5) _
    }

    triangle4_L_Hand = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(5, 1, 0, 47, 35, 30, 13, 12, 11, 8), _
      New TEST_TRIANGLE4(5, 0, 4, 47, 30, 44, 13, 11, 17, 8), _
      New TEST_TRIANGLE4(1, 6, 2, 33, 12, 17, 12, 5, 4, 8), _
      New TEST_TRIANGLE4(5, 6, 1, 46, 12, 33, 13, 5, 12, 8), _
      New TEST_TRIANGLE4(2, 7, 3, 16, 26, 15, 4, 3, 2, 8), _
      New TEST_TRIANGLE4(2, 6, 7, 16, 11, 26, 4, 5, 3, 8), _
      New TEST_TRIANGLE4(4, 0, 3, 45, 31, 13, 17, 11, 2, 8), _
      New TEST_TRIANGLE4(4, 3, 7, 45, 13, 24, 17, 2, 3, 8), _
      New TEST_TRIANGLE4(5, 4, 9, 47, 44, 42, 13, 17, 16, 8), _
      New TEST_TRIANGLE4(9, 4, 8, 41, 45, 20, 16, 17, 10, 8), _
      New TEST_TRIANGLE4(10, 6, 5, 5, 12, 46, 1, 5, 13, 8), _
      New TEST_TRIANGLE4(10, 5, 9, 5, 46, 39, 1, 13, 16, 8), _
      New TEST_TRIANGLE4(7, 6, 11, 25, 12, 7, 3, 5, 6, 8), _
      New TEST_TRIANGLE4(10, 11, 6, 5, 7, 12, 1, 6, 5, 8), _
      New TEST_TRIANGLE4(4, 7, 8, 43, 25, 21, 17, 3, 10, 8), _
      New TEST_TRIANGLE4(8, 7, 11, 21, 25, 7, 10, 3, 6, 8), _
      New TEST_TRIANGLE4(9, 8, 13, 42, 19, 36, 16, 10, 14, 8), _
      New TEST_TRIANGLE4(13, 8, 12, 36, 19, 22, 14, 10, 15, 8), _
      New TEST_TRIANGLE4(10, 9, 14, 5, 39, 3, 1, 16, 0, 8), _
      New TEST_TRIANGLE4(14, 9, 13, 0, 40, 37, 0, 16, 14, 8), _
      New TEST_TRIANGLE4(15, 11, 10, 10, 8, 4, 7, 6, 1, 8), _
      New TEST_TRIANGLE4(15, 10, 14, 10, 4, 2, 7, 1, 0, 8), _
      New TEST_TRIANGLE4(8, 11, 12, 20, 6, 23, 10, 6, 15, 8), _
      New TEST_TRIANGLE4(15, 12, 11, 9, 23, 6, 7, 15, 6, 8), _
      New TEST_TRIANGLE4(0, 1, 17, 32, 34, 29, 11, 12, 9, 8), _
      New TEST_TRIANGLE4(1, 2, 17, 33, 17, 28, 12, 4, 9, 8), _
      New TEST_TRIANGLE4(2, 3, 17, 16, 15, 27, 4, 2, 9, 8), _
      New TEST_TRIANGLE4(3, 0, 17, 14, 32, 29, 2, 11, 9, 8), _
      New TEST_TRIANGLE4(13, 12, 16, 38, 23, 18, 14, 15, 8, 8), _
      New TEST_TRIANGLE4(14, 13, 16, 1, 38, 18, 0, 14, 8, 8), _
      New TEST_TRIANGLE4(15, 14, 16, 9, 1, 18, 7, 0, 8, 8), _
      New TEST_TRIANGLE4(12, 15, 16, 23, 9, 18, 15, 7, 8, 8) _
    }

    triangle4_Obj = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(0, 1, 2, 0, 0, 0, 1, 1, 1, 2), _
      New TEST_TRIANGLE4(0, 2, 3, 0, 0, 0, 0, 0, 0, 2), _
      New TEST_TRIANGLE4(1, 0, 5, 0, 0, 0, 4, 4, 4, 2), _
      New TEST_TRIANGLE4(5, 0, 4, 0, 0, 0, 5, 5, 5, 2), _
      New TEST_TRIANGLE4(3, 2, 7, 0, 0, 0, 3, 3, 3, 2), _
      New TEST_TRIANGLE4(7, 2, 6, 0, 0, 0, 2, 2, 2, 2), _
      New TEST_TRIANGLE4(5, 4, 6, 0, 0, 0, 7, 7, 7, 2), _
      New TEST_TRIANGLE4(6, 4, 7, 0, 0, 0, 6, 6, 6, 2), _
      New TEST_TRIANGLE4(22, 20, 21, 0, 0, 0, 9, 9, 9, 1), _
      New TEST_TRIANGLE4(22, 19, 20, 0, 0, 0, 17, 17, 17, 1), _
      New TEST_TRIANGLE4(14, 15, 13, 0, 0, 0, 21, 21, 21, 1), _
      New TEST_TRIANGLE4(13, 15, 16, 0, 0, 0, 10, 10, 10, 1), _
      New TEST_TRIANGLE4(13, 16, 17, 0, 0, 0, 16, 16, 16, 1), _
      New TEST_TRIANGLE4(13, 17, 12, 0, 0, 0, 13, 13, 13, 1), _
      New TEST_TRIANGLE4(22, 18, 19, 0, 0, 0, 11, 11, 11, 1), _
      New TEST_TRIANGLE4(23, 18, 22, 0, 0, 0, 12, 12, 12, 1), _
      New TEST_TRIANGLE4(12, 17, 18, 0, 0, 0, 15, 15, 15, 1), _
      New TEST_TRIANGLE4(12, 18, 23, 0, 0, 0, 14, 14, 14, 1), _
      New TEST_TRIANGLE4(10, 11, 9, 0, 0, 0, 8, 8, 8, 1), _
      New TEST_TRIANGLE4(9, 11, 24, 0, 0, 0, 20, 20, 20, 1), _
      New TEST_TRIANGLE4(9, 24, 25, 0, 0, 0, 18, 18, 18, 1), _
      New TEST_TRIANGLE4(9, 25, 8, 0, 0, 0, 19, 19, 19, 1), _
      New TEST_TRIANGLE4(9, 8, 27, 0, 0, 0, 34, 34, 34, 1), _
      New TEST_TRIANGLE4(27, 8, 26, 0, 0, 0, 34, 34, 34, 1), _
      New TEST_TRIANGLE4(10, 9, 28, 0, 0, 0, 45, 45, 45, 1), _
      New TEST_TRIANGLE4(28, 9, 27, 0, 0, 0, 46, 46, 46, 1), _
      New TEST_TRIANGLE4(11, 10, 29, 0, 0, 0, 41, 41, 41, 1), _
      New TEST_TRIANGLE4(29, 10, 28, 0, 0, 0, 40, 40, 40, 1), _
      New TEST_TRIANGLE4(13, 12, 31, 0, 0, 0, 35, 35, 35, 1), _
      New TEST_TRIANGLE4(31, 12, 30, 0, 0, 0, 36, 36, 36, 1), _
      New TEST_TRIANGLE4(14, 13, 32, 0, 0, 0, 44, 44, 44, 1), _
      New TEST_TRIANGLE4(32, 13, 31, 0, 0, 0, 43, 43, 43, 1), _
      New TEST_TRIANGLE4(15, 14, 33, 0, 0, 0, 39, 39, 39, 1), _
      New TEST_TRIANGLE4(33, 14, 32, 0, 0, 0, 42, 42, 42, 1), _
      New TEST_TRIANGLE4(16, 15, 34, 0, 0, 0, 29, 29, 29, 1), _
      New TEST_TRIANGLE4(34, 15, 33, 0, 0, 0, 30, 30, 30, 1), _
      New TEST_TRIANGLE4(17, 16, 35, 0, 0, 0, 33, 33, 33, 1), _
      New TEST_TRIANGLE4(35, 16, 34, 0, 0, 0, 33, 33, 33, 1), _
      New TEST_TRIANGLE4(19, 18, 37, 0, 0, 0, 33, 33, 33, 1), _
      New TEST_TRIANGLE4(37, 18, 36, 0, 0, 0, 33, 33, 33, 1), _
      New TEST_TRIANGLE4(20, 19, 38, 0, 0, 0, 37, 37, 37, 1), _
      New TEST_TRIANGLE4(38, 19, 37, 0, 0, 0, 38, 38, 38, 1), _
      New TEST_TRIANGLE4(21, 20, 39, 0, 0, 0, 25, 25, 25, 1), _
      New TEST_TRIANGLE4(39, 20, 38, 0, 0, 0, 28, 28, 28, 1), _
      New TEST_TRIANGLE4(22, 21, 40, 0, 0, 0, 24, 24, 24, 1), _
      New TEST_TRIANGLE4(40, 21, 39, 0, 0, 0, 23, 23, 23, 1), _
      New TEST_TRIANGLE4(23, 22, 41, 0, 0, 0, 32, 32, 32, 1), _
      New TEST_TRIANGLE4(41, 22, 40, 0, 0, 0, 31, 31, 31, 1), _
      New TEST_TRIANGLE4(25, 24, 43, 0, 0, 0, 26, 26, 26, 1), _
      New TEST_TRIANGLE4(43, 24, 42, 0, 0, 0, 27, 27, 27, 1), _
      New TEST_TRIANGLE4(8, 25, 26, 0, 0, 0, 22, 22, 22, 1), _
      New TEST_TRIANGLE4(26, 25, 43, 0, 0, 0, 22, 22, 22, 1), _
      New TEST_TRIANGLE4(39, 38, 40, 0, 0, 0, 58, 58, 58, 1), _
      New TEST_TRIANGLE4(38, 37, 40, 0, 0, 0, 49, 49, 49, 1), _
      New TEST_TRIANGLE4(32, 31, 33, 0, 0, 0, 57, 57, 57, 1), _
      New TEST_TRIANGLE4(33, 31, 34, 0, 0, 0, 50, 50, 50, 1), _
      New TEST_TRIANGLE4(34, 31, 35, 0, 0, 0, 54, 54, 54, 1), _
      New TEST_TRIANGLE4(31, 30, 35, 0, 0, 0, 55, 55, 55, 1), _
      New TEST_TRIANGLE4(37, 36, 40, 0, 0, 0, 56, 56, 56, 1), _
      New TEST_TRIANGLE4(40, 36, 41, 0, 0, 0, 53, 53, 53, 1), _
      New TEST_TRIANGLE4(35, 30, 36, 0, 0, 0, 52, 52, 52, 1), _
      New TEST_TRIANGLE4(36, 30, 41, 0, 0, 0, 51, 51, 51, 1), _
      New TEST_TRIANGLE4(28, 27, 29, 0, 0, 0, 47, 47, 47, 1), _
      New TEST_TRIANGLE4(29, 27, 42, 0, 0, 0, 59, 59, 59, 1), _
      New TEST_TRIANGLE4(42, 27, 43, 0, 0, 0, 48, 48, 48, 1), _
      New TEST_TRIANGLE4(43, 27, 26, 0, 0, 0, 60, 60, 60, 1), _
      New TEST_TRIANGLE4(45, 46, 47, 0, 0, 0, 61, 61, 61, 7), _
      New TEST_TRIANGLE4(45, 47, 44, 0, 0, 0, 61, 61, 61, 7), _
      New TEST_TRIANGLE4(44, 47, 48, 0, 0, 0, 61, 61, 61, 7), _
      New TEST_TRIANGLE4(45, 44, 50, 0, 0, 0, 67, 67, 67, 7), _
      New TEST_TRIANGLE4(50, 44, 49, 0, 0, 0, 67, 67, 67, 7), _
      New TEST_TRIANGLE4(51, 46, 45, 0, 0, 0, 65, 65, 65, 7), _
      New TEST_TRIANGLE4(51, 45, 50, 0, 0, 0, 66, 66, 66, 7), _
      New TEST_TRIANGLE4(47, 46, 52, 0, 0, 0, 63, 63, 63, 7), _
      New TEST_TRIANGLE4(52, 46, 51, 0, 0, 0, 64, 64, 64, 7), _
      New TEST_TRIANGLE4(48, 47, 53, 0, 0, 0, 62, 62, 62, 7), _
      New TEST_TRIANGLE4(53, 47, 52, 0, 0, 0, 62, 62, 62, 7), _
      New TEST_TRIANGLE4(51, 50, 52, 0, 0, 0, 68, 68, 68, 7), _
      New TEST_TRIANGLE4(50, 49, 52, 0, 0, 0, 68, 68, 68, 7), _
      New TEST_TRIANGLE4(53, 52, 49, 0, 0, 0, 68, 68, 68, 7) _
    }

    triangle4_Pelvis = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(0, 3, 1, 1, 7, 3, 0, 5, 1, 9), _
      New TEST_TRIANGLE4(2, 3, 0, 5, 7, 1, 2, 5, 0, 9), _
      New TEST_TRIANGLE4(2, 5, 3, 5, 9, 7, 2, 6, 5, 9), _
      New TEST_TRIANGLE4(4, 5, 2, 11, 9, 5, 8, 6, 2, 9), _
      New TEST_TRIANGLE4(4, 7, 5, 11, 14, 9, 8, 10, 6, 9), _
      New TEST_TRIANGLE4(6, 7, 4, 12, 14, 11, 11, 10, 8, 9), _
      New TEST_TRIANGLE4(6, 9, 7, 13, 8, 15, 11, 7, 10, 9), _
      New TEST_TRIANGLE4(8, 9, 6, 10, 8, 13, 9, 7, 11, 9), _
      New TEST_TRIANGLE4(11, 9, 8, 6, 8, 10, 4, 7, 9, 9), _
      New TEST_TRIANGLE4(11, 8, 10, 6, 10, 4, 4, 9, 3, 9), _
      New TEST_TRIANGLE4(11, 10, 1, 6, 4, 2, 4, 3, 1, 9), _
      New TEST_TRIANGLE4(1, 10, 0, 2, 4, 0, 1, 3, 0, 9), _
      New TEST_TRIANGLE4(12, 16, 13, 16, 22, 17, 12, 16, 13, 3), _
      New TEST_TRIANGLE4(15, 16, 12, 19, 22, 16, 15, 16, 12, 3), _
      New TEST_TRIANGLE4(13, 17, 14, 17, 24, 20, 13, 18, 14, 3), _
      New TEST_TRIANGLE4(13, 16, 17, 17, 22, 24, 13, 16, 18, 3), _
      New TEST_TRIANGLE4(15, 19, 16, 19, 28, 22, 15, 24, 16, 3), _
      New TEST_TRIANGLE4(18, 19, 15, 30, 28, 19, 26, 24, 15, 3), _
      New TEST_TRIANGLE4(17, 16, 20, 24, 22, 26, 18, 16, 22, 3), _
      New TEST_TRIANGLE4(20, 16, 19, 26, 22, 28, 22, 16, 24, 3), _
      New TEST_TRIANGLE4(18, 22, 19, 30, 32, 28, 26, 28, 24, 3), _
      New TEST_TRIANGLE4(21, 22, 18, 33, 32, 30, 29, 28, 26, 3), _
      New TEST_TRIANGLE4(20, 19, 23, 26, 28, 29, 22, 24, 27, 3), _
      New TEST_TRIANGLE4(23, 19, 22, 29, 28, 32, 27, 24, 28, 3), _
      New TEST_TRIANGLE4(21, 25, 22, 33, 27, 32, 29, 23, 28, 3), _
      New TEST_TRIANGLE4(24, 25, 21, 31, 27, 33, 25, 23, 29, 3), _
      New TEST_TRIANGLE4(23, 22, 26, 29, 32, 25, 27, 28, 21, 3), _
      New TEST_TRIANGLE4(26, 22, 25, 25, 32, 27, 21, 28, 23, 3), _
      New TEST_TRIANGLE4(24, 28, 25, 31, 21, 27, 25, 17, 23, 3), _
      New TEST_TRIANGLE4(27, 28, 24, 18, 21, 31, 19, 17, 25, 3), _
      New TEST_TRIANGLE4(26, 25, 29, 25, 27, 23, 21, 23, 20, 3), _
      New TEST_TRIANGLE4(29, 25, 28, 23, 27, 21, 20, 23, 17, 3), _
      New TEST_TRIANGLE4(28, 27, 13, 21, 18, 17, 17, 19, 13, 3), _
      New TEST_TRIANGLE4(13, 27, 12, 17, 18, 16, 13, 19, 12, 3), _
      New TEST_TRIANGLE4(29, 28, 14, 23, 21, 20, 20, 17, 14, 3), _
      New TEST_TRIANGLE4(14, 28, 13, 20, 21, 17, 14, 17, 13, 3) _
    }

    triangle4_RL_Arm = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(6, 1, 0, 31, 24, 25, 14, 11, 12, 3), _
      New TEST_TRIANGLE4(6, 0, 5, 31, 25, 34, 14, 12, 16, 3), _
      New TEST_TRIANGLE4(7, 2, 1, 10, 9, 22, 3, 4, 11, 3), _
      New TEST_TRIANGLE4(7, 1, 6, 10, 22, 30, 3, 11, 14, 3), _
      New TEST_TRIANGLE4(8, 3, 2, 1, 4, 9, 0, 1, 4, 3), _
      New TEST_TRIANGLE4(8, 2, 7, 1, 9, 10, 0, 4, 3, 3), _
      New TEST_TRIANGLE4(9, 4, 3, 15, 11, 2, 6, 7, 1, 3), _
      New TEST_TRIANGLE4(9, 3, 8, 15, 2, 0, 6, 1, 0, 3), _
      New TEST_TRIANGLE4(5, 0, 4, 35, 26, 11, 16, 12, 7, 3), _
      New TEST_TRIANGLE4(5, 4, 9, 35, 11, 15, 16, 7, 6, 3), _
      New TEST_TRIANGLE4(6, 5, 11, 31, 34, 29, 14, 16, 13, 3), _
      New TEST_TRIANGLE4(11, 5, 10, 29, 34, 32, 13, 16, 15, 3), _
      New TEST_TRIANGLE4(7, 6, 12, 10, 30, 14, 3, 14, 5, 3), _
      New TEST_TRIANGLE4(12, 6, 11, 14, 30, 28, 5, 14, 13, 3), _
      New TEST_TRIANGLE4(8, 7, 13, 1, 10, 7, 0, 3, 2, 3), _
      New TEST_TRIANGLE4(7, 12, 13, 10, 14, 7, 3, 5, 2, 3), _
      New TEST_TRIANGLE4(9, 8, 14, 15, 0, 17, 6, 0, 8, 3), _
      New TEST_TRIANGLE4(14, 8, 13, 17, 0, 6, 8, 0, 2, 3), _
      New TEST_TRIANGLE4(5, 9, 10, 35, 15, 33, 16, 6, 15, 3), _
      New TEST_TRIANGLE4(10, 9, 14, 33, 15, 17, 15, 6, 8, 3), _
      New TEST_TRIANGLE4(0, 1, 16, 27, 23, 16, 12, 11, 9, 3), _
      New TEST_TRIANGLE4(1, 2, 16, 23, 8, 16, 11, 4, 9, 3), _
      New TEST_TRIANGLE4(2, 3, 16, 8, 3, 16, 4, 1, 9, 3), _
      New TEST_TRIANGLE4(3, 4, 16, 3, 12, 16, 1, 7, 9, 3), _
      New TEST_TRIANGLE4(4, 0, 16, 12, 27, 16, 7, 12, 9, 3), _
      New TEST_TRIANGLE4(11, 10, 15, 29, 32, 19, 13, 15, 10, 3), _
      New TEST_TRIANGLE4(12, 11, 15, 14, 28, 18, 5, 13, 10, 3), _
      New TEST_TRIANGLE4(13, 12, 15, 5, 13, 20, 2, 5, 10, 3), _
      New TEST_TRIANGLE4(14, 13, 15, 17, 6, 21, 8, 2, 10, 3), _
      New TEST_TRIANGLE4(15, 10, 14, 21, 33, 17, 10, 15, 8, 3) _
    }

    triangle4_RL_Leg = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(0, 3, 1, 0, 0, 0, 1, 4, 0, 4), _
      New TEST_TRIANGLE4(2, 3, 0, 0, 0, 0, 5, 4, 1, 4), _
      New TEST_TRIANGLE4(2, 5, 3, 0, 0, 0, 5, 6, 4, 4), _
      New TEST_TRIANGLE4(4, 5, 2, 0, 0, 0, 7, 6, 5, 4), _
      New TEST_TRIANGLE4(4, 7, 5, 0, 0, 0, 7, 10, 6, 4), _
      New TEST_TRIANGLE4(6, 7, 4, 0, 0, 0, 11, 10, 7, 4), _
      New TEST_TRIANGLE4(6, 9, 7, 0, 0, 0, 11, 9, 10, 4), _
      New TEST_TRIANGLE4(8, 9, 6, 0, 0, 0, 8, 9, 11, 4), _
      New TEST_TRIANGLE4(11, 9, 8, 0, 0, 0, 2, 9, 8, 4), _
      New TEST_TRIANGLE4(11, 8, 10, 0, 0, 0, 2, 8, 3, 4), _
      New TEST_TRIANGLE4(11, 10, 1, 0, 0, 0, 2, 3, 0, 4), _
      New TEST_TRIANGLE4(1, 10, 0, 0, 0, 0, 0, 3, 1, 4), _
      New TEST_TRIANGLE4(12, 16, 13, 0, 0, 0, 22, 17, 13, 5), _
      New TEST_TRIANGLE4(15, 16, 12, 0, 0, 0, 19, 17, 22, 5), _
      New TEST_TRIANGLE4(13, 17, 14, 0, 0, 0, 13, 14, 12, 5), _
      New TEST_TRIANGLE4(13, 16, 17, 0, 0, 0, 13, 17, 14, 5), _
      New TEST_TRIANGLE4(15, 19, 16, 0, 0, 0, 19, 25, 17, 5), _
      New TEST_TRIANGLE4(18, 19, 15, 0, 0, 0, 18, 25, 19, 5), _
      New TEST_TRIANGLE4(17, 16, 20, 0, 0, 0, 14, 17, 27, 5), _
      New TEST_TRIANGLE4(20, 16, 19, 0, 0, 0, 27, 17, 25, 5), _
      New TEST_TRIANGLE4(18, 22, 19, 0, 0, 0, 18, 28, 25, 5), _
      New TEST_TRIANGLE4(21, 22, 18, 0, 0, 0, 21, 28, 18, 5), _
      New TEST_TRIANGLE4(20, 19, 23, 0, 0, 0, 27, 25, 29, 5), _
      New TEST_TRIANGLE4(23, 19, 22, 0, 0, 0, 29, 25, 28, 5), _
      New TEST_TRIANGLE4(25, 22, 21, 0, 0, 0, 24, 28, 21, 5), _
      New TEST_TRIANGLE4(25, 21, 24, 0, 0, 0, 24, 21, 23, 5), _
      New TEST_TRIANGLE4(23, 22, 26, 0, 0, 0, 29, 28, 26, 5), _
      New TEST_TRIANGLE4(25, 26, 22, 0, 0, 0, 24, 26, 28, 5), _
      New TEST_TRIANGLE4(25, 24, 28, 0, 0, 0, 24, 23, 16, 5), _
      New TEST_TRIANGLE4(28, 24, 27, 0, 0, 0, 16, 23, 20, 5), _
      New TEST_TRIANGLE4(29, 26, 25, 0, 0, 0, 15, 26, 24, 5), _
      New TEST_TRIANGLE4(25, 28, 29, 0, 0, 0, 24, 16, 15, 5), _
      New TEST_TRIANGLE4(28, 27, 13, 0, 0, 0, 16, 20, 13, 5), _
      New TEST_TRIANGLE4(13, 27, 12, 0, 0, 0, 13, 20, 22, 5), _
      New TEST_TRIANGLE4(29, 28, 14, 0, 0, 0, 15, 16, 12, 5), _
      New TEST_TRIANGLE4(14, 28, 13, 0, 0, 0, 12, 16, 13, 5) _
    }

    triangle4_RU_Arm = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(6, 1, 0, 54, 44, 41, 24, 20, 19, 3), _
      New TEST_TRIANGLE4(6, 0, 5, 54, 41, 47, 24, 19, 23, 3), _
      New TEST_TRIANGLE4(7, 2, 1, 26, 28, 43, 11, 14, 20, 3), _
      New TEST_TRIANGLE4(7, 1, 6, 26, 43, 53, 11, 20, 24, 3), _
      New TEST_TRIANGLE4(2, 8, 3, 28, 1, 11, 14, 1, 3, 3), _
      New TEST_TRIANGLE4(7, 8, 2, 26, 1, 28, 11, 1, 14, 3), _
      New TEST_TRIANGLE4(3, 9, 4, 9, 15, 20, 3, 9, 7, 3), _
      New TEST_TRIANGLE4(3, 8, 9, 9, 0, 15, 3, 1, 9, 3), _
      New TEST_TRIANGLE4(5, 0, 4, 48, 42, 20, 23, 19, 7, 3), _
      New TEST_TRIANGLE4(5, 4, 9, 48, 20, 15, 23, 7, 9, 3), _
      New TEST_TRIANGLE4(6, 5, 11, 54, 47, 46, 24, 23, 26, 3), _
      New TEST_TRIANGLE4(11, 5, 10, 46, 47, 36, 26, 23, 22, 3), _
      New TEST_TRIANGLE4(7, 6, 12, 26, 53, 25, 11, 24, 10, 3), _
      New TEST_TRIANGLE4(6, 11, 12, 53, 45, 25, 24, 26, 10, 3), _
      New TEST_TRIANGLE4(13, 8, 7, 5, 1, 26, 2, 1, 11, 3), _
      New TEST_TRIANGLE4(13, 7, 12, 5, 26, 25, 2, 11, 10, 3), _
      New TEST_TRIANGLE4(9, 8, 14, 15, 0, 16, 9, 1, 5, 3), _
      New TEST_TRIANGLE4(13, 14, 8, 4, 16, 0, 2, 5, 1, 3), _
      New TEST_TRIANGLE4(5, 9, 10, 48, 15, 37, 23, 9, 22, 3), _
      New TEST_TRIANGLE4(10, 9, 14, 37, 15, 16, 22, 9, 5, 3), _
      New TEST_TRIANGLE4(11, 10, 16, 46, 36, 52, 26, 22, 25, 3), _
      New TEST_TRIANGLE4(16, 10, 15, 52, 36, 49, 25, 22, 21, 3), _
      New TEST_TRIANGLE4(12, 11, 17, 25, 45, 21, 10, 26, 12, 3), _
      New TEST_TRIANGLE4(17, 11, 16, 21, 45, 51, 12, 26, 25, 3), _
      New TEST_TRIANGLE4(13, 12, 18, 5, 25, 3, 2, 10, 0, 3), _
      New TEST_TRIANGLE4(18, 12, 17, 3, 25, 21, 0, 10, 12, 3), _
      New TEST_TRIANGLE4(19, 14, 13, 14, 16, 4, 6, 5, 2, 3), _
      New TEST_TRIANGLE4(19, 13, 18, 14, 4, 2, 6, 2, 0, 3), _
      New TEST_TRIANGLE4(10, 14, 15, 37, 16, 50, 22, 5, 21, 3), _
      New TEST_TRIANGLE4(15, 14, 19, 50, 16, 14, 21, 5, 6, 3), _
      New TEST_TRIANGLE4(16, 15, 21, 52, 49, 39, 25, 21, 18, 3), _
      New TEST_TRIANGLE4(21, 15, 20, 39, 49, 33, 18, 21, 17, 3), _
      New TEST_TRIANGLE4(17, 16, 22, 21, 51, 24, 12, 25, 13, 3), _
      New TEST_TRIANGLE4(22, 16, 21, 24, 51, 38, 13, 25, 18, 3), _
      New TEST_TRIANGLE4(18, 17, 23, 3, 21, 8, 0, 12, 4, 3), _
      New TEST_TRIANGLE4(23, 17, 22, 8, 21, 24, 4, 12, 13, 3), _
      New TEST_TRIANGLE4(19, 18, 24, 14, 2, 18, 6, 0, 8, 3), _
      New TEST_TRIANGLE4(24, 18, 23, 18, 2, 6, 8, 0, 4, 3), _
      New TEST_TRIANGLE4(15, 19, 20, 50, 14, 35, 21, 6, 17, 3), _
      New TEST_TRIANGLE4(20, 19, 24, 35, 14, 18, 17, 6, 8, 3), _
      New TEST_TRIANGLE4(0, 1, 26, 41, 44, 30, 19, 20, 16, 3), _
      New TEST_TRIANGLE4(1, 2, 26, 44, 29, 30, 20, 14, 16, 3), _
      New TEST_TRIANGLE4(2, 3, 26, 27, 10, 32, 14, 3, 16, 3), _
      New TEST_TRIANGLE4(3, 4, 26, 9, 20, 31, 3, 7, 16, 3), _
      New TEST_TRIANGLE4(4, 0, 26, 20, 42, 31, 7, 19, 16, 3), _
      New TEST_TRIANGLE4(21, 20, 25, 40, 34, 12, 18, 17, 15, 3), _
      New TEST_TRIANGLE4(22, 21, 25, 23, 40, 12, 13, 18, 15, 3), _
      New TEST_TRIANGLE4(23, 22, 25, 7, 22, 13, 4, 13, 15, 3), _
      New TEST_TRIANGLE4(24, 23, 25, 19, 7, 13, 8, 4, 15, 3), _
      New TEST_TRIANGLE4(20, 24, 25, 34, 17, 12, 17, 8, 15, 3) _
    }

    triangle4_RU_Leg = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(1, 5, 2, 0, 0, 0, 1, 6, 0, 4), _
      New TEST_TRIANGLE4(4, 5, 1, 0, 0, 0, 5, 6, 1, 4), _
      New TEST_TRIANGLE4(2, 3, 0, 0, 0, 0, 0, 4, 2, 4), _
      New TEST_TRIANGLE4(2, 5, 3, 0, 0, 0, 0, 6, 4, 4), _
      New TEST_TRIANGLE4(4, 8, 5, 0, 0, 0, 5, 10, 6, 4), _
      New TEST_TRIANGLE4(7, 8, 4, 0, 0, 0, 9, 10, 5, 4), _
      New TEST_TRIANGLE4(3, 5, 6, 0, 0, 0, 4, 6, 11, 4), _
      New TEST_TRIANGLE4(6, 5, 8, 0, 0, 0, 11, 6, 10, 4), _
      New TEST_TRIANGLE4(7, 11, 8, 0, 0, 0, 9, 16, 10, 4), _
      New TEST_TRIANGLE4(10, 11, 7, 0, 0, 0, 15, 16, 9, 4), _
      New TEST_TRIANGLE4(6, 8, 9, 0, 0, 0, 11, 10, 17, 4), _
      New TEST_TRIANGLE4(9, 8, 11, 0, 0, 0, 17, 10, 16, 4), _
      New TEST_TRIANGLE4(10, 14, 11, 0, 0, 0, 15, 13, 16, 4), _
      New TEST_TRIANGLE4(13, 14, 10, 0, 0, 0, 12, 13, 15, 4), _
      New TEST_TRIANGLE4(9, 11, 12, 0, 0, 0, 17, 16, 14, 4), _
      New TEST_TRIANGLE4(11, 14, 12, 0, 0, 0, 16, 13, 14, 4), _
      New TEST_TRIANGLE4(17, 14, 13, 0, 0, 0, 8, 13, 12, 4), _
      New TEST_TRIANGLE4(17, 13, 16, 0, 0, 0, 8, 12, 3, 4), _
      New TEST_TRIANGLE4(12, 14, 15, 0, 0, 0, 14, 13, 7, 4), _
      New TEST_TRIANGLE4(17, 15, 14, 0, 0, 0, 8, 7, 13, 4), _
      New TEST_TRIANGLE4(17, 16, 2, 0, 0, 0, 8, 3, 0, 4), _
      New TEST_TRIANGLE4(2, 16, 1, 0, 0, 0, 0, 3, 1, 4), _
      New TEST_TRIANGLE4(15, 17, 0, 0, 0, 0, 7, 8, 2, 4), _
      New TEST_TRIANGLE4(0, 17, 2, 0, 0, 0, 2, 8, 0, 4) _
    }

    triangle4_R_Foot = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(1, 7, 0, 0, 0, 0, 12, 13, 11, 5), _
      New TEST_TRIANGLE4(0, 7, 6, 0, 0, 0, 11, 13, 10, 5), _
      New TEST_TRIANGLE4(2, 8, 1, 0, 0, 0, 8, 9, 12, 5), _
      New TEST_TRIANGLE4(1, 8, 7, 0, 0, 0, 12, 9, 13, 5), _
      New TEST_TRIANGLE4(9, 2, 3, 0, 0, 0, 4, 8, 1, 5), _
      New TEST_TRIANGLE4(2, 9, 8, 0, 0, 0, 8, 4, 9, 5), _
      New TEST_TRIANGLE4(10, 3, 4, 0, 0, 0, 2, 1, 0, 5), _
      New TEST_TRIANGLE4(9, 3, 10, 0, 0, 0, 4, 1, 2, 5), _
      New TEST_TRIANGLE4(11, 4, 5, 0, 0, 0, 5, 0, 3, 5), _
      New TEST_TRIANGLE4(10, 4, 11, 0, 0, 0, 2, 0, 5, 5), _
      New TEST_TRIANGLE4(0, 6, 5, 0, 0, 0, 11, 10, 3, 5), _
      New TEST_TRIANGLE4(5, 6, 11, 0, 0, 0, 3, 10, 5, 5), _
      New TEST_TRIANGLE4(1, 0, 13, 0, 0, 0, 12, 11, 6, 5), _
      New TEST_TRIANGLE4(1, 13, 2, 0, 0, 0, 12, 6, 8, 5), _
      New TEST_TRIANGLE4(2, 13, 3, 0, 0, 0, 8, 6, 1, 5), _
      New TEST_TRIANGLE4(3, 13, 4, 0, 0, 0, 1, 6, 0, 5), _
      New TEST_TRIANGLE4(4, 13, 5, 0, 0, 0, 0, 6, 3, 5), _
      New TEST_TRIANGLE4(5, 13, 0, 0, 0, 0, 3, 6, 11, 5), _
      New TEST_TRIANGLE4(6, 7, 12, 0, 0, 0, 10, 13, 7, 5), _
      New TEST_TRIANGLE4(7, 8, 12, 0, 0, 0, 13, 9, 7, 5), _
      New TEST_TRIANGLE4(12, 8, 9, 0, 0, 0, 7, 9, 4, 5), _
      New TEST_TRIANGLE4(9, 10, 12, 0, 0, 0, 4, 2, 7, 5), _
      New TEST_TRIANGLE4(10, 11, 12, 0, 0, 0, 2, 5, 7, 5), _
      New TEST_TRIANGLE4(6, 12, 11, 0, 0, 0, 10, 7, 5, 5) _
    }

    triangle4_R_Hand = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(1, 5, 0, 12, 0, 17, 5, 4, 6, 8), _
      New TEST_TRIANGLE4(0, 5, 4, 17, 0, 3, 6, 4, 0, 8), _
      New TEST_TRIANGLE4(6, 1, 2, 31, 13, 29, 14, 5, 12, 8), _
      New TEST_TRIANGLE4(6, 5, 1, 31, 1, 13, 14, 4, 5, 8), _
      New TEST_TRIANGLE4(7, 2, 3, 21, 30, 33, 16, 12, 15, 8), _
      New TEST_TRIANGLE4(6, 2, 7, 32, 30, 21, 14, 12, 16, 8), _
      New TEST_TRIANGLE4(0, 4, 3, 15, 2, 34, 6, 0, 15, 8), _
      New TEST_TRIANGLE4(3, 4, 7, 34, 2, 23, 15, 0, 16, 8), _
      New TEST_TRIANGLE4(4, 5, 9, 3, 0, 7, 0, 4, 1, 8), _
      New TEST_TRIANGLE4(4, 9, 8, 2, 6, 27, 0, 1, 7, 8), _
      New TEST_TRIANGLE4(6, 10, 5, 31, 40, 1, 14, 13, 4, 8), _
      New TEST_TRIANGLE4(5, 10, 9, 1, 40, 8, 4, 13, 1, 8), _
      New TEST_TRIANGLE4(6, 7, 11, 31, 22, 38, 14, 16, 11, 8), _
      New TEST_TRIANGLE4(11, 10, 6, 38, 40, 31, 11, 13, 14, 8), _
      New TEST_TRIANGLE4(4, 8, 7, 4, 26, 22, 0, 7, 16, 8), _
      New TEST_TRIANGLE4(7, 8, 11, 22, 26, 38, 16, 7, 11, 8), _
      New TEST_TRIANGLE4(8, 9, 13, 28, 7, 11, 7, 1, 3, 8), _
      New TEST_TRIANGLE4(8, 13, 12, 28, 11, 20, 7, 3, 2, 8), _
      New TEST_TRIANGLE4(9, 10, 14, 8, 40, 42, 1, 13, 17, 8), _
      New TEST_TRIANGLE4(13, 9, 14, 9, 5, 44, 3, 1, 17, 8), _
      New TEST_TRIANGLE4(11, 15, 10, 37, 35, 41, 11, 10, 13, 8), _
      New TEST_TRIANGLE4(10, 15, 14, 41, 35, 43, 13, 10, 17, 8), _
      New TEST_TRIANGLE4(8, 12, 11, 27, 19, 39, 7, 2, 11, 8), _
      New TEST_TRIANGLE4(11, 12, 15, 39, 19, 36, 11, 2, 10, 8), _
      New TEST_TRIANGLE4(1, 0, 17, 13, 16, 24, 5, 6, 9, 8), _
      New TEST_TRIANGLE4(1, 17, 2, 13, 24, 29, 5, 9, 12, 8), _
      New TEST_TRIANGLE4(2, 17, 3, 30, 25, 33, 12, 9, 15, 8), _
      New TEST_TRIANGLE4(3, 17, 0, 33, 25, 14, 15, 9, 6, 8), _
      New TEST_TRIANGLE4(12, 13, 16, 19, 10, 18, 2, 3, 8, 8), _
      New TEST_TRIANGLE4(13, 14, 16, 10, 45, 18, 3, 17, 8, 8), _
      New TEST_TRIANGLE4(14, 15, 16, 45, 36, 18, 17, 10, 8, 8), _
      New TEST_TRIANGLE4(12, 16, 15, 19, 18, 36, 2, 8, 10, 8) _
    }

    triangle4_Torso = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(1, 9, 2, 13, 16, 7, 4, 7, 2, 3), _
      New TEST_TRIANGLE4(8, 9, 1, 22, 16, 13, 13, 7, 4, 3), _
      New TEST_TRIANGLE4(2, 10, 3, 7, 14, 4, 2, 6, 0, 3), _
      New TEST_TRIANGLE4(2, 9, 10, 7, 16, 14, 2, 7, 6, 3), _
      New TEST_TRIANGLE4(3, 11, 4, 4, 11, 2, 0, 9, 1, 3), _
      New TEST_TRIANGLE4(3, 10, 11, 4, 14, 11, 0, 6, 9, 3), _
      New TEST_TRIANGLE4(4, 12, 5, 0, 29, 17, 1, 17, 5, 3), _
      New TEST_TRIANGLE4(4, 11, 12, 2, 11, 30, 1, 9, 17, 3), _
      New TEST_TRIANGLE4(5, 13, 6, 19, 35, 26, 5, 12, 3, 3), _
      New TEST_TRIANGLE4(5, 12, 13, 19, 30, 35, 5, 17, 12, 3), _
      New TEST_TRIANGLE4(6, 7, 0, 24, 39, 43, 3, 20, 21, 3), _
      New TEST_TRIANGLE4(6, 13, 7, 23, 34, 38, 3, 12, 20, 3), _
      New TEST_TRIANGLE4(8, 15, 9, 22, 63, 16, 13, 31, 7, 3), _
      New TEST_TRIANGLE4(14, 15, 8, 58, 63, 22, 24, 31, 13, 3), _
      New TEST_TRIANGLE4(10, 9, 16, 14, 16, 64, 6, 7, 32, 3), _
      New TEST_TRIANGLE4(16, 9, 15, 64, 16, 63, 32, 7, 31, 3), _
      New TEST_TRIANGLE4(11, 10, 17, 11, 14, 68, 9, 6, 26, 3), _
      New TEST_TRIANGLE4(10, 16, 17, 14, 64, 68, 6, 32, 26, 3), _
      New TEST_TRIANGLE4(12, 11, 18, 30, 11, 51, 17, 9, 22, 3), _
      New TEST_TRIANGLE4(18, 11, 17, 51, 11, 68, 22, 9, 26, 3), _
      New TEST_TRIANGLE4(13, 12, 19, 35, 30, 46, 12, 17, 28, 3), _
      New TEST_TRIANGLE4(19, 12, 18, 46, 30, 51, 28, 17, 22, 3), _
      New TEST_TRIANGLE4(7, 13, 19, 38, 34, 48, 20, 12, 28, 3), _
      New TEST_TRIANGLE4(14, 22, 15, 58, 72, 63, 24, 38, 31, 3), _
      New TEST_TRIANGLE4(21, 22, 14, 70, 72, 58, 35, 38, 24, 3), _
      New TEST_TRIANGLE4(16, 15, 23, 64, 63, 77, 32, 31, 39, 3), _
      New TEST_TRIANGLE4(23, 15, 22, 77, 63, 72, 39, 31, 38, 3), _
      New TEST_TRIANGLE4(17, 16, 24, 68, 64, 74, 26, 32, 37, 3), _
      New TEST_TRIANGLE4(24, 16, 23, 74, 64, 77, 37, 32, 39, 3), _
      New TEST_TRIANGLE4(18, 17, 25, 52, 69, 60, 22, 26, 34, 3), _
      New TEST_TRIANGLE4(25, 17, 24, 60, 69, 75, 34, 26, 37, 3), _
      New TEST_TRIANGLE4(19, 18, 26, 46, 51, 53, 28, 22, 36, 3), _
      New TEST_TRIANGLE4(26, 18, 25, 53, 51, 59, 36, 22, 34, 3), _
      New TEST_TRIANGLE4(7, 19, 20, 39, 47, 37, 20, 28, 18, 3), _
      New TEST_TRIANGLE4(20, 19, 26, 36, 48, 54, 18, 28, 36, 3), _
      New TEST_TRIANGLE4(29, 22, 21, 62, 73, 71, 30, 38, 35, 3), _
      New TEST_TRIANGLE4(29, 21, 28, 62, 71, 57, 30, 35, 25, 3), _
      New TEST_TRIANGLE4(22, 30, 23, 73, 65, 78, 38, 33, 39, 3), _
      New TEST_TRIANGLE4(29, 30, 22, 62, 65, 73, 30, 33, 38, 3), _
      New TEST_TRIANGLE4(24, 23, 31, 76, 78, 67, 37, 39, 29, 3), _
      New TEST_TRIANGLE4(31, 23, 30, 67, 78, 65, 29, 39, 33, 3), _
      New TEST_TRIANGLE4(25, 24, 32, 60, 75, 49, 34, 37, 23, 3), _
      New TEST_TRIANGLE4(32, 24, 31, 49, 75, 66, 23, 37, 29, 3), _
      New TEST_TRIANGLE4(26, 25, 33, 56, 61, 45, 36, 34, 27, 3), _
      New TEST_TRIANGLE4(33, 25, 32, 45, 61, 50, 27, 34, 23, 3), _
      New TEST_TRIANGLE4(20, 26, 27, 37, 55, 41, 18, 36, 19, 3), _
      New TEST_TRIANGLE4(27, 26, 33, 40, 54, 44, 19, 36, 27, 3), _
      New TEST_TRIANGLE4(29, 28, 35, 62, 57, 15, 30, 25, 10, 3), _
      New TEST_TRIANGLE4(35, 28, 34, 15, 57, 20, 10, 25, 16, 3), _
      New TEST_TRIANGLE4(36, 30, 29, 8, 65, 62, 8, 33, 30, 3), _
      New TEST_TRIANGLE4(29, 35, 36, 62, 15, 8, 30, 10, 8, 3), _
      New TEST_TRIANGLE4(30, 37, 31, 65, 10, 67, 33, 14, 29, 3), _
      New TEST_TRIANGLE4(36, 37, 30, 8, 10, 65, 8, 14, 33, 3), _
      New TEST_TRIANGLE4(32, 31, 38, 50, 67, 28, 23, 29, 15, 3), _
      New TEST_TRIANGLE4(38, 31, 37, 28, 67, 10, 15, 29, 14, 3), _
      New TEST_TRIANGLE4(33, 32, 39, 45, 50, 33, 27, 23, 11, 3), _
      New TEST_TRIANGLE4(39, 32, 38, 33, 50, 28, 11, 23, 15, 3), _
      New TEST_TRIANGLE4(27, 33, 39, 40, 44, 31, 19, 27, 11, 3), _
      New TEST_TRIANGLE4(35, 34, 2, 15, 20, 5, 10, 16, 2, 3), _
      New TEST_TRIANGLE4(1, 2, 34, 12, 6, 21, 4, 2, 16, 3), _
      New TEST_TRIANGLE4(36, 35, 3, 8, 15, 3, 8, 10, 0, 3), _
      New TEST_TRIANGLE4(3, 35, 2, 3, 15, 5, 0, 10, 2, 3), _
      New TEST_TRIANGLE4(37, 36, 4, 10, 8, 1, 14, 8, 1, 3), _
      New TEST_TRIANGLE4(4, 36, 3, 1, 8, 3, 1, 8, 0, 3), _
      New TEST_TRIANGLE4(38, 37, 5, 27, 9, 17, 15, 14, 5, 3), _
      New TEST_TRIANGLE4(5, 37, 4, 17, 9, 0, 5, 14, 1, 3), _
      New TEST_TRIANGLE4(39, 38, 6, 33, 28, 25, 11, 15, 3, 3), _
      New TEST_TRIANGLE4(6, 38, 5, 25, 28, 18, 3, 15, 5, 3), _
      New TEST_TRIANGLE4(27, 39, 0, 41, 32, 43, 19, 11, 21, 3), _
      New TEST_TRIANGLE4(0, 39, 6, 42, 31, 23, 21, 11, 3, 3) _
    }

    data5 = New TEST_3D_DATA5() { _
      New TEST_3D_DATA5( "Head", _
        "Torso", _
        43, 8, 39, 44, _
        xyz_Head, _
        uv_Head, _
        normal_Head, _
        triangle4_Head, _ 
        4, New TEST_XYZ( -0.006427, -0.009094, 0.47971) ), _
      New TEST_3D_DATA5( "LL_Arm", _
        "LU_Arm", _
        17, 36, 17, 30, _
        xyz_LL_Arm, _
        uv_LL_Arm, _
        normal_LL_Arm, _
        triangle4_LL_Arm, _ 
        12, New TEST_XYZ( 0.301271, -0.000708, 0.073695) ), _
      New TEST_3D_DATA5( "LL_Leg", _
        "LU_Leg", _
        30, 0, 30, 36, _
        xyz_LL_Leg, _
        Nothing, _
        normal_LL_Leg, _
        triangle4_LL_Leg, _ 
        20, New TEST_XYZ( 0.096531, -0.01019, -0.53784) ), _
      New TEST_3D_DATA5( "LU_Arm", _
        "Torso", _
        27, 57, 27, 50, _
        xyz_LU_Arm, _
        uv_LU_Arm, _
        normal_LU_Arm, _
        triangle4_LU_Arm, _ 
        11, New TEST_XYZ( 0.305886, 0.005099, 0.354925) ), _
      New TEST_3D_DATA5( "LU_Leg", _
        "Pelvis", _
        18, 0, 18, 24, _
        xyz_LU_Leg, _
        Nothing, _
        normal_LU_Leg, _
        triangle4_LU_Leg, _ 
        19, New TEST_XYZ( 0.06371, -0.01019, -0.21675) ), _
      New TEST_3D_DATA5( "L_Fingers", _
        "L_Hand", _
        20, 7, 24, 24, _
        xyz_L_Fingers, _
        uv_L_Fingers, _
        normal_L_Fingers, _
        triangle4_L_Fingers, _ 
        14, New TEST_XYZ( 0.368579, -0.00093, -0.261295) ), _
      New TEST_3D_DATA5( "L_Foot", _
        "LL_Leg", _
        14, 0, 14, 24, _
        xyz_L_Foot, _
        Nothing, _
        normal_L_Foot, _
        triangle4_L_Foot, _ 
        21, New TEST_XYZ( 0.118671, 0.00974, -0.94308) ), _
      New TEST_3D_DATA5( "L_Hand", _
        "LL_Arm", _
        18, 48, 18, 32, _
        xyz_L_Hand, _
        uv_L_Hand, _
        normal_L_Hand, _
        triangle4_L_Hand, _ 
        13, New TEST_XYZ( 0.306233, 0.01169, -0.183175) ), _
      New TEST_3D_DATA5( "Obj", _
        "R_Hand", _
        54, 0, 69, 80, _
        xyz_Obj, _
        Nothing, _
        normal_Obj, _
        triangle4_Obj, _ 
        28, New TEST_XYZ( -0.330034, 0.0248, -0.320385) ), _
      New TEST_3D_DATA5( "Pelvis", _
        "", _
        30, 34, 30, 36, _
        xyz_Pelvis, _
        uv_Pelvis, _
        normal_Pelvis, _
        triangle4_Pelvis, _ 
        1, New TEST_XYZ( 0.0, 0.0, 0.0) ), _
      New TEST_3D_DATA5( "RL_Arm", _
        "RU_Arm", _
        17, 36, 17, 30, _
        xyz_RL_Arm, _
        uv_RL_Arm, _
        normal_RL_Arm, _
        triangle4_RL_Arm, _ 
        7, New TEST_XYZ( -0.299129, 0.006663, 0.030606) ), _
      New TEST_3D_DATA5( "RL_Leg", _
        "RU_Leg", _
        30, 0, 30, 36, _
        xyz_RL_Leg, _
        Nothing, _
        normal_RL_Leg, _
        triangle4_RL_Leg, _ 
        16, New TEST_XYZ( -0.131381, -0.00041, -0.54448) ), _
      New TEST_3D_DATA5( "RU_Arm", _
        "Torso", _
        27, 55, 27, 50, _
        xyz_RU_Arm, _
        uv_RU_Arm, _
        normal_RU_Arm, _
        triangle4_RU_Arm, _ 
        6, New TEST_XYZ( -0.290808, 0.01268, 0.337255) ), _
      New TEST_3D_DATA5( "RU_Leg", _
        "Pelvis", _
        18, 0, 18, 24, _
        xyz_RU_Leg, _
        Nothing, _
        normal_RU_Leg, _
        triangle4_RU_Leg, _ 
        15, New TEST_XYZ( -0.09351, -0.00798, -0.21675) ), _
      New TEST_3D_DATA5( "R_Foot", _
        "RL_Leg", _
        14, 0, 14, 24, _
        xyz_R_Foot, _
        Nothing, _
        normal_R_Foot, _
        triangle4_R_Foot, _ 
        17, New TEST_XYZ( -0.179341, -0.00041, -0.92979) ), _
      New TEST_3D_DATA5( "R_Hand", _
        "RL_Arm", _
        18, 46, 18, 32, _
        xyz_R_Hand, _
        uv_R_Hand, _
        normal_R_Hand, _
        triangle4_R_Hand, _ 
        8, New TEST_XYZ( -0.326899, 0.023672, -0.213925) ), _
      New TEST_3D_DATA5( "Torso", _
        "Pelvis", _
        40, 79, 40, 70, _
        xyz_Torso, _
        uv_Torso, _
        normal_Torso, _
        triangle4_Torso, _ 
        2, New TEST_XYZ( -0.00375, -0.00141, 0.00938) ) _
    }
  End Sub

End Class

