Imports System
Imports System.IO

Public Class CGreenMonk

  Public Class TEST_XYZ
    Public x As Single
    Public y As Single
    Public z As Single

    Public Sub New(ByVal x As Single, ByVal y As Single, ByVal z As Single)
      Me.x = x
      Me.y = y
      Me.z = z
    End Sub
  End Class

  Public Class TEST_UV
    Public u As Single
    Public v As Single

    Public Sub New(ByVal u As Single, ByVal v As Single)
      Me.u = u
      Me.v = v
    End Sub
  End Class

  Public Class TEST_NORMAL
    Public x As Single
    Public y As Single
    Public z As Single

    Public Sub New(ByVal x As Single, ByVal y As Single, ByVal z As Single)
      Me.x = x
      Me.y = y
      Me.z = z
    End Sub
  End Class

  Public Class TEST_TRIANGLE4
    Public xyzIndex(2) As Int32
    Public uvIndex(2) As Int32
    Public normalIndex(2) As Int32
    Public materialIndex As Int32

    Public Sub New(ByVal p0 As Int32, ByVal p1 As Int32, ByVal p2 As Int32, _
                   ByVal uv0 As Int32, ByVal uv1 As Int32, ByVal uv2 As Int32, _
                   ByVal n0 As Int32, ByVal n1 As Int32, ByVal n2 As Int32, _
                   ByVal materialIndex As Int32 )
      Me.xyzIndex(0) = p0
      Me.xyzIndex(1) = p1
      Me.xyzIndex(2) = p2
      Me.uvIndex(0) = uv0
      Me.uvIndex(1) = uv1
      Me.uvIndex(2) = uv2
      Me.normalIndex(0) = n0
      Me.normalIndex(1) = n1
      Me.normalIndex(2) = n2
      Me.materialIndex = materialIndex
    End Sub
  End Class

  Public Class TEST_RGB
    Public red As Single
    Public green As Single
    Public blue As Single

    Public Sub New(ByVal red As Single, ByVal green As Single, ByVal blue As Single)
      Me.red = red
      Me.green = green
      Me.blue = blue
    End Sub
  End Class

  Public Class TEST_MATERIAL
    Public name As String
    Public layerPtr As Int32
    Public ambientRGB As TEST_RGB
    Public diffuseRGB As TEST_RGB
    Public specularRGB As TEST_RGB
    Public emissiveRGB As TEST_RGB
    Public texturePathName As String

    Public Sub New(ByVal name As String, ByVal layerPtr As Int32, ByVal rgb0 As TEST_RGB, _
                   ByVal rgb1 As TEST_RGB, ByVal rgb2 As TEST_RGB, ByVal rgb3 As TEST_RGB, _
                   ByVal texturePathName As String)
      Me.name = name
      Me.layerPtr = layerPtr
      ambientRGB = rgb0
      diffuseRGB = rgb1
      specularRGB = rgb2
      emissiveRGB = rgb3
      Me.texturePathName = texturePathName
    End Sub
  End Class

  Public materialCount As Int32 = 11
  Public xyzCount As Int32 = 766
  Public uvCount As Int32 = 772
  Public vnormCount As Int32 = 742
  Public triangleCount As Int32 = 1380
  Public dataMaterial() As TEST_MATERIAL = Nothing
  Public xyz() As TEST_XYZ = Nothing
  Public uv() As TEST_UV = Nothing
  Public normal() As TEST_NORMAL = Nothing
  Public triangle4() As TEST_TRIANGLE4 = Nothing

  Public Sub New()

    dataMaterial = New TEST_MATERIAL() { _
      New TEST_MATERIAL( "Body", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.588235, 0.588235, 0.588235 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\GreenChain.bmp" ), _
      New TEST_MATERIAL( "Head", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 1.0, 0.72549, 0.72549 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "" ), _
      New TEST_MATERIAL( "Hood", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.588235, 0.588235, 0.588235 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\GreenChain.bmp" ), _
      New TEST_MATERIAL( "Lhand", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 1.0, 0.72549, 0.72549 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "" ), _
      New TEST_MATERIAL( "Llower_arm", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.588235, 0.588235, 0.588235 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\GreenChain.bmp" ), _
      New TEST_MATERIAL( "Lupper_arm", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.588235, 0.588235, 0.588235 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\GreenChain.bmp" ), _
      New TEST_MATERIAL( "Rhand", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 1.0, 0.72549, 0.72549 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "" ), _
      New TEST_MATERIAL( "Rlower_arm", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.588235, 0.588235, 0.588235 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\GreenChain.bmp" ), _
      New TEST_MATERIAL( "Rope_belt", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.423529, 0.211765, 0.0 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "" ), _
      New TEST_MATERIAL( "Rupper_arm", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.588235, 0.588235, 0.588235 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\GreenChain.bmp" ), _
      New TEST_MATERIAL( "Shawl", 0, _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.588235, 0.588235, 0.588235 ), _
        New TEST_RGB( 0.0, 0.0, 0.0 ), New TEST_RGB( 0.0, 0.0, 0.0 ), _
        "D:\\Obj1\\GreenChain.bmp" ) _
      }

    xyz = New TEST_XYZ() { _
      New TEST_XYZ(0.464709, 0.030434, 0.799352), _
      New TEST_XYZ(0.462105, 0.055736, 0.769584), _
      New TEST_XYZ(0.45627, 0.055736, 0.702886), _
      New TEST_XYZ(0.456996, 0.040962, 0.632499), _
      New TEST_XYZ(0.464709, 0.022615, 0.799352), _
      New TEST_XYZ(0.462105, 0.018018, 0.769584), _
      New TEST_XYZ(0.45627, 0.018018, 0.702886), _
      New TEST_XYZ(0.456996, 0.013093, 0.632499), _
      New TEST_XYZ(0.464709, -0.024298, 0.799352), _
      New TEST_XYZ(0.462105, -0.0197, 0.769584), _
      New TEST_XYZ(0.45627, -0.0197, 0.702886), _
      New TEST_XYZ(0.456996, -0.014776, 0.632499), _
      New TEST_XYZ(0.464709, -0.032117, 0.799352), _
      New TEST_XYZ(0.462105, -0.057418, 0.769584), _
      New TEST_XYZ(0.45627, -0.057418, 0.702886), _
      New TEST_XYZ(0.456996, -0.042644, 0.632499), _
      New TEST_XYZ(0.495614, 0.030434, 0.796648), _
      New TEST_XYZ(0.49301, 0.055736, 0.76688), _
      New TEST_XYZ(0.487174, 0.055736, 0.700182), _
      New TEST_XYZ(0.483259, 0.040962, 0.62294), _
      New TEST_XYZ(0.495614, 0.022615, 0.796648), _
      New TEST_XYZ(0.49301, 0.018018, 0.76688), _
      New TEST_XYZ(0.487174, 0.018018, 0.700182), _
      New TEST_XYZ(0.483259, 0.013093, 0.62294), _
      New TEST_XYZ(0.495614, -0.024298, 0.796648), _
      New TEST_XYZ(0.49301, -0.0197, 0.76688), _
      New TEST_XYZ(0.487174, -0.0197, 0.700182), _
      New TEST_XYZ(0.483259, -0.014776, 0.62294), _
      New TEST_XYZ(0.495614, -0.032117, 0.796648), _
      New TEST_XYZ(0.49301, -0.057418, 0.76688), _
      New TEST_XYZ(0.487174, -0.057418, 0.700182), _
      New TEST_XYZ(0.483259, -0.042644, 0.62294), _
      New TEST_XYZ(0.457497, -0.08645, 0.671757), _
      New TEST_XYZ(0.457651, -0.103263, 0.673516), _
      New TEST_XYZ(0.48056, -0.08645, 0.669739), _
      New TEST_XYZ(0.480714, -0.103263, 0.671498), _
      New TEST_XYZ(0.420518, 0.026202, 0.599922), _
      New TEST_XYZ(0.420518, 0.008173, 0.599922), _
      New TEST_XYZ(0.420518, -0.009856, 0.599922), _
      New TEST_XYZ(0.420518, -0.027884, 0.599922), _
      New TEST_XYZ(0.432278, 0.026202, 0.583265), _
      New TEST_XYZ(0.432278, 0.008173, 0.583265), _
      New TEST_XYZ(0.432278, -0.009856, 0.583265), _
      New TEST_XYZ(0.432278, -0.027884, 0.583265), _
      New TEST_XYZ(0.419079, 0.02988, 0.884776), _
      New TEST_XYZ(0.419079, -0.031563, 0.884776), _
      New TEST_XYZ(0.477001, 0.02988, 0.889844), _
      New TEST_XYZ(0.477001, -0.031563, 0.889844), _
      New TEST_XYZ(0.341856, 0.039877, 1.176842), _
      New TEST_XYZ(0.367016, 0.038389, 1.270968), _
      New TEST_XYZ(0.327473, 0.049578, 1.264223), _
      New TEST_XYZ(0.289851, 0.05043, 1.486191), _
      New TEST_XYZ(0.249466, 0.042888, 1.479375), _
      New TEST_XYZ(0.274625, 0.0414, 1.573501), _
      New TEST_XYZ(0.338205, -0.04129, 1.176535), _
      New TEST_XYZ(0.322979, -0.05032, 1.263845), _
      New TEST_XYZ(0.283436, -0.039131, 1.2571), _
      New TEST_XYZ(0.285357, -0.049468, 1.485813), _
      New TEST_XYZ(0.308433, -0.038339, 1.576934), _
      New TEST_XYZ(0.270974, -0.039768, 1.573194), _
      New TEST_XYZ(0.341317, -0.000736, 1.169095), _
      New TEST_XYZ(0.276039, 0.001873, 1.255688), _
      New TEST_XYZ(0.238417, 0.002725, 1.477656), _
      New TEST_XYZ(0.232835, 0.00264, 1.566567), _
      New TEST_XYZ(0.312764, -0.001008, 1.580128), _
      New TEST_XYZ(0.336791, -0.001764, 1.494347), _
      New TEST_XYZ(0.374413, -0.002616, 1.272379), _
      New TEST_XYZ(0.378177, 0.035082, 1.18562), _
      New TEST_XYZ(0.301026, -0.036475, 1.172818), _
      New TEST_XYZ(0.304397, 0.038449, 1.173102), _
      New TEST_XYZ(0.287088, 0.042036, 1.257407), _
      New TEST_XYZ(0.238024, 0.039952, 1.564699), _
      New TEST_XYZ(0.300066, 0.001117, 1.169908), _
      New TEST_XYZ(0.234653, -0.034972, 1.564415), _
      New TEST_XYZ(0.245814, -0.038279, 1.479067), _
      New TEST_XYZ(0.311804, 0.036585, 1.577217), _
      New TEST_XYZ(0.329394, 0.039241, 1.492936), _
      New TEST_XYZ(0.325742, -0.041927, 1.492629), _
      New TEST_XYZ(0.363364, -0.042779, 1.270661), _
      New TEST_XYZ(0.379995, -0.00253, 1.183469), _
      New TEST_XYZ(0.374806, -0.039842, 1.185336), _
      New TEST_XYZ(0.473144, 0.150237, 0.825339), _
      New TEST_XYZ(0.439039, 0.093971, 0.919042), _
      New TEST_XYZ(0.413633, 0.039784, 1.107623), _
      New TEST_XYZ(0.375458, 0.049159, 1.093729), _
      New TEST_XYZ(0.337283, 0.039784, 1.079834), _
      New TEST_XYZ(0.378525, 0.036659, 1.194945), _
      New TEST_XYZ(0.342327, 0.039784, 1.184757), _
      New TEST_XYZ(0.473144, -0.074501, 0.825339), _
      New TEST_XYZ(0.40129, -0.058344, 0.807464), _
      New TEST_XYZ(0.439039, -0.0644, 0.919042), _
      New TEST_XYZ(0.375458, -0.050841, 1.093729), _
      New TEST_XYZ(0.342327, -0.041466, 1.184757), _
      New TEST_XYZ(0.308048, -0.038341, 1.169294), _
      New TEST_XYZ(0.452859, -0.000841, 0.881073), _
      New TEST_XYZ(0.378258, -0.000841, 0.896919), _
      New TEST_XYZ(0.328474, -0.000841, 1.076628), _
      New TEST_XYZ(0.339446, -0.000841, 1.192671), _
      New TEST_XYZ(0.422443, -0.000841, 1.11083), _
      New TEST_XYZ(0.499821, -0.000841, 0.941164), _
      New TEST_XYZ(0.539677, 0.123574, 0.857832), _
      New TEST_XYZ(0.401291, 0.123574, 0.807464), _
      New TEST_XYZ(0.389654, 0.078689, 0.901067), _
      New TEST_XYZ(0.395708, -0.000841, 0.804861), _
      New TEST_XYZ(0.337283, -0.041466, 1.079834), _
      New TEST_XYZ(0.389654, -0.049118, 0.901067), _
      New TEST_XYZ(0.308048, 0.036659, 1.169294), _
      New TEST_XYZ(0.304152, -0.000841, 1.170863), _
      New TEST_XYZ(0.488424, 0.078689, 0.937016), _
      New TEST_XYZ(0.413633, -0.041466, 1.107623), _
      New TEST_XYZ(0.378525, -0.038341, 1.194945), _
      New TEST_XYZ(0.380502, -0.000841, 1.198652), _
      New TEST_XYZ(0.488424, -0.049118, 0.937016), _
      New TEST_XYZ(0.545627, -0.000841, 0.859427), _
      New TEST_XYZ(0.539677, -0.058344, 0.857832), _
      New TEST_XYZ(-0.488424, 0.078689, 0.937016), _
      New TEST_XYZ(-0.439039, 0.093971, 0.919042), _
      New TEST_XYZ(-0.413633, 0.039784, 1.107623), _
      New TEST_XYZ(-0.375458, 0.049159, 1.093729), _
      New TEST_XYZ(-0.378525, 0.036659, 1.194945), _
      New TEST_XYZ(-0.342327, 0.039784, 1.184757), _
      New TEST_XYZ(-0.308048, 0.036659, 1.169294), _
      New TEST_XYZ(-0.473144, -0.074501, 0.825339), _
      New TEST_XYZ(-0.488424, -0.049118, 0.937016), _
      New TEST_XYZ(-0.439039, -0.0644, 0.919042), _
      New TEST_XYZ(-0.389654, -0.049118, 0.901067), _
      New TEST_XYZ(-0.375458, -0.050841, 1.093729), _
      New TEST_XYZ(-0.342327, -0.041466, 1.184757), _
      New TEST_XYZ(-0.545627, -0.000841, 0.859427), _
      New TEST_XYZ(-0.452859, -0.000841, 0.881073), _
      New TEST_XYZ(-0.395708, -0.000841, 0.804861), _
      New TEST_XYZ(-0.378258, -0.000841, 0.896919), _
      New TEST_XYZ(-0.328474, -0.000841, 1.076628), _
      New TEST_XYZ(-0.339446, -0.000841, 1.192671), _
      New TEST_XYZ(-0.422443, -0.000841, 1.11083), _
      New TEST_XYZ(-0.499821, -0.000841, 0.941164), _
      New TEST_XYZ(-0.473144, 0.150237, 0.825339), _
      New TEST_XYZ(-0.539677, 0.123574, 0.857832), _
      New TEST_XYZ(-0.40129, -0.058344, 0.807464), _
      New TEST_XYZ(-0.401291, 0.123574, 0.807464), _
      New TEST_XYZ(-0.389654, 0.078689, 0.901067), _
      New TEST_XYZ(-0.337283, 0.039784, 1.079834), _
      New TEST_XYZ(-0.308048, -0.038341, 1.169294), _
      New TEST_XYZ(-0.337283, -0.041466, 1.079834), _
      New TEST_XYZ(-0.304152, -0.000841, 1.170863), _
      New TEST_XYZ(-0.378525, -0.038341, 1.194945), _
      New TEST_XYZ(-0.380502, -0.000841, 1.198652), _
      New TEST_XYZ(-0.413633, -0.041466, 1.107623), _
      New TEST_XYZ(-0.539677, -0.058344, 0.857832), _
      New TEST_XYZ(-0.327473, 0.049578, 1.264223), _
      New TEST_XYZ(-0.289851, 0.05043, 1.486191), _
      New TEST_XYZ(-0.249466, 0.042888, 1.479375), _
      New TEST_XYZ(-0.311804, 0.036585, 1.577217), _
      New TEST_XYZ(-0.274625, 0.0414, 1.573501), _
      New TEST_XYZ(-0.238024, 0.039952, 1.564699), _
      New TEST_XYZ(-0.363364, -0.042779, 1.270661), _
      New TEST_XYZ(-0.322979, -0.05032, 1.263845), _
      New TEST_XYZ(-0.283436, -0.039131, 1.2571), _
      New TEST_XYZ(-0.325742, -0.041927, 1.492629), _
      New TEST_XYZ(-0.285357, -0.049468, 1.485813), _
      New TEST_XYZ(-0.245814, -0.038279, 1.479067), _
      New TEST_XYZ(-0.308433, -0.038339, 1.576934), _
      New TEST_XYZ(-0.270974, -0.039768, 1.573194), _
      New TEST_XYZ(-0.379995, -0.00253, 1.183469), _
      New TEST_XYZ(-0.341317, -0.000736, 1.169095), _
      New TEST_XYZ(-0.276039, 0.001873, 1.255688), _
      New TEST_XYZ(-0.238417, 0.002725, 1.477656), _
      New TEST_XYZ(-0.232835, 0.00264, 1.566567), _
      New TEST_XYZ(-0.312764, -0.001008, 1.580128), _
      New TEST_XYZ(-0.336791, -0.001764, 1.494347), _
      New TEST_XYZ(-0.374413, -0.002616, 1.272379), _
      New TEST_XYZ(-0.341856, 0.039877, 1.176842), _
      New TEST_XYZ(-0.378177, 0.035082, 1.18562), _
      New TEST_XYZ(-0.304397, 0.038449, 1.173102), _
      New TEST_XYZ(-0.338205, -0.04129, 1.176535), _
      New TEST_XYZ(-0.374806, -0.039842, 1.185336), _
      New TEST_XYZ(-0.287088, 0.042036, 1.257407), _
      New TEST_XYZ(-0.301026, -0.036475, 1.172818), _
      New TEST_XYZ(-0.300066, 0.001117, 1.169908), _
      New TEST_XYZ(-0.234653, -0.034972, 1.564415), _
      New TEST_XYZ(-0.367016, 0.038389, 1.270968), _
      New TEST_XYZ(-0.329394, 0.039241, 1.492936), _
      New TEST_XYZ(-0.464709, 0.030434, 0.799352), _
      New TEST_XYZ(-0.462105, 0.055736, 0.769584), _
      New TEST_XYZ(-0.45627, 0.055736, 0.702886), _
      New TEST_XYZ(-0.456996, 0.040962, 0.632499), _
      New TEST_XYZ(-0.464709, 0.022615, 0.799352), _
      New TEST_XYZ(-0.462105, 0.018018, 0.769584), _
      New TEST_XYZ(-0.45627, 0.018018, 0.702886), _
      New TEST_XYZ(-0.456996, 0.013093, 0.632499), _
      New TEST_XYZ(-0.464709, -0.024298, 0.799352), _
      New TEST_XYZ(-0.462105, -0.0197, 0.769584), _
      New TEST_XYZ(-0.45627, -0.0197, 0.702886), _
      New TEST_XYZ(-0.456996, -0.014776, 0.632499), _
      New TEST_XYZ(-0.464709, -0.032117, 0.799352), _
      New TEST_XYZ(-0.462105, -0.057418, 0.769584), _
      New TEST_XYZ(-0.45627, -0.057418, 0.702886), _
      New TEST_XYZ(-0.456996, -0.042644, 0.632499), _
      New TEST_XYZ(-0.495614, 0.030434, 0.796648), _
      New TEST_XYZ(-0.49301, 0.055736, 0.766881), _
      New TEST_XYZ(-0.487174, 0.055736, 0.700182), _
      New TEST_XYZ(-0.483259, 0.040962, 0.62294), _
      New TEST_XYZ(-0.495614, 0.022615, 0.796648), _
      New TEST_XYZ(-0.49301, 0.018018, 0.766881), _
      New TEST_XYZ(-0.487174, 0.018018, 0.700182), _
      New TEST_XYZ(-0.483259, 0.013093, 0.62294), _
      New TEST_XYZ(-0.495614, -0.024298, 0.796648), _
      New TEST_XYZ(-0.49301, -0.0197, 0.766881), _
      New TEST_XYZ(-0.487174, -0.0197, 0.700182), _
      New TEST_XYZ(-0.483259, -0.014776, 0.62294), _
      New TEST_XYZ(-0.495614, -0.032117, 0.796648), _
      New TEST_XYZ(-0.49301, -0.057418, 0.766881), _
      New TEST_XYZ(-0.487174, -0.057418, 0.700182), _
      New TEST_XYZ(-0.483259, -0.042644, 0.62294), _
      New TEST_XYZ(-0.457497, -0.08645, 0.671757), _
      New TEST_XYZ(-0.457651, -0.103263, 0.673516), _
      New TEST_XYZ(-0.48056, -0.08645, 0.669739), _
      New TEST_XYZ(-0.480714, -0.103263, 0.671498), _
      New TEST_XYZ(-0.420518, 0.026202, 0.599922), _
      New TEST_XYZ(-0.420518, 0.008173, 0.599922), _
      New TEST_XYZ(-0.420518, -0.009856, 0.599922), _
      New TEST_XYZ(-0.420518, -0.027884, 0.599922), _
      New TEST_XYZ(-0.432278, 0.026202, 0.583265), _
      New TEST_XYZ(-0.432278, 0.008173, 0.583265), _
      New TEST_XYZ(-0.432278, -0.009856, 0.583265), _
      New TEST_XYZ(-0.432278, -0.027884, 0.583265), _
      New TEST_XYZ(-0.419079, 0.02988, 0.884776), _
      New TEST_XYZ(-0.419079, -0.031563, 0.884776), _
      New TEST_XYZ(-0.477001, 0.02988, 0.889844), _
      New TEST_XYZ(-0.477001, -0.031563, 0.889844), _
      New TEST_XYZ(0.007742, -0.111171, 1.864964), _
      New TEST_XYZ(0.007742, -0.143263, 1.864964), _
      New TEST_XYZ(0.007742, -0.127217, 1.897056), _
      New TEST_XYZ(0.007742, -0.111171, 1.913102), _
      New TEST_XYZ(-0.007742, -0.111171, 1.864964), _
      New TEST_XYZ(-0.007742, -0.143263, 1.864964), _
      New TEST_XYZ(-0.007742, -0.127217, 1.897056), _
      New TEST_XYZ(-0.007742, -0.111171, 1.913102), _
      New TEST_XYZ(-0.06341, -0.055982, 1.795288), _
      New TEST_XYZ(-0.021882, -0.094279, 1.772939), _
      New TEST_XYZ(0.021881, -0.094279, 1.772939), _
      New TEST_XYZ(0.061533, -0.055982, 1.795288), _
      New TEST_XYZ(-0.072938, -0.099488, 1.851141), _
      New TEST_XYZ(-0.029765, -0.111171, 1.843352), _
      New TEST_XYZ(0.029765, -0.111171, 1.843352), _
      New TEST_XYZ(0.072938, -0.099488, 1.851141), _
      New TEST_XYZ(-0.072938, -0.099488, 1.920605), _
      New TEST_XYZ(-0.029765, -0.111171, 1.928394), _
      New TEST_XYZ(0.029765, -0.111171, 1.928394), _
      New TEST_XYZ(0.072938, -0.099488, 1.920605), _
      New TEST_XYZ(-0.061534, -0.082641, 1.973778), _
      New TEST_XYZ(-0.021882, -0.085577, 1.989019), _
      New TEST_XYZ(0.021881, -0.085577, 1.989019), _
      New TEST_XYZ(0.061533, -0.082641, 1.973778), _
      New TEST_XYZ(-0.022882, -0.057228, 1.768654), _
      New TEST_XYZ(0.022881, -0.057228, 1.768654), _
      New TEST_XYZ(0.079135, -0.059726, 1.84819), _
      New TEST_XYZ(0.079135, -0.059726, 1.923556), _
      New TEST_XYZ(0.063409, -0.055982, 1.976458), _
      New TEST_XYZ(0.022881, -0.057228, 1.993304), _
      New TEST_XYZ(-0.022882, -0.057228, 1.993304), _
      New TEST_XYZ(-0.06341, -0.055982, 1.976458), _
      New TEST_XYZ(-0.079135, -0.059726, 1.923556), _
      New TEST_XYZ(-0.079135, -0.059726, 1.84819), _
      New TEST_XYZ(-0.070238, 0.085704, 1.749936), _
      New TEST_XYZ(0.000000, 0.085704, 1.749936), _
      New TEST_XYZ(0.070237, 0.085704, 1.749936), _
      New TEST_XYZ(-0.060334, 0.096672, 1.80249), _
      New TEST_XYZ(0.000000, 0.096672, 1.80249), _
      New TEST_XYZ(0.060334, 0.096672, 1.80249), _
      New TEST_XYZ(-0.105099, 0.080751, 1.889016), _
      New TEST_XYZ(0.008727, 0.231903, 1.844883), _
      New TEST_XYZ(0.105098, 0.080751, 1.889016), _
      New TEST_XYZ(-0.098119, 0.080751, 1.955367), _
      New TEST_XYZ(-0.008145, 0.231903, 1.85692), _
      New TEST_XYZ(0.000000, 0.231903, 1.857545), _
      New TEST_XYZ(0.008145, 0.231903, 1.85692), _
      New TEST_XYZ(0.098119, 0.080751, 1.955367), _
      New TEST_XYZ(-0.04831, 0.080751, 2.031727), _
      New TEST_XYZ(0.000000, 0.080751, 2.04623), _
      New TEST_XYZ(0.048309, 0.080751, 2.031727), _
      New TEST_XYZ(0.087244, 0.080751, 2.000605), _
      New TEST_XYZ(-0.070238, -0.058918, 1.749936), _
      New TEST_XYZ(0.000000, -0.048466, 1.749936), _
      New TEST_XYZ(0.070237, -0.058918, 1.749936), _
      New TEST_XYZ(0.12075, -0.102849, 1.754623), _
      New TEST_XYZ(0.000000, -0.04739, 1.810873), _
      New TEST_XYZ(0.000000, -0.04739, 1.885873), _
      New TEST_XYZ(0.054375, -0.057841, 1.885873), _
      New TEST_XYZ(0.000000, -0.057841, 1.964769), _
      New TEST_XYZ(-0.05, -0.109458, 2.019593), _
      New TEST_XYZ(0.05, -0.109458, 2.019593), _
      New TEST_XYZ(-0.126863, 0.027262, 1.749936), _
      New TEST_XYZ(0.126862, 0.027262, 1.749936), _
      New TEST_XYZ(0.122475, 0.023258, 1.810873), _
      New TEST_XYZ(0.10875, 0.023258, 1.885873), _
      New TEST_XYZ(0.1015, 0.023258, 1.954759), _
      New TEST_XYZ(0.05, 0.023258, 2.033656), _
      New TEST_XYZ(0.000000, 0.023258, 2.048861), _
      New TEST_XYZ(-0.05, 0.023258, 2.033656), _
      New TEST_XYZ(-0.1015, 0.023258, 1.954759), _
      New TEST_XYZ(-0.10875, 0.023258, 1.885873), _
      New TEST_XYZ(-0.122475, 0.023258, 1.810873), _
      New TEST_XYZ(-0.126863, -0.029285, 1.749936), _
      New TEST_XYZ(0.126862, -0.029285, 1.749936), _
      New TEST_XYZ(0.122475, -0.029285, 1.810873), _
      New TEST_XYZ(0.10875, -0.029285, 1.885873), _
      New TEST_XYZ(0.1015, -0.029285, 1.954759), _
      New TEST_XYZ(0.05, -0.029285, 2.033656), _
      New TEST_XYZ(0.000000, -0.029285, 2.048861), _
      New TEST_XYZ(-0.05, -0.029285, 2.033656), _
      New TEST_XYZ(-0.090625, -0.029285, 2.001431), _
      New TEST_XYZ(-0.1015, -0.029285, 1.954759), _
      New TEST_XYZ(-0.10875, -0.029285, 1.885873), _
      New TEST_XYZ(-0.122475, -0.029285, 1.810873), _
      New TEST_XYZ(-0.126863, -0.079285, 1.749936), _
      New TEST_XYZ(0.126862, -0.079285, 1.749936), _
      New TEST_XYZ(0.122475, -0.079285, 1.810873), _
      New TEST_XYZ(0.10875, -0.079285, 1.885873), _
      New TEST_XYZ(0.1015, -0.079285, 1.954759), _
      New TEST_XYZ(0.05, -0.079285, 2.033656), _
      New TEST_XYZ(0.000000, -0.079285, 2.048861), _
      New TEST_XYZ(-0.05, -0.079285, 2.033656), _
      New TEST_XYZ(-0.1015, -0.079285, 1.954759), _
      New TEST_XYZ(-0.10875, -0.079285, 1.885873), _
      New TEST_XYZ(-0.122475, -0.079285, 1.810873), _
      New TEST_XYZ(-0.082516, 0.130552, 1.849411), _
      New TEST_XYZ(0.082515, 0.130552, 1.849411), _
      New TEST_XYZ(-0.084838, 0.130552, 1.896373), _
      New TEST_XYZ(0.084837, 0.130552, 1.896373), _
      New TEST_XYZ(-0.079214, 0.130552, 1.949849), _
      New TEST_XYZ(0.079213, 0.130552, 1.949849), _
      New TEST_XYZ(-0.027036, 0.181364, 1.847609), _
      New TEST_XYZ(0.000000, 0.181364, 1.847609), _
      New TEST_XYZ(0.027036, 0.181364, 1.847609), _
      New TEST_XYZ(-0.048985, 0.181364, 1.881404), _
      New TEST_XYZ(0.048985, 0.181364, 1.881404), _
      New TEST_XYZ(-0.045701, 0.181364, 1.912589), _
      New TEST_XYZ(0.0457, 0.181364, 1.912589), _
      New TEST_XYZ(-0.041058, 0.181364, 1.933518), _
      New TEST_XYZ(-0.02253, 0.181364, 1.948048), _
      New TEST_XYZ(0.000000, 0.181364, 1.955031), _
      New TEST_XYZ(0.02253, 0.181364, 1.948048), _
      New TEST_XYZ(0.041058, 0.181364, 1.933518), _
      New TEST_XYZ(-0.012446, 0.222528, 1.839064), _
      New TEST_XYZ(0.000000, 0.222528, 1.839064), _
      New TEST_XYZ(0.012446, 0.222528, 1.839064), _
      New TEST_XYZ(-0.020704, 0.219403, 1.881427), _
      New TEST_XYZ(-0.010523, 0.222528, 1.881545), _
      New TEST_XYZ(0.000000, 0.222528, 1.884398), _
      New TEST_XYZ(0.010522, 0.222528, 1.881545), _
      New TEST_XYZ(-0.008727, 0.231903, 1.844883), _
      New TEST_XYZ(0.024363, 0.219403, 1.841137), _
      New TEST_XYZ(0.000000, 0.231903, 1.844883), _
      New TEST_XYZ(-0.061238, -0.057841, 1.810873), _
      New TEST_XYZ(0.061237, -0.057841, 1.810873), _
      New TEST_XYZ(-0.054375, -0.057841, 1.885873), _
      New TEST_XYZ(0.05075, -0.068293, 1.960873), _
      New TEST_XYZ(-0.0875, -0.116785, 2.00082), _
      New TEST_XYZ(-0.05075, -0.068293, 1.960873), _
      New TEST_XYZ(0.0875, -0.116785, 2.00082), _
      New TEST_XYZ(0.12075, 0.079063, 1.754623), _
      New TEST_XYZ(0.111225, -0.109458, 1.810873), _
      New TEST_XYZ(0.098625, -0.109458, 1.885873), _
      New TEST_XYZ(0.092125, -0.109458, 1.954759), _
      New TEST_XYZ(0.090625, 0.023258, 2.001431), _
      New TEST_XYZ(0.090625, -0.079285, 2.001431), _
      New TEST_XYZ(0.090625, -0.029285, 2.001431), _
      New TEST_XYZ(0.000000, -0.109458, 2.030902), _
      New TEST_XYZ(-0.087244, 0.080751, 2.000605), _
      New TEST_XYZ(-0.12075, 0.079063, 1.754623), _
      New TEST_XYZ(-0.109734, 0.084659, 1.815416), _
      New TEST_XYZ(-0.090625, 0.023258, 2.001431), _
      New TEST_XYZ(-0.090625, -0.079285, 2.001431), _
      New TEST_XYZ(-0.098625, -0.109458, 1.885873), _
      New TEST_XYZ(-0.092125, -0.109458, 1.954759), _
      New TEST_XYZ(-0.111225, -0.109458, 1.810873), _
      New TEST_XYZ(-0.12075, -0.102849, 1.754623), _
      New TEST_XYZ(0.109734, 0.084659, 1.815416), _
      New TEST_XYZ(-0.048309, 0.181364, 1.853612), _
      New TEST_XYZ(0.000000, 0.130552, 1.837884), _
      New TEST_XYZ(-0.046791, 0.130552, 1.837884), _
      New TEST_XYZ(0.04679, 0.130552, 1.837884), _
      New TEST_XYZ(-0.0703, 0.130552, 1.986416), _
      New TEST_XYZ(-0.038992, 0.130552, 2.011531), _
      New TEST_XYZ(0.000000, 0.130552, 2.023167), _
      New TEST_XYZ(0.038992, 0.130552, 2.011531), _
      New TEST_XYZ(0.0703, 0.130552, 1.986416), _
      New TEST_XYZ(-0.021224, 0.222528, 1.852591), _
      New TEST_XYZ(-0.024363, 0.219403, 1.841137), _
      New TEST_XYZ(0.048309, 0.181364, 1.853612), _
      New TEST_XYZ(0.021223, 0.222528, 1.852591), _
      New TEST_XYZ(-0.019781, 0.222528, 1.867393), _
      New TEST_XYZ(0.019781, 0.222528, 1.867393), _
      New TEST_XYZ(0.020703, 0.219403, 1.881427), _
      New TEST_XYZ(0.05614, -0.113848, 1.020257), _
      New TEST_XYZ(0.074812, -0.109944, 1.026268), _
      New TEST_XYZ(0.05614, -0.232462, 0.874329), _
      New TEST_XYZ(0.07614, -0.130621, 1.03115), _
      New TEST_XYZ(-0.148937, 0.097909, 1.039101), _
      New TEST_XYZ(-0.148937, 0.097909, 1.019101), _
      New TEST_XYZ(-0.16505, 0.113942, 1.019101), _
      New TEST_XYZ(-0.109821, 0.109698, 1.039101), _
      New TEST_XYZ(-0.109821, 0.109698, 1.019101), _
      New TEST_XYZ(0.109821, 0.109698, 1.039101), _
      New TEST_XYZ(0.109821, 0.109698, 1.019101), _
      New TEST_XYZ(0.148937, 0.097909, 1.039101), _
      New TEST_XYZ(0.148937, 0.097909, 1.019101), _
      New TEST_XYZ(0.160649, 0.058339, 1.039101), _
      New TEST_XYZ(0.160649, 0.058339, 1.019101), _
      New TEST_XYZ(0.160649, -0.058585, 1.039101), _
      New TEST_XYZ(0.160649, -0.058585, 1.019101), _
      New TEST_XYZ(0.165049, -0.114188, 1.039101), _
      New TEST_XYZ(0.148937, -0.098155, 1.039101), _
      New TEST_XYZ(0.148937, -0.098155, 1.019101), _
      New TEST_XYZ(0.109821, -0.109944, 1.039101), _
      New TEST_XYZ(0.109821, -0.109944, 1.019101), _
      New TEST_XYZ(-0.112769, -0.129944, 1.039101), _
      New TEST_XYZ(-0.109821, -0.109944, 1.039101), _
      New TEST_XYZ(-0.109821, -0.109944, 1.019101), _
      New TEST_XYZ(-0.112769, -0.129944, 1.019101), _
      New TEST_XYZ(-0.16505, -0.114188, 1.039101), _
      New TEST_XYZ(-0.148937, -0.098155, 1.039101), _
      New TEST_XYZ(-0.148937, -0.098155, 1.019101), _
      New TEST_XYZ(-0.160649, -0.058585, 1.039101), _
      New TEST_XYZ(-0.160649, -0.058585, 1.019101), _
      New TEST_XYZ(-0.180649, -0.061482, 1.019101), _
      New TEST_XYZ(-0.160649, 0.058339, 1.039101), _
      New TEST_XYZ(-0.160649, 0.058339, 1.019101), _
      New TEST_XYZ(0.123151, -0.225698, 0.884745), _
      New TEST_XYZ(0.074812, -0.126718, 1.037161), _
      New TEST_XYZ(0.141822, -0.221794, 0.890756), _
      New TEST_XYZ(0.141822, -0.205021, 0.879863), _
      New TEST_XYZ(0.123151, -0.208924, 0.873852), _
      New TEST_XYZ(0.05614, -0.130621, 1.03115), _
      New TEST_XYZ(0.07614, -0.232462, 0.874329), _
      New TEST_XYZ(0.07614, -0.215688, 0.863436), _
      New TEST_XYZ(0.07614, -0.113848, 1.020257), _
      New TEST_XYZ(0.05614, -0.215688, 0.863436), _
      New TEST_XYZ(-0.11277, 0.129698, 1.039101), _
      New TEST_XYZ(-0.11277, 0.129698, 1.019101), _
      New TEST_XYZ(0.112769, 0.129698, 1.019101), _
      New TEST_XYZ(0.112769, 0.129698, 1.039101), _
      New TEST_XYZ(0.165049, 0.113942, 1.039101), _
      New TEST_XYZ(0.180649, 0.061236, 1.039101), _
      New TEST_XYZ(0.165049, 0.113942, 1.019101), _
      New TEST_XYZ(0.180649, -0.061483, 1.019101), _
      New TEST_XYZ(0.180649, 0.061236, 1.019101), _
      New TEST_XYZ(0.180649, -0.061483, 1.039101), _
      New TEST_XYZ(0.165049, -0.114188, 1.019101), _
      New TEST_XYZ(0.112769, -0.129944, 1.039101), _
      New TEST_XYZ(0.112769, -0.129944, 1.019101), _
      New TEST_XYZ(-0.16505, -0.114188, 1.019101), _
      New TEST_XYZ(-0.180649, -0.061482, 1.039101), _
      New TEST_XYZ(-0.180649, 0.061237, 1.019101), _
      New TEST_XYZ(-0.180649, 0.061237, 1.039101), _
      New TEST_XYZ(-0.16505, 0.113942, 1.039101), _
      New TEST_XYZ(0.000000, -0.169413, 1.349213), _
      New TEST_XYZ(0.149603, -0.169413, 1.406816), _
      New TEST_XYZ(-0.14781, -0.180646, 1.514073), _
      New TEST_XYZ(0.000000, -0.180646, 1.496308), _
      New TEST_XYZ(0.147809, -0.180646, 1.514073), _
      New TEST_XYZ(0.301061, -0.169413, 1.549228), _
      New TEST_XYZ(-0.132619, -0.173733, 1.624228), _
      New TEST_XYZ(0.000000, -0.173733, 1.624228), _
      New TEST_XYZ(0.132618, -0.173733, 1.624228), _
      New TEST_XYZ(0.269995, -0.162932, 1.630305), _
      New TEST_XYZ(-0.106058, -0.155217, 1.705305), _
      New TEST_XYZ(0.000000, -0.155217, 1.705305), _
      New TEST_XYZ(0.106057, -0.155217, 1.705305), _
      New TEST_XYZ(0.210912, -0.145573, 1.705305), _
      New TEST_XYZ(0.000000, -0.11482, 1.757481), _
      New TEST_XYZ(0.095813, -0.11482, 1.757481), _
      New TEST_XYZ(-0.297491, 0.163836, 1.478338), _
      New TEST_XYZ(-0.149603, 0.16758, 1.406816), _
      New TEST_XYZ(0.149603, 0.16758, 1.406816), _
      New TEST_XYZ(-0.14781, 0.178813, 1.514073), _
      New TEST_XYZ(0.000000, 0.178813, 1.496308), _
      New TEST_XYZ(0.147809, 0.178813, 1.514073), _
      New TEST_XYZ(-0.132619, 0.171901, 1.624228), _
      New TEST_XYZ(0.000000, 0.171901, 1.624228), _
      New TEST_XYZ(0.132618, 0.171901, 1.624228), _
      New TEST_XYZ(-0.106058, 0.153384, 1.705305), _
      New TEST_XYZ(0.000000, 0.153384, 1.705305), _
      New TEST_XYZ(0.106057, 0.153384, 1.705305), _
      New TEST_XYZ(0.210912, 0.143741, 1.705305), _
      New TEST_XYZ(-0.095813, 0.112987, 1.757481), _
      New TEST_XYZ(0.095813, 0.112987, 1.757481), _
      New TEST_XYZ(-0.149603, -0.090781, 1.392667), _
      New TEST_XYZ(0.000000, -0.090781, 1.323377), _
      New TEST_XYZ(0.149603, -0.090781, 1.392667), _
      New TEST_XYZ(0.323965, -0.090781, 1.555305), _
      New TEST_XYZ(0.226544, -0.078067, 1.705305), _
      New TEST_XYZ(0.170501, -0.061665, 1.757481), _
      New TEST_XYZ(0.095813, -0.061665, 1.766856), _
      New TEST_XYZ(0.000000, -0.061665, 1.766856), _
      New TEST_XYZ(-0.095813, -0.061665, 1.766856), _
      New TEST_XYZ(-0.170501, -0.061665, 1.757481), _
      New TEST_XYZ(-0.226544, -0.078067, 1.705305), _
      New TEST_XYZ(-0.323965, -0.090781, 1.555305), _
      New TEST_XYZ(-0.149603, -0.000916, 1.392667), _
      New TEST_XYZ(0.149603, -0.000916, 1.392667), _
      New TEST_XYZ(0.323965, -0.000916, 1.555305), _
      New TEST_XYZ(0.226544, -0.000916, 1.705305), _
      New TEST_XYZ(0.170501, -0.000916, 1.757481), _
      New TEST_XYZ(0.095813, -0.000916, 1.766856), _
      New TEST_XYZ(0.000000, -0.000916, 1.766856), _
      New TEST_XYZ(-0.095813, -0.000916, 1.766856), _
      New TEST_XYZ(-0.170501, -0.000916, 1.757481), _
      New TEST_XYZ(-0.226544, -0.000916, 1.705305), _
      New TEST_XYZ(-0.323965, -0.000916, 1.555305), _
      New TEST_XYZ(-0.149603, 0.088948, 1.392667), _
      New TEST_XYZ(0.000000, 0.088948, 1.323377), _
      New TEST_XYZ(0.149603, 0.088948, 1.392667), _
      New TEST_XYZ(0.305125, 0.088948, 1.47883), _
      New TEST_XYZ(0.323965, 0.088948, 1.555305), _
      New TEST_XYZ(0.290629, 0.085492, 1.630305), _
      New TEST_XYZ(0.226544, 0.076234, 1.705305), _
      New TEST_XYZ(0.170501, 0.059832, 1.757481), _
      New TEST_XYZ(0.095813, 0.059832, 1.766856), _
      New TEST_XYZ(0.000000, 0.059832, 1.766856), _
      New TEST_XYZ(-0.095813, 0.059832, 1.766856), _
      New TEST_XYZ(-0.170501, 0.059832, 1.757481), _
      New TEST_XYZ(-0.226544, 0.076234, 1.705305), _
      New TEST_XYZ(-0.323965, 0.088948, 1.555305), _
      New TEST_XYZ(-0.149603, -0.169413, 1.406816), _
      New TEST_XYZ(0.000000, 0.16758, 1.349213), _
      New TEST_XYZ(0.29749, 0.163836, 1.478338), _
      New TEST_XYZ(0.29749, -0.165669, 1.478338), _
      New TEST_XYZ(0.305125, -0.090781, 1.47883), _
      New TEST_XYZ(0.169484, -0.112288, 1.754356), _
      New TEST_XYZ(0.290629, -0.087325, 1.630305), _
      New TEST_XYZ(0.305125, -0.000916, 1.47883), _
      New TEST_XYZ(0.290629, -0.000916, 1.630305), _
      New TEST_XYZ(0.301061, 0.16758, 1.549228), _
      New TEST_XYZ(0.269995, 0.1611, 1.630305), _
      New TEST_XYZ(-0.095813, -0.11482, 1.757481), _
      New TEST_XYZ(0.169484, 0.110456, 1.754356), _
      New TEST_XYZ(0.000000, 0.112987, 1.757481), _
      New TEST_XYZ(-0.169485, 0.110456, 1.754356), _
      New TEST_XYZ(-0.169485, -0.112288, 1.754356), _
      New TEST_XYZ(-0.210912, -0.145573, 1.705305), _
      New TEST_XYZ(-0.301062, -0.169413, 1.549228), _
      New TEST_XYZ(-0.269996, -0.162932, 1.630305), _
      New TEST_XYZ(-0.297491, -0.165669, 1.478338), _
      New TEST_XYZ(-0.29063, -0.087325, 1.630305), _
      New TEST_XYZ(-0.305125, -0.090781, 1.47883), _
      New TEST_XYZ(-0.305125, -0.000916, 1.47883), _
      New TEST_XYZ(-0.29063, -0.000916, 1.630305), _
      New TEST_XYZ(-0.305125, 0.088948, 1.47883), _
      New TEST_XYZ(-0.210912, 0.143741, 1.705305), _
      New TEST_XYZ(-0.269996, 0.1611, 1.630305), _
      New TEST_XYZ(-0.29063, 0.085492, 1.630305), _
      New TEST_XYZ(-0.301062, 0.16758, 1.549228), _
      New TEST_XYZ(0.352677, -0.227075, 0.000000), _
      New TEST_XYZ(0.117438, -0.260577, 0.000000), _
      New TEST_XYZ(0.000000, -0.25678, 0.000000), _
      New TEST_XYZ(0.241885, -0.244806, 0.133606), _
      New TEST_XYZ(0.122792, -0.244998, 0.13332), _
      New TEST_XYZ(0.000000, -0.238763, 0.142558), _
      New TEST_XYZ(0.328034, -0.210503, 0.361295), _
      New TEST_XYZ(0.237591, -0.242438, 0.360249), _
      New TEST_XYZ(0.113851, -0.242008, 0.36049), _
      New TEST_XYZ(0.000000, -0.228829, 0.367886), _
      New TEST_XYZ(0.212275, -0.232544, 0.609977), _
      New TEST_XYZ(0.100555, -0.229576, 0.608526), _
      New TEST_XYZ(0.000000, -0.215424, 0.601607), _
      New TEST_XYZ(0.066377, -0.162145, 0.883871), _
      New TEST_XYZ(0.000000, -0.158535, 0.875242), _
      New TEST_XYZ(0.045976, -0.119161, 0.977613), _
      New TEST_XYZ(0.000000, -0.118069, 0.971819), _
      New TEST_XYZ(0.156993, -0.106048, 1.062421), _
      New TEST_XYZ(0.111295, -0.119821, 1.062421), _
      New TEST_XYZ(0.041948, -0.119821, 1.062421), _
      New TEST_XYZ(0.000000, -0.119821, 1.062421), _
      New TEST_XYZ(0.138829, -0.153745, 1.257706), _
      New TEST_XYZ(0.056074, -0.153745, 1.257706), _
      New TEST_XYZ(0.000000, -0.153745, 1.257706), _
      New TEST_XYZ(0.147432, -0.1644, 1.432073), _
      New TEST_XYZ(0.058941, -0.1644, 1.432073), _
      New TEST_XYZ(0.000000, -0.1644, 1.432073), _
      New TEST_XYZ(0.2138, -0.14385, 1.592073), _
      New TEST_XYZ(0.147432, -0.1644, 1.592073), _
      New TEST_XYZ(0.058941, -0.1644, 1.592073), _
      New TEST_XYZ(0.000000, -0.1644, 1.592073), _
      New TEST_XYZ(0.000000, 0.25678, 0.000000), _
      New TEST_XYZ(0.241885, 0.244806, 0.133605), _
      New TEST_XYZ(0.122792, 0.244999, 0.13332), _
      New TEST_XYZ(0.000000, 0.238763, 0.142558), _
      New TEST_XYZ(0.237591, 0.242438, 0.360249), _
      New TEST_XYZ(0.113851, 0.242008, 0.36049), _
      New TEST_XYZ(0.000000, 0.22883, 0.367886), _
      New TEST_XYZ(0.212275, 0.232544, 0.609977), _
      New TEST_XYZ(0.100555, 0.229577, 0.608526), _
      New TEST_XYZ(0.000000, 0.215424, 0.601607), _
      New TEST_XYZ(0.066377, 0.162145, 0.883871), _
      New TEST_XYZ(0.000000, 0.158535, 0.875242), _
      New TEST_XYZ(0.11403, 0.120486, 0.984643), _
      New TEST_XYZ(0.045976, 0.119161, 0.977613), _
      New TEST_XYZ(0.000000, 0.11807, 0.971819), _
      New TEST_XYZ(0.111295, 0.119821, 1.062421), _
      New TEST_XYZ(0.041948, 0.119821, 1.062421), _
      New TEST_XYZ(0.000000, 0.119821, 1.062421), _
      New TEST_XYZ(0.138829, 0.153746, 1.257706), _
      New TEST_XYZ(0.056074, 0.153746, 1.257706), _
      New TEST_XYZ(0.000000, 0.153746, 1.257706), _
      New TEST_XYZ(0.2138, 0.143851, 1.432073), _
      New TEST_XYZ(0.147432, 0.164401, 1.432073), _
      New TEST_XYZ(0.058941, 0.164401, 1.432073), _
      New TEST_XYZ(0.000000, 0.164401, 1.432073), _
      New TEST_XYZ(0.2138, 0.143851, 1.592073), _
      New TEST_XYZ(0.147432, 0.164401, 1.592073), _
      New TEST_XYZ(0.058941, 0.164401, 1.592073), _
      New TEST_XYZ(0.000000, 0.164401, 1.592073), _
      New TEST_XYZ(0.379773, -0.131524, 0.000000), _
      New TEST_XYZ(0.115541, -0.134273, 0.342403), _
      New TEST_XYZ(0.000000, -0.131524, 0.342403), _
      New TEST_XYZ(0.235923, -0.0822, 1.592073), _
      New TEST_XYZ(0.235923, -0.0822, 1.432073), _
      New TEST_XYZ(0.221584, -0.076872, 1.257706), _
      New TEST_XYZ(0.170649, -0.05991, 1.062421), _
      New TEST_XYZ(0.238879, -0.084986, 0.90258), _
      New TEST_XYZ(0.328235, -0.128737, 0.622164), _
      New TEST_XYZ(0.363896, -0.128307, 0.352294), _
      New TEST_XYZ(0.362498, -0.124722, 0.126733), _
      New TEST_XYZ(0.251682, 0.0, 0.342403), _
      New TEST_XYZ(0.235923, 0.000000, 1.592073), _
      New TEST_XYZ(0.235923, 0.000000, 1.432073), _
      New TEST_XYZ(0.221584, 0.000000, 1.257706), _
      New TEST_XYZ(0.170649, 0.000000, 1.062421), _
      New TEST_XYZ(0.344946, 0.000000, 0.63627), _
      New TEST_XYZ(0.376588, 0.000000, 0.342403), _
      New TEST_XYZ(0.366315, 0.0, 0.119041), _
      New TEST_XYZ(0.379773, 0.131524, 0.000000), _
      New TEST_XYZ(0.115541, 0.134273, 0.342403), _
      New TEST_XYZ(0.000000, 0.131524, 0.342403), _
      New TEST_XYZ(0.235923, 0.082201, 1.592073), _
      New TEST_XYZ(0.235923, 0.082201, 1.432073), _
      New TEST_XYZ(0.221584, 0.076873, 1.257706), _
      New TEST_XYZ(0.170649, 0.059911, 1.062421), _
      New TEST_XYZ(0.328235, 0.128737, 0.622164), _
      New TEST_XYZ(0.363896, 0.128307, 0.352294), _
      New TEST_XYZ(0.362498, 0.124723, 0.126733), _
      New TEST_XYZ(-0.335816, -0.212787, 0.136008), _
      New TEST_XYZ(-0.241885, -0.244806, 0.133606), _
      New TEST_XYZ(-0.122792, -0.244999, 0.133321), _
      New TEST_XYZ(-0.237591, -0.242438, 0.360249), _
      New TEST_XYZ(-0.113851, -0.242008, 0.360491), _
      New TEST_XYZ(-0.212275, -0.232544, 0.609977), _
      New TEST_XYZ(-0.100555, -0.229576, 0.608526), _
      New TEST_XYZ(-0.150816, -0.164685, 0.889942), _
      New TEST_XYZ(-0.066377, -0.162145, 0.883871), _
      New TEST_XYZ(-0.114031, -0.120486, 0.984643), _
      New TEST_XYZ(-0.045977, -0.119161, 0.977613), _
      New TEST_XYZ(-0.111295, -0.119821, 1.062421), _
      New TEST_XYZ(-0.041949, -0.119821, 1.062421), _
      New TEST_XYZ(-0.138829, -0.153745, 1.257706), _
      New TEST_XYZ(-0.056074, -0.153745, 1.257706), _
      New TEST_XYZ(-0.147432, -0.1644, 1.432073), _
      New TEST_XYZ(-0.058942, -0.1644, 1.432073), _
      New TEST_XYZ(-0.147432, -0.1644, 1.592073), _
      New TEST_XYZ(-0.058942, -0.1644, 1.592073), _
      New TEST_XYZ(-0.241885, 0.244806, 0.133606), _
      New TEST_XYZ(-0.122792, 0.244999, 0.13332), _
      New TEST_XYZ(-0.237591, 0.242438, 0.360249), _
      New TEST_XYZ(-0.113851, 0.242008, 0.36049), _
      New TEST_XYZ(-0.212275, 0.232544, 0.609977), _
      New TEST_XYZ(-0.100555, 0.229577, 0.608526), _
      New TEST_XYZ(-0.066377, 0.162146, 0.883871), _
      New TEST_XYZ(-0.156757, 0.10413, 0.988432), _
      New TEST_XYZ(-0.045977, 0.119162, 0.977613), _
      New TEST_XYZ(-0.156993, 0.106049, 1.062421), _
      New TEST_XYZ(-0.111295, 0.119821, 1.062421), _
      New TEST_XYZ(-0.041949, 0.119821, 1.062421), _
      New TEST_XYZ(-0.199462, 0.133195, 1.257706), _
      New TEST_XYZ(-0.138829, 0.153746, 1.257706), _
      New TEST_XYZ(-0.056074, 0.153746, 1.257706), _
      New TEST_XYZ(-0.2138, 0.143851, 1.432073), _
      New TEST_XYZ(-0.147432, 0.164401, 1.432073), _
      New TEST_XYZ(-0.058942, 0.164401, 1.432073), _
      New TEST_XYZ(-0.147432, 0.164401, 1.592073), _
      New TEST_XYZ(-0.058942, 0.164401, 1.592073), _
      New TEST_XYZ(-0.379773, -0.131524, 0.000000), _
      New TEST_XYZ(-0.115541, -0.134273, 0.342403), _
      New TEST_XYZ(-0.235923, -0.0822, 1.592073), _
      New TEST_XYZ(-0.235923, -0.0822, 1.432073), _
      New TEST_XYZ(-0.221584, -0.076872, 1.257706), _
      New TEST_XYZ(-0.170649, -0.05991, 1.062421), _
      New TEST_XYZ(-0.173652, -0.060943, 0.992076), _
      New TEST_XYZ(-0.328236, -0.128737, 0.622164), _
      New TEST_XYZ(-0.363896, -0.128307, 0.352294), _
      New TEST_XYZ(-0.362498, -0.124722, 0.126733), _
      New TEST_XYZ(-0.251682, 0.0, 0.342403), _
      New TEST_XYZ(-0.235923, 0.000000, 1.592073), _
      New TEST_XYZ(-0.235923, 0.000000, 1.432073), _
      New TEST_XYZ(-0.221584, 0.000000, 1.257706), _
      New TEST_XYZ(-0.170649, 0.000000, 1.062421), _
      New TEST_XYZ(-0.344946, 0.000000, 0.63627), _
      New TEST_XYZ(-0.376588, 0.0, 0.342403), _
      New TEST_XYZ(-0.366316, 0.0, 0.119041), _
      New TEST_XYZ(-0.115541, 0.134273, 0.342403), _
      New TEST_XYZ(-0.235923, 0.082201, 1.592073), _
      New TEST_XYZ(-0.235923, 0.082201, 1.432073), _
      New TEST_XYZ(-0.221584, 0.076873, 1.257706), _
      New TEST_XYZ(-0.170649, 0.059911, 1.062421), _
      New TEST_XYZ(-0.328236, 0.128737, 0.622164), _
      New TEST_XYZ(-0.363896, 0.128307, 0.352294), _
      New TEST_XYZ(-0.362498, 0.124722, 0.126733), _
      New TEST_XYZ(0.150816, -0.164685, 0.889942), _
      New TEST_XYZ(0.214332, -0.14413, 0.893963), _
      New TEST_XYZ(0.156757, -0.104129, 0.988432), _
      New TEST_XYZ(0.11403, -0.120486, 0.984643), _
      New TEST_XYZ(0.150816, 0.164685, 0.889942), _
      New TEST_XYZ(0.156757, 0.10413, 0.988432), _
      New TEST_XYZ(0.248653, -0.260466, 0.000000), _
      New TEST_XYZ(0.250754, -0.13419, 0.342403), _
      New TEST_XYZ(0.352677, 0.227075, 0.0), _
      New TEST_XYZ(0.248653, 0.260466, 0.000000), _
      New TEST_XYZ(0.250754, 0.13419, 0.342403), _
      New TEST_XYZ(0.117438, 0.260577, 0.000000), _
      New TEST_XYZ(0.2138, -0.14385, 1.432073), _
      New TEST_XYZ(0.199461, -0.133195, 1.257706), _
      New TEST_XYZ(0.289359, -0.20523, 0.610957), _
      New TEST_XYZ(0.335815, -0.212787, 0.136008), _
      New TEST_XYZ(0.173636, 0.000000, 0.993888), _
      New TEST_XYZ(0.173652, -0.060943, 0.992076), _
      New TEST_XYZ(0.173652, 0.060943, 0.992076), _
      New TEST_XYZ(0.239764, 0.000000, 0.908592), _
      New TEST_XYZ(0.238879, 0.084986, 0.90258), _
      New TEST_XYZ(0.381792, 0.0, 0.000000), _
      New TEST_XYZ(0.199461, 0.133195, 1.257706), _
      New TEST_XYZ(0.156993, 0.106049, 1.062421), _
      New TEST_XYZ(0.214332, 0.14413, 0.893963), _
      New TEST_XYZ(0.289359, 0.20523, 0.610957), _
      New TEST_XYZ(0.328034, 0.210503, 0.361294), _
      New TEST_XYZ(0.335815, 0.212787, 0.136007), _
      New TEST_XYZ(-0.156757, -0.104129, 0.988432), _
      New TEST_XYZ(-0.150816, 0.164685, 0.889942), _
      New TEST_XYZ(-0.214332, 0.14413, 0.893963), _
      New TEST_XYZ(-0.114031, 0.120486, 0.984643), _
      New TEST_XYZ(-0.352677, -0.227075, 0.000000), _
      New TEST_XYZ(-0.248653, -0.260466, 0.000001), _
      New TEST_XYZ(-0.117438, -0.260577, 0.000001), _
      New TEST_XYZ(-0.250755, -0.13419, 0.342403), _
      New TEST_XYZ(-0.250755, 0.13419, 0.342403), _
      New TEST_XYZ(-0.248653, 0.260466, 0.000000), _
      New TEST_XYZ(-0.352677, 0.227075, 0.0), _
      New TEST_XYZ(-0.117438, 0.260577, 0.000000), _
      New TEST_XYZ(-0.2138, -0.14385, 1.592073), _
      New TEST_XYZ(-0.199462, -0.133195, 1.257706), _
      New TEST_XYZ(-0.2138, -0.14385, 1.432073), _
      New TEST_XYZ(-0.156993, -0.106048, 1.062421), _
      New TEST_XYZ(-0.214332, -0.14413, 0.893963), _
      New TEST_XYZ(-0.289359, -0.20523, 0.610957), _
      New TEST_XYZ(-0.328034, -0.210503, 0.361295), _
      New TEST_XYZ(-0.23888, -0.084986, 0.90258), _
      New TEST_XYZ(-0.381792, 0.0, 0.000000), _
      New TEST_XYZ(-0.173652, 0.060943, 0.992076), _
      New TEST_XYZ(-0.173637, 0.000000, 0.993889), _
      New TEST_XYZ(-0.239764, 0.000000, 0.908592), _
      New TEST_XYZ(-0.2138, 0.143851, 1.592073), _
      New TEST_XYZ(-0.23888, 0.084986, 0.90258), _
      New TEST_XYZ(-0.289359, 0.20523, 0.610957), _
      New TEST_XYZ(-0.328034, 0.210503, 0.361295), _
      New TEST_XYZ(-0.335816, 0.212787, 0.136007), _
      New TEST_XYZ(-0.379773, 0.131524, 0.000000) _
    }


    uv = New TEST_UV() { _
      New TEST_UV(0.0, 0.0), New TEST_UV(0.043074, 0.352082), _
      New TEST_UV(0.043074, 0.449285), New TEST_UV(0.043074, 0.535235), _
      New TEST_UV(0.051131, 0.263036), New TEST_UV(0.051131, 0.575742), _
      New TEST_UV(0.051131, 0.575742), New TEST_UV(0.092431, 0.051131), _
      New TEST_UV(0.092431, 0.051131), New TEST_UV(0.111367, 0.155635), _
      New TEST_UV(0.124605, 0.449285), New TEST_UV(0.124605, 0.535235), _
      New TEST_UV(0.124605, 0.358963), New TEST_UV(0.125657, 0.599697), _
      New TEST_UV(0.125657, 0.599697), New TEST_UV(0.126025, 0.260134), _
      New TEST_UV(0.144215, 0.358963), New TEST_UV(0.144215, 0.449285), _
      New TEST_UV(0.144215, 0.535235), New TEST_UV(0.147825, 0.358963), _
      New TEST_UV(0.147825, 0.449285), New TEST_UV(0.147825, 0.535235), _
      New TEST_UV(0.147825, 0.587103), New TEST_UV(0.147825, 0.498374), _
      New TEST_UV(0.147825, 0.587103), New TEST_UV(0.149587, 0.599697), _
      New TEST_UV(0.149588, 0.474343), New TEST_UV(0.150028, 0.260134), _
      New TEST_UV(0.150416, 0.174525), New TEST_UV(0.155635, 0.253416), _
      New TEST_UV(0.158156, 0.174525), New TEST_UV(0.179155, 0.174525), _
      New TEST_UV(0.179155, 0.449584), New TEST_UV(0.179262, 0.043074), _
      New TEST_UV(0.179262, 0.043074), New TEST_UV(0.194325, 0.51634), _
      New TEST_UV(0.194733, 0.147825), New TEST_UV(0.196286, 0.133414), _
      New TEST_UV(0.199848, 0.02179), New TEST_UV(0.20379, 0.260134), _
      New TEST_UV(0.204834, 0.358963), New TEST_UV(0.204834, 0.449285), _
      New TEST_UV(0.204834, 0.535235), New TEST_UV(0.204834, 0.587103), _
      New TEST_UV(0.204834, 0.587103), New TEST_UV(0.206529, 0.27675), _
      New TEST_UV(0.212761, 0.405675), New TEST_UV(0.213275, 0.174525), _
      New TEST_UV(0.21405, 0.358963), New TEST_UV(0.21405, 0.449285), _
      New TEST_UV(0.21405, 0.535235), New TEST_UV(0.21405, 0.587103), _
      New TEST_UV(0.21405, 0.506615), New TEST_UV(0.214072, 0.174525), _
      New TEST_UV(0.216956, 0.260134), New TEST_UV(0.216957, 0.087179), _
      New TEST_UV(0.219538, 0.016418), New TEST_UV(0.219567, 0.194258), _
      New TEST_UV(0.219567, 0.174525), New TEST_UV(0.221294, 0.087179), _
      New TEST_UV(0.229422, 0.358652), New TEST_UV(0.232973, 0.174525), _
      New TEST_UV(0.232973, 0.492756), New TEST_UV(0.241348, 0.087179), _
      New TEST_UV(0.244983, 0.016418), New TEST_UV(0.253525, 0.087179), _
      New TEST_UV(0.25812, 0.199848), New TEST_UV(0.25812, 0.02179), _
      New TEST_UV(0.261271, 0.383628), New TEST_UV(0.262992, 0.653449), _
      New TEST_UV(0.262992, 0.8), New TEST_UV(0.262992, 0.946551), _
      New TEST_UV(0.263517, 0.219538), New TEST_UV(0.26441, 0.269107), _
      New TEST_UV(0.265997, 0.244983), New TEST_UV(0.269068, 0.087179), _
      New TEST_UV(0.269107, 0.02179), New TEST_UV(0.270144, 0.808035), _
      New TEST_UV(0.270144, 0.808035), New TEST_UV(0.276429, 0.669515), _
      New TEST_UV(0.276429, 1.068676), New TEST_UV(0.276429, 0.531324), _
      New TEST_UV(0.276429, 0.669515), New TEST_UV(0.27675, 0.358963), _
      New TEST_UV(0.27675, 0.449285), New TEST_UV(0.27675, 0.535235), _
      New TEST_UV(0.27675, 0.587103), New TEST_UV(0.27675, 0.498374), _
      New TEST_UV(0.27675, 0.587103), New TEST_UV(0.277325, 0.087179), _
      New TEST_UV(0.278605, 0.016418), New TEST_UV(0.281912, 0.26931), _
      New TEST_UV(0.282153, 0.260134), New TEST_UV(0.284999, 0.206288), _
      New TEST_UV(0.284999, 0.000303), New TEST_UV(0.285999, 0.22698), _
      New TEST_UV(0.288504, 0.659086), New TEST_UV(0.288504, 0.8), _
      New TEST_UV(0.288504, 0.940914), New TEST_UV(0.294799, 0.174525), _
      New TEST_UV(0.3, 0.174525), New TEST_UV(0.3, 0.260134), _
      New TEST_UV(0.3, 0.358963), New TEST_UV(0.3, 0.449285), _
      New TEST_UV(0.3, 0.512758), New TEST_UV(0.3, 0.535235), _
      New TEST_UV(0.3, 0.587103), New TEST_UV(0.3, 0.274214), _
      New TEST_UV(0.3, 0.395633), New TEST_UV(0.3, 0.133414), _
      New TEST_UV(0.3, 0.194258), New TEST_UV(0.3, 0.206288), _
      New TEST_UV(0.3, 0.228055), New TEST_UV(0.3, 0.043074), _
      New TEST_UV(0.3, 0.000303), New TEST_UV(0.3, 0.016418), _
      New TEST_UV(0.3, 0.087179), New TEST_UV(0.3, 0.147825), _
      New TEST_UV(0.3, 0.174525), New TEST_UV(0.3, 0.27675), _
      New TEST_UV(0.3, 0.412373), New TEST_UV(0.3, 0.526055), _
      New TEST_UV(0.305201, 0.174525), New TEST_UV(0.314001, 0.22698), _
      New TEST_UV(0.315001, 0.206288), New TEST_UV(0.315001, 0.000303), _
      New TEST_UV(0.317847, 0.260134), New TEST_UV(0.318088, 0.26931), _
      New TEST_UV(0.321395, 0.016418), New TEST_UV(0.322675, 0.087179), _
      New TEST_UV(0.32325, 0.358963), New TEST_UV(0.32325, 0.449285), _
      New TEST_UV(0.32325, 0.535235), New TEST_UV(0.32325, 0.587103), _
      New TEST_UV(0.32325, 0.498374), New TEST_UV(0.32325, 0.587103), _
      New TEST_UV(0.324819, 0.535786), New TEST_UV(0.324819, 0.966458), _
      New TEST_UV(0.324819, 0.966459), New TEST_UV(0.324819, 1.064214), _
      New TEST_UV(0.330893, 0.02179), New TEST_UV(0.330932, 0.087179), _
      New TEST_UV(0.334003, 0.244983), New TEST_UV(0.33559, 0.269107), _
      New TEST_UV(0.336483, 0.219538), New TEST_UV(0.338729, 0.383628), _
      New TEST_UV(0.34188, 0.199848), New TEST_UV(0.34188, 0.02179), _
      New TEST_UV(0.346475, 0.087179), New TEST_UV(0.355017, 0.016418), _
      New TEST_UV(0.358652, 0.087179), New TEST_UV(0.367027, 0.174525), _
      New TEST_UV(0.367027, 0.492756), New TEST_UV(0.370578, 0.358652), _
      New TEST_UV(0.378706, 0.087179), New TEST_UV(0.380433, 0.194258), _
      New TEST_UV(0.380433, 0.174525), New TEST_UV(0.380462, 0.016418), _
      New TEST_UV(0.383043, 0.087179), New TEST_UV(0.383044, 0.260134), _
      New TEST_UV(0.385928, 0.174525), New TEST_UV(0.38595, 0.358963), _
      New TEST_UV(0.38595, 0.449285), New TEST_UV(0.38595, 0.535235), _
      New TEST_UV(0.38595, 0.587103), New TEST_UV(0.38595, 0.506615), _
      New TEST_UV(0.386725, 0.174525), New TEST_UV(0.387239, 0.405675), _
      New TEST_UV(0.393471, 0.27675), New TEST_UV(0.395166, 0.358963), _
      New TEST_UV(0.395166, 0.449285), New TEST_UV(0.395166, 0.535235), _
      New TEST_UV(0.395166, 0.587103), New TEST_UV(0.395166, 0.587103), _
      New TEST_UV(0.39621, 0.260134), New TEST_UV(0.400152, 0.02179), _
      New TEST_UV(0.401292, 0.674184), New TEST_UV(0.401292, 0.8), _
      New TEST_UV(0.401292, 0.925816), New TEST_UV(0.403714, 0.133414), _
      New TEST_UV(0.405267, 0.147825), New TEST_UV(0.405675, 0.51634), _
      New TEST_UV(0.420738, 0.043074), New TEST_UV(0.420738, 0.043074), _
      New TEST_UV(0.420845, 0.174525), New TEST_UV(0.420845, 0.449584), _
      New TEST_UV(0.428803, 1.035905), New TEST_UV(0.428804, 0.564095), _
      New TEST_UV(0.428804, 1.113009), New TEST_UV(0.428804, 1.113009), _
      New TEST_UV(0.441844, 0.214072), New TEST_UV(0.441844, 0.174525), _
      New TEST_UV(0.444365, 0.253416), New TEST_UV(0.449584, 0.174525), _
      New TEST_UV(0.449972, 0.260134), New TEST_UV(0.450412, 0.599697), _
      New TEST_UV(0.450413, 0.474343), New TEST_UV(0.452175, 0.358963), _
      New TEST_UV(0.452175, 0.587103), New TEST_UV(0.452175, 0.449285), _
      New TEST_UV(0.452175, 0.498374), New TEST_UV(0.452175, 0.535235), _
      New TEST_UV(0.452175, 0.587103), New TEST_UV(0.455784, 0.358963), _
      New TEST_UV(0.455784, 0.449285), New TEST_UV(0.455784, 0.535235), _
      New TEST_UV(0.473975, 0.260134), New TEST_UV(0.474343, 0.599697), _
      New TEST_UV(0.474343, 0.599697), New TEST_UV(0.475395, 0.358963), _
      New TEST_UV(0.475395, 0.449285), New TEST_UV(0.475395, 0.535235), _
      New TEST_UV(0.488633, 0.155635), New TEST_UV(0.488633, 0.253416), _
      New TEST_UV(0.491196, 0.147825), New TEST_UV(0.499925, 0.899068), _
      New TEST_UV(0.499925, 0.700932), New TEST_UV(0.499925, 0.8), _
      New TEST_UV(0.501714, 0.618376), New TEST_UV(0.501714, 1.208856), _
      New TEST_UV(0.501714, 0.981624), New TEST_UV(0.501715, 1.208856), _
      New TEST_UV(0.507569, 0.051131), New TEST_UV(0.507569, 0.051131), _
      New TEST_UV(0.536704, 0.8), New TEST_UV(0.536704, 0.946551), _
      New TEST_UV(0.536704, 0.529759), New TEST_UV(0.536704, 1.074782), _
      New TEST_UV(0.536704, 0.525218), New TEST_UV(0.536704, 0.653449), _
      New TEST_UV(0.536705, 0.529759), New TEST_UV(0.539861, 0.739341), _
      New TEST_UV(0.539861, 0.739341), New TEST_UV(0.548869, 0.263036), _
      New TEST_UV(0.548869, 0.575742), New TEST_UV(0.556926, 0.352082), _
      New TEST_UV(0.556926, 0.449285), New TEST_UV(0.556926, 0.535235), _
      New TEST_UV(0.556926, 0.500224), New TEST_UV(0.566597, 0.954585), _
      New TEST_UV(0.566597, 0.954585), New TEST_UV(0.609219, 1.1), _
      New TEST_UV(0.613343, 1.113009), New TEST_UV(0.613344, 1.113009), _
      New TEST_UV(0.615365, 1.025), New TEST_UV(0.615365, 1.175), _
      New TEST_UV(0.627656, 1.1), New TEST_UV(0.631373, 0.614248), _
      New TEST_UV(0.631373, 0.700932), New TEST_UV(0.631373, 0.8), _
      New TEST_UV(0.631373, 0.899068), New TEST_UV(0.631373, 0.985752), _
      New TEST_UV(0.631373, 1.214962), New TEST_UV(0.631373, 1.214963), _
      New TEST_UV(0.633541, 0.535786), New TEST_UV(0.633541, 0.659086), _
      New TEST_UV(0.633541, 0.8), New TEST_UV(0.633541, 0.940914), _
      New TEST_UV(0.633541, 1.064214), New TEST_UV(0.633802, 1.025), _
      New TEST_UV(0.633802, 1.175), New TEST_UV(0.669515, 0.531324), _
      New TEST_UV(0.669515, 1.068676), New TEST_UV(0.670475, 0.653449), _
      New TEST_UV(0.670475, 0.8), New TEST_UV(0.670475, 0.946551), _
      New TEST_UV(0.671332, 1.543845), New TEST_UV(0.671333, 1.711028), _
      New TEST_UV(0.671333, 1.834873), New TEST_UV(0.671333, 2.0), _
      New TEST_UV(0.671333, 2.0), New TEST_UV(0.671333, 2.165127), _
      New TEST_UV(0.671333, 1.73579), New TEST_UV(0.671333, 2.288972), _
      New TEST_UV(0.671333, 1.543845), New TEST_UV(0.671333, 2.26421), _
      New TEST_UV(0.671333, 2.456155), New TEST_UV(0.671333, 2.0), _
      New TEST_UV(0.671333, 1.73579), New TEST_UV(0.671333, 2.456155), _
      New TEST_UV(0.671333, 2.26421), New TEST_UV(0.687941, 1.177419), _
      New TEST_UV(0.689115, 0.928588), New TEST_UV(0.689115, 1.292424), _
      New TEST_UV(0.690522, 1.177419), New TEST_UV(0.696668, 1.102419), _
      New TEST_UV(0.696668, 1.252419), New TEST_UV(0.780092, 0.653449), _
      New TEST_UV(0.780092, 0.8), New TEST_UV(0.780092, 0.946551), _
      New TEST_UV(0.791965, 0.525218), New TEST_UV(0.791965, 1.074782), _
      New TEST_UV(0.8, 0.417204), New TEST_UV(0.8, 0.525218), _
      New TEST_UV(0.8, 0.653449), New TEST_UV(0.8, 0.946551), _
      New TEST_UV(0.8, 1.074782), New TEST_UV(0.8, 0.614248), _
      New TEST_UV(0.8, 0.700932), New TEST_UV(0.8, 0.704629), _
      New TEST_UV(0.8, 0.8), New TEST_UV(0.8, 0.899068), _
      New TEST_UV(0.8, 0.985752), New TEST_UV(0.8, 1.113009), _
      New TEST_UV(0.8, 1.214962), New TEST_UV(0.8, 0.704629), _
      New TEST_UV(0.8, 0.954585), New TEST_UV(0.8, 0.417204), _
      New TEST_UV(0.8, 1.113009), New TEST_UV(0.8, 1.214962), _
      New TEST_UV(0.808035, 0.525218), New TEST_UV(0.808035, 1.074782), _
      New TEST_UV(0.819908, 0.653449), New TEST_UV(0.819908, 0.8), _
      New TEST_UV(0.819908, 0.946551), New TEST_UV(0.821302, 1.1), _
      New TEST_UV(0.821302, 1.01875), New TEST_UV(0.821302, 1.18125), _
      New TEST_UV(0.83974, 1.01875), New TEST_UV(0.83974, 1.1), _
      New TEST_UV(0.83974, 1.18125), New TEST_UV(0.870023, 2.0), _
      New TEST_UV(0.882863, 1.749453), New TEST_UV(0.882863, 2.250546), _
      New TEST_UV(0.890399, 1.018358), New TEST_UV(0.890399, 1.177419), _
      New TEST_UV(0.890399, 1.273973), New TEST_UV(0.898343, 1.572547), _
      New TEST_UV(0.898343, 2.427453), New TEST_UV(0.902606, 1.096169), _
      New TEST_UV(0.902606, 1.177419), New TEST_UV(0.902606, 1.258669), _
      New TEST_UV(0.929524, 0.653449), New TEST_UV(0.929524, 0.8), _
      New TEST_UV(0.929524, 0.946551), New TEST_UV(0.930485, 0.531324), _
      New TEST_UV(0.930485, 1.068676), New TEST_UV(0.938389, 1.711028), _
      New TEST_UV(0.938389, 1.834873), New TEST_UV(0.938389, 2.0), _
      New TEST_UV(0.938389, 2.165127), New TEST_UV(0.938389, 2.288972), _
      New TEST_UV(0.940459, 1.177419), New TEST_UV(0.952732, 0.689115), _
      New TEST_UV(0.952732, 0.689115), New TEST_UV(0.952732, 0.928588), _
      New TEST_UV(0.952732, 1.292424), New TEST_UV(0.966458, 0.535786), _
      New TEST_UV(0.966458, 0.659086), New TEST_UV(0.966458, 0.8), _
      New TEST_UV(0.966458, 0.940914), New TEST_UV(0.966458, 1.064214), _
      New TEST_UV(0.968627, 0.614248), New TEST_UV(0.968627, 0.700932), _
      New TEST_UV(0.968627, 0.8), New TEST_UV(0.968627, 0.899068), _
      New TEST_UV(0.968627, 0.985752), New TEST_UV(0.968627, 1.214962), _
      New TEST_UV(0.968627, 1.214962), New TEST_UV(0.986657, 1.113009), _
      New TEST_UV(0.986657, 1.113009), New TEST_UV(0.994891, 0.890399), _
      New TEST_UV(0.994891, 0.890399), New TEST_UV(1.01875, 1.1), _
      New TEST_UV(1.01875, 1.177419), New TEST_UV(1.01875, 1.297394), _
      New TEST_UV(1.01875, 0.83974), New TEST_UV(1.01875, 1.378698), _
      New TEST_UV(1.01875, 0.83974), New TEST_UV(1.01875, 1.378698), _
      New TEST_UV(1.01875, 1.297394), New TEST_UV(1.025, 0.633802), _
      New TEST_UV(1.025, 1.025), New TEST_UV(1.025, 1.102419), _
      New TEST_UV(1.025, 1.175), New TEST_UV(1.025, 1.252419), _
      New TEST_UV(1.025, 1.503332), New TEST_UV(1.025, 1.584635), _
      New TEST_UV(1.025, 0.633802), New TEST_UV(1.025, 1.584635), _
      New TEST_UV(1.025, 1.503332), New TEST_UV(1.033403, 0.954585), _
      New TEST_UV(1.033403, 0.954585), New TEST_UV(1.060139, 0.739341), _
      New TEST_UV(1.060139, 0.739341), New TEST_UV(1.063295, 0.8), _
      New TEST_UV(1.063295, 0.946551), New TEST_UV(1.063295, 0.525218), _
      New TEST_UV(1.063295, 0.529759), New TEST_UV(1.063295, 0.653449), _
      New TEST_UV(1.063295, 1.074782), New TEST_UV(1.063296, 0.529759), _
      New TEST_UV(1.098286, 0.618376), New TEST_UV(1.098286, 0.981624), _
      New TEST_UV(1.098286, 1.208856), New TEST_UV(1.098286, 1.208856), _
      New TEST_UV(1.1, 1.096169), New TEST_UV(1.1, 1.177419), _
      New TEST_UV(1.1, 1.258669), New TEST_UV(1.1, 1.509478), _
      New TEST_UV(1.1, 0.627656), New TEST_UV(1.1, 0.83974), _
      New TEST_UV(1.1, 0.890399), New TEST_UV(1.1, 1.01875), _
      New TEST_UV(1.1, 1.1), New TEST_UV(1.1, 1.18125), _
      New TEST_UV(1.1, 1.297394), New TEST_UV(1.1, 1.378698), _
      New TEST_UV(1.1, 1.590781), New TEST_UV(1.1, 0.672085), _
      New TEST_UV(1.1, 0.672085), New TEST_UV(1.1, 0.83974), _
      New TEST_UV(1.1, 0.875262), New TEST_UV(1.1, 0.890399), _
      New TEST_UV(1.1, 1.177419), New TEST_UV(1.1, 1.324738), _
      New TEST_UV(1.1, 1.378698), New TEST_UV(1.1, 0.627656), _
      New TEST_UV(1.1, 1.297394), New TEST_UV(1.1, 1.509478), _
      New TEST_UV(1.1, 1.590781), New TEST_UV(1.100074, 0.8), _
      New TEST_UV(1.100075, 0.700932), New TEST_UV(1.100075, 0.899068), _
      New TEST_UV(1.171196, 0.564095), New TEST_UV(1.171196, 1.113009), _
      New TEST_UV(1.171197, 1.035905), New TEST_UV(1.171197, 1.113009), _
      New TEST_UV(1.175, 0.633802), New TEST_UV(1.175, 1.025), _
      New TEST_UV(1.175, 1.102419), New TEST_UV(1.175, 1.175), _
      New TEST_UV(1.175, 1.252419), New TEST_UV(1.175, 1.503332), _
      New TEST_UV(1.175, 1.584635), New TEST_UV(1.175, 0.633802), _
      New TEST_UV(1.175, 1.584635), New TEST_UV(1.175, 1.503332), _
      New TEST_UV(1.18125, 1.1), New TEST_UV(1.18125, 1.177419), _
      New TEST_UV(1.18125, 1.297394), New TEST_UV(1.18125, 0.83974), _
      New TEST_UV(1.18125, 1.378698), New TEST_UV(1.18125, 0.83974), _
      New TEST_UV(1.18125, 1.297394), New TEST_UV(1.18125, 1.378698), _
      New TEST_UV(1.198708, 0.674184), New TEST_UV(1.198708, 0.8), _
      New TEST_UV(1.198708, 0.925816), New TEST_UV(1.19974, 0.671332), _
      New TEST_UV(1.19974, 0.671333), New TEST_UV(1.19974, 0.671333), _
      New TEST_UV(1.19974, 0.671333), New TEST_UV(1.205109, 0.890399), _
      New TEST_UV(1.229426, 1.732433), New TEST_UV(1.229426, 2.0), _
      New TEST_UV(1.229426, 2.154424), New TEST_UV(1.229426, 1.845575), _
      New TEST_UV(1.229426, 2.267567), New TEST_UV(1.238, 0.898343), _
      New TEST_UV(1.238001, 0.898343), New TEST_UV(1.242839, 2.0), _
      New TEST_UV(1.242839, 2.0), New TEST_UV(1.242839, 1.730435), _
      New TEST_UV(1.242839, 2.269565), New TEST_UV(1.247268, 0.689115), _
      New TEST_UV(1.247268, 0.689115), New TEST_UV(1.247268, 0.928588), _
      New TEST_UV(1.247268, 1.292424), New TEST_UV(1.255657, 1.27437), _
      New TEST_UV(1.255657, 1.274371), New TEST_UV(1.259347, 2.257748), _
      New TEST_UV(1.259348, 1.742252), New TEST_UV(1.259541, 1.177419), _
      New TEST_UV(1.27437, 1.577134), New TEST_UV(1.274371, 2.422865), _
      New TEST_UV(1.275181, 0.535786), New TEST_UV(1.275181, 0.966458), _
      New TEST_UV(1.275181, 0.966459), New TEST_UV(1.275181, 1.064214), _
      New TEST_UV(1.297394, 1.096169), New TEST_UV(1.297394, 1.177419), _
      New TEST_UV(1.297394, 1.258669), New TEST_UV(1.309601, 1.177419), _
      New TEST_UV(1.309601, 1.273973), New TEST_UV(1.309601, 1.018358), _
      New TEST_UV(1.311496, 0.659086), New TEST_UV(1.311496, 0.8), _
      New TEST_UV(1.311496, 0.940914), New TEST_UV(1.323571, 0.531324), _
      New TEST_UV(1.323571, 0.669515), New TEST_UV(1.323571, 0.669515), _
      New TEST_UV(1.323571, 1.068676), New TEST_UV(1.329856, 0.808035), _
      New TEST_UV(1.329856, 0.808035), New TEST_UV(1.337007, 0.8), _
      New TEST_UV(1.337007, 0.946551), New TEST_UV(1.337008, 0.653449), _
      New TEST_UV(1.343415, 1.691083), New TEST_UV(1.343415, 1.691083), _
      New TEST_UV(1.36026, 1.1), New TEST_UV(1.36026, 1.18125), _
      New TEST_UV(1.36026, 1.01875), New TEST_UV(1.378698, 1.01875), _
      New TEST_UV(1.378698, 1.1), New TEST_UV(1.378698, 1.18125), _
      New TEST_UV(1.431012, 1.242839), New TEST_UV(1.431013, 1.242839), _
      New TEST_UV(1.435781, 0.671333), New TEST_UV(1.435781, 0.671333), _
      New TEST_UV(1.435781, 0.671333), New TEST_UV(1.435781, 0.671333), _
      New TEST_UV(1.451138, 0.894334), New TEST_UV(1.451138, 0.894334), _
      New TEST_UV(1.455951, 2.0), New TEST_UV(1.457958, 1.829277), _
      New TEST_UV(1.457958, 2.170723), New TEST_UV(1.460881, 1.272626), _
      New TEST_UV(1.460882, 1.272626), New TEST_UV(1.503332, 1.102419), _
      New TEST_UV(1.503332, 1.252419), New TEST_UV(1.509478, 1.177419), _
      New TEST_UV(1.510885, 1.292424), New TEST_UV(1.510885, 0.928588), _
      New TEST_UV(1.512059, 1.177419), New TEST_UV(1.513659, 1.710467), _
      New TEST_UV(1.513659, 2.163449), New TEST_UV(1.513659, 2.289533), _
      New TEST_UV(1.513659, 2.163449), New TEST_UV(1.514865, 3.328667), _
      New TEST_UV(1.514865, 3.061611), New TEST_UV(1.514866, 3.061611), _
      New TEST_UV(1.514866, 3.328667), New TEST_UV(1.518326, 1.689448), _
      New TEST_UV(1.518327, 1.689448), New TEST_UV(1.547401, 2.770574), _
      New TEST_UV(1.547402, 2.770574), New TEST_UV(1.555376, 1.786966), _
      New TEST_UV(1.555376, 1.879649), New TEST_UV(1.555376, 2.0), _
      New TEST_UV(1.555376, 2.12035), New TEST_UV(1.555376, 2.213034), _
      New TEST_UV(1.566198, 1.025), New TEST_UV(1.566198, 1.175), _
      New TEST_UV(1.572344, 1.1), New TEST_UV(1.584635, 1.025), _
      New TEST_UV(1.584635, 1.175), New TEST_UV(1.590781, 1.1), _
      New TEST_UV(1.605966, 1.877575), New TEST_UV(1.605966, 2.122425), _
      New TEST_UV(1.606, 2.0), New TEST_UV(1.643766, 2.444624), _
      New TEST_UV(1.643767, 2.444624), New TEST_UV(1.644302, 1.790821), _
      New TEST_UV(1.644302, 2.209178), New TEST_UV(1.644302, 2.321129), _
      New TEST_UV(1.644303, 2.321129), New TEST_UV(1.657783, 1.669175), _
      New TEST_UV(1.657783, 2.156739), New TEST_UV(1.657783, 2.330825), _
      New TEST_UV(1.657784, 2.156738), New TEST_UV(1.665461, 3.061611), _
      New TEST_UV(1.665461, 3.328667), New TEST_UV(1.665462, 3.061611), _
      New TEST_UV(1.665462, 3.328668), New TEST_UV(1.669764, 2.0), _
      New TEST_UV(1.67279, 1.877575), New TEST_UV(1.67279, 2.122425), _
      New TEST_UV(1.678871, 1.790821), New TEST_UV(1.678871, 2.209178), _
      New TEST_UV(1.684982, 2.770574), New TEST_UV(1.684983, 2.770574), _
      New TEST_UV(1.691083, 1.587726), New TEST_UV(1.691083, 2.412273), _
      New TEST_UV(1.709789, 1.741389), New TEST_UV(1.709789, 2.258611), _
      New TEST_UV(1.721373, 0.893858), New TEST_UV(1.721373, 0.893858), _
      New TEST_UV(1.733333, 2.0), New TEST_UV(1.733521, 0.671333), _
      New TEST_UV(1.733521, 0.671333), New TEST_UV(1.733521, 0.671333), _
      New TEST_UV(1.737826, 1.242839), New TEST_UV(1.737826, 1.242839), _
      New TEST_UV(1.741253, 1.757964), New TEST_UV(1.741253, 2.242036), _
      New TEST_UV(1.741253, 2.314805), New TEST_UV(1.741254, 2.314805), _
      New TEST_UV(1.741661, 1.273028), New TEST_UV(1.741661, 1.273028), _
      New TEST_UV(1.74746, 2.444624), New TEST_UV(1.74746, 2.444624), _
      New TEST_UV(1.771831, 1.687026), New TEST_UV(1.771831, 1.687026), _
      New TEST_UV(1.812133, 2.0), New TEST_UV(1.822167, 1.829277), _
      New TEST_UV(1.822167, 2.170723), New TEST_UV(1.836551, 1.710467), _
      New TEST_UV(1.836551, 2.289533), New TEST_UV(1.849383, 2.146605), _
      New TEST_UV(1.849384, 2.146605), New TEST_UV(1.866255, 3.061611), _
      New TEST_UV(1.866255, 3.328668), New TEST_UV(1.866256, 3.061611), _
      New TEST_UV(1.866256, 3.328667), New TEST_UV(1.872762, 2.770575), _
      New TEST_UV(1.872763, 2.770574), New TEST_UV(1.895675, 2.303071), _
      New TEST_UV(1.895675, 2.303071), New TEST_UV(1.904814, 2.444624), _
      New TEST_UV(1.904815, 2.444624), New TEST_UV(2.0, 2.770574), _
      New TEST_UV(2.0, 3.061611), New TEST_UV(2.0, 3.328667), _
      New TEST_UV(2.0, 2.444624), New TEST_UV(2.0, 1.675478), _
      New TEST_UV(2.0, 2.132202), New TEST_UV(2.0, 2.2934), _
      New TEST_UV(2.0, 1.242839), New TEST_UV(2.0, 1.285372), _
      New TEST_UV(2.0, 0.671333), New TEST_UV(2.0, 0.671333), _
      New TEST_UV(2.0, 0.909277), New TEST_UV(2.0, 0.909277), _
      New TEST_UV(2.0, 1.242839), New TEST_UV(2.0, 1.285372), _
      New TEST_UV(2.0, 1.675478), New TEST_UV(2.0, 2.132202), _
      New TEST_UV(2.0, 2.2934), New TEST_UV(2.0, 2.444624), _
      New TEST_UV(2.0, 2.770574), New TEST_UV(2.0, 3.061611), _
      New TEST_UV(2.0, 3.328667), New TEST_UV(2.095185, 2.444624), _
      New TEST_UV(2.095186, 2.444624), New TEST_UV(2.104325, 2.303071), _
      New TEST_UV(2.104325, 2.303071), New TEST_UV(2.127237, 2.770574), _
      New TEST_UV(2.127238, 2.770575), New TEST_UV(2.133744, 3.061611), _
      New TEST_UV(2.133744, 3.328667), New TEST_UV(2.133745, 3.061611), _
      New TEST_UV(2.133745, 3.328668), New TEST_UV(2.150616, 2.146605), _
      New TEST_UV(2.150617, 2.146605), New TEST_UV(2.163449, 1.710467), _
      New TEST_UV(2.163449, 2.289533), New TEST_UV(2.177832, 1.829277), _
      New TEST_UV(2.177832, 2.170723), New TEST_UV(2.187866, 2.0), _
      New TEST_UV(2.228168, 1.687026), New TEST_UV(2.228169, 1.687026), _
      New TEST_UV(2.25254, 2.444624), New TEST_UV(2.25254, 2.444624), _
      New TEST_UV(2.258339, 1.273028), New TEST_UV(2.258339, 1.273029), _
      New TEST_UV(2.258746, 1.757964), New TEST_UV(2.258746, 2.242036), _
      New TEST_UV(2.258746, 2.314805), New TEST_UV(2.258747, 2.314805), _
      New TEST_UV(2.262174, 1.242839), New TEST_UV(2.266479, 0.671333), _
      New TEST_UV(2.266479, 0.671333), New TEST_UV(2.266479, 0.671333), _
      New TEST_UV(2.266667, 2.0), New TEST_UV(2.278627, 0.893858), _
      New TEST_UV(2.278627, 0.893858), New TEST_UV(2.29021, 1.741389), _
      New TEST_UV(2.290211, 2.258611), New TEST_UV(2.308917, 2.412273), _
      New TEST_UV(2.308917, 1.587727), New TEST_UV(2.315017, 2.770574), _
      New TEST_UV(2.315018, 2.770574), New TEST_UV(2.321129, 1.790821), _
      New TEST_UV(2.321129, 2.209178), New TEST_UV(2.32721, 1.877575), _
      New TEST_UV(2.32721, 2.122425), New TEST_UV(2.330235, 2.0), _
      New TEST_UV(2.334538, 3.061611), New TEST_UV(2.334538, 3.328668), _
      New TEST_UV(2.334539, 3.061611), New TEST_UV(2.334539, 3.328667), _
      New TEST_UV(2.342216, 1.669175), New TEST_UV(2.342216, 2.156739), _
      New TEST_UV(2.342216, 2.330825), New TEST_UV(2.342217, 2.156738), _
      New TEST_UV(2.355697, 1.790821), New TEST_UV(2.355697, 2.209178), _
      New TEST_UV(2.355697, 2.321129), New TEST_UV(2.355698, 2.321129), _
      New TEST_UV(2.356234, 2.444624), New TEST_UV(2.356234, 2.444624), _
      New TEST_UV(2.393999, 2.0), New TEST_UV(2.394034, 1.877575), _
      New TEST_UV(2.394034, 2.122425), New TEST_UV(2.444624, 1.786966), _
      New TEST_UV(2.444624, 1.879649), New TEST_UV(2.444624, 2.0), _
      New TEST_UV(2.444624, 2.12035), New TEST_UV(2.444624, 2.213034), _
      New TEST_UV(2.452598, 2.770575), New TEST_UV(2.452599, 2.770574), _
      New TEST_UV(2.481673, 1.689448), New TEST_UV(2.481674, 1.689448), _
      New TEST_UV(2.485134, 3.061611), New TEST_UV(2.485134, 3.328667), _
      New TEST_UV(2.485135, 3.061611), New TEST_UV(2.485135, 3.328667), _
      New TEST_UV(2.486341, 1.710467), New TEST_UV(2.486341, 2.163449), _
      New TEST_UV(2.486341, 2.289533), New TEST_UV(2.486341, 2.163449), _
      New TEST_UV(2.539118, 1.272626), New TEST_UV(2.539119, 1.272626), _
      New TEST_UV(2.542042, 2.170723), New TEST_UV(2.542042, 1.829277), _
      New TEST_UV(2.544048, 2.0), New TEST_UV(2.548862, 0.894334), _
      New TEST_UV(2.548862, 0.894334), New TEST_UV(2.564219, 0.671333), _
      New TEST_UV(2.564219, 0.671333), New TEST_UV(2.564219, 0.671333), _
      New TEST_UV(2.568988, 1.242838), New TEST_UV(2.568988, 1.242839), _
      New TEST_UV(2.656585, 1.691083), New TEST_UV(2.656585, 1.691083), _
      New TEST_UV(2.725629, 2.422865), New TEST_UV(2.725629, 1.577134), _
      New TEST_UV(2.740652, 1.742252), New TEST_UV(2.740653, 2.257748), _
      New TEST_UV(2.744343, 1.274371), New TEST_UV(2.744343, 1.274371), _
      New TEST_UV(2.757161, 2.0), New TEST_UV(2.757162, 1.730435), _
      New TEST_UV(2.757162, 2.0), New TEST_UV(2.757162, 2.269565), _
      New TEST_UV(2.761999, 0.898343), New TEST_UV(2.761999, 0.898343), _
      New TEST_UV(2.770574, 1.732433), New TEST_UV(2.770574, 1.845575), _
      New TEST_UV(2.770574, 2.0), New TEST_UV(2.770574, 2.154424), _
      New TEST_UV(2.770574, 2.267566), New TEST_UV(2.80026, 0.671333), _
      New TEST_UV(2.80026, 0.671332), New TEST_UV(2.80026, 0.671333), _
      New TEST_UV(2.80026, 0.671333), New TEST_UV(3.061611, 1.711028), _
      New TEST_UV(3.061611, 1.834873), New TEST_UV(3.061611, 2.0), _
      New TEST_UV(3.061611, 2.165127), New TEST_UV(3.061611, 2.288972), _
      New TEST_UV(3.101656, 2.427453), New TEST_UV(3.101657, 1.572547), _
      New TEST_UV(3.117136, 1.749453), New TEST_UV(3.117136, 2.250546), _
      New TEST_UV(3.129976, 2.0), New TEST_UV(3.328667, 2.26421), _
      New TEST_UV(3.328667, 1.73579), New TEST_UV(3.328667, 2.456155), _
      New TEST_UV(3.328667, 1.543845), New TEST_UV(3.328667, 1.711028), _
      New TEST_UV(3.328667, 1.73579), New TEST_UV(3.328667, 1.834873), _
      New TEST_UV(3.328667, 2.0), New TEST_UV(3.328667, 2.0), _
      New TEST_UV(3.328667, 2.165127), New TEST_UV(3.328667, 2.26421), _
      New TEST_UV(3.328667, 2.288972), New TEST_UV(3.328667, 2.456155), _
      New TEST_UV(3.328667, 2.0), New TEST_UV(3.328668, 1.543845) _
    }

    normal = New TEST_NORMAL() { _
      New TEST_NORMAL(-1.0, 0.0, 0.0), _
      New TEST_NORMAL(-0.99926, -0.000001, 0.038467), _
      New TEST_NORMAL(-0.99926, 0.000001, 0.038466), _
      New TEST_NORMAL(-0.999249, -0.00935, 0.037607), _
      New TEST_NORMAL(-0.999159, 0.0, -0.041013), _
      New TEST_NORMAL(-0.998608, -0.006159, 0.052385), _
      New TEST_NORMAL(-0.997623, 0.0, -0.068903), _
      New TEST_NORMAL(-0.997623, 0.0, -0.068903), _
      New TEST_NORMAL(-0.997418, 0.0, 0.071814), _
      New TEST_NORMAL(-0.996195, 0.0, 0.087155), _
      New TEST_NORMAL(-0.996195, 0.0, 0.087155), _
      New TEST_NORMAL(-0.996195, 0.0, -0.087157), _
      New TEST_NORMAL(-0.996195, 0.0, -0.087156), _
      New TEST_NORMAL(-0.9961, 0.0, 0.088236), _
      New TEST_NORMAL(-0.994397, 0.00012, -0.105714), _
      New TEST_NORMAL(-0.994285, 0.063433, -0.085866), _
      New TEST_NORMAL(-0.99356, -0.000001, 0.113303), _
      New TEST_NORMAL(-0.99356, -0.000001, 0.113304), _
      New TEST_NORMAL(-0.99217, 0.075979, 0.099126), _
      New TEST_NORMAL(-0.992018, 0.0, 0.1261), _
      New TEST_NORMAL(-0.991322, -0.036403, 0.126316), _
      New TEST_NORMAL(-0.991242, -0.111109, 0.07137), _
      New TEST_NORMAL(-0.990543, 0.05372, -0.12625), _
      New TEST_NORMAL(-0.990154, 0.0823, 0.113233), _
      New TEST_NORMAL(-0.989803, 0.0, 0.142442), _
      New TEST_NORMAL(-0.989321, 0.027472, 0.143138), _
      New TEST_NORMAL(-0.98662, -0.136368, 0.089356), _
      New TEST_NORMAL(-0.986106, 0.0, 0.166119), _
      New TEST_NORMAL(-0.985942, 0.123231, 0.112843), _
      New TEST_NORMAL(-0.985822, 0.0, -0.167797), _
      New TEST_NORMAL(-0.985638, 0.028836, 0.166392), _
      New TEST_NORMAL(-0.985242, 0.159806, 0.061317), _
      New TEST_NORMAL(-0.985199, -0.171414, 0.0), _
      New TEST_NORMAL(-0.985199, 0.171414, 0.0), _
      New TEST_NORMAL(-0.984441, -0.158803, 0.075213), _
      New TEST_NORMAL(-0.984149, -0.172096, -0.04282), _
      New TEST_NORMAL(-0.983846, -0.144147, -0.106154), _
      New TEST_NORMAL(-0.983792, 0.173603, -0.044889), _
      New TEST_NORMAL(-0.981716, 0.147615, -0.120179), _
      New TEST_NORMAL(-0.978123, -0.099715, -0.182569), _
      New TEST_NORMAL(-0.977533, 0.036091, -0.207669), _
      New TEST_NORMAL(-0.976963, -0.162466, 0.138373), _
      New TEST_NORMAL(-0.976888, -0.167339, 0.132995), _
      New TEST_NORMAL(-0.976754, -0.053408, 0.207604), _
      New TEST_NORMAL(-0.975576, -0.148926, 0.161472), _
      New TEST_NORMAL(-0.975123, -0.062068, -0.212799), _
      New TEST_NORMAL(-0.974271, -0.163357, -0.155276), _
      New TEST_NORMAL(-0.974271, -0.163357, 0.155276), _
      New TEST_NORMAL(-0.971272, 0.003148, 0.23795), _
      New TEST_NORMAL(-0.968769, 0.225105, 0.103995), _
      New TEST_NORMAL(-0.968738, 0.181469, -0.16916), _
      New TEST_NORMAL(-0.968325, 0.241658, 0.062831), _
      New TEST_NORMAL(-0.967848, -0.245026, 0.056851), _
      New TEST_NORMAL(-0.967416, -0.182428, -0.175573), _
      New TEST_NORMAL(-0.966968, -0.062815, 0.247037), _
      New TEST_NORMAL(-0.964911, 0.002957, -0.262559), _
      New TEST_NORMAL(-0.96274, 0.212571, 0.167167), _
      New TEST_NORMAL(-0.941992, 0.003656, 0.335616), _
      New TEST_NORMAL(-0.938718, -0.123661, -0.321738), _
      New TEST_NORMAL(-0.935179, 0.000868, -0.354176), _
      New TEST_NORMAL(-0.926745, -0.243639, 0.285977), _
      New TEST_NORMAL(-0.926697, -0.006742, 0.375749), _
      New TEST_NORMAL(-0.926244, 0.243914, 0.287363), _
      New TEST_NORMAL(-0.924558, -0.310914, 0.220283), _
      New TEST_NORMAL(-0.920473, 0.308418, 0.240017), _
      New TEST_NORMAL(-0.920247, -0.183048, 0.345889), _
      New TEST_NORMAL(-0.918241, 0.191532, 0.346625), _
      New TEST_NORMAL(-0.914809, 0.0, 0.403887), _
      New TEST_NORMAL(-0.914809, 0.0, 0.403887), _
      New TEST_NORMAL(-0.910956, -0.008804, 0.41241), _
      New TEST_NORMAL(-0.888054, -0.425669, 0.173685), _
      New TEST_NORMAL(-0.886967, 0.0, -0.461833), _
      New TEST_NORMAL(-0.886967, 0.0, -0.461833), _
      New TEST_NORMAL(-0.88686, 0.426456, 0.177807), _
      New TEST_NORMAL(-0.882741, -0.031769, 0.468785), _
      New TEST_NORMAL(-0.874662, -0.480928, 0.060615), _
      New TEST_NORMAL(-0.874662, 0.480929, 0.060615), _
      New TEST_NORMAL(-0.874518, 0.010586, 0.484877), _
      New TEST_NORMAL(-0.870242, 0.490137, 0.04944), _
      New TEST_NORMAL(-0.856206, 0.493029, 0.154381), _
      New TEST_NORMAL(-0.856181, -0.060989, 0.513063), _
      New TEST_NORMAL(-0.854631, 0.221971, 0.469397), _
      New TEST_NORMAL(-0.848668, -0.227219, 0.477633), _
      New TEST_NORMAL(-0.845834, 0.0, 0.533446), _
      New TEST_NORMAL(-0.845762, 0.028071, 0.532821), _
      New TEST_NORMAL(-0.844821, 0.0, 0.535049), _
      New TEST_NORMAL(-0.842089, 0.119743, 0.525877), _
      New TEST_NORMAL(-0.841793, -0.110921, 0.528282), _
      New TEST_NORMAL(-0.838039, -0.039957, -0.544145), _
      New TEST_NORMAL(-0.825685, 0.009936, -0.564044), _
      New TEST_NORMAL(-0.819344, 0.224957, 0.527323), _
      New TEST_NORMAL(-0.816445, 0.570986, -0.085984), _
      New TEST_NORMAL(-0.815022, 0.578413, 0.034313), _
      New TEST_NORMAL(-0.809595, -0.064543, -0.58343), _
      New TEST_NORMAL(-0.80565, 0.534908, -0.254559), _
      New TEST_NORMAL(-0.795236, 0.603922, 0.053645), _
      New TEST_NORMAL(-0.794137, 0.0, -0.607738), _
      New TEST_NORMAL(-0.792811, 0.046409, -0.607698), _
      New TEST_NORMAL(-0.780617, 0.622901, 0.051305), _
      New TEST_NORMAL(-0.780065, 0.612693, 0.12691), _
      New TEST_NORMAL(-0.773955, -0.48129, -0.411525), _
      New TEST_NORMAL(-0.756137, -0.344848, -0.55618), _
      New TEST_NORMAL(-0.753938, 0.584992, 0.298935), _
      New TEST_NORMAL(-0.742383, -0.669896, -0.010338), _
      New TEST_NORMAL(-0.740684, -0.65062, -0.167574), _
      New TEST_NORMAL(-0.740278, -0.578458, 0.342599), _
      New TEST_NORMAL(-0.739858, 0.667492, 0.084054), _
      New TEST_NORMAL(-0.735662, -0.134904, 0.663778), _
      New TEST_NORMAL(-0.735385, -0.658694, 0.159156), _
      New TEST_NORMAL(-0.732404, -0.674103, -0.09576), _
      New TEST_NORMAL(-0.729095, -0.105633, 0.676212), _
      New TEST_NORMAL(-0.729094, 0.105633, 0.676212), _
      New TEST_NORMAL(-0.729093, 0.105633, -0.676214), _
      New TEST_NORMAL(-0.729093, -0.105634, -0.676213), _
      New TEST_NORMAL(-0.724018, 0.679334, -0.119597), _
      New TEST_NORMAL(-0.722006, 0.0, 0.691887), _
      New TEST_NORMAL(-0.72178, -0.075917, 0.687946), _
      New TEST_NORMAL(-0.719634, -0.687937, 0.094173), _
      New TEST_NORMAL(-0.718868, -0.673733, -0.171207), _
      New TEST_NORMAL(-0.715794, 0.680315, 0.157516), _
      New TEST_NORMAL(-0.714725, 0.087398, 0.693923), _
      New TEST_NORMAL(-0.714511, 0.694593, 0.083752), _
      New TEST_NORMAL(-0.711666, -0.617925, 0.334216), _
      New TEST_NORMAL(-0.711637, 0.550271, -0.436777), _
      New TEST_NORMAL(-0.711286, 0.702181, 0.031843), _
      New TEST_NORMAL(-0.708246, -0.695104, -0.123362), _
      New TEST_NORMAL(-0.707107, 0.0, -0.707107), _
      New TEST_NORMAL(-0.707107, 0.59303, -0.385118), _
      New TEST_NORMAL(-0.707106, -0.59303, 0.385118), _
      New TEST_NORMAL(-0.704107, 0.448446, -0.550572), _
      New TEST_NORMAL(-0.700999, 0.712175, -0.03751), _
      New TEST_NORMAL(-0.69751, 0.688508, 0.198586), _
      New TEST_NORMAL(-0.694196, -0.71645, 0.069213), _
      New TEST_NORMAL(-0.69209, 0.720102, -0.049644), _
      New TEST_NORMAL(-0.691911, 0.721034, -0.036989), _
      New TEST_NORMAL(-0.691289, -0.722578, 0.0), _
      New TEST_NORMAL(-0.691289, 0.722578, 0.0), _
      New TEST_NORMAL(-0.691208, 0.707695, -0.146283), _
      New TEST_NORMAL(-0.691138, 0.561281, 0.455293), _
      New TEST_NORMAL(-0.691092, -0.721209, -0.047426), _
      New TEST_NORMAL(-0.690624, -0.711272, -0.130885), _
      New TEST_NORMAL(-0.685943, 0.724219, 0.070636), _
      New TEST_NORMAL(-0.684978, -0.706284, -0.178797), _
      New TEST_NORMAL(-0.683835, 0.710781, -0.164804), _
      New TEST_NORMAL(-0.683615, -0.709354, -0.17172), _
      New TEST_NORMAL(-0.683005, 0.328811, 0.652217), _
      New TEST_NORMAL(-0.683005, -0.32881, 0.652217), _
      New TEST_NORMAL(-0.68163, -0.60393, -0.413097), _
      New TEST_NORMAL(-0.680272, 0.604314, -0.414771), _
      New TEST_NORMAL(-0.676899, 0.731851, -0.078754), _
      New TEST_NORMAL(-0.675096, 0.728336, -0.117357), _
      New TEST_NORMAL(-0.672768, -0.600201, 0.432599), _
      New TEST_NORMAL(-0.671737, 0.626156, -0.395852), _
      New TEST_NORMAL(-0.669715, -0.738264, 0.080294), _
      New TEST_NORMAL(-0.668877, -0.737854, 0.090412), _
      New TEST_NORMAL(-0.661668, -0.604317, -0.443842), _
      New TEST_NORMAL(-0.66014, 0.455016, -0.597641), _
      New TEST_NORMAL(-0.66014, -0.731044, 0.172596), _
      New TEST_NORMAL(-0.659463, -0.748147, 0.073381), _
      New TEST_NORMAL(-0.658728, 0.749087, 0.070326), _
      New TEST_NORMAL(-0.657922, 0.723604, 0.208652), _
      New TEST_NORMAL(-0.655404, -0.736841, 0.165864), _
      New TEST_NORMAL(-0.655358, 0.607085, -0.449392), _
      New TEST_NORMAL(-0.655285, -0.736938, 0.165901), _
      New TEST_NORMAL(-0.654845, -0.610424, -0.445602), _
      New TEST_NORMAL(-0.651951, 0.74969, 0.113682), _
      New TEST_NORMAL(-0.651756, 0.743016, -0.152125), _
      New TEST_NORMAL(-0.646368, -0.479992, 0.593141), _
      New TEST_NORMAL(-0.642818, -0.617925, 0.452718), _
      New TEST_NORMAL(-0.640856, 0.267026, -0.719722), _
      New TEST_NORMAL(-0.637858, -0.602411, -0.479832), _
      New TEST_NORMAL(-0.632421, 0.760407, 0.147736), _
      New TEST_NORMAL(-0.632203, -0.74722, 0.204893), _
      New TEST_NORMAL(-0.631172, 0.69741, 0.339471), _
      New TEST_NORMAL(-0.630997, -0.706603, 0.320242), _
      New TEST_NORMAL(-0.628795, 0.409884, -0.660766), _
      New TEST_NORMAL(-0.628549, 0.689527, 0.359831), _
      New TEST_NORMAL(-0.6278, 0.63589, -0.448899), _
      New TEST_NORMAL(-0.627559, 0.748578, 0.214011), _
      New TEST_NORMAL(-0.626857, -0.636279, -0.449666), _
      New TEST_NORMAL(-0.625113, 0.613773, -0.482199), _
      New TEST_NORMAL(-0.62261, -0.707169, 0.335066), _
      New TEST_NORMAL(-0.615872, 0.787728, 0.013649), _
      New TEST_NORMAL(-0.611881, 0.034836, -0.790182), _
      New TEST_NORMAL(-0.611695, 0.723604, 0.31973), _
      New TEST_NORMAL(-0.610357, -0.791867, 0.020269), _
      New TEST_NORMAL(-0.604377, -0.695456, 0.388677), _
      New TEST_NORMAL(-0.597962, 0.591679, 0.5407), _
      New TEST_NORMAL(-0.584929, 0.682377, 0.438429), _
      New TEST_NORMAL(-0.579604, -0.686184, 0.439557), _
      New TEST_NORMAL(-0.57735, 0.169759, -0.798654), _
      New TEST_NORMAL(-0.57735, -0.798654, -0.169759), _
      New TEST_NORMAL(-0.576042, 0.742104, 0.342721), _
      New TEST_NORMAL(-0.572522, -0.733082, -0.367164), _
      New TEST_NORMAL(-0.564646, 0.71311, 0.415511), _
      New TEST_NORMAL(-0.559412, 0.556644, -0.614171), _
      New TEST_NORMAL(-0.559412, 0.556644, 0.614171), _
      New TEST_NORMAL(-0.559412, -0.556644, 0.61417), _
      New TEST_NORMAL(-0.559411, -0.556645, -0.614171), _
      New TEST_NORMAL(-0.559373, 0.328811, 0.760911), _
      New TEST_NORMAL(-0.559372, -0.32881, 0.760911), _
      New TEST_NORMAL(-0.55804, -0.718231, 0.415615), _
      New TEST_NORMAL(-0.556808, -0.706586, -0.436694), _
      New TEST_NORMAL(-0.53349, 0.803129, 0.265276), _
      New TEST_NORMAL(-0.525229, -0.571438, -0.63055), _
      New TEST_NORMAL(-0.506144, 0.267026, -0.82007), _
      New TEST_NORMAL(-0.500068, -0.733082, -0.461003), _
      New TEST_NORMAL(-0.484618, 0.0, -0.874726), _
      New TEST_NORMAL(-0.482535, -0.871948, -0.082864), _
      New TEST_NORMAL(-0.468364, 0.006742, 0.88351), _
      New TEST_NORMAL(-0.464428, 0.022039, 0.885337), _
      New TEST_NORMAL(-0.464353, 0.0, 0.88565), _
      New TEST_NORMAL(-0.463799, -0.884439, -0.051559), _
      New TEST_NORMAL(-0.45386, -0.887557, -0.079076), _
      New TEST_NORMAL(-0.453432, -0.862698, 0.223946), _
      New TEST_NORMAL(-0.450542, 0.646781, 0.615375), _
      New TEST_NORMAL(-0.450454, 0.225089, 0.86396), _
      New TEST_NORMAL(-0.449912, -0.096985, -0.887791), _
      New TEST_NORMAL(-0.447212, -0.632458, 0.632454), _
      New TEST_NORMAL(-0.446745, -0.655492, 0.608892), _
      New TEST_NORMAL(-0.44484, 0.120352, -0.887487), _
      New TEST_NORMAL(-0.437724, 0.61474, -0.656119), _
      New TEST_NORMAL(-0.437604, 0.54782, -0.713019), _
      New TEST_NORMAL(-0.432249, -0.847661, -0.307622), _
      New TEST_NORMAL(-0.427238, 0.040623, 0.903226), _
      New TEST_NORMAL(-0.423475, 0.0, 0.905908), _
      New TEST_NORMAL(-0.423442, -0.168806, 0.890057), _
      New TEST_NORMAL(-0.413398, -0.909629, -0.040958), _
      New TEST_NORMAL(-0.409369, -0.041494, 0.911425), _
      New TEST_NORMAL(-0.38384, -0.600585, 0.701402), _
      New TEST_NORMAL(-0.369568, -0.337856, -0.865605), _
      New TEST_NORMAL(-0.367933, 0.599334, 0.710932), _
      New TEST_NORMAL(-0.36793, 0.339638, -0.865606), _
      New TEST_NORMAL(-0.35677, 0.404006, 0.842315), _
      New TEST_NORMAL(-0.34552, -0.480711, -0.805936), _
      New TEST_NORMAL(-0.344565, 0.594314, 0.726681), _
      New TEST_NORMAL(-0.34202, 0.0, 0.939693), _
      New TEST_NORMAL(-0.339183, 0.128543, -0.931897), _
      New TEST_NORMAL(-0.3321, -0.890455, -0.311125), _
      New TEST_NORMAL(-0.332099, 0.077959, -0.940017), _
      New TEST_NORMAL(-0.313307, -0.4053, 0.858819), _
      New TEST_NORMAL(-0.312087, -0.085488, -0.9462), _
      New TEST_NORMAL(-0.310657, 0.086116, -0.946613), _
      New TEST_NORMAL(-0.290782, 0.716189, -0.634444), _
      New TEST_NORMAL(-0.287218, -0.727888, -0.622643), _
      New TEST_NORMAL(-0.287133, -0.11769, -0.950633), _
      New TEST_NORMAL(-0.28266, -0.619455, -0.732379), _
      New TEST_NORMAL(-0.281031, 0.949444, 0.139919), _
      New TEST_NORMAL(-0.273634, 0.810975, 0.51715), _
      New TEST_NORMAL(-0.273121, -0.541778, -0.79491), _
      New TEST_NORMAL(-0.269521, -0.962917, 0.012217), _
      New TEST_NORMAL(-0.269241, -0.046043, -0.961972), _
      New TEST_NORMAL(-0.253075, -0.003844, -0.967439), _
      New TEST_NORMAL(-0.252299, 0.873202, -0.41697), _
      New TEST_NORMAL(-0.235502, -0.742296, 0.627323), _
      New TEST_NORMAL(-0.217765, 0.896513, 0.385802), _
      New TEST_NORMAL(-0.207753, 0.797849, -0.565928), _
      New TEST_NORMAL(-0.202645, 0.742019, 0.639017), _
      New TEST_NORMAL(-0.195186, -0.980742, -0.006956), _
      New TEST_NORMAL(-0.191498, -0.147361, 0.970368), _
      New TEST_NORMAL(-0.179451, -0.983727, 0.008871), _
      New TEST_NORMAL(-0.168627, -0.984965, 0.037531), _
      New TEST_NORMAL(-0.168627, 0.984965, 0.037531), _
      New TEST_NORMAL(-0.167108, -0.003784, -0.985931), _
      New TEST_NORMAL(-0.163344, 0.978302, -0.127454), _
      New TEST_NORMAL(-0.163344, -0.978302, -0.127453), _
      New TEST_NORMAL(-0.160218, 0.984513, 0.071158), _
      New TEST_NORMAL(-0.160218, -0.984513, 0.071158), _
      New TEST_NORMAL(-0.15808, -0.483742, -0.860816), _
      New TEST_NORMAL(-0.158078, 0.483744, -0.860815), _
      New TEST_NORMAL(-0.156157, -0.58837, 0.79337), _
      New TEST_NORMAL(-0.155108, 0.974861, 0.159961), _
      New TEST_NORMAL(-0.155108, -0.974861, 0.159961), _
      New TEST_NORMAL(-0.152768, 0.987613, -0.035803), _
      New TEST_NORMAL(-0.152768, -0.987613, -0.035803), _
      New TEST_NORMAL(-0.149575, 0.98875, 0.0), _
      New TEST_NORMAL(-0.149575, -0.98875, 0.0), _
      New TEST_NORMAL(-0.146832, 0.0, -0.989161), _
      New TEST_NORMAL(-0.146831, 0.000001, -0.989162), _
      New TEST_NORMAL(-0.146024, -0.980692, -0.13008), _
      New TEST_NORMAL(-0.14449, -0.984907, -0.095296), _
      New TEST_NORMAL(-0.14449, 0.984907, -0.095297), _
      New TEST_NORMAL(-0.139979, -0.969426, 0.201542), _
      New TEST_NORMAL(-0.138829, 0.524795, -0.839831), _
      New TEST_NORMAL(-0.138237, 0.895583, -0.422874), _
      New TEST_NORMAL(-0.131817, 0.029489, -0.990835), _
      New TEST_NORMAL(-0.128872, -0.961326, 0.243401), _
      New TEST_NORMAL(-0.128872, 0.961326, 0.243401), _
      New TEST_NORMAL(-0.124767, 0.231605, -0.964776), _
      New TEST_NORMAL(-0.124421, 0.928395, 0.350147), _
      New TEST_NORMAL(-0.118853, 0.733837, -0.668848), _
      New TEST_NORMAL(-0.113376, -0.928574, 0.353407), _
      New TEST_NORMAL(-0.113376, 0.928574, 0.353406), _
      New TEST_NORMAL(-0.107509, 0.729288, -0.675707), _
      New TEST_NORMAL(-0.107509, -0.729288, -0.675707), _
      New TEST_NORMAL(-0.107508, 0.729288, 0.675707), _
      New TEST_NORMAL(-0.107508, -0.729288, 0.675708), _
      New TEST_NORMAL(-0.086332, -0.311889, -0.946188), _
      New TEST_NORMAL(-0.086234, 0.311888, -0.946198), _
      New TEST_NORMAL(-0.084228, -0.738181, -0.669324), _
      New TEST_NORMAL(-0.081723, 0.987747, 0.132952), _
      New TEST_NORMAL(-0.081723, -0.987747, 0.132952), _
      New TEST_NORMAL(-0.079427, 0.978705, -0.189283), _
      New TEST_NORMAL(-0.068153, 0.946442, 0.3156), _
      New TEST_NORMAL(-0.068153, -0.946442, 0.3156), _
      New TEST_NORMAL(-0.065219, -0.950389, 0.30415), _
      New TEST_NORMAL(-0.062394, 0.0, 0.998052), _
      New TEST_NORMAL(-0.061949, -0.086715, 0.994305), _
      New TEST_NORMAL(-0.05953, -0.99777, 0.030199), _
      New TEST_NORMAL(-0.05953, 0.99777, 0.030199), _
      New TEST_NORMAL(-0.050595, 0.07647, 0.995787), _
      New TEST_NORMAL(-0.049215, 0.994947, 0.087514), _
      New TEST_NORMAL(-0.04655, 0.997858, 0.045951), _
      New TEST_NORMAL(-0.04655, -0.997858, -0.045951), _
      New TEST_NORMAL(-0.043261, 0.998326, -0.03839), _
      New TEST_NORMAL(-0.043261, -0.998326, 0.03839), _
      New TEST_NORMAL(-0.042683, 0.988055, 0.148076), _
      New TEST_NORMAL(-0.042187, -0.979159, 0.198666), _
      New TEST_NORMAL(-0.042187, 0.979159, 0.198665), _
      New TEST_NORMAL(-0.040752, -0.508674, 0.859994), _
      New TEST_NORMAL(-0.04036, -0.99598, 0.079972), _
      New TEST_NORMAL(-0.038404, -0.995593, 0.085552), _
      New TEST_NORMAL(-0.037617, 0.999112, -0.019003), _
      New TEST_NORMAL(-0.037617, -0.999112, -0.019003), _
      New TEST_NORMAL(-0.035045, 0.900008, 0.434462), _
      New TEST_NORMAL(-0.035045, -0.900008, 0.434462), _
      New TEST_NORMAL(-0.03376, 0.98778, 0.152154), _
      New TEST_NORMAL(-0.03376, -0.98778, 0.152155), _
      New TEST_NORMAL(-0.028457, 0.517625, 0.855134), _
      New TEST_NORMAL(-0.02572, 0.997135, 0.07114), _
      New TEST_NORMAL(-0.02572, -0.997135, 0.07114), _
      New TEST_NORMAL(-0.019848, 0.292297, -0.956122), _
      New TEST_NORMAL(-0.019137, 0.720851, -0.692825), _
      New TEST_NORMAL(-0.018694, -0.243113, -0.969818), _
      New TEST_NORMAL(-0.015214, 0.243654, -0.969743), _
      New TEST_NORMAL(-0.014175, -0.997451, 0.069936), _
      New TEST_NORMAL(-0.011742, -0.938521, -0.345023), _
      New TEST_NORMAL(-0.010913, 0.938178, -0.34598), _
      New TEST_NORMAL(-0.005408, -0.999911, 0.012234), _
      New TEST_NORMAL(-0.005026, -0.999981, 0.003664), _
      New TEST_NORMAL(-0.004428, -0.997528, -0.070131), _
      New TEST_NORMAL(-0.002927, 0.99983, -0.018213), _
      New TEST_NORMAL(-0.002927, -0.99983, -0.018213), _
      New TEST_NORMAL(-0.002076, -0.996142, -0.087736), _
      New TEST_NORMAL(-0.002076, 0.996142, -0.087736), _
      New TEST_NORMAL(-0.000583, 0.229079, 0.973408), _
      New TEST_NORMAL(-0.000402, 0.02233, 0.999751), _
      New TEST_NORMAL(-0.000024, 0.609196, 0.793019), _
      New TEST_NORMAL(-0.000001, 0.000001, 1.0), _
      New TEST_NORMAL(0.0, -1.0, 0.0), _
      New TEST_NORMAL(0.0, -0.999534, -0.030512), _
      New TEST_NORMAL(0.0, -0.999534, -0.030512), _
      New TEST_NORMAL(0.0, -0.999534, -0.030512), _
      New TEST_NORMAL(0.0, -0.999221, 0.039468), _
      New TEST_NORMAL(0.0, -0.996733, 0.080765), _
      New TEST_NORMAL(0.0, -0.995797, -0.091588), _
      New TEST_NORMAL(0.0, -0.99322, -0.116253), _
      New TEST_NORMAL(0.0, -0.99322, -0.116253), _
      New TEST_NORMAL(0.0, -0.99322, -0.116253), _
      New TEST_NORMAL(0.0, -0.992427, 0.122838), _
      New TEST_NORMAL(0.0, -0.977904, 0.209054), _
      New TEST_NORMAL(0.0, -0.953838, 0.30032), _
      New TEST_NORMAL(0.0, -0.939135, -0.343548), _
      New TEST_NORMAL(0.0, -0.904033, 0.427463), _
      New TEST_NORMAL(0.0, -0.516934, 0.856025), _
      New TEST_NORMAL(0.0, -0.216466, -0.97629), _
      New TEST_NORMAL(0.0, -0.087177, 0.996193), _
      New TEST_NORMAL(0.0, -0.007789, -0.99997), _
      New TEST_NORMAL(0.0, -0.000001, -1.0), _
      New TEST_NORMAL(0.0, 0.0, -1.0), _
      New TEST_NORMAL(0.0, 0.0, 1.0), _
      New TEST_NORMAL(0.0, 0.087177, 0.996193), _
      New TEST_NORMAL(0.0, 0.17451, -0.984655), _
      New TEST_NORMAL(0.0, 0.217439, -0.976074), _
      New TEST_NORMAL(0.0, 0.477824, -0.878456), _
      New TEST_NORMAL(0.0, 0.516934, 0.856025), _
      New TEST_NORMAL(0.0, 0.873889, -0.486126), _
      New TEST_NORMAL(0.0, 0.884842, -0.465892), _
      New TEST_NORMAL(0.0, 0.904033, 0.427463), _
      New TEST_NORMAL(0.0, 0.938422, -0.345492), _
      New TEST_NORMAL(0.0, 0.953839, 0.300319), _
      New TEST_NORMAL(0.0, 0.977904, 0.209054), _
      New TEST_NORMAL(0.0, 0.97891, -0.204294), _
      New TEST_NORMAL(0.0, 0.992427, 0.122838), _
      New TEST_NORMAL(0.0, 0.99322, -0.116254), _
      New TEST_NORMAL(0.0, 0.99322, -0.116254), _
      New TEST_NORMAL(0.0, 0.99322, -0.116254), _
      New TEST_NORMAL(0.0, 0.995797, -0.091588), _
      New TEST_NORMAL(0.0, 0.996733, 0.080764), _
      New TEST_NORMAL(0.0, 0.999221, 0.039468), _
      New TEST_NORMAL(0.0, 0.999534, -0.030513), _
      New TEST_NORMAL(0.0, 0.999534, -0.030513), _
      New TEST_NORMAL(0.0, 0.999534, -0.030513), _
      New TEST_NORMAL(0.0, 1.0, 0.0), _
      New TEST_NORMAL(0.000418, 0.829305, 0.558797), _
      New TEST_NORMAL(0.000787, 0.900101, 0.43568), _
      New TEST_NORMAL(0.000963, -0.990195, 0.139686), _
      New TEST_NORMAL(0.000963, 0.990195, 0.139685), _
      New TEST_NORMAL(0.002076, -0.996142, -0.087736), _
      New TEST_NORMAL(0.002076, 0.996142, -0.087737), _
      New TEST_NORMAL(0.004171, -0.924442, -0.3813), _
      New TEST_NORMAL(0.00439, 0.983648, 0.180049), _
      New TEST_NORMAL(0.008584, -0.245395, 0.969385), _
      New TEST_NORMAL(0.010913, 0.938178, -0.34598), _
      New TEST_NORMAL(0.011742, -0.938521, -0.345023), _
      New TEST_NORMAL(0.014175, -0.997451, 0.069936), _
      New TEST_NORMAL(0.014921, -0.720903, -0.692875), _
      New TEST_NORMAL(0.015214, 0.243654, -0.969743), _
      New TEST_NORMAL(0.018693, -0.243114, -0.969818), _
      New TEST_NORMAL(0.019848, -0.292297, -0.956122), _
      New TEST_NORMAL(0.025451, -0.515913, 0.856263), _
      New TEST_NORMAL(0.02572, -0.997135, 0.07114), _
      New TEST_NORMAL(0.02572, 0.997135, 0.07114), _
      New TEST_NORMAL(0.026243, -0.954626, 0.296647), _
      New TEST_NORMAL(0.035602, -0.902163, 0.429923), _
      New TEST_NORMAL(0.035602, 0.902163, 0.429923), _
      New TEST_NORMAL(0.037722, 0.50697, 0.861138), _
      New TEST_NORMAL(0.038404, -0.995593, 0.085552), _
      New TEST_NORMAL(0.039467, -0.987326, 0.153718), _
      New TEST_NORMAL(0.039467, 0.987326, 0.153717), _
      New TEST_NORMAL(0.04036, -0.99598, 0.079972), _
      New TEST_NORMAL(0.042188, -0.979159, 0.198666), _
      New TEST_NORMAL(0.042188, 0.979159, 0.198665), _
      New TEST_NORMAL(0.042683, 0.988055, 0.148076), _
      New TEST_NORMAL(0.043261, -0.998326, 0.03839), _
      New TEST_NORMAL(0.043262, 0.998326, -0.03839), _
      New TEST_NORMAL(0.04655, -0.997859, -0.045951), _
      New TEST_NORMAL(0.04655, 0.997859, 0.045951), _
      New TEST_NORMAL(0.04684, 0.998784, -0.015351), _
      New TEST_NORMAL(0.04684, -0.998784, -0.015351), _
      New TEST_NORMAL(0.049215, 0.994947, 0.087514), _
      New TEST_NORMAL(0.050595, -0.07647, 0.995787), _
      New TEST_NORMAL(0.05953, 0.99777, 0.030199), _
      New TEST_NORMAL(0.05953, -0.99777, 0.030199), _
      New TEST_NORMAL(0.061949, 0.086715, 0.994305), _
      New TEST_NORMAL(0.062394, 0.0, 0.998052), _
      New TEST_NORMAL(0.068153, -0.946442, 0.3156), _
      New TEST_NORMAL(0.068153, 0.946442, 0.3156), _
      New TEST_NORMAL(0.081723, -0.987747, 0.132952), _
      New TEST_NORMAL(0.081723, 0.987747, 0.132952), _
      New TEST_NORMAL(0.084228, -0.738181, -0.669324), _
      New TEST_NORMAL(0.086234, 0.311888, -0.946198), _
      New TEST_NORMAL(0.086332, -0.311889, -0.946188), _
      New TEST_NORMAL(0.107508, 0.729288, -0.675708), _
      New TEST_NORMAL(0.107508, 0.729288, 0.675708), _
      New TEST_NORMAL(0.107508, -0.729288, -0.675708), _
      New TEST_NORMAL(0.107509, -0.729288, 0.675707), _
      New TEST_NORMAL(0.108497, 0.982783, -0.14955), _
      New TEST_NORMAL(0.113376, 0.928574, 0.353406), _
      New TEST_NORMAL(0.113376, -0.928574, 0.353407), _
      New TEST_NORMAL(0.118853, 0.733837, -0.668848), _
      New TEST_NORMAL(0.124421, 0.928395, 0.350147), _
      New TEST_NORMAL(0.128872, 0.961326, 0.243401), _
      New TEST_NORMAL(0.128872, -0.961326, 0.243401), _
      New TEST_NORMAL(0.131759, 0.225686, -0.965249), _
      New TEST_NORMAL(0.139979, -0.969426, 0.201541), _
      New TEST_NORMAL(0.140847, 0.040531, -0.989201), _
      New TEST_NORMAL(0.141793, -0.93795, 0.316455), _
      New TEST_NORMAL(0.14449, 0.984907, -0.095296), _
      New TEST_NORMAL(0.14449, -0.984907, -0.095296), _
      New TEST_NORMAL(0.146024, -0.980692, -0.13008), _
      New TEST_NORMAL(0.146832, 0.0, -0.989161), _
      New TEST_NORMAL(0.146832, 0.0, -0.989161), _
      New TEST_NORMAL(0.149574, -0.98875, 0.0), _
      New TEST_NORMAL(0.149575, 0.98875, 0.0), _
      New TEST_NORMAL(0.152768, -0.987613, -0.035803), _
      New TEST_NORMAL(0.152768, 0.987613, -0.035803), _
      New TEST_NORMAL(0.155108, -0.974861, 0.159961), _
      New TEST_NORMAL(0.155108, 0.974861, 0.159961), _
      New TEST_NORMAL(0.15808, 0.483742, -0.860816), _
      New TEST_NORMAL(0.15808, -0.483742, -0.860816), _
      New TEST_NORMAL(0.158289, 0.516583, -0.841479), _
      New TEST_NORMAL(0.160108, -0.586143, 0.79423), _
      New TEST_NORMAL(0.160218, -0.984513, 0.071158), _
      New TEST_NORMAL(0.160218, 0.984513, 0.071158), _
      New TEST_NORMAL(0.163343, -0.978302, -0.127453), _
      New TEST_NORMAL(0.163343, 0.978302, -0.127454), _
      New TEST_NORMAL(0.167109, -0.003784, -0.985931), _
      New TEST_NORMAL(0.167396, 0.895035, -0.41339), _
      New TEST_NORMAL(0.168627, 0.984965, 0.037531), _
      New TEST_NORMAL(0.168627, -0.984965, 0.037531), _
      New TEST_NORMAL(0.173372, -0.983981, 0.041515), _
      New TEST_NORMAL(0.189096, 0.896771, 0.400056), _
      New TEST_NORMAL(0.197836, -0.153315, 0.968171), _
      New TEST_NORMAL(0.202644, 0.74202, 0.639017), _
      New TEST_NORMAL(0.207753, 0.797849, -0.565928), _
      New TEST_NORMAL(0.219538, -0.975529, -0.012131), _
      New TEST_NORMAL(0.235502, -0.742296, 0.627324), _
      New TEST_NORMAL(0.240379, -0.968445, -0.065813), _
      New TEST_NORMAL(0.253076, -0.003843, -0.967439), _
      New TEST_NORMAL(0.254318, 0.873736, -0.414618), _
      New TEST_NORMAL(0.269241, -0.046044, -0.961971), _
      New TEST_NORMAL(0.272225, 0.809742, 0.519819), _
      New TEST_NORMAL(0.273121, -0.541778, -0.79491), _
      New TEST_NORMAL(0.283151, 0.949309, 0.136521), _
      New TEST_NORMAL(0.288862, -0.617004, -0.732027), _
      New TEST_NORMAL(0.295864, 0.724696, -0.622318), _
      New TEST_NORMAL(0.297497, -0.117602, -0.947452), _
      New TEST_NORMAL(0.299518, -0.712948, -0.63403), _
      New TEST_NORMAL(0.310657, 0.086115, -0.946613), _
      New TEST_NORMAL(0.312087, -0.085487, -0.9462), _
      New TEST_NORMAL(0.317102, 0.397299, 0.861162), _
      New TEST_NORMAL(0.339183, 0.128544, -0.931897), _
      New TEST_NORMAL(0.34202, 0.0, 0.939693), _
      New TEST_NORMAL(0.344565, 0.594314, 0.726681), _
      New TEST_NORMAL(0.345519, -0.480711, -0.805936), _
      New TEST_NORMAL(0.36031, -0.395878, 0.844664), _
      New TEST_NORMAL(0.367853, 0.599436, 0.710888), _
      New TEST_NORMAL(0.367929, 0.339638, -0.865606), _
      New TEST_NORMAL(0.369568, -0.337856, -0.865605), _
      New TEST_NORMAL(0.38384, -0.600585, 0.701402), _
      New TEST_NORMAL(0.392214, -0.859188, 0.328579), _
      New TEST_NORMAL(0.409369, 0.041494, 0.911425), _
      New TEST_NORMAL(0.423475, 0.0, 0.905908), _
      New TEST_NORMAL(0.427238, -0.040623, 0.903226), _
      New TEST_NORMAL(0.435978, -0.203908, 0.876553), _
      New TEST_NORMAL(0.436176, -0.844111, -0.311812), _
      New TEST_NORMAL(0.436639, -0.898591, -0.043358), _
      New TEST_NORMAL(0.437604, 0.54782, -0.713019), _
      New TEST_NORMAL(0.437723, 0.614739, -0.656121), _
      New TEST_NORMAL(0.44484, -0.120352, -0.887487), _
      New TEST_NORMAL(0.445204, 0.663897, 0.600861), _
      New TEST_NORMAL(0.447212, -0.632458, 0.632454), _
      New TEST_NORMAL(0.449073, -0.65528, 0.607406), _
      New TEST_NORMAL(0.449912, 0.096985, -0.887791), _
      New TEST_NORMAL(0.451422, -0.89063, -0.054734), _
      New TEST_NORMAL(0.451509, 0.225083, 0.86341), _
      New TEST_NORMAL(0.460546, -0.887248, -0.026258), _
      New TEST_NORMAL(0.464353, 0.0, 0.88565), _
      New TEST_NORMAL(0.465159, 0.022072, 0.884952), _
      New TEST_NORMAL(0.468364, 0.006742, 0.88351), _
      New TEST_NORMAL(0.484618, 0.0, -0.874726), _
      New TEST_NORMAL(0.485359, -0.868866, -0.097467), _
      New TEST_NORMAL(0.500067, -0.733083, -0.461002), _
      New TEST_NORMAL(0.506142, 0.267025, -0.820072), _
      New TEST_NORMAL(0.525229, -0.571438, -0.63055), _
      New TEST_NORMAL(0.553601, 0.723576, 0.412268), _
      New TEST_NORMAL(0.556808, -0.706586, -0.436694), _
      New TEST_NORMAL(0.559372, -0.32881, 0.760912), _
      New TEST_NORMAL(0.559373, 0.32881, 0.760911), _
      New TEST_NORMAL(0.559411, 0.556645, -0.614171), _
      New TEST_NORMAL(0.559411, 0.556645, 0.61417), _
      New TEST_NORMAL(0.559412, -0.556644, 0.614171), _
      New TEST_NORMAL(0.559412, -0.556644, -0.614171), _
      New TEST_NORMAL(0.560249, -0.7185, 0.412163), _
      New TEST_NORMAL(0.572523, -0.733082, -0.367162), _
      New TEST_NORMAL(0.57735, -0.798654, -0.169759), _
      New TEST_NORMAL(0.57735, 0.169759, -0.798654), _
      New TEST_NORMAL(0.579105, 0.771162, 0.264473), _
      New TEST_NORMAL(0.579604, -0.686184, 0.439557), _
      New TEST_NORMAL(0.582555, 0.737756, 0.341097), _
      New TEST_NORMAL(0.584929, 0.682377, 0.438429), _
      New TEST_NORMAL(0.597962, 0.591679, 0.5407), _
      New TEST_NORMAL(0.604377, -0.695456, 0.388677), _
      New TEST_NORMAL(0.610356, -0.791868, 0.020269), _
      New TEST_NORMAL(0.611696, 0.723603, 0.31973), _
      New TEST_NORMAL(0.611881, 0.034835, -0.790182), _
      New TEST_NORMAL(0.613331, 0.37571, -0.694743), _
      New TEST_NORMAL(0.615872, 0.787728, 0.013649), _
      New TEST_NORMAL(0.617365, -0.623501, -0.479694), _
      New TEST_NORMAL(0.62261, -0.707169, 0.335066), _
      New TEST_NORMAL(0.626857, -0.636279, -0.449666), _
      New TEST_NORMAL(0.627559, 0.748578, 0.214011), _
      New TEST_NORMAL(0.6278, 0.63589, -0.448899), _
      New TEST_NORMAL(0.628549, 0.689527, 0.359831), _
      New TEST_NORMAL(0.630095, -0.483858, 0.60734), _
      New TEST_NORMAL(0.630997, -0.706603, 0.320242), _
      New TEST_NORMAL(0.631172, 0.69741, 0.339471), _
      New TEST_NORMAL(0.632203, -0.74722, 0.204893), _
      New TEST_NORMAL(0.637858, -0.60241, -0.479833), _
      New TEST_NORMAL(0.640856, 0.267026, -0.719723), _
      New TEST_NORMAL(0.642819, -0.617924, 0.452718), _
      New TEST_NORMAL(0.646832, -0.754372, 0.111944), _
      New TEST_NORMAL(0.651756, 0.743016, -0.152125), _
      New TEST_NORMAL(0.654435, 0.614276, -0.440886), _
      New TEST_NORMAL(0.654844, -0.610424, -0.445602), _
      New TEST_NORMAL(0.655285, -0.736939, 0.165901), _
      New TEST_NORMAL(0.655358, 0.607085, -0.449393), _
      New TEST_NORMAL(0.655405, -0.736841, 0.165864), _
      New TEST_NORMAL(0.657923, 0.723603, 0.208652), _
      New TEST_NORMAL(0.658728, 0.749087, 0.070326), _
      New TEST_NORMAL(0.659463, -0.748147, 0.073381), _
      New TEST_NORMAL(0.66014, -0.455016, 0.597641), _
      New TEST_NORMAL(0.660142, 0.731043, -0.172595), _
      New TEST_NORMAL(0.664668, 0.743022, 0.078321), _
      New TEST_NORMAL(0.668877, -0.737854, 0.090412), _
      New TEST_NORMAL(0.672768, -0.600201, 0.432599), _
      New TEST_NORMAL(0.675096, 0.728336, -0.117358), _
      New TEST_NORMAL(0.676899, 0.731851, -0.078754), _
      New TEST_NORMAL(0.677866, 0.727818, 0.103818), _
      New TEST_NORMAL(0.680272, 0.604313, -0.414771), _
      New TEST_NORMAL(0.681631, -0.603929, -0.413097), _
      New TEST_NORMAL(0.683005, -0.32881, 0.652218), _
      New TEST_NORMAL(0.683005, 0.328811, 0.652218), _
      New TEST_NORMAL(0.683615, -0.709354, -0.17172), _
      New TEST_NORMAL(0.683835, 0.710781, -0.164803), _
      New TEST_NORMAL(0.684978, -0.706284, -0.178797), _
      New TEST_NORMAL(0.685943, 0.724219, 0.070636), _
      New TEST_NORMAL(0.690624, -0.711272, -0.130885), _
      New TEST_NORMAL(0.691092, -0.721209, -0.047426), _
      New TEST_NORMAL(0.691097, 0.561331, 0.455294), _
      New TEST_NORMAL(0.691208, 0.707696, -0.146283), _
      New TEST_NORMAL(0.691289, -0.722578, 0.0), _
      New TEST_NORMAL(0.691289, 0.722578, 0.0), _
      New TEST_NORMAL(0.691911, 0.721035, -0.036989), _
      New TEST_NORMAL(0.69209, 0.720102, -0.049644), _
      New TEST_NORMAL(0.694196, -0.71645, 0.069213), _
      New TEST_NORMAL(0.69751, 0.688508, 0.198586), _
      New TEST_NORMAL(0.698185, 0.714891, 0.038319), _
      New TEST_NORMAL(0.700244, 0.437655, -0.564019), _
      New TEST_NORMAL(0.70037, 0.587421, -0.405486), _
      New TEST_NORMAL(0.700999, 0.712175, -0.03751), _
      New TEST_NORMAL(0.707107, -0.59303, 0.385118), _
      New TEST_NORMAL(0.707107, 0.0, -0.707107), _
      New TEST_NORMAL(0.707108, 0.593029, -0.385118), _
      New TEST_NORMAL(0.708246, -0.695104, -0.123362), _
      New TEST_NORMAL(0.711637, 0.550271, -0.436777), _
      New TEST_NORMAL(0.711667, -0.617925, 0.334215), _
      New TEST_NORMAL(0.714511, 0.694593, 0.083752), _
      New TEST_NORMAL(0.714725, -0.087397, 0.693924), _
      New TEST_NORMAL(0.715794, 0.680314, 0.157516), _
      New TEST_NORMAL(0.718868, -0.673733, -0.171207), _
      New TEST_NORMAL(0.719634, -0.687937, 0.094173), _
      New TEST_NORMAL(0.72178, 0.075917, 0.687946), _
      New TEST_NORMAL(0.722006, 0.0, 0.691887), _
      New TEST_NORMAL(0.722698, -0.126267, 0.679532), _
      New TEST_NORMAL(0.724018, 0.679333, -0.119597), _
      New TEST_NORMAL(0.729094, -0.105633, 0.676213), _
      New TEST_NORMAL(0.729094, -0.105633, -0.676213), _
      New TEST_NORMAL(0.729094, 0.105633, 0.676213), _
      New TEST_NORMAL(0.729094, 0.105634, -0.676213), _
      New TEST_NORMAL(0.732404, -0.674103, -0.09576), _
      New TEST_NORMAL(0.733606, -0.661907, 0.153954), _
      New TEST_NORMAL(0.739858, 0.667492, 0.084054), _
      New TEST_NORMAL(0.740278, -0.578457, 0.342601), _
      New TEST_NORMAL(0.741966, -0.647703, -0.173111), _
      New TEST_NORMAL(0.742383, -0.669896, -0.010338), _
      New TEST_NORMAL(0.745907, 0.303334, -0.592969), _
      New TEST_NORMAL(0.745907, -0.66508, 0.035926), _
      New TEST_NORMAL(0.746927, 0.663489, 0.043382), _
      New TEST_NORMAL(0.753938, 0.584991, 0.298937), _
      New TEST_NORMAL(0.759743, -0.327322, -0.561828), _
      New TEST_NORMAL(0.773955, -0.48129, -0.411525), _
      New TEST_NORMAL(0.775001, 0.618655, 0.128995), _
      New TEST_NORMAL(0.792811, -0.046409, -0.607698), _
      New TEST_NORMAL(0.794137, 0.0, -0.607738), _
      New TEST_NORMAL(0.795236, 0.603922, 0.053645), _
      New TEST_NORMAL(0.80565, 0.534909, -0.254559), _
      New TEST_NORMAL(0.807982, 0.58538, -0.067048), _
      New TEST_NORMAL(0.809594, 0.064543, -0.58343), _
      New TEST_NORMAL(0.813622, 0.580052, 0.039485), _
      New TEST_NORMAL(0.818388, 0.225191, 0.528706), _
      New TEST_NORMAL(0.825685, 0.009936, -0.564044), _
      New TEST_NORMAL(0.828164, -0.06879, 0.556249), _
      New TEST_NORMAL(0.838041, -0.039957, -0.544143), _
      New TEST_NORMAL(0.841793, 0.110921, 0.528282), _
      New TEST_NORMAL(0.84209, -0.119742, 0.525877), _
      New TEST_NORMAL(0.844821, 0.0, 0.535048), _
      New TEST_NORMAL(0.845156, 0.02766, 0.533804), _
      New TEST_NORMAL(0.845834, 0.0, 0.533446), _
      New TEST_NORMAL(0.848668, -0.22722, 0.477633), _
      New TEST_NORMAL(0.854631, 0.221971, 0.469398), _
      New TEST_NORMAL(0.855114, 0.49486, 0.154573), _
      New TEST_NORMAL(0.874518, 0.010586, 0.484877), _
      New TEST_NORMAL(0.874662, 0.480928, 0.060616), _
      New TEST_NORMAL(0.874662, -0.480928, 0.060616), _
      New TEST_NORMAL(0.878057, 0.477406, 0.033149), _
      New TEST_NORMAL(0.882741, -0.031769, 0.468785), _
      New TEST_NORMAL(0.88686, 0.426456, 0.177806), _
      New TEST_NORMAL(0.886967, 0.0, -0.461834), _
      New TEST_NORMAL(0.886967, 0.0, -0.461833), _
      New TEST_NORMAL(0.888054, -0.425669, 0.173686), _
      New TEST_NORMAL(0.910955, -0.008804, 0.412411), _
      New TEST_NORMAL(0.914809, 0.0, 0.403887), _
      New TEST_NORMAL(0.914809, 0.0, 0.403887), _
      New TEST_NORMAL(0.918241, 0.191532, 0.346625), _
      New TEST_NORMAL(0.920247, -0.183048, 0.345889), _
      New TEST_NORMAL(0.920473, 0.308418, 0.240017), _
      New TEST_NORMAL(0.924558, -0.310914, 0.220283), _
      New TEST_NORMAL(0.926244, 0.243914, 0.287363), _
      New TEST_NORMAL(0.926697, -0.006743, 0.375749), _
      New TEST_NORMAL(0.926745, -0.243639, 0.285978), _
      New TEST_NORMAL(0.935179, 0.000868, -0.354176), _
      New TEST_NORMAL(0.938718, -0.123662, -0.321739), _
      New TEST_NORMAL(0.941992, 0.003656, 0.335616), _
      New TEST_NORMAL(0.962823, 0.21306, 0.166065), _
      New TEST_NORMAL(0.964911, 0.002956, -0.262559), _
      New TEST_NORMAL(0.966968, -0.062815, 0.247037), _
      New TEST_NORMAL(0.967416, -0.182428, -0.175573), _
      New TEST_NORMAL(0.967848, -0.245026, 0.056851), _
      New TEST_NORMAL(0.968325, 0.241658, 0.062831), _
      New TEST_NORMAL(0.968738, 0.181469, -0.16916), _
      New TEST_NORMAL(0.970711, 0.228982, 0.072722), _
      New TEST_NORMAL(0.971272, 0.003148, 0.23795), _
      New TEST_NORMAL(0.971431, -0.164114, -0.17143), _
      New TEST_NORMAL(0.975123, -0.062068, -0.212799), _
      New TEST_NORMAL(0.976754, -0.053409, 0.207604), _
      New TEST_NORMAL(0.977399, -0.173316, 0.121049), _
      New TEST_NORMAL(0.977425, -0.158828, 0.139335), _
      New TEST_NORMAL(0.977533, 0.036091, -0.207669), _
      New TEST_NORMAL(0.978123, -0.099714, -0.18257), _
      New TEST_NORMAL(0.978216, -0.15174, 0.141661), _
      New TEST_NORMAL(0.981716, 0.147615, -0.120179), _
      New TEST_NORMAL(0.98188, -0.12653, 0.141074), _
      New TEST_NORMAL(0.983792, 0.173603, -0.044889), _
      New TEST_NORMAL(0.983846, -0.144147, -0.106154), _
      New TEST_NORMAL(0.984149, -0.172096, -0.04282), _
      New TEST_NORMAL(0.984441, -0.158802, 0.075213), _
      New TEST_NORMAL(0.985199, -0.171414, 0.0), _
      New TEST_NORMAL(0.985199, 0.171414, 0.0), _
      New TEST_NORMAL(0.985242, 0.159806, 0.061317), _
      New TEST_NORMAL(0.985784, 0.02807, 0.165656), _
      New TEST_NORMAL(0.985822, 0.0, -0.167797), _
      New TEST_NORMAL(0.985942, -0.123231, 0.112843), _
      New TEST_NORMAL(0.986106, 0.0, 0.166119), _
      New TEST_NORMAL(0.98662, 0.136368, 0.089356), _
      New TEST_NORMAL(0.987065, 0.083276, 0.136992), _
      New TEST_NORMAL(0.987825, -0.125593, 0.0918), _
      New TEST_NORMAL(0.989803, 0.0, 0.142442), _
      New TEST_NORMAL(0.990543, 0.053721, -0.12625), _
      New TEST_NORMAL(0.99097, 0.044318, 0.126549), _
      New TEST_NORMAL(0.991322, -0.036403, 0.126316), _
      New TEST_NORMAL(0.992018, 0.0, 0.1261), _
      New TEST_NORMAL(0.99356, 0.0, 0.113304), _
      New TEST_NORMAL(0.99356, 0.0, 0.113304), _
      New TEST_NORMAL(0.994285, 0.063433, -0.085866), _
      New TEST_NORMAL(0.994397, 0.00012, -0.105714), _
      New TEST_NORMAL(0.995608, 0.055579, 0.075335), _
      New TEST_NORMAL(0.9961, 0.0, 0.088236), _
      New TEST_NORMAL(0.996195, 0.0, -0.087156), _
      New TEST_NORMAL(0.996195, 0.0, -0.087156), _
      New TEST_NORMAL(0.996195, -0.000001, 0.087155), _
      New TEST_NORMAL(0.996195, 0.000001, 0.087155), _
      New TEST_NORMAL(0.997418, 0.0, 0.071814), _
      New TEST_NORMAL(0.997623, 0.0, -0.068903), _
      New TEST_NORMAL(0.997623, 0.0, -0.068903), _
      New TEST_NORMAL(0.998608, -0.006159, 0.052385), _
      New TEST_NORMAL(0.999159, 0.0, -0.041013), _
      New TEST_NORMAL(0.999249, -0.00935, 0.037607), _
      New TEST_NORMAL(0.99926, -0.000001, 0.038467), _
      New TEST_NORMAL(0.99926, 0.0, 0.038466), _
      New TEST_NORMAL(1.0, 0.0, 0.0) _
    }

    triangle4 = New TEST_TRIANGLE4() { _
      New TEST_TRIANGLE4(0, 4, 5, 0, 0, 0, 199, 73, 9, 3), _
      New TEST_TRIANGLE4(5, 1, 0, 0, 0, 0, 9, 184, 199, 3), _
      New TEST_TRIANGLE4(1, 5, 6, 0, 0, 0, 184, 9, 1, 3), _
      New TEST_TRIANGLE4(6, 2, 1, 0, 0, 0, 1, 130, 184, 3), _
      New TEST_TRIANGLE4(2, 6, 7, 0, 0, 0, 130, 1, 68, 3), _
      New TEST_TRIANGLE4(7, 3, 2, 0, 0, 0, 68, 182, 130, 3), _
      New TEST_TRIANGLE4(4, 8, 9, 0, 0, 0, 73, 70, 10, 3), _
      New TEST_TRIANGLE4(9, 5, 4, 0, 0, 0, 10, 9, 73, 3), _
      New TEST_TRIANGLE4(5, 9, 10, 0, 0, 0, 9, 10, 2, 3), _
      New TEST_TRIANGLE4(10, 6, 5, 0, 0, 0, 2, 1, 9, 3), _
      New TEST_TRIANGLE4(6, 10, 11, 0, 0, 0, 1, 2, 67, 3), _
      New TEST_TRIANGLE4(11, 7, 6, 0, 0, 0, 67, 68, 1, 3), _
      New TEST_TRIANGLE4(8, 12, 13, 0, 0, 0, 70, 200, 168, 3), _
      New TEST_TRIANGLE4(13, 9, 8, 0, 0, 0, 168, 10, 70, 3), _
      New TEST_TRIANGLE4(9, 13, 14, 0, 0, 0, 10, 168, 39, 3), _
      New TEST_TRIANGLE4(14, 10, 9, 0, 0, 0, 39, 2, 10, 3), _
      New TEST_TRIANGLE4(10, 14, 15, 0, 0, 0, 2, 39, 185, 3), _
      New TEST_TRIANGLE4(15, 11, 10, 0, 0, 0, 185, 67, 2, 3), _
      New TEST_TRIANGLE4(16, 17, 21, 0, 0, 0, 593, 579, 730, 3), _
      New TEST_TRIANGLE4(21, 20, 16, 0, 0, 0, 730, 679, 593, 3), _
      New TEST_TRIANGLE4(17, 18, 22, 0, 0, 0, 579, 587, 735, 3), _
      New TEST_TRIANGLE4(22, 21, 17, 0, 0, 0, 735, 730, 579, 3), _
      New TEST_TRIANGLE4(18, 19, 23, 0, 0, 0, 587, 577, 669, 3), _
      New TEST_TRIANGLE4(23, 22, 18, 0, 0, 0, 669, 735, 587, 3), _
      New TEST_TRIANGLE4(20, 21, 25, 0, 0, 0, 679, 730, 729, 3), _
      New TEST_TRIANGLE4(25, 24, 20, 0, 0, 0, 729, 681, 679, 3), _
      New TEST_TRIANGLE4(21, 22, 26, 0, 0, 0, 730, 735, 734, 3), _
      New TEST_TRIANGLE4(26, 25, 21, 0, 0, 0, 734, 729, 730, 3), _
      New TEST_TRIANGLE4(22, 23, 27, 0, 0, 0, 735, 669, 670, 3), _
      New TEST_TRIANGLE4(27, 26, 22, 0, 0, 0, 670, 734, 735, 3), _
      New TEST_TRIANGLE4(24, 25, 29, 0, 0, 0, 681, 729, 617, 3), _
      New TEST_TRIANGLE4(29, 28, 24, 0, 0, 0, 617, 592, 681, 3), _
      New TEST_TRIANGLE4(25, 26, 30, 0, 0, 0, 729, 734, 683, 3), _
      New TEST_TRIANGLE4(30, 29, 25, 0, 0, 0, 683, 617, 729, 3), _
      New TEST_TRIANGLE4(26, 27, 31, 0, 0, 0, 734, 670, 575, 3), _
      New TEST_TRIANGLE4(31, 30, 26, 0, 0, 0, 575, 683, 734, 3), _
      New TEST_TRIANGLE4(0, 1, 17, 0, 0, 0, 199, 184, 579, 3), _
      New TEST_TRIANGLE4(17, 16, 0, 0, 0, 0, 579, 593, 199, 3), _
      New TEST_TRIANGLE4(1, 2, 18, 0, 0, 0, 184, 130, 587, 3), _
      New TEST_TRIANGLE4(18, 17, 1, 0, 0, 0, 587, 579, 184, 3), _
      New TEST_TRIANGLE4(2, 3, 19, 0, 0, 0, 130, 182, 577, 3), _
      New TEST_TRIANGLE4(19, 18, 2, 0, 0, 0, 577, 587, 130, 3), _
      New TEST_TRIANGLE4(36, 37, 41, 0, 0, 0, 76, 16, 278, 3), _
      New TEST_TRIANGLE4(41, 40, 36, 0, 0, 0, 278, 269, 76, 3), _
      New TEST_TRIANGLE4(37, 38, 42, 0, 0, 0, 16, 17, 277, 3), _
      New TEST_TRIANGLE4(42, 41, 37, 0, 0, 0, 277, 278, 16, 3), _
      New TEST_TRIANGLE4(38, 39, 43, 0, 0, 0, 17, 75, 268, 3), _
      New TEST_TRIANGLE4(43, 42, 38, 0, 0, 0, 268, 277, 17, 3), _
      New TEST_TRIANGLE4(15, 14, 30, 0, 0, 0, 185, 39, 683, 3), _
      New TEST_TRIANGLE4(30, 31, 15, 0, 0, 0, 683, 575, 185, 3), _
      New TEST_TRIANGLE4(32, 33, 35, 0, 0, 0, 169, 193, 533, 3), _
      New TEST_TRIANGLE4(35, 34, 32, 0, 0, 0, 533, 534, 169, 3), _
      New TEST_TRIANGLE4(13, 12, 28, 0, 0, 0, 168, 200, 592, 3), _
      New TEST_TRIANGLE4(28, 29, 13, 0, 0, 0, 592, 617, 168, 3), _
      New TEST_TRIANGLE4(12, 8, 24, 0, 0, 0, 200, 70, 681, 3), _
      New TEST_TRIANGLE4(24, 28, 12, 0, 0, 0, 681, 592, 200, 3), _
      New TEST_TRIANGLE4(4, 0, 16, 0, 0, 0, 73, 199, 593, 3), _
      New TEST_TRIANGLE4(16, 20, 4, 0, 0, 0, 593, 679, 73, 3), _
      New TEST_TRIANGLE4(14, 13, 33, 0, 0, 0, 39, 168, 193, 3), _
      New TEST_TRIANGLE4(33, 32, 14, 0, 0, 0, 193, 169, 39, 3), _
      New TEST_TRIANGLE4(30, 14, 32, 0, 0, 0, 683, 39, 169, 3), _
      New TEST_TRIANGLE4(32, 34, 30, 0, 0, 0, 169, 534, 683, 3), _
      New TEST_TRIANGLE4(13, 29, 35, 0, 0, 0, 168, 617, 533, 3), _
      New TEST_TRIANGLE4(35, 33, 13, 0, 0, 0, 533, 193, 168, 3), _
      New TEST_TRIANGLE4(35, 30, 34, 0, 0, 0, 533, 683, 534, 3), _
      New TEST_TRIANGLE4(30, 35, 29, 0, 0, 0, 683, 533, 617, 3), _
      New TEST_TRIANGLE4(40, 3, 36, 0, 0, 0, 269, 182, 76, 3), _
      New TEST_TRIANGLE4(3, 40, 19, 0, 0, 0, 182, 269, 577, 3), _
      New TEST_TRIANGLE4(3, 7, 37, 0, 0, 0, 182, 68, 16, 3), _
      New TEST_TRIANGLE4(37, 36, 3, 0, 0, 0, 16, 76, 182, 3), _
      New TEST_TRIANGLE4(7, 11, 38, 0, 0, 0, 68, 67, 17, 3), _
      New TEST_TRIANGLE4(38, 37, 7, 0, 0, 0, 17, 16, 68, 3), _
      New TEST_TRIANGLE4(11, 15, 39, 0, 0, 0, 67, 185, 75, 3), _
      New TEST_TRIANGLE4(39, 38, 11, 0, 0, 0, 75, 17, 67, 3), _
      New TEST_TRIANGLE4(23, 19, 40, 0, 0, 0, 669, 577, 269, 3), _
      New TEST_TRIANGLE4(40, 41, 23, 0, 0, 0, 269, 278, 669, 3), _
      New TEST_TRIANGLE4(27, 23, 41, 0, 0, 0, 670, 669, 278, 3), _
      New TEST_TRIANGLE4(41, 42, 27, 0, 0, 0, 278, 277, 670, 3), _
      New TEST_TRIANGLE4(15, 31, 43, 0, 0, 0, 185, 575, 268, 3), _
      New TEST_TRIANGLE4(43, 39, 15, 0, 0, 0, 268, 75, 185, 3), _
      New TEST_TRIANGLE4(31, 27, 42, 0, 0, 0, 575, 670, 277, 3), _
      New TEST_TRIANGLE4(42, 43, 31, 0, 0, 0, 277, 268, 575, 3), _
      New TEST_TRIANGLE4(8, 4, 44, 0, 0, 0, 70, 73, 148, 3), _
      New TEST_TRIANGLE4(44, 45, 8, 0, 0, 0, 148, 147, 70, 3), _
      New TEST_TRIANGLE4(20, 24, 47, 0, 0, 0, 679, 681, 581, 3), _
      New TEST_TRIANGLE4(47, 46, 20, 0, 0, 0, 581, 580, 679, 3), _
      New TEST_TRIANGLE4(24, 8, 45, 0, 0, 0, 681, 70, 147, 3), _
      New TEST_TRIANGLE4(45, 47, 24, 0, 0, 0, 147, 581, 681, 3), _
      New TEST_TRIANGLE4(4, 20, 46, 0, 0, 0, 73, 679, 580, 3), _
      New TEST_TRIANGLE4(46, 44, 4, 0, 0, 0, 580, 148, 73, 3), _
      New TEST_TRIANGLE4(67, 49, 50, 435, 443, 411, 616, 633, 425, 5), _
      New TEST_TRIANGLE4(50, 48, 67, 411, 417, 435, 425, 450, 616, 5), _
      New TEST_TRIANGLE4(48, 50, 70, 417, 411, 368, 450, 425, 166, 5), _
      New TEST_TRIANGLE4(70, 69, 48, 368, 378, 417, 166, 221, 450, 5), _
      New TEST_TRIANGLE4(49, 76, 51, 443, 442, 407, 633, 620, 427, 5), _
      New TEST_TRIANGLE4(51, 50, 49, 407, 411, 443, 427, 425, 633, 5), _
      New TEST_TRIANGLE4(50, 51, 52, 411, 407, 367, 425, 427, 149, 5), _
      New TEST_TRIANGLE4(52, 70, 50, 367, 368, 411, 149, 166, 425, 5), _
      New TEST_TRIANGLE4(76, 75, 53, 442, 434, 408, 620, 607, 430, 5), _
      New TEST_TRIANGLE4(53, 51, 76, 408, 407, 442, 430, 427, 620, 5), _
      New TEST_TRIANGLE4(51, 53, 71, 407, 408, 377, 427, 430, 134, 5), _
      New TEST_TRIANGLE4(71, 52, 51, 377, 367, 407, 134, 149, 427, 5), _
      New TEST_TRIANGLE4(80, 54, 55, 371, 400, 401, 569, 440, 313, 5), _
      New TEST_TRIANGLE4(55, 78, 80, 401, 366, 371, 313, 585, 569, 5), _
      New TEST_TRIANGLE4(54, 68, 56, 400, 428, 441, 440, 204, 118, 5), _
      New TEST_TRIANGLE4(56, 55, 54, 441, 401, 400, 118, 313, 440, 5), _
      New TEST_TRIANGLE4(78, 55, 57, 366, 401, 416, 585, 313, 315, 5), _
      New TEST_TRIANGLE4(57, 77, 78, 416, 369, 366, 315, 578, 585, 5), _
      New TEST_TRIANGLE4(55, 56, 74, 401, 441, 445, 313, 118, 109, 5), _
      New TEST_TRIANGLE4(74, 57, 55, 445, 416, 401, 109, 315, 313, 5), _
      New TEST_TRIANGLE4(77, 57, 59, 369, 416, 420, 578, 315, 320, 5), _
      New TEST_TRIANGLE4(59, 58, 77, 420, 379, 369, 320, 576, 578, 5), _
      New TEST_TRIANGLE4(57, 74, 73, 416, 445, 436, 315, 109, 103, 5), _
      New TEST_TRIANGLE4(73, 59, 57, 436, 420, 416, 103, 320, 315, 5), _
      New TEST_TRIANGLE4(67, 48, 60, 372, 403, 404, 616, 450, 477, 5), _
      New TEST_TRIANGLE4(60, 79, 67, 404, 363, 372, 477, 654, 616, 5), _
      New TEST_TRIANGLE4(48, 69, 72, 403, 429, 438, 450, 221, 183, 5), _
      New TEST_TRIANGLE4(72, 60, 48, 438, 404, 403, 183, 477, 450, 5), _
      New TEST_TRIANGLE4(79, 60, 54, 363, 404, 405, 654, 477, 440, 5), _
      New TEST_TRIANGLE4(54, 80, 79, 405, 374, 363, 440, 569, 654, 5), _
      New TEST_TRIANGLE4(60, 72, 68, 404, 438, 431, 477, 183, 204, 5), _
      New TEST_TRIANGLE4(68, 54, 60, 431, 405, 404, 204, 440, 477, 5), _
      New TEST_TRIANGLE4(69, 70, 61, 259, 318, 319, 221, 166, 40, 5), _
      New TEST_TRIANGLE4(61, 72, 69, 319, 246, 259, 40, 183, 221, 5), _
      New TEST_TRIANGLE4(70, 52, 62, 318, 503, 504, 166, 149, 22, 5), _
      New TEST_TRIANGLE4(62, 61, 70, 504, 319, 318, 22, 40, 166, 5), _
      New TEST_TRIANGLE4(52, 71, 63, 503, 545, 547, 149, 134, 15, 5), _
      New TEST_TRIANGLE4(63, 62, 52, 547, 504, 503, 15, 22, 149, 5), _
      New TEST_TRIANGLE4(72, 61, 56, 246, 319, 320, 183, 40, 118, 5), _
      New TEST_TRIANGLE4(56, 68, 72, 320, 260, 246, 118, 204, 183, 5), _
      New TEST_TRIANGLE4(61, 62, 74, 319, 504, 505, 40, 22, 109, 5), _
      New TEST_TRIANGLE4(74, 56, 61, 505, 320, 319, 109, 118, 40, 5), _
      New TEST_TRIANGLE4(62, 63, 73, 504, 547, 546, 22, 15, 103, 5), _
      New TEST_TRIANGLE4(73, 74, 62, 546, 505, 504, 103, 109, 22, 5), _
      New TEST_TRIANGLE4(75, 76, 65, 244, 316, 315, 607, 620, 696, 5), _
      New TEST_TRIANGLE4(65, 64, 75, 315, 241, 244, 696, 687, 607, 5), _
      New TEST_TRIANGLE4(76, 49, 66, 316, 502, 500, 620, 633, 721, 5), _
      New TEST_TRIANGLE4(66, 65, 76, 500, 315, 316, 721, 696, 620, 5), _
      New TEST_TRIANGLE4(49, 67, 79, 502, 542, 544, 633, 616, 654, 5), _
      New TEST_TRIANGLE4(79, 66, 49, 544, 500, 502, 654, 721, 633, 5), _
      New TEST_TRIANGLE4(64, 65, 77, 241, 315, 317, 687, 696, 578, 5), _
      New TEST_TRIANGLE4(77, 58, 64, 317, 245, 241, 578, 576, 687, 5), _
      New TEST_TRIANGLE4(65, 66, 78, 315, 500, 501, 696, 721, 585, 5), _
      New TEST_TRIANGLE4(78, 77, 65, 501, 317, 315, 585, 578, 696, 5), _
      New TEST_TRIANGLE4(66, 79, 80, 500, 544, 543, 721, 654, 569, 5), _
      New TEST_TRIANGLE4(80, 78, 66, 543, 501, 500, 569, 585, 721, 5), _
      New TEST_TRIANGLE4(100, 108, 82, 465, 453, 402, 647, 552, 289, 4), _
      New TEST_TRIANGLE4(82, 81, 100, 402, 410, 465, 289, 485, 647, 4), _
      New TEST_TRIANGLE4(81, 82, 102, 410, 402, 361, 485, 289, 95, 4), _
      New TEST_TRIANGLE4(102, 101, 81, 361, 343, 410, 95, 222, 485, 4), _
      New TEST_TRIANGLE4(108, 83, 84, 453, 440, 406, 552, 564, 316, 4), _
      New TEST_TRIANGLE4(84, 82, 108, 406, 402, 453, 316, 289, 552, 4), _
      New TEST_TRIANGLE4(82, 84, 85, 402, 406, 365, 289, 316, 114, 4), _
      New TEST_TRIANGLE4(85, 102, 82, 365, 361, 402, 114, 95, 289, 4), _
      New TEST_TRIANGLE4(83, 86, 87, 440, 433, 399, 564, 504, 257, 4), _
      New TEST_TRIANGLE4(87, 84, 83, 399, 406, 440, 257, 316, 564, 4), _
      New TEST_TRIANGLE4(84, 87, 106, 406, 399, 376, 316, 257, 102, 4), _
      New TEST_TRIANGLE4(106, 85, 84, 376, 365, 406, 102, 114, 316, 4), _
      New TEST_TRIANGLE4(114, 88, 90, 344, 409, 413, 642, 493, 321, 4), _
      New TEST_TRIANGLE4(90, 112, 114, 413, 362, 344, 321, 553, 642, 4), _
      New TEST_TRIANGLE4(88, 89, 105, 409, 466, 453, 493, 234, 125, 4), _
      New TEST_TRIANGLE4(105, 90, 88, 453, 413, 409, 125, 321, 493, 4), _
      New TEST_TRIANGLE4(112, 90, 91, 362, 413, 418, 553, 321, 335, 4), _
      New TEST_TRIANGLE4(91, 109, 112, 418, 370, 362, 335, 566, 553, 4), _
      New TEST_TRIANGLE4(90, 105, 104, 413, 453, 444, 321, 125, 142, 4), _
      New TEST_TRIANGLE4(104, 91, 90, 444, 418, 413, 142, 335, 321, 4), _
      New TEST_TRIANGLE4(109, 91, 92, 370, 418, 419, 566, 335, 254, 4), _
      New TEST_TRIANGLE4(92, 110, 109, 419, 380, 370, 254, 510, 566, 4), _
      New TEST_TRIANGLE4(91, 104, 93, 418, 444, 437, 335, 142, 105, 4), _
      New TEST_TRIANGLE4(93, 92, 91, 437, 419, 418, 105, 254, 335, 4), _
      New TEST_TRIANGLE4(100, 81, 94, 345, 412, 414, 647, 485, 502, 4), _
      New TEST_TRIANGLE4(94, 113, 100, 414, 342, 345, 502, 652, 647, 4), _
      New TEST_TRIANGLE4(94, 101, 103, 414, 467, 473, 502, 222, 251, 4), _
      New TEST_TRIANGLE4(101, 94, 81, 467, 414, 412, 222, 502, 485, 4), _
      New TEST_TRIANGLE4(114, 94, 88, 346, 414, 415, 642, 502, 493, 4), _
      New TEST_TRIANGLE4(94, 114, 113, 414, 346, 342, 502, 642, 652, 4), _
      New TEST_TRIANGLE4(94, 103, 89, 414, 473, 468, 502, 251, 234, 4), _
      New TEST_TRIANGLE4(89, 88, 94, 468, 415, 414, 234, 493, 502, 4), _
      New TEST_TRIANGLE4(101, 102, 95, 282, 324, 325, 222, 95, 45, 4), _
      New TEST_TRIANGLE4(95, 103, 101, 325, 281, 282, 45, 251, 222, 4), _
      New TEST_TRIANGLE4(102, 85, 96, 324, 480, 481, 95, 114, 55, 4), _
      New TEST_TRIANGLE4(96, 95, 102, 481, 325, 324, 55, 45, 95, 4), _
      New TEST_TRIANGLE4(85, 106, 107, 480, 519, 521, 114, 102, 61, 4), _
      New TEST_TRIANGLE4(107, 96, 85, 521, 481, 480, 61, 55, 114, 4), _
      New TEST_TRIANGLE4(103, 95, 105, 281, 325, 326, 251, 45, 125, 4), _
      New TEST_TRIANGLE4(105, 89, 103, 326, 283, 281, 125, 234, 251, 4), _
      New TEST_TRIANGLE4(95, 96, 104, 325, 481, 482, 45, 55, 142, 4), _
      New TEST_TRIANGLE4(104, 105, 95, 482, 326, 325, 142, 125, 45, 4), _
      New TEST_TRIANGLE4(96, 107, 93, 481, 521, 520, 55, 61, 105, 4), _
      New TEST_TRIANGLE4(93, 104, 96, 520, 482, 481, 105, 142, 55, 4), _
      New TEST_TRIANGLE4(106, 87, 97, 373, 396, 397, 102, 257, 236, 4), _
      New TEST_TRIANGLE4(97, 107, 106, 397, 364, 373, 236, 61, 102, 4), _
      New TEST_TRIANGLE4(87, 86, 111, 396, 430, 439, 257, 504, 530, 4), _
      New TEST_TRIANGLE4(111, 97, 87, 439, 397, 396, 530, 236, 257, 4), _
      New TEST_TRIANGLE4(107, 97, 92, 364, 397, 398, 61, 236, 254, 4), _
      New TEST_TRIANGLE4(92, 93, 107, 398, 375, 364, 254, 105, 61, 4), _
      New TEST_TRIANGLE4(97, 111, 110, 397, 439, 432, 236, 530, 510, 4), _
      New TEST_TRIANGLE4(110, 92, 97, 432, 398, 397, 510, 254, 236, 4), _
      New TEST_TRIANGLE4(86, 83, 98, 285, 329, 330, 504, 564, 672, 4), _
      New TEST_TRIANGLE4(98, 111, 86, 330, 284, 285, 672, 530, 504, 4), _
      New TEST_TRIANGLE4(83, 108, 99, 329, 485, 483, 564, 552, 667, 4), _
      New TEST_TRIANGLE4(99, 98, 83, 483, 330, 329, 667, 672, 564, 4), _
      New TEST_TRIANGLE4(108, 100, 113, 485, 523, 524, 552, 647, 652, 4), _
      New TEST_TRIANGLE4(113, 99, 108, 524, 483, 485, 652, 667, 552, 4), _
      New TEST_TRIANGLE4(111, 98, 109, 284, 330, 331, 530, 672, 566, 4), _
      New TEST_TRIANGLE4(109, 110, 111, 331, 286, 284, 566, 510, 530, 4), _
      New TEST_TRIANGLE4(98, 99, 112, 330, 483, 484, 672, 667, 553, 4), _
      New TEST_TRIANGLE4(112, 109, 98, 484, 331, 330, 553, 566, 672, 4), _
      New TEST_TRIANGLE4(99, 113, 114, 483, 524, 522, 667, 652, 642, 4), _
      New TEST_TRIANGLE4(114, 112, 99, 522, 484, 483, 642, 553, 667, 4), _
      New TEST_TRIANGLE4(116, 115, 137, 402, 453, 465, 451, 187, 94, 7), _
      New TEST_TRIANGLE4(137, 136, 116, 465, 410, 402, 94, 256, 451, 7), _
      New TEST_TRIANGLE4(140, 116, 136, 361, 402, 410, 646, 451, 256, 7), _
      New TEST_TRIANGLE4(136, 139, 140, 410, 343, 361, 256, 518, 646, 7), _
      New TEST_TRIANGLE4(118, 117, 115, 406, 440, 453, 423, 176, 187, 7), _
      New TEST_TRIANGLE4(115, 116, 118, 453, 402, 406, 187, 451, 423, 7), _
      New TEST_TRIANGLE4(141, 118, 116, 365, 406, 402, 626, 423, 451, 7), _
      New TEST_TRIANGLE4(116, 140, 141, 402, 361, 365, 451, 646, 626, 7), _
      New TEST_TRIANGLE4(120, 119, 117, 399, 433, 440, 484, 235, 176, 7), _
      New TEST_TRIANGLE4(117, 118, 120, 440, 406, 399, 176, 423, 484, 7), _
      New TEST_TRIANGLE4(121, 120, 118, 376, 399, 406, 640, 484, 423, 7), _
      New TEST_TRIANGLE4(118, 141, 121, 406, 365, 376, 423, 626, 640, 7), _
      New TEST_TRIANGLE4(124, 122, 148, 413, 409, 344, 417, 249, 100, 7), _
      New TEST_TRIANGLE4(148, 123, 124, 344, 362, 413, 100, 186, 417, 7), _
      New TEST_TRIANGLE4(125, 138, 122, 453, 466, 409, 615, 505, 249, 7), _
      New TEST_TRIANGLE4(122, 124, 125, 409, 413, 453, 249, 417, 615, 7), _
      New TEST_TRIANGLE4(126, 124, 123, 418, 413, 362, 405, 417, 186, 7), _
      New TEST_TRIANGLE4(123, 147, 126, 362, 370, 418, 186, 174, 405, 7), _
      New TEST_TRIANGLE4(143, 125, 124, 444, 453, 413, 596, 615, 417, 7), _
      New TEST_TRIANGLE4(124, 126, 143, 413, 418, 444, 417, 405, 596, 7), _
      New TEST_TRIANGLE4(127, 126, 147, 419, 418, 370, 487, 405, 174, 7), _
      New TEST_TRIANGLE4(147, 145, 127, 370, 380, 419, 174, 229, 487, 7), _
      New TEST_TRIANGLE4(142, 143, 126, 437, 444, 418, 634, 596, 405, 7), _
      New TEST_TRIANGLE4(126, 127, 142, 418, 419, 437, 405, 487, 634, 7), _
      New TEST_TRIANGLE4(129, 136, 137, 414, 412, 345, 237, 256, 94, 7), _
      New TEST_TRIANGLE4(137, 128, 129, 345, 342, 414, 94, 89, 237, 7), _
      New TEST_TRIANGLE4(130, 139, 129, 473, 467, 414, 491, 518, 237, 7), _
      New TEST_TRIANGLE4(136, 129, 139, 412, 414, 467, 256, 237, 518, 7), _
      New TEST_TRIANGLE4(122, 129, 148, 415, 414, 346, 249, 237, 100, 7), _
      New TEST_TRIANGLE4(128, 148, 129, 342, 346, 414, 89, 100, 237, 7), _
      New TEST_TRIANGLE4(138, 130, 129, 468, 473, 414, 505, 491, 237, 7), _
      New TEST_TRIANGLE4(129, 122, 138, 414, 415, 468, 237, 249, 505, 7), _
      New TEST_TRIANGLE4(131, 140, 139, 325, 324, 282, 695, 646, 518, 7), _
      New TEST_TRIANGLE4(139, 130, 131, 282, 281, 325, 518, 491, 695, 7), _
      New TEST_TRIANGLE4(132, 141, 140, 481, 480, 324, 686, 626, 646, 7), _
      New TEST_TRIANGLE4(140, 131, 132, 324, 325, 481, 646, 695, 686, 7), _
      New TEST_TRIANGLE4(144, 121, 141, 521, 519, 480, 680, 640, 626, 7), _
      New TEST_TRIANGLE4(141, 132, 144, 480, 481, 521, 626, 686, 680, 7), _
      New TEST_TRIANGLE4(125, 131, 130, 326, 325, 281, 615, 695, 491, 7), _
      New TEST_TRIANGLE4(130, 138, 125, 281, 283, 326, 491, 505, 615, 7), _
      New TEST_TRIANGLE4(143, 132, 131, 482, 481, 325, 596, 686, 695, 7), _
      New TEST_TRIANGLE4(131, 125, 143, 325, 326, 482, 695, 615, 596, 7), _
      New TEST_TRIANGLE4(142, 144, 132, 520, 521, 481, 634, 680, 686, 7), _
      New TEST_TRIANGLE4(132, 143, 142, 481, 482, 520, 686, 596, 634, 7), _
      New TEST_TRIANGLE4(133, 120, 121, 397, 396, 373, 503, 484, 640, 7), _
      New TEST_TRIANGLE4(121, 144, 133, 373, 364, 397, 640, 680, 503, 7), _
      New TEST_TRIANGLE4(146, 119, 120, 439, 430, 396, 209, 235, 484, 7), _
      New TEST_TRIANGLE4(120, 133, 146, 396, 397, 439, 484, 503, 209, 7), _
      New TEST_TRIANGLE4(127, 133, 144, 398, 397, 364, 487, 503, 680, 7), _
      New TEST_TRIANGLE4(144, 142, 127, 364, 375, 398, 680, 634, 487, 7), _
      New TEST_TRIANGLE4(145, 146, 133, 432, 439, 397, 229, 209, 503, 7), _
      New TEST_TRIANGLE4(133, 127, 145, 397, 398, 432, 503, 487, 229, 7), _
      New TEST_TRIANGLE4(134, 117, 119, 330, 329, 285, 69, 176, 235, 7), _
      New TEST_TRIANGLE4(119, 146, 134, 285, 284, 330, 235, 209, 69, 7), _
      New TEST_TRIANGLE4(135, 115, 117, 483, 485, 329, 74, 187, 176, 7), _
      New TEST_TRIANGLE4(117, 134, 135, 329, 330, 483, 176, 69, 74, 7), _
      New TEST_TRIANGLE4(128, 137, 115, 524, 523, 485, 89, 94, 187, 7), _
      New TEST_TRIANGLE4(115, 135, 128, 485, 483, 524, 187, 74, 89, 7), _
      New TEST_TRIANGLE4(147, 134, 146, 331, 330, 284, 174, 69, 209, 7), _
      New TEST_TRIANGLE4(146, 145, 147, 284, 286, 331, 209, 229, 174, 7), _
      New TEST_TRIANGLE4(123, 135, 134, 484, 483, 330, 186, 74, 69, 7), _
      New TEST_TRIANGLE4(134, 147, 123, 330, 331, 484, 69, 174, 186, 7), _
      New TEST_TRIANGLE4(148, 128, 135, 522, 524, 483, 100, 89, 74, 7), _
      New TEST_TRIANGLE4(135, 123, 148, 483, 484, 522, 74, 186, 100, 7), _
      New TEST_TRIANGLE4(149, 180, 172, 411, 443, 435, 314, 106, 123, 9), _
      New TEST_TRIANGLE4(172, 171, 149, 435, 417, 411, 123, 290, 314, 9), _
      New TEST_TRIANGLE4(176, 149, 171, 368, 411, 417, 573, 314, 290, 9), _
      New TEST_TRIANGLE4(171, 173, 176, 417, 378, 368, 290, 519, 573, 9), _
      New TEST_TRIANGLE4(150, 181, 180, 407, 442, 443, 312, 119, 106, 9), _
      New TEST_TRIANGLE4(180, 149, 150, 443, 411, 407, 106, 314, 312, 9), _
      New TEST_TRIANGLE4(151, 150, 149, 367, 407, 411, 588, 312, 314, 9), _
      New TEST_TRIANGLE4(149, 176, 151, 411, 368, 367, 314, 573, 588, 9), _
      New TEST_TRIANGLE4(153, 152, 181, 408, 434, 442, 311, 131, 119, 9), _
      New TEST_TRIANGLE4(181, 150, 153, 442, 407, 408, 119, 312, 311, 9), _
      New TEST_TRIANGLE4(154, 153, 150, 377, 408, 407, 604, 311, 312, 9), _
      New TEST_TRIANGLE4(150, 151, 154, 407, 367, 377, 312, 588, 604, 9), _
      New TEST_TRIANGLE4(156, 174, 175, 401, 400, 371, 426, 299, 170, 9), _
      New TEST_TRIANGLE4(175, 155, 156, 371, 366, 401, 170, 154, 426, 9), _
      New TEST_TRIANGLE4(157, 177, 174, 441, 428, 400, 621, 535, 299, 9), _
      New TEST_TRIANGLE4(174, 156, 157, 400, 401, 441, 299, 426, 621, 9), _
      New TEST_TRIANGLE4(159, 156, 155, 416, 401, 366, 424, 426, 154, 9), _
      New TEST_TRIANGLE4(155, 158, 159, 366, 369, 416, 154, 161, 424, 9), _
      New TEST_TRIANGLE4(160, 157, 156, 445, 441, 401, 631, 621, 426, 9), _
      New TEST_TRIANGLE4(156, 159, 160, 401, 416, 445, 426, 424, 631, 9), _
      New TEST_TRIANGLE4(162, 159, 158, 420, 416, 369, 420, 424, 161, 9), _
      New TEST_TRIANGLE4(158, 161, 162, 369, 379, 420, 161, 163, 420, 9), _
      New TEST_TRIANGLE4(179, 160, 159, 436, 445, 416, 636, 631, 424, 9), _
      New TEST_TRIANGLE4(159, 162, 179, 416, 420, 436, 424, 420, 636, 9), _
      New TEST_TRIANGLE4(164, 171, 172, 404, 403, 372, 263, 290, 123, 9), _
      New TEST_TRIANGLE4(172, 163, 164, 372, 363, 404, 123, 88, 263, 9), _
      New TEST_TRIANGLE4(178, 173, 171, 438, 429, 403, 556, 519, 290, 9), _
      New TEST_TRIANGLE4(171, 164, 178, 403, 404, 438, 290, 263, 556, 9), _
      New TEST_TRIANGLE4(174, 164, 163, 405, 404, 363, 299, 263, 88, 9), _
      New TEST_TRIANGLE4(163, 175, 174, 363, 374, 405, 88, 170, 299, 9), _
      New TEST_TRIANGLE4(177, 178, 164, 431, 438, 404, 535, 556, 263, 9), _
      New TEST_TRIANGLE4(164, 174, 177, 404, 405, 431, 263, 299, 535, 9), _
      New TEST_TRIANGLE4(165, 176, 173, 319, 318, 259, 699, 573, 519, 9), _
      New TEST_TRIANGLE4(173, 178, 165, 259, 246, 319, 519, 556, 699, 9), _
      New TEST_TRIANGLE4(166, 151, 176, 504, 503, 318, 719, 588, 573, 9), _
      New TEST_TRIANGLE4(176, 165, 166, 318, 319, 504, 573, 699, 719, 9), _
      New TEST_TRIANGLE4(167, 154, 151, 547, 545, 503, 725, 604, 588, 9), _
      New TEST_TRIANGLE4(151, 166, 167, 503, 504, 547, 588, 719, 725, 9), _
      New TEST_TRIANGLE4(157, 165, 178, 320, 319, 246, 621, 699, 556, 9), _
      New TEST_TRIANGLE4(178, 177, 157, 246, 260, 320, 556, 535, 621, 9), _
      New TEST_TRIANGLE4(160, 166, 165, 505, 504, 319, 631, 719, 699, 9), _
      New TEST_TRIANGLE4(165, 157, 160, 319, 320, 505, 699, 621, 631, 9), _
      New TEST_TRIANGLE4(179, 167, 166, 546, 547, 504, 636, 725, 719, 9), _
      New TEST_TRIANGLE4(166, 160, 179, 504, 505, 546, 719, 631, 636, 9), _
      New TEST_TRIANGLE4(169, 181, 152, 315, 316, 244, 43, 119, 131, 9), _
      New TEST_TRIANGLE4(152, 168, 169, 244, 241, 315, 131, 54, 43, 9), _
      New TEST_TRIANGLE4(170, 180, 181, 500, 502, 316, 20, 106, 119, 9), _
      New TEST_TRIANGLE4(181, 169, 170, 316, 315, 500, 119, 43, 20, 9), _
      New TEST_TRIANGLE4(163, 172, 180, 544, 542, 502, 88, 123, 106, 9), _
      New TEST_TRIANGLE4(180, 170, 163, 502, 500, 544, 106, 20, 88, 9), _
      New TEST_TRIANGLE4(158, 169, 168, 317, 315, 241, 161, 43, 54, 9), _
      New TEST_TRIANGLE4(168, 161, 158, 241, 245, 317, 54, 163, 161, 9), _
      New TEST_TRIANGLE4(155, 170, 169, 501, 500, 315, 154, 20, 43, 9), _
      New TEST_TRIANGLE4(169, 158, 155, 315, 317, 501, 43, 161, 154, 9), _
      New TEST_TRIANGLE4(175, 163, 170, 543, 544, 500, 170, 88, 20, 9), _
      New TEST_TRIANGLE4(170, 155, 175, 500, 501, 543, 20, 154, 170, 9), _
      New TEST_TRIANGLE4(187, 186, 182, 0, 0, 0, 731, 668, 539, 6), _
      New TEST_TRIANGLE4(182, 183, 187, 0, 0, 0, 539, 555, 731, 6), _
      New TEST_TRIANGLE4(188, 187, 183, 0, 0, 0, 739, 731, 555, 6), _
      New TEST_TRIANGLE4(183, 184, 188, 0, 0, 0, 555, 611, 739, 6), _
      New TEST_TRIANGLE4(189, 188, 184, 0, 0, 0, 674, 739, 611, 6), _
      New TEST_TRIANGLE4(184, 185, 189, 0, 0, 0, 611, 558, 674, 6), _
      New TEST_TRIANGLE4(191, 190, 186, 0, 0, 0, 732, 671, 668, 6), _
      New TEST_TRIANGLE4(186, 187, 191, 0, 0, 0, 668, 731, 732, 6), _
      New TEST_TRIANGLE4(192, 191, 187, 0, 0, 0, 740, 732, 731, 6), _
      New TEST_TRIANGLE4(187, 188, 192, 0, 0, 0, 731, 739, 740, 6), _
      New TEST_TRIANGLE4(193, 192, 188, 0, 0, 0, 673, 740, 739, 6), _
      New TEST_TRIANGLE4(188, 189, 193, 0, 0, 0, 739, 674, 673, 6), _
      New TEST_TRIANGLE4(195, 194, 190, 0, 0, 0, 571, 538, 671, 6), _
      New TEST_TRIANGLE4(190, 191, 195, 0, 0, 0, 671, 732, 571, 6), _
      New TEST_TRIANGLE4(196, 195, 191, 0, 0, 0, 700, 571, 732, 6), _
      New TEST_TRIANGLE4(191, 192, 196, 0, 0, 0, 732, 740, 700, 6), _
      New TEST_TRIANGLE4(197, 196, 192, 0, 0, 0, 554, 700, 740, 6), _
      New TEST_TRIANGLE4(192, 193, 197, 0, 0, 0, 740, 673, 554, 6), _
      New TEST_TRIANGLE4(203, 199, 198, 0, 0, 0, 11, 160, 145, 6), _
      New TEST_TRIANGLE4(198, 202, 203, 0, 0, 0, 145, 62, 11, 6), _
      New TEST_TRIANGLE4(204, 200, 199, 0, 0, 0, 6, 150, 160, 6), _
      New TEST_TRIANGLE4(199, 203, 204, 0, 0, 0, 160, 11, 6, 6), _
      New TEST_TRIANGLE4(205, 201, 200, 0, 0, 0, 71, 162, 150, 6), _
      New TEST_TRIANGLE4(200, 204, 205, 0, 0, 0, 150, 6, 71, 6), _
      New TEST_TRIANGLE4(207, 203, 202, 0, 0, 0, 12, 11, 62, 6), _
      New TEST_TRIANGLE4(202, 206, 207, 0, 0, 0, 62, 60, 12, 6), _
      New TEST_TRIANGLE4(208, 204, 203, 0, 0, 0, 7, 6, 11, 6), _
      New TEST_TRIANGLE4(203, 207, 208, 0, 0, 0, 11, 12, 7, 6), _
      New TEST_TRIANGLE4(209, 205, 204, 0, 0, 0, 72, 71, 6, 6), _
      New TEST_TRIANGLE4(204, 208, 209, 0, 0, 0, 6, 7, 72, 6), _
      New TEST_TRIANGLE4(211, 207, 206, 0, 0, 0, 122, 12, 60, 6), _
      New TEST_TRIANGLE4(206, 210, 211, 0, 0, 0, 60, 146, 122, 6), _
      New TEST_TRIANGLE4(212, 208, 207, 0, 0, 0, 58, 7, 12, 6), _
      New TEST_TRIANGLE4(207, 211, 212, 0, 0, 0, 12, 122, 58, 6), _
      New TEST_TRIANGLE4(213, 209, 208, 0, 0, 0, 164, 72, 7, 6), _
      New TEST_TRIANGLE4(208, 212, 213, 0, 0, 0, 7, 58, 164, 6), _
      New TEST_TRIANGLE4(199, 183, 182, 0, 0, 0, 160, 555, 539, 6), _
      New TEST_TRIANGLE4(182, 198, 199, 0, 0, 0, 539, 145, 160, 6), _
      New TEST_TRIANGLE4(200, 184, 183, 0, 0, 0, 150, 611, 555, 6), _
      New TEST_TRIANGLE4(183, 199, 200, 0, 0, 0, 555, 160, 150, 6), _
      New TEST_TRIANGLE4(201, 185, 184, 0, 0, 0, 162, 558, 611, 6), _
      New TEST_TRIANGLE4(184, 200, 201, 0, 0, 0, 611, 150, 162, 6), _
      New TEST_TRIANGLE4(223, 219, 218, 0, 0, 0, 461, 724, 664, 6), _
      New TEST_TRIANGLE4(218, 222, 223, 0, 0, 0, 664, 469, 461, 6), _
      New TEST_TRIANGLE4(224, 220, 219, 0, 0, 0, 462, 723, 724, 6), _
      New TEST_TRIANGLE4(219, 223, 224, 0, 0, 0, 724, 461, 462, 6), _
      New TEST_TRIANGLE4(225, 221, 220, 0, 0, 0, 470, 665, 723, 6), _
      New TEST_TRIANGLE4(220, 224, 225, 0, 0, 0, 723, 462, 470, 6), _
      New TEST_TRIANGLE4(212, 196, 197, 0, 0, 0, 58, 700, 554, 6), _
      New TEST_TRIANGLE4(197, 213, 212, 0, 0, 0, 554, 164, 58, 6), _
      New TEST_TRIANGLE4(217, 215, 214, 0, 0, 0, 206, 545, 570, 6), _
      New TEST_TRIANGLE4(214, 216, 217, 0, 0, 0, 570, 205, 206, 6), _
      New TEST_TRIANGLE4(210, 194, 195, 0, 0, 0, 146, 538, 571, 6), _
      New TEST_TRIANGLE4(195, 211, 210, 0, 0, 0, 571, 122, 146, 6), _
      New TEST_TRIANGLE4(206, 190, 194, 0, 0, 0, 60, 671, 538, 6), _
      New TEST_TRIANGLE4(194, 210, 206, 0, 0, 0, 538, 146, 60, 6), _
      New TEST_TRIANGLE4(198, 182, 186, 0, 0, 0, 145, 539, 668, 6), _
      New TEST_TRIANGLE4(186, 202, 198, 0, 0, 0, 668, 62, 145, 6), _
      New TEST_TRIANGLE4(215, 195, 196, 0, 0, 0, 545, 571, 700, 6), _
      New TEST_TRIANGLE4(196, 214, 215, 0, 0, 0, 700, 570, 545, 6), _
      New TEST_TRIANGLE4(214, 196, 212, 0, 0, 0, 570, 700, 58, 6), _
      New TEST_TRIANGLE4(212, 216, 214, 0, 0, 0, 58, 205, 570, 6), _
      New TEST_TRIANGLE4(217, 211, 195, 0, 0, 0, 206, 122, 571, 6), _
      New TEST_TRIANGLE4(195, 215, 217, 0, 0, 0, 571, 545, 206, 6), _
      New TEST_TRIANGLE4(216, 212, 217, 0, 0, 0, 205, 58, 206, 6), _
      New TEST_TRIANGLE4(211, 217, 212, 0, 0, 0, 122, 206, 58, 6), _
      New TEST_TRIANGLE4(218, 185, 222, 0, 0, 0, 664, 558, 469, 6), _
      New TEST_TRIANGLE4(201, 222, 185, 0, 0, 0, 162, 469, 558, 6), _
      New TEST_TRIANGLE4(219, 189, 185, 0, 0, 0, 724, 674, 558, 6), _
      New TEST_TRIANGLE4(185, 218, 219, 0, 0, 0, 558, 664, 724, 6), _
      New TEST_TRIANGLE4(220, 193, 189, 0, 0, 0, 723, 673, 674, 6), _
      New TEST_TRIANGLE4(189, 219, 220, 0, 0, 0, 674, 724, 723, 6), _
      New TEST_TRIANGLE4(221, 197, 193, 0, 0, 0, 665, 554, 673, 6), _
      New TEST_TRIANGLE4(193, 220, 221, 0, 0, 0, 673, 723, 665, 6), _
      New TEST_TRIANGLE4(222, 201, 205, 0, 0, 0, 469, 162, 71, 6), _
      New TEST_TRIANGLE4(205, 223, 222, 0, 0, 0, 71, 461, 469, 6), _
      New TEST_TRIANGLE4(223, 205, 209, 0, 0, 0, 461, 71, 72, 6), _
      New TEST_TRIANGLE4(209, 224, 223, 0, 0, 0, 72, 462, 461, 6), _
      New TEST_TRIANGLE4(225, 213, 197, 0, 0, 0, 470, 164, 554, 6), _
      New TEST_TRIANGLE4(197, 221, 225, 0, 0, 0, 554, 665, 470, 6), _
      New TEST_TRIANGLE4(224, 209, 213, 0, 0, 0, 462, 72, 164, 6), _
      New TEST_TRIANGLE4(213, 225, 224, 0, 0, 0, 164, 470, 462, 6), _
      New TEST_TRIANGLE4(226, 186, 190, 0, 0, 0, 590, 668, 671, 6), _
      New TEST_TRIANGLE4(190, 227, 226, 0, 0, 0, 671, 591, 590, 6), _
      New TEST_TRIANGLE4(229, 206, 202, 0, 0, 0, 158, 60, 62, 6), _
      New TEST_TRIANGLE4(202, 228, 229, 0, 0, 0, 62, 159, 158, 6), _
      New TEST_TRIANGLE4(227, 190, 206, 0, 0, 0, 591, 671, 60, 6), _
      New TEST_TRIANGLE4(206, 229, 227, 0, 0, 0, 60, 158, 591, 6), _
      New TEST_TRIANGLE4(228, 202, 186, 0, 0, 0, 159, 62, 668, 6), _
      New TEST_TRIANGLE4(186, 226, 228, 0, 0, 0, 668, 590, 159, 6), _
      New TEST_TRIANGLE4(235, 231, 230, 0, 0, 0, 202, 537, 613, 1), _
      New TEST_TRIANGLE4(234, 235, 230, 0, 0, 0, 126, 202, 613, 1), _
      New TEST_TRIANGLE4(236, 232, 231, 0, 0, 0, 151, 586, 537, 1), _
      New TEST_TRIANGLE4(235, 236, 231, 0, 0, 0, 202, 151, 537, 1), _
      New TEST_TRIANGLE4(237, 233, 232, 0, 0, 0, 218, 522, 586, 1), _
      New TEST_TRIANGLE4(236, 237, 232, 0, 0, 0, 151, 218, 586, 1), _
      New TEST_TRIANGLE4(233, 230, 232, 0, 0, 0, 522, 613, 586, 1), _
      New TEST_TRIANGLE4(232, 230, 231, 0, 0, 0, 586, 613, 537, 1), _
      New TEST_TRIANGLE4(234, 237, 236, 0, 0, 0, 126, 218, 151, 1), _
      New TEST_TRIANGLE4(234, 236, 235, 0, 0, 0, 126, 151, 202, 1), _
      New TEST_TRIANGLE4(242, 239, 238, 0, 0, 0, 104, 246, 101, 1), _
      New TEST_TRIANGLE4(239, 242, 243, 0, 0, 0, 246, 104, 279, 1), _
      New TEST_TRIANGLE4(244, 240, 239, 0, 0, 0, 460, 495, 246, 1), _
      New TEST_TRIANGLE4(239, 243, 244, 0, 0, 0, 246, 279, 460, 1), _
      New TEST_TRIANGLE4(245, 241, 240, 0, 0, 0, 635, 641, 495, 1), _
      New TEST_TRIANGLE4(240, 244, 245, 0, 0, 0, 495, 460, 635, 1), _
      New TEST_TRIANGLE4(247, 243, 242, 0, 0, 0, 282, 279, 104, 1), _
      New TEST_TRIANGLE4(242, 246, 247, 0, 0, 0, 104, 108, 282, 1), _
      New TEST_TRIANGLE4(248, 244, 243, 0, 0, 0, 455, 460, 279, 1), _
      New TEST_TRIANGLE4(243, 247, 248, 0, 0, 0, 279, 282, 455, 1), _
      New TEST_TRIANGLE4(249, 245, 244, 0, 0, 0, 632, 635, 460, 1), _
      New TEST_TRIANGLE4(244, 248, 249, 0, 0, 0, 460, 455, 632, 1), _
      New TEST_TRIANGLE4(251, 247, 250, 0, 0, 0, 270, 282, 167, 1), _
      New TEST_TRIANGLE4(246, 250, 247, 0, 0, 0, 108, 167, 282, 1), _
      New TEST_TRIANGLE4(252, 248, 247, 0, 0, 0, 472, 455, 282, 1), _
      New TEST_TRIANGLE4(247, 251, 252, 0, 0, 0, 282, 270, 472, 1), _
      New TEST_TRIANGLE4(253, 248, 252, 0, 0, 0, 565, 455, 472, 1), _
      New TEST_TRIANGLE4(248, 253, 249, 0, 0, 0, 455, 565, 632, 1), _
      New TEST_TRIANGLE4(239, 254, 238, 0, 0, 0, 246, 245, 101, 1), _
      New TEST_TRIANGLE4(240, 255, 254, 0, 0, 0, 495, 497, 245, 1), _
      New TEST_TRIANGLE4(254, 239, 240, 0, 0, 0, 245, 246, 495, 1), _
      New TEST_TRIANGLE4(255, 240, 241, 0, 0, 0, 497, 495, 641, 1), _
      New TEST_TRIANGLE4(245, 256, 241, 0, 0, 0, 635, 694, 641, 1), _
      New TEST_TRIANGLE4(249, 257, 256, 0, 0, 0, 632, 701, 694, 1), _
      New TEST_TRIANGLE4(256, 245, 249, 0, 0, 0, 694, 635, 632, 1), _
      New TEST_TRIANGLE4(253, 258, 257, 0, 0, 0, 565, 625, 701, 1), _
      New TEST_TRIANGLE4(257, 249, 253, 0, 0, 0, 701, 632, 565, 1), _
      New TEST_TRIANGLE4(252, 259, 258, 0, 0, 0, 472, 483, 625, 1), _
      New TEST_TRIANGLE4(258, 253, 252, 0, 0, 0, 625, 565, 472, 1), _
      New TEST_TRIANGLE4(251, 260, 259, 0, 0, 0, 270, 259, 483, 1), _
      New TEST_TRIANGLE4(259, 252, 251, 0, 0, 0, 483, 472, 270, 1), _
      New TEST_TRIANGLE4(250, 261, 260, 0, 0, 0, 167, 107, 259, 1), _
      New TEST_TRIANGLE4(260, 251, 250, 0, 0, 0, 259, 270, 167, 1), _
      New TEST_TRIANGLE4(246, 262, 261, 0, 0, 0, 108, 47, 107, 1), _
      New TEST_TRIANGLE4(261, 250, 246, 0, 0, 0, 107, 167, 108, 1), _
      New TEST_TRIANGLE4(242, 263, 262, 0, 0, 0, 104, 46, 47, 1), _
      New TEST_TRIANGLE4(262, 246, 242, 0, 0, 0, 47, 108, 104, 1), _
      New TEST_TRIANGLE4(263, 242, 238, 0, 0, 0, 46, 104, 101, 1), _
      New TEST_TRIANGLE4(267, 371, 370, 179, 212, 223, 284, 91, 98, 2), _
      New TEST_TRIANGLE4(370, 264, 267, 223, 183, 179, 98, 302, 284, 2), _
      New TEST_TRIANGLE4(268, 267, 264, 109, 179, 183, 377, 284, 302, 2), _
      New TEST_TRIANGLE4(264, 265, 268, 183, 113, 109, 302, 382, 377, 2), _
      New TEST_TRIANGLE4(269, 268, 265, 37, 109, 113, 478, 377, 382, 2), _
      New TEST_TRIANGLE4(265, 266, 269, 113, 33, 37, 382, 447, 478, 2), _
      New TEST_TRIANGLE4(378, 269, 266, 9, 37, 33, 648, 478, 447, 2), _
      New TEST_TRIANGLE4(266, 361, 378, 33, 7, 9, 447, 639, 648, 2), _
      New TEST_TRIANGLE4(351, 388, 389, 124, 144, 146, 253, 124, 175, 2), _
      New TEST_TRIANGLE4(389, 344, 351, 67, 90, 94, 175, 288, 253, 2), _
      New TEST_TRIANGLE4(353, 351, 344, 114, 94, 90, 376, 253, 288, 2), _
      New TEST_TRIANGLE4(344, 345, 353, 90, 115, 114, 288, 372, 376, 2), _
      New TEST_TRIANGLE4(271, 353, 345, 125, 114, 115, 490, 376, 372, 2), _
      New TEST_TRIANGLE4(345, 346, 271, 115, 128, 125, 372, 454, 490, 2), _
      New TEST_TRIANGLE4(391, 271, 352, 72, 93, 66, 608, 490, 557, 2), _
      New TEST_TRIANGLE4(346, 352, 271, 128, 147, 125, 454, 557, 490, 2), _
      New TEST_TRIANGLE4(274, 392, 388, 123, 142, 144, 247, 171, 124, 2), _
      New TEST_TRIANGLE4(388, 351, 274, 144, 124, 123, 124, 253, 247, 2), _
      New TEST_TRIANGLE4(275, 274, 351, 112, 123, 124, 401, 247, 253, 2), _
      New TEST_TRIANGLE4(351, 353, 275, 124, 111, 112, 253, 376, 401, 2), _
      New TEST_TRIANGLE4(276, 275, 353, 95, 112, 111, 494, 401, 376, 2), _
      New TEST_TRIANGLE4(353, 271, 276, 111, 93, 95, 376, 490, 494, 2), _
      New TEST_TRIANGLE4(393, 276, 271, 74, 95, 93, 589, 494, 490, 2), _
      New TEST_TRIANGLE4(271, 391, 393, 93, 72, 74, 490, 608, 589, 2), _
      New TEST_TRIANGLE4(348, 347, 392, 127, 143, 142, 255, 203, 171, 2), _
      New TEST_TRIANGLE4(392, 274, 348, 142, 123, 127, 171, 247, 255, 2), _
      New TEST_TRIANGLE4(349, 348, 274, 107, 127, 123, 395, 255, 247, 2), _
      New TEST_TRIANGLE4(274, 275, 349, 123, 112, 107, 247, 401, 395, 2), _
      New TEST_TRIANGLE4(350, 349, 275, 91, 107, 112, 482, 395, 401, 2), _
      New TEST_TRIANGLE4(275, 276, 350, 112, 95, 91, 401, 494, 482, 2), _
      New TEST_TRIANGLE4(394, 350, 276, 73, 91, 95, 548, 482, 494, 2), _
      New TEST_TRIANGLE4(276, 393, 394, 95, 74, 73, 494, 589, 548, 2), _
      New TEST_TRIANGLE4(354, 282, 377, 36, 34, 8, 525, 517, 227, 2), _
      New TEST_TRIANGLE4(377, 376, 354, 6, 24, 23, 227, 258, 525, 2), _
      New TEST_TRIANGLE4(286, 283, 282, 117, 113, 34, 339, 338, 517, 2), _
      New TEST_TRIANGLE4(282, 354, 286, 34, 36, 117, 517, 525, 339, 2), _
      New TEST_TRIANGLE4(355, 284, 283, 180, 182, 113, 212, 213, 338, 2), _
      New TEST_TRIANGLE4(283, 286, 355, 113, 117, 180, 338, 339, 212, 2), _
      New TEST_TRIANGLE4(362, 285, 284, 214, 222, 182, 486, 527, 213, 2), _
      New TEST_TRIANGLE4(284, 355, 362, 238, 200, 202, 213, 212, 486, 2), _
      New TEST_TRIANGLE4(356, 354, 376, 87, 23, 24, 532, 525, 258, 2), _
      New TEST_TRIANGLE4(376, 374, 356, 24, 88, 87, 258, 260, 532, 2), _
      New TEST_TRIANGLE4(287, 286, 354, 119, 117, 36, 340, 339, 525, 2), _
      New TEST_TRIANGLE4(354, 356, 287, 36, 45, 119, 525, 532, 340, 2), _
      New TEST_TRIANGLE4(288, 355, 286, 168, 180, 117, 208, 212, 339, 2), _
      New TEST_TRIANGLE4(286, 287, 288, 117, 119, 168, 339, 340, 208, 2), _
      New TEST_TRIANGLE4(363, 362, 355, 135, 202, 200, 481, 486, 212, 2), _
      New TEST_TRIANGLE4(355, 288, 363, 200, 134, 135, 212, 208, 481, 2), _
      New TEST_TRIANGLE4(359, 356, 374, 181, 87, 88, 516, 532, 260, 2), _
      New TEST_TRIANGLE4(374, 375, 359, 88, 173, 181, 260, 250, 516, 2), _
      New TEST_TRIANGLE4(289, 287, 356, 120, 119, 45, 400, 340, 532, 2), _
      New TEST_TRIANGLE4(356, 359, 289, 45, 46, 120, 532, 516, 400, 2), _
      New TEST_TRIANGLE4(357, 288, 287, 167, 168, 119, 223, 208, 340, 2), _
      New TEST_TRIANGLE4(287, 289, 357, 119, 120, 167, 340, 400, 223, 2), _
      New TEST_TRIANGLE4(364, 363, 288, 44, 135, 134, 488, 481, 208, 2), _
      New TEST_TRIANGLE4(288, 357, 364, 134, 35, 44, 208, 223, 488, 2), _
      New TEST_TRIANGLE4(290, 359, 358, 52, 46, 26, 305, 516, 214, 2), _
      New TEST_TRIANGLE4(375, 358, 359, 173, 208, 181, 250, 214, 516, 2), _
      New TEST_TRIANGLE4(368, 289, 359, 121, 120, 46, 413, 400, 516, 2), _
      New TEST_TRIANGLE4(359, 290, 368, 46, 52, 121, 516, 305, 413, 2), _
      New TEST_TRIANGLE4(291, 357, 289, 165, 167, 120, 457, 223, 400, 2), _
      New TEST_TRIANGLE4(289, 368, 291, 120, 121, 165, 400, 413, 457, 2), _
      New TEST_TRIANGLE4(360, 364, 357, 14, 44, 35, 511, 488, 223, 2), _
      New TEST_TRIANGLE4(357, 291, 360, 167, 165, 196, 223, 457, 511, 2), _
      New TEST_TRIANGLE4(294, 378, 361, 19, 29, 4, 716, 648, 639, 2), _
      New TEST_TRIANGLE4(361, 293, 294, 4, 1, 19, 639, 727, 716, 2), _
      New TEST_TRIANGLE4(295, 272, 378, 83, 92, 29, 720, 692, 648, 2), _
      New TEST_TRIANGLE4(378, 294, 295, 29, 19, 83, 648, 716, 720, 2), _
      New TEST_TRIANGLE4(296, 277, 272, 169, 174, 92, 711, 685, 692, 2), _
      New TEST_TRIANGLE4(272, 295, 296, 92, 83, 169, 692, 720, 711, 2), _
      New TEST_TRIANGLE4(365, 281, 277, 209, 206, 174, 658, 651, 685, 2), _
      New TEST_TRIANGLE4(277, 296, 365, 174, 169, 209, 685, 711, 658, 2), _
      New TEST_TRIANGLE4(305, 294, 293, 20, 19, 1, 722, 716, 727, 2), _
      New TEST_TRIANGLE4(293, 304, 305, 1, 2, 20, 727, 733, 722, 2), _
      New TEST_TRIANGLE4(306, 295, 294, 84, 83, 19, 718, 720, 716, 2), _
      New TEST_TRIANGLE4(294, 305, 306, 19, 20, 84, 716, 722, 718, 2), _
      New TEST_TRIANGLE4(307, 296, 295, 170, 169, 83, 714, 711, 720, 2), _
      New TEST_TRIANGLE4(295, 306, 307, 83, 84, 170, 720, 718, 714, 2), _
      New TEST_TRIANGLE4(367, 365, 296, 210, 209, 169, 657, 658, 711, 2), _
      New TEST_TRIANGLE4(296, 307, 367, 169, 170, 210, 711, 714, 657, 2), _
      New TEST_TRIANGLE4(317, 305, 304, 21, 20, 2, 697, 722, 733, 2), _
      New TEST_TRIANGLE4(304, 316, 317, 2, 3, 21, 733, 717, 697, 2), _
      New TEST_TRIANGLE4(318, 306, 305, 85, 84, 20, 698, 718, 722, 2), _
      New TEST_TRIANGLE4(305, 317, 318, 20, 21, 85, 722, 697, 698, 2), _
      New TEST_TRIANGLE4(319, 307, 306, 171, 170, 84, 703, 714, 718, 2), _
      New TEST_TRIANGLE4(306, 318, 319, 84, 85, 171, 718, 698, 703, 2), _
      New TEST_TRIANGLE4(366, 367, 307, 211, 210, 170, 653, 657, 714, 2), _
      New TEST_TRIANGLE4(307, 319, 366, 170, 171, 211, 714, 703, 653, 2), _
      New TEST_TRIANGLE4(362, 317, 316, 22, 21, 3, 486, 697, 717, 2), _
      New TEST_TRIANGLE4(316, 285, 362, 3, 5, 22, 717, 527, 486, 2), _
      New TEST_TRIANGLE4(363, 318, 317, 86, 85, 21, 481, 698, 697, 2), _
      New TEST_TRIANGLE4(317, 362, 363, 21, 22, 86, 697, 486, 481, 2), _
      New TEST_TRIANGLE4(364, 319, 318, 172, 171, 85, 488, 703, 698, 2), _
      New TEST_TRIANGLE4(318, 363, 364, 85, 86, 172, 698, 481, 488, 2), _
      New TEST_TRIANGLE4(360, 366, 319, 207, 211, 171, 511, 653, 703, 2), _
      New TEST_TRIANGLE4(319, 364, 360, 171, 172, 207, 703, 488, 511, 2), _
      New TEST_TRIANGLE4(297, 280, 281, 48, 54, 27, 529, 526, 651, 2), _
      New TEST_TRIANGLE4(281, 365, 297, 27, 16, 48, 651, 658, 529, 2), _
      New TEST_TRIANGLE4(298, 279, 280, 102, 101, 54, 346, 345, 526, 2), _
      New TEST_TRIANGLE4(280, 297, 298, 54, 48, 102, 526, 529, 346, 2), _
      New TEST_TRIANGLE4(299, 278, 279, 161, 159, 101, 210, 216, 345, 2), _
      New TEST_TRIANGLE4(279, 298, 299, 101, 102, 161, 345, 346, 210, 2), _
      New TEST_TRIANGLE4(372, 369, 278, 203, 194, 159, 84, 90, 216, 2), _
      New TEST_TRIANGLE4(278, 299, 372, 159, 161, 203, 216, 210, 84, 2), _
      New TEST_TRIANGLE4(308, 297, 365, 49, 48, 16, 528, 529, 658, 2), _
      New TEST_TRIANGLE4(365, 367, 308, 16, 17, 49, 658, 657, 528, 2), _
      New TEST_TRIANGLE4(309, 298, 297, 103, 102, 48, 370, 346, 529, 2), _
      New TEST_TRIANGLE4(297, 308, 309, 48, 49, 103, 529, 528, 370, 2), _
      New TEST_TRIANGLE4(310, 299, 298, 162, 161, 102, 211, 210, 346, 2), _
      New TEST_TRIANGLE4(298, 309, 310, 102, 103, 162, 346, 370, 211, 2), _
      New TEST_TRIANGLE4(311, 372, 299, 204, 203, 161, 85, 84, 210, 2), _
      New TEST_TRIANGLE4(299, 310, 311, 161, 162, 204, 210, 211, 85, 2), _
      New TEST_TRIANGLE4(320, 308, 367, 50, 49, 17, 515, 528, 657, 2), _
      New TEST_TRIANGLE4(367, 366, 320, 17, 18, 50, 657, 653, 515, 2), _
      New TEST_TRIANGLE4(321, 309, 308, 105, 103, 49, 402, 370, 528, 2), _
      New TEST_TRIANGLE4(308, 320, 321, 49, 50, 105, 528, 515, 402, 2), _
      New TEST_TRIANGLE4(322, 310, 309, 163, 162, 103, 226, 211, 370, 2), _
      New TEST_TRIANGLE4(309, 321, 322, 103, 105, 163, 370, 402, 226, 2), _
      New TEST_TRIANGLE4(373, 311, 310, 205, 204, 162, 80, 85, 211, 2), _
      New TEST_TRIANGLE4(310, 322, 373, 162, 163, 205, 211, 226, 80, 2), _
      New TEST_TRIANGLE4(291, 320, 366, 51, 50, 18, 457, 515, 653, 2), _
      New TEST_TRIANGLE4(366, 360, 291, 18, 25, 51, 653, 511, 457, 2), _
      New TEST_TRIANGLE4(368, 321, 320, 106, 105, 50, 413, 402, 515, 2), _
      New TEST_TRIANGLE4(320, 291, 368, 50, 51, 106, 515, 457, 413, 2), _
      New TEST_TRIANGLE4(290, 322, 321, 164, 163, 105, 305, 226, 402, 2), _
      New TEST_TRIANGLE4(321, 368, 290, 105, 106, 164, 402, 413, 305, 2), _
      New TEST_TRIANGLE4(358, 373, 322, 195, 205, 163, 214, 80, 226, 2), _
      New TEST_TRIANGLE4(322, 290, 358, 163, 164, 195, 226, 305, 214, 2), _
      New TEST_TRIANGLE4(300, 273, 369, 40, 39, 15, 30, 56, 90, 2), _
      New TEST_TRIANGLE4(369, 372, 300, 15, 12, 40, 90, 84, 30, 2), _
      New TEST_TRIANGLE4(301, 270, 273, 130, 126, 39, 25, 49, 56, 2), _
      New TEST_TRIANGLE4(273, 300, 301, 39, 40, 130, 56, 30, 25, 2), _
      New TEST_TRIANGLE4(302, 371, 270, 197, 192, 126, 23, 91, 49, 2), _
      New TEST_TRIANGLE4(270, 301, 302, 126, 130, 197, 49, 25, 23, 2), _
      New TEST_TRIANGLE4(292, 370, 371, 235, 233, 192, 18, 98, 91, 2), _
      New TEST_TRIANGLE4(371, 302, 292, 192, 197, 235, 91, 23, 18, 2), _
      New TEST_TRIANGLE4(312, 300, 372, 41, 40, 12, 27, 30, 84, 2), _
      New TEST_TRIANGLE4(372, 311, 312, 12, 10, 41, 84, 85, 27, 2), _
      New TEST_TRIANGLE4(313, 301, 300, 131, 130, 40, 24, 25, 30, 2), _
      New TEST_TRIANGLE4(300, 312, 313, 40, 41, 131, 30, 27, 24, 2), _
      New TEST_TRIANGLE4(314, 302, 301, 199, 197, 130, 19, 23, 25, 2), _
      New TEST_TRIANGLE4(301, 313, 314, 130, 131, 199, 25, 24, 19, 2), _
      New TEST_TRIANGLE4(303, 292, 302, 236, 235, 197, 8, 18, 23, 2), _
      New TEST_TRIANGLE4(302, 314, 303, 197, 199, 236, 23, 19, 8, 2), _
      New TEST_TRIANGLE4(323, 312, 311, 42, 41, 10, 44, 27, 85, 2), _
      New TEST_TRIANGLE4(311, 373, 323, 10, 11, 42, 85, 80, 44, 2), _
      New TEST_TRIANGLE4(324, 313, 312, 132, 131, 41, 41, 24, 27, 2), _
      New TEST_TRIANGLE4(312, 323, 324, 41, 42, 132, 27, 44, 41, 2), _
      New TEST_TRIANGLE4(325, 314, 313, 201, 199, 131, 42, 19, 24, 2), _
      New TEST_TRIANGLE4(313, 324, 325, 131, 132, 201, 24, 41, 42, 2), _
      New TEST_TRIANGLE4(315, 303, 314, 237, 236, 199, 21, 8, 19, 2), _
      New TEST_TRIANGLE4(314, 325, 315, 199, 201, 237, 19, 42, 21, 2), _
      New TEST_TRIANGLE4(375, 323, 373, 43, 42, 11, 250, 44, 80, 2), _
      New TEST_TRIANGLE4(373, 358, 375, 11, 13, 43, 80, 214, 250, 2), _
      New TEST_TRIANGLE4(374, 324, 323, 133, 132, 42, 260, 41, 44, 2), _
      New TEST_TRIANGLE4(323, 375, 374, 42, 43, 133, 44, 250, 260, 2), _
      New TEST_TRIANGLE4(376, 325, 324, 198, 201, 132, 258, 42, 41, 2), _
      New TEST_TRIANGLE4(324, 374, 376, 132, 133, 198, 41, 260, 258, 2), _
      New TEST_TRIANGLE4(377, 315, 325, 234, 237, 201, 227, 21, 42, 2), _
      New TEST_TRIANGLE4(325, 376, 377, 201, 198, 234, 42, 258, 227, 2), _
      New TEST_TRIANGLE4(326, 371, 267, 190, 212, 179, 152, 91, 284, 2), _
      New TEST_TRIANGLE4(267, 381, 326, 179, 155, 190, 284, 283, 152, 2), _
      New TEST_TRIANGLE4(381, 267, 268, 155, 179, 109, 283, 284, 377, 2), _
      New TEST_TRIANGLE4(268, 380, 381, 109, 110, 155, 377, 374, 283, 2), _
      New TEST_TRIANGLE4(380, 268, 269, 110, 109, 37, 374, 377, 478, 2), _
      New TEST_TRIANGLE4(269, 382, 380, 37, 57, 110, 478, 471, 374, 2), _
      New TEST_TRIANGLE4(382, 269, 378, 57, 37, 9, 471, 478, 648, 2), _
      New TEST_TRIANGLE4(378, 327, 382, 213, 191, 156, 648, 610, 471, 2), _
      New TEST_TRIANGLE4(328, 270, 371, 122, 126, 192, 78, 49, 91, 2), _
      New TEST_TRIANGLE4(371, 326, 328, 192, 160, 122, 91, 152, 78, 2), _
      New TEST_TRIANGLE4(327, 378, 272, 53, 29, 92, 610, 648, 692, 2), _
      New TEST_TRIANGLE4(272, 329, 327, 92, 99, 53, 692, 666, 610, 2), _
      New TEST_TRIANGLE4(330, 273, 270, 47, 39, 126, 79, 56, 49, 2), _
      New TEST_TRIANGLE4(270, 328, 330, 126, 122, 47, 49, 78, 79, 2), _
      New TEST_TRIANGLE4(329, 272, 277, 99, 92, 174, 666, 692, 685, 2), _
      New TEST_TRIANGLE4(277, 331, 329, 174, 166, 99, 685, 662, 666, 2), _
      New TEST_TRIANGLE4(383, 369, 273, 28, 15, 39, 138, 90, 56, 2), _
      New TEST_TRIANGLE4(273, 330, 383, 39, 47, 28, 56, 79, 138, 2), _
      New TEST_TRIANGLE4(384, 278, 369, 151, 159, 194, 231, 216, 90, 2), _
      New TEST_TRIANGLE4(369, 383, 384, 194, 184, 151, 90, 138, 231, 2), _
      New TEST_TRIANGLE4(385, 279, 278, 100, 101, 159, 347, 345, 216, 2), _
      New TEST_TRIANGLE4(278, 384, 385, 159, 151, 100, 216, 231, 347, 2), _
      New TEST_TRIANGLE4(386, 280, 279, 61, 54, 101, 507, 526, 345, 2), _
      New TEST_TRIANGLE4(279, 385, 386, 101, 100, 61, 345, 347, 507, 2), _
      New TEST_TRIANGLE4(387, 281, 280, 31, 27, 54, 600, 651, 526, 2), _
      New TEST_TRIANGLE4(280, 386, 387, 54, 61, 31, 526, 507, 600, 2), _
      New TEST_TRIANGLE4(331, 277, 281, 166, 174, 206, 662, 685, 651, 2), _
      New TEST_TRIANGLE4(281, 387, 331, 206, 193, 166, 651, 600, 662, 2), _
      New TEST_TRIANGLE4(335, 328, 326, 141, 122, 160, 92, 78, 152, 2), _
      New TEST_TRIANGLE4(326, 379, 335, 160, 154, 141, 152, 129, 92, 2), _
      New TEST_TRIANGLE4(379, 326, 381, 55, 30, 58, 129, 152, 283, 2), _
      New TEST_TRIANGLE4(381, 332, 379, 58, 65, 55, 283, 285, 129, 2), _
      New TEST_TRIANGLE4(332, 381, 380, 65, 58, 118, 285, 283, 374, 2), _
      New TEST_TRIANGLE4(380, 333, 332, 118, 116, 65, 374, 367, 285, 2), _
      New TEST_TRIANGLE4(333, 380, 382, 116, 118, 156, 367, 374, 471, 2), _
      New TEST_TRIANGLE4(382, 334, 333, 156, 148, 116, 471, 456, 367, 2), _
      New TEST_TRIANGLE4(390, 327, 329, 59, 53, 99, 609, 610, 666, 2), _
      New TEST_TRIANGLE4(329, 336, 390, 99, 75, 59, 666, 650, 609, 2), _
      New TEST_TRIANGLE4(334, 382, 327, 148, 156, 191, 456, 471, 610, 2), _
      New TEST_TRIANGLE4(327, 390, 334, 191, 158, 148, 610, 609, 456, 2), _
      New TEST_TRIANGLE4(337, 330, 328, 89, 47, 122, 99, 79, 78, 2), _
      New TEST_TRIANGLE4(328, 335, 337, 122, 141, 89, 78, 92, 99, 2), _
      New TEST_TRIANGLE4(336, 329, 331, 75, 99, 166, 650, 666, 662, 2), _
      New TEST_TRIANGLE4(331, 338, 336, 166, 129, 75, 662, 643, 650, 2), _
      New TEST_TRIANGLE4(339, 383, 330, 63, 28, 47, 192, 138, 79, 2), _
      New TEST_TRIANGLE4(330, 337, 339, 47, 89, 63, 79, 99, 192, 2), _
      New TEST_TRIANGLE4(340, 384, 383, 145, 152, 185, 248, 231, 138, 2), _
      New TEST_TRIANGLE4(383, 339, 340, 185, 153, 145, 138, 192, 248, 2), _
      New TEST_TRIANGLE4(341, 385, 384, 108, 104, 152, 394, 347, 231, 2), _
      New TEST_TRIANGLE4(384, 340, 341, 152, 145, 108, 231, 248, 394, 2), _
      New TEST_TRIANGLE4(342, 386, 385, 68, 62, 104, 492, 507, 347, 2), _
      New TEST_TRIANGLE4(385, 341, 342, 104, 108, 68, 347, 394, 492, 2), _
      New TEST_TRIANGLE4(343, 387, 386, 60, 32, 62, 550, 600, 507, 2), _
      New TEST_TRIANGLE4(386, 342, 343, 62, 68, 60, 507, 492, 550, 2), _
      New TEST_TRIANGLE4(338, 331, 387, 129, 166, 193, 643, 662, 600, 2), _
      New TEST_TRIANGLE4(387, 343, 338, 193, 150, 129, 600, 550, 643, 2), _
      New TEST_TRIANGLE4(388, 335, 379, 157, 141, 154, 124, 92, 129, 2), _
      New TEST_TRIANGLE4(379, 389, 388, 154, 175, 157, 129, 175, 124, 2), _
      New TEST_TRIANGLE4(389, 379, 332, 67, 55, 65, 175, 129, 285, 2), _
      New TEST_TRIANGLE4(332, 344, 389, 65, 90, 67, 285, 288, 175, 2), _
      New TEST_TRIANGLE4(344, 332, 333, 90, 65, 116, 288, 285, 367, 2), _
      New TEST_TRIANGLE4(333, 345, 344, 116, 115, 90, 367, 372, 288, 2), _
      New TEST_TRIANGLE4(345, 333, 334, 115, 116, 148, 372, 367, 456, 2), _
      New TEST_TRIANGLE4(334, 346, 345, 148, 128, 115, 456, 454, 372, 2), _
      New TEST_TRIANGLE4(352, 390, 336, 38, 59, 75, 557, 609, 650, 2), _
      New TEST_TRIANGLE4(336, 391, 352, 75, 56, 38, 650, 608, 557, 2), _
      New TEST_TRIANGLE4(346, 334, 390, 128, 148, 158, 454, 456, 609, 2), _
      New TEST_TRIANGLE4(390, 352, 346, 158, 147, 128, 609, 557, 454, 2), _
      New TEST_TRIANGLE4(392, 337, 335, 149, 89, 141, 171, 99, 92, 2), _
      New TEST_TRIANGLE4(335, 388, 392, 141, 157, 149, 92, 124, 171, 2), _
      New TEST_TRIANGLE4(391, 336, 338, 56, 75, 129, 608, 650, 643, 2), _
      New TEST_TRIANGLE4(338, 393, 391, 129, 64, 56, 643, 589, 608, 2), _
      New TEST_TRIANGLE4(347, 339, 337, 140, 63, 89, 203, 192, 99, 2), _
      New TEST_TRIANGLE4(337, 392, 347, 89, 149, 140, 99, 171, 203, 2), _
      New TEST_TRIANGLE4(348, 340, 339, 127, 145, 153, 255, 248, 192, 2), _
      New TEST_TRIANGLE4(339, 347, 348, 153, 143, 127, 192, 203, 255, 2), _
      New TEST_TRIANGLE4(349, 341, 340, 107, 108, 145, 395, 394, 248, 2), _
      New TEST_TRIANGLE4(340, 348, 349, 145, 127, 107, 248, 255, 395, 2), _
      New TEST_TRIANGLE4(350, 342, 341, 91, 68, 108, 482, 492, 394, 2), _
      New TEST_TRIANGLE4(341, 349, 350, 108, 107, 91, 394, 395, 482, 2), _
      New TEST_TRIANGLE4(394, 343, 342, 73, 60, 68, 548, 550, 492, 2), _
      New TEST_TRIANGLE4(342, 350, 394, 68, 91, 73, 492, 482, 548, 2), _
      New TEST_TRIANGLE4(393, 338, 343, 64, 129, 150, 589, 643, 550, 2), _
      New TEST_TRIANGLE4(343, 394, 393, 150, 76, 64, 550, 548, 589, 2), _
      New TEST_TRIANGLE4(432, 433, 429, 0, 0, 0, 637, 239, 238, 8), _
      New TEST_TRIANGLE4(429, 431, 432, 0, 0, 0, 238, 638, 637, 8), _
      New TEST_TRIANGLE4(430, 431, 429, 0, 0, 0, 582, 638, 238, 8), _
      New TEST_TRIANGLE4(429, 434, 430, 0, 0, 0, 238, 157, 582, 8), _
      New TEST_TRIANGLE4(396, 432, 431, 0, 0, 0, 583, 637, 638, 8), _
      New TEST_TRIANGLE4(431, 430, 396, 0, 0, 0, 638, 582, 583, 8), _
      New TEST_TRIANGLE4(395, 433, 432, 0, 0, 0, 156, 239, 637, 8), _
      New TEST_TRIANGLE4(432, 396, 395, 0, 0, 0, 637, 583, 156, 8), _
      New TEST_TRIANGLE4(434, 429, 433, 0, 0, 0, 157, 238, 239, 8), _
      New TEST_TRIANGLE4(433, 395, 434, 0, 0, 0, 239, 156, 157, 8), _
      New TEST_TRIANGLE4(436, 438, 397, 0, 0, 0, 547, 190, 191, 8), _
      New TEST_TRIANGLE4(397, 435, 436, 0, 0, 0, 191, 546, 547, 8), _
      New TEST_TRIANGLE4(398, 435, 397, 0, 0, 0, 612, 546, 191, 8), _
      New TEST_TRIANGLE4(397, 434, 398, 0, 0, 0, 191, 128, 612, 8), _
      New TEST_TRIANGLE4(437, 436, 435, 0, 0, 0, 614, 547, 546, 8), _
      New TEST_TRIANGLE4(435, 398, 437, 0, 0, 0, 546, 612, 614, 8), _
      New TEST_TRIANGLE4(395, 438, 436, 0, 0, 0, 127, 190, 547, 8), _
      New TEST_TRIANGLE4(436, 437, 395, 0, 0, 0, 547, 614, 127, 8), _
      New TEST_TRIANGLE4(434, 397, 438, 0, 0, 0, 128, 191, 190, 8), _
      New TEST_TRIANGLE4(438, 395, 434, 0, 0, 0, 190, 127, 128, 8), _
      New TEST_TRIANGLE4(402, 399, 456, 0, 0, 0, 370, 370, 196, 8), _
      New TEST_TRIANGLE4(456, 439, 402, 0, 0, 0, 196, 295, 370, 8), _
      New TEST_TRIANGLE4(440, 401, 400, 0, 0, 0, 293, 195, 369, 8), _
      New TEST_TRIANGLE4(400, 403, 440, 0, 0, 0, 369, 369, 293, 8), _
      New TEST_TRIANGLE4(439, 456, 401, 0, 0, 0, 295, 196, 195, 8), _
      New TEST_TRIANGLE4(401, 440, 439, 0, 0, 0, 195, 293, 295, 8), _
      New TEST_TRIANGLE4(404, 402, 439, 0, 0, 0, 370, 370, 295, 8), _
      New TEST_TRIANGLE4(439, 442, 404, 0, 0, 0, 295, 444, 370, 8), _
      New TEST_TRIANGLE4(441, 440, 403, 0, 0, 0, 443, 293, 369, 8), _
      New TEST_TRIANGLE4(403, 405, 441, 0, 0, 0, 369, 369, 443, 8), _
      New TEST_TRIANGLE4(442, 439, 440, 0, 0, 0, 444, 295, 293, 8), _
      New TEST_TRIANGLE4(440, 441, 442, 0, 0, 0, 293, 443, 444, 8), _
      New TEST_TRIANGLE4(406, 404, 442, 0, 0, 0, 370, 370, 444, 8), _
      New TEST_TRIANGLE4(442, 443, 406, 0, 0, 0, 444, 541, 370, 8), _
      New TEST_TRIANGLE4(445, 441, 405, 0, 0, 0, 540, 443, 369, 8), _
      New TEST_TRIANGLE4(405, 407, 445, 0, 0, 0, 369, 369, 540, 8), _
      New TEST_TRIANGLE4(443, 442, 441, 0, 0, 0, 541, 444, 443, 8), _
      New TEST_TRIANGLE4(441, 445, 443, 0, 0, 0, 443, 540, 541, 8), _
      New TEST_TRIANGLE4(408, 406, 443, 0, 0, 0, 370, 370, 541, 8), _
      New TEST_TRIANGLE4(443, 444, 408, 0, 0, 0, 541, 629, 370, 8), _
      New TEST_TRIANGLE4(447, 445, 407, 0, 0, 0, 630, 540, 369, 8), _
      New TEST_TRIANGLE4(407, 409, 447, 0, 0, 0, 369, 369, 630, 8), _
      New TEST_TRIANGLE4(444, 443, 445, 0, 0, 0, 629, 541, 540, 8), _
      New TEST_TRIANGLE4(445, 447, 444, 0, 0, 0, 540, 630, 629, 8), _
      New TEST_TRIANGLE4(410, 408, 444, 0, 0, 0, 370, 370, 629, 8), _
      New TEST_TRIANGLE4(444, 448, 410, 0, 0, 0, 629, 627, 370, 8), _
      New TEST_TRIANGLE4(446, 447, 409, 0, 0, 0, 628, 630, 369, 8), _
      New TEST_TRIANGLE4(409, 411, 446, 0, 0, 0, 369, 369, 628, 8), _
      New TEST_TRIANGLE4(448, 444, 447, 0, 0, 0, 627, 629, 630, 8), _
      New TEST_TRIANGLE4(447, 446, 448, 0, 0, 0, 630, 628, 627, 8), _
      New TEST_TRIANGLE4(413, 410, 448, 0, 0, 0, 370, 370, 627, 8), _
      New TEST_TRIANGLE4(448, 412, 413, 0, 0, 0, 627, 542, 370, 8), _
      New TEST_TRIANGLE4(449, 446, 411, 0, 0, 0, 543, 628, 369, 8), _
      New TEST_TRIANGLE4(411, 414, 449, 0, 0, 0, 369, 369, 543, 8), _
      New TEST_TRIANGLE4(412, 448, 446, 0, 0, 0, 542, 627, 628, 8), _
      New TEST_TRIANGLE4(446, 449, 412, 0, 0, 0, 628, 543, 542, 8), _
      New TEST_TRIANGLE4(415, 413, 412, 0, 0, 0, 370, 370, 542, 8), _
      New TEST_TRIANGLE4(412, 450, 415, 0, 0, 0, 542, 446, 370, 8), _
      New TEST_TRIANGLE4(451, 449, 414, 0, 0, 0, 445, 543, 369, 8), _
      New TEST_TRIANGLE4(414, 416, 451, 0, 0, 0, 369, 369, 445, 8), _
      New TEST_TRIANGLE4(450, 412, 449, 0, 0, 0, 446, 542, 543, 8), _
      New TEST_TRIANGLE4(449, 451, 450, 0, 0, 0, 543, 445, 446, 8), _
      New TEST_TRIANGLE4(418, 415, 450, 0, 0, 0, 370, 370, 446, 8), _
      New TEST_TRIANGLE4(450, 417, 418, 0, 0, 0, 446, 296, 370, 8), _
      New TEST_TRIANGLE4(420, 451, 416, 0, 0, 0, 294, 445, 369, 8), _
      New TEST_TRIANGLE4(416, 419, 420, 0, 0, 0, 369, 369, 294, 8), _
      New TEST_TRIANGLE4(417, 450, 451, 0, 0, 0, 296, 446, 445, 8), _
      New TEST_TRIANGLE4(451, 420, 417, 0, 0, 0, 445, 294, 296, 8), _
      New TEST_TRIANGLE4(422, 418, 417, 0, 0, 0, 348, 370, 296, 8), _
      New TEST_TRIANGLE4(417, 421, 422, 0, 0, 0, 296, 197, 348, 8), _
      New TEST_TRIANGLE4(452, 420, 419, 0, 0, 0, 198, 294, 369, 8), _
      New TEST_TRIANGLE4(419, 423, 452, 0, 0, 0, 369, 369, 198, 8), _
      New TEST_TRIANGLE4(421, 417, 420, 0, 0, 0, 197, 296, 294, 8), _
      New TEST_TRIANGLE4(420, 452, 421, 0, 0, 0, 294, 198, 197, 8), _
      New TEST_TRIANGLE4(424, 422, 421, 0, 0, 0, 370, 348, 197, 8), _
      New TEST_TRIANGLE4(421, 453, 424, 0, 0, 0, 197, 110, 370, 8), _
      New TEST_TRIANGLE4(426, 452, 423, 0, 0, 0, 113, 198, 369, 8), _
      New TEST_TRIANGLE4(423, 425, 426, 0, 0, 0, 369, 368, 113, 8), _
      New TEST_TRIANGLE4(453, 421, 452, 0, 0, 0, 110, 197, 198, 8), _
      New TEST_TRIANGLE4(452, 426, 453, 0, 0, 0, 198, 113, 110, 8), _
      New TEST_TRIANGLE4(427, 424, 453, 0, 0, 0, 370, 370, 110, 8), _
      New TEST_TRIANGLE4(453, 455, 427, 0, 0, 0, 110, 111, 370, 8), _
      New TEST_TRIANGLE4(454, 426, 425, 0, 0, 0, 112, 113, 368, 8), _
      New TEST_TRIANGLE4(425, 428, 454, 0, 0, 0, 368, 369, 112, 8), _
      New TEST_TRIANGLE4(455, 453, 426, 0, 0, 0, 111, 110, 113, 8), _
      New TEST_TRIANGLE4(426, 454, 455, 0, 0, 0, 113, 112, 111, 8), _
      New TEST_TRIANGLE4(399, 427, 455, 0, 0, 0, 370, 370, 111, 8), _
      New TEST_TRIANGLE4(455, 456, 399, 0, 0, 0, 111, 196, 370, 8), _
      New TEST_TRIANGLE4(401, 454, 428, 0, 0, 0, 195, 112, 369, 8), _
      New TEST_TRIANGLE4(428, 400, 401, 0, 0, 0, 369, 369, 195, 8), _
      New TEST_TRIANGLE4(456, 455, 454, 0, 0, 0, 196, 111, 112, 8), _
      New TEST_TRIANGLE4(454, 401, 456, 0, 0, 0, 112, 195, 196, 8), _
      New TEST_TRIANGLE4(459, 544, 542, 231, 79, 77, 323, 155, 153, 10), _
      New TEST_TRIANGLE4(544, 459, 525, 79, 231, 226, 155, 323, 244, 10), _
      New TEST_TRIANGLE4(460, 525, 459, 299, 226, 231, 342, 244, 323, 10), _
      New TEST_TRIANGLE4(525, 460, 457, 226, 299, 292, 244, 342, 406, 10), _
      New TEST_TRIANGLE4(461, 457, 460, 383, 292, 299, 429, 406, 342, 10), _
      New TEST_TRIANGLE4(457, 461, 458, 292, 383, 388, 406, 429, 498, 10), _
      New TEST_TRIANGLE4(462, 458, 461, 493, 388, 383, 572, 498, 429, 10), _
      New TEST_TRIANGLE4(458, 462, 528, 388, 493, 490, 498, 572, 559, 10), _
      New TEST_TRIANGLE4(463, 542, 543, 240, 77, 138, 327, 153, 201, 10), _
      New TEST_TRIANGLE4(542, 463, 459, 77, 240, 231, 153, 327, 323, 10), _
      New TEST_TRIANGLE4(464, 459, 463, 306, 231, 240, 396, 323, 327, 10), _
      New TEST_TRIANGLE4(459, 464, 460, 231, 306, 299, 323, 396, 342, 10), _
      New TEST_TRIANGLE4(465, 460, 464, 381, 299, 306, 418, 342, 396, 10), _
      New TEST_TRIANGLE4(460, 465, 461, 299, 381, 383, 342, 418, 429, 10), _
      New TEST_TRIANGLE4(466, 461, 465, 477, 383, 381, 544, 429, 418, 10), _
      New TEST_TRIANGLE4(461, 466, 462, 383, 477, 493, 429, 544, 572, 10), _
      New TEST_TRIANGLE4(467, 543, 541, 243, 138, 189, 325, 201, 219, 10), _
      New TEST_TRIANGLE4(543, 467, 463, 138, 243, 240, 201, 325, 327, 10), _
      New TEST_TRIANGLE4(468, 463, 467, 308, 240, 243, 363, 327, 325, 10), _
      New TEST_TRIANGLE4(463, 468, 464, 240, 308, 306, 327, 363, 396, 10), _
      New TEST_TRIANGLE4(469, 464, 468, 359, 306, 308, 414, 396, 363, 10), _
      New TEST_TRIANGLE4(464, 469, 465, 306, 359, 381, 396, 414, 418, 10), _
      New TEST_TRIANGLE4(470, 465, 469, 427, 381, 359, 523, 418, 414, 10), _
      New TEST_TRIANGLE4(465, 470, 466, 381, 427, 477, 418, 523, 544, 10), _
      New TEST_TRIANGLE4(536, 541, 540, 253, 189, 221, 319, 219, 240, 10), _
      New TEST_TRIANGLE4(541, 536, 467, 189, 253, 243, 219, 319, 325, 10), _
      New TEST_TRIANGLE4(471, 467, 536, 309, 243, 253, 364, 325, 319, 10), _
      New TEST_TRIANGLE4(467, 471, 468, 243, 309, 308, 325, 364, 363, 10), _
      New TEST_TRIANGLE4(472, 468, 471, 358, 308, 309, 410, 363, 364, 10), _
      New TEST_TRIANGLE4(468, 472, 469, 308, 358, 359, 363, 410, 414, 10), _
      New TEST_TRIANGLE4(530, 469, 472, 394, 359, 358, 506, 414, 410, 10), _
      New TEST_TRIANGLE4(469, 530, 470, 359, 394, 427, 414, 506, 523, 10), _
      New TEST_TRIANGLE4(476, 473, 474, 384, 491, 391, 322, 180, 243, 10), _
      New TEST_TRIANGLE4(473, 476, 553, 491, 384, 494, 180, 322, 165, 10), _
      New TEST_TRIANGLE4(477, 474, 526, 305, 391, 307, 341, 243, 332, 10), _
      New TEST_TRIANGLE4(474, 477, 476, 391, 305, 384, 243, 341, 322, 10), _
      New TEST_TRIANGLE4(478, 526, 475, 232, 307, 230, 428, 332, 496, 10), _
      New TEST_TRIANGLE4(526, 478, 477, 307, 232, 305, 332, 428, 341, 10), _
      New TEST_TRIANGLE4(534, 475, 527, 78, 230, 82, 584, 496, 574, 10), _
      New TEST_TRIANGLE4(475, 534, 478, 230, 78, 232, 496, 584, 428, 10), _
      New TEST_TRIANGLE4(479, 553, 476, 382, 494, 384, 326, 165, 322, 10), _
      New TEST_TRIANGLE4(553, 479, 551, 494, 382, 478, 165, 326, 194, 10), _
      New TEST_TRIANGLE4(480, 476, 477, 306, 384, 305, 397, 322, 341, 10), _
      New TEST_TRIANGLE4(476, 480, 479, 384, 306, 382, 322, 397, 326, 10), _
      New TEST_TRIANGLE4(481, 477, 478, 239, 305, 232, 419, 341, 428, 10), _
      New TEST_TRIANGLE4(477, 481, 480, 305, 239, 306, 341, 419, 397, 10), _
      New TEST_TRIANGLE4(535, 478, 534, 137, 232, 78, 536, 428, 584, 10), _
      New TEST_TRIANGLE4(478, 535, 481, 232, 137, 239, 428, 536, 419, 10), _
      New TEST_TRIANGLE4(482, 551, 479, 360, 478, 382, 324, 194, 326, 10), _
      New TEST_TRIANGLE4(551, 482, 550, 478, 360, 425, 194, 324, 215, 10), _
      New TEST_TRIANGLE4(483, 479, 480, 303, 382, 306, 378, 326, 397, 10), _
      New TEST_TRIANGLE4(479, 483, 482, 382, 303, 360, 326, 378, 324, 10), _
      New TEST_TRIANGLE4(484, 480, 481, 242, 306, 239, 415, 397, 419, 10), _
      New TEST_TRIANGLE4(480, 484, 483, 306, 242, 303, 397, 415, 378, 10), _
      New TEST_TRIANGLE4(485, 481, 535, 188, 239, 137, 521, 419, 536, 10), _
      New TEST_TRIANGLE4(481, 485, 484, 239, 188, 242, 419, 521, 415, 10), _
      New TEST_TRIANGLE4(486, 550, 482, 357, 425, 360, 328, 215, 324, 10), _
      New TEST_TRIANGLE4(550, 486, 539, 425, 357, 395, 215, 328, 233, 10), _
      New TEST_TRIANGLE4(538, 482, 483, 304, 360, 303, 375, 324, 378, 10), _
      New TEST_TRIANGLE4(482, 538, 486, 360, 304, 357, 324, 375, 328, 10), _
      New TEST_TRIANGLE4(487, 483, 484, 252, 303, 242, 416, 378, 415, 10), _
      New TEST_TRIANGLE4(483, 487, 538, 303, 252, 304, 378, 416, 375, 10), _
      New TEST_TRIANGLE4(537, 484, 485, 219, 242, 188, 501, 415, 521, 10), _
      New TEST_TRIANGLE4(484, 537, 487, 242, 219, 252, 415, 501, 416, 10), _
      New TEST_TRIANGLE4(488, 544, 525, 225, 80, 227, 217, 155, 244, 10), _
      New TEST_TRIANGLE4(544, 488, 546, 80, 225, 71, 155, 217, 93, 10), _
      New TEST_TRIANGLE4(489, 525, 457, 295, 227, 296, 409, 244, 406, 10), _
      New TEST_TRIANGLE4(525, 489, 488, 227, 295, 225, 244, 409, 217, 10), _
      New TEST_TRIANGLE4(490, 457, 458, 386, 296, 390, 520, 406, 498, 10), _
      New TEST_TRIANGLE4(457, 490, 489, 296, 386, 295, 406, 520, 409, 10), _
      New TEST_TRIANGLE4(529, 458, 528, 496, 390, 492, 644, 498, 559, 10), _
      New TEST_TRIANGLE4(458, 529, 490, 390, 496, 386, 498, 644, 520, 10), _
      New TEST_TRIANGLE4(500, 546, 488, 224, 71, 225, 207, 93, 217, 10), _
      New TEST_TRIANGLE4(546, 500, 547, 71, 224, 70, 93, 207, 96, 10), _
      New TEST_TRIANGLE4(532, 490, 529, 495, 386, 496, 645, 520, 644, 10), _
      New TEST_TRIANGLE4(490, 532, 501, 386, 495, 385, 520, 645, 531, 10), _
      New TEST_TRIANGLE4(511, 547, 500, 229, 70, 224, 220, 96, 207, 10), _
      New TEST_TRIANGLE4(547, 511, 549, 70, 229, 69, 96, 220, 97, 10), _
      New TEST_TRIANGLE4(514, 501, 532, 497, 385, 495, 649, 531, 645, 10), _
      New TEST_TRIANGLE4(501, 514, 513, 385, 497, 389, 531, 649, 524, 10), _
      New TEST_TRIANGLE4(474, 549, 511, 228, 69, 229, 243, 97, 220, 10), _
      New TEST_TRIANGLE4(549, 474, 473, 69, 228, 81, 97, 243, 180, 10), _
      New TEST_TRIANGLE4(526, 511, 512, 293, 229, 294, 332, 220, 331, 10), _
      New TEST_TRIANGLE4(511, 526, 474, 229, 293, 228, 220, 332, 243, 10), _
      New TEST_TRIANGLE4(475, 512, 513, 387, 294, 389, 496, 331, 524, 10), _
      New TEST_TRIANGLE4(512, 475, 526, 294, 387, 293, 331, 496, 332, 10), _
      New TEST_TRIANGLE4(527, 513, 514, 489, 389, 497, 574, 524, 649, 10), _
      New TEST_TRIANGLE4(513, 527, 475, 389, 489, 387, 524, 574, 496, 10), _
      New TEST_TRIANGLE4(491, 528, 462, 314, 262, 311, 713, 559, 572, 10), _
      New TEST_TRIANGLE4(528, 491, 529, 262, 314, 265, 559, 713, 644, 10), _
      New TEST_TRIANGLE4(531, 462, 466, 350, 311, 351, 656, 572, 544, 10), _
      New TEST_TRIANGLE4(462, 531, 491, 311, 350, 314, 572, 656, 713, 10), _
      New TEST_TRIANGLE4(492, 466, 470, 178, 139, 186, 619, 544, 523, 10), _
      New TEST_TRIANGLE4(466, 492, 531, 139, 178, 98, 544, 619, 656, 10), _
      New TEST_TRIANGLE4(493, 470, 530, 215, 186, 220, 514, 523, 506, 10), _
      New TEST_TRIANGLE4(470, 493, 492, 186, 215, 178, 523, 514, 619, 10), _
      New TEST_TRIANGLE4(502, 529, 491, 313, 265, 314, 728, 644, 713, 10), _
      New TEST_TRIANGLE4(529, 502, 532, 265, 313, 264, 644, 728, 645, 10), _
      New TEST_TRIANGLE4(533, 491, 531, 349, 314, 350, 659, 713, 656, 10), _
      New TEST_TRIANGLE4(491, 533, 502, 314, 349, 313, 713, 659, 728, 10), _
      New TEST_TRIANGLE4(503, 531, 492, 177, 98, 178, 624, 656, 619, 10), _
      New TEST_TRIANGLE4(531, 503, 533, 98, 177, 97, 656, 624, 659, 10), _
      New TEST_TRIANGLE4(504, 492, 493, 217, 178, 215, 513, 619, 514, 10), _
      New TEST_TRIANGLE4(492, 504, 503, 178, 217, 177, 619, 513, 624, 10), _
      New TEST_TRIANGLE4(515, 532, 502, 312, 264, 313, 715, 645, 728, 10), _
      New TEST_TRIANGLE4(532, 515, 514, 264, 312, 263, 645, 715, 649, 10), _
      New TEST_TRIANGLE4(516, 502, 533, 348, 313, 349, 655, 728, 659, 10), _
      New TEST_TRIANGLE4(502, 516, 515, 313, 348, 312, 728, 655, 715, 10), _
      New TEST_TRIANGLE4(517, 533, 503, 176, 97, 177, 623, 659, 624, 10), _
      New TEST_TRIANGLE4(533, 517, 516, 97, 176, 96, 659, 623, 655, 10), _
      New TEST_TRIANGLE4(518, 503, 504, 216, 177, 217, 512, 624, 513, 10), _
      New TEST_TRIANGLE4(503, 518, 517, 177, 216, 176, 624, 512, 623, 10), _
      New TEST_TRIANGLE4(534, 514, 515, 310, 263, 312, 584, 649, 715, 10), _
      New TEST_TRIANGLE4(514, 534, 527, 263, 310, 261, 649, 584, 574, 10), _
      New TEST_TRIANGLE4(535, 515, 516, 347, 312, 348, 536, 715, 655, 10), _
      New TEST_TRIANGLE4(515, 535, 534, 312, 347, 310, 715, 536, 584, 10), _
      New TEST_TRIANGLE4(485, 516, 517, 187, 96, 176, 521, 655, 623, 10), _
      New TEST_TRIANGLE4(516, 485, 535, 96, 187, 136, 655, 521, 536, 10), _
      New TEST_TRIANGLE4(537, 517, 518, 218, 176, 216, 501, 623, 512, 10), _
      New TEST_TRIANGLE4(517, 537, 485, 176, 218, 187, 623, 501, 521, 10), _
      New TEST_TRIANGLE4(494, 530, 472, 250, 220, 251, 431, 506, 410, 10), _
      New TEST_TRIANGLE4(530, 494, 493, 220, 250, 215, 506, 431, 514, 10), _
      New TEST_TRIANGLE4(495, 472, 471, 301, 251, 302, 366, 410, 364, 10), _
      New TEST_TRIANGLE4(472, 495, 494, 251, 301, 250, 410, 366, 431, 10), _
      New TEST_TRIANGLE4(496, 471, 536, 355, 302, 356, 307, 364, 319, 10), _
      New TEST_TRIANGLE4(471, 496, 495, 302, 355, 301, 364, 307, 366, 10), _
      New TEST_TRIANGLE4(497, 536, 540, 423, 356, 393, 228, 319, 240, 10), _
      New TEST_TRIANGLE4(536, 497, 496, 356, 423, 355, 319, 228, 307, 10), _
      New TEST_TRIANGLE4(505, 493, 494, 249, 215, 250, 435, 514, 431, 10), _
      New TEST_TRIANGLE4(493, 505, 504, 215, 249, 217, 514, 435, 513, 10), _
      New TEST_TRIANGLE4(506, 494, 495, 300, 250, 301, 370, 431, 366, 10), _
      New TEST_TRIANGLE4(494, 506, 505, 250, 300, 249, 431, 370, 435, 10), _
      New TEST_TRIANGLE4(507, 495, 496, 354, 301, 355, 306, 366, 307, 10), _
      New TEST_TRIANGLE4(495, 507, 506, 301, 354, 300, 366, 306, 370, 10), _
      New TEST_TRIANGLE4(508, 496, 497, 421, 355, 423, 225, 307, 228, 10), _
      New TEST_TRIANGLE4(496, 508, 507, 355, 421, 354, 307, 225, 306, 10), _
      New TEST_TRIANGLE4(519, 504, 505, 248, 217, 249, 434, 513, 435, 10), _
      New TEST_TRIANGLE4(504, 519, 518, 217, 248, 216, 513, 434, 512, 10), _
      New TEST_TRIANGLE4(520, 505, 506, 298, 249, 300, 371, 435, 370, 10), _
      New TEST_TRIANGLE4(505, 520, 519, 249, 298, 248, 435, 371, 434, 10), _
      New TEST_TRIANGLE4(521, 506, 507, 353, 300, 354, 310, 370, 306, 10), _
      New TEST_TRIANGLE4(506, 521, 520, 300, 353, 298, 370, 310, 371, 10), _
      New TEST_TRIANGLE4(522, 507, 508, 422, 354, 421, 224, 306, 225, 10), _
      New TEST_TRIANGLE4(507, 522, 521, 354, 422, 353, 306, 224, 310, 10), _
      New TEST_TRIANGLE4(487, 518, 519, 247, 216, 248, 416, 512, 434, 10), _
      New TEST_TRIANGLE4(518, 487, 537, 216, 247, 218, 512, 416, 501, 10), _
      New TEST_TRIANGLE4(538, 519, 520, 297, 248, 298, 375, 434, 371, 10), _
      New TEST_TRIANGLE4(519, 538, 487, 248, 297, 247, 434, 375, 416, 10), _
      New TEST_TRIANGLE4(486, 520, 521, 352, 298, 353, 328, 371, 310, 10), _
      New TEST_TRIANGLE4(520, 486, 538, 298, 352, 297, 371, 328, 375, 10), _
      New TEST_TRIANGLE4(539, 521, 522, 392, 353, 422, 233, 310, 224, 10), _
      New TEST_TRIANGLE4(521, 539, 486, 353, 392, 352, 310, 233, 328, 10), _
      New TEST_TRIANGLE4(498, 540, 541, 448, 393, 426, 116, 240, 219, 10), _
      New TEST_TRIANGLE4(540, 498, 497, 393, 448, 423, 240, 116, 228, 10), _
      New TEST_TRIANGLE4(545, 541, 543, 488, 426, 479, 87, 219, 201, 10), _
      New TEST_TRIANGLE4(541, 545, 498, 426, 488, 448, 219, 87, 116, 10), _
      New TEST_TRIANGLE4(499, 543, 542, 289, 258, 291, 26, 201, 153, 10), _
      New TEST_TRIANGLE4(543, 499, 545, 258, 289, 257, 201, 26, 87, 10), _
      New TEST_TRIANGLE4(546, 542, 544, 334, 291, 336, 93, 153, 155, 10), _
      New TEST_TRIANGLE4(542, 546, 499, 291, 334, 289, 153, 93, 26, 10), _
      New TEST_TRIANGLE4(509, 497, 498, 447, 423, 448, 115, 228, 116, 10), _
      New TEST_TRIANGLE4(497, 509, 508, 423, 447, 421, 228, 115, 225, 10), _
      New TEST_TRIANGLE4(548, 498, 545, 487, 448, 488, 83, 116, 87, 10), _
      New TEST_TRIANGLE4(498, 548, 509, 448, 487, 447, 116, 83, 115, 10), _
      New TEST_TRIANGLE4(510, 545, 499, 288, 257, 289, 13, 87, 26, 10), _
      New TEST_TRIANGLE4(545, 510, 548, 257, 288, 256, 87, 13, 83, 10), _
      New TEST_TRIANGLE4(547, 499, 546, 333, 289, 334, 96, 26, 93, 10), _
      New TEST_TRIANGLE4(499, 547, 510, 289, 333, 288, 26, 96, 13, 10), _
      New TEST_TRIANGLE4(523, 508, 509, 446, 421, 447, 120, 225, 115, 10), _
      New TEST_TRIANGLE4(508, 523, 522, 421, 446, 422, 225, 120, 224, 10), _
      New TEST_TRIANGLE4(552, 509, 548, 486, 447, 487, 86, 115, 83, 10), _
      New TEST_TRIANGLE4(509, 552, 523, 447, 486, 446, 115, 86, 120, 10), _
      New TEST_TRIANGLE4(524, 548, 510, 287, 256, 288, 28, 83, 13, 10), _
      New TEST_TRIANGLE4(548, 524, 552, 256, 287, 255, 83, 28, 86, 10), _
      New TEST_TRIANGLE4(549, 510, 547, 332, 288, 333, 97, 13, 96, 10), _
      New TEST_TRIANGLE4(510, 549, 524, 288, 332, 287, 13, 97, 28, 10), _
      New TEST_TRIANGLE4(550, 522, 523, 424, 422, 446, 215, 224, 120, 10), _
      New TEST_TRIANGLE4(522, 550, 539, 422, 424, 392, 224, 215, 233, 10), _
      New TEST_TRIANGLE4(551, 523, 552, 476, 446, 486, 194, 120, 86, 10), _
      New TEST_TRIANGLE4(523, 551, 550, 446, 476, 424, 120, 194, 215, 10), _
      New TEST_TRIANGLE4(553, 552, 524, 290, 255, 287, 165, 86, 28, 10), _
      New TEST_TRIANGLE4(552, 553, 551, 255, 290, 254, 86, 165, 194, 10), _
      New TEST_TRIANGLE4(473, 524, 549, 335, 287, 332, 180, 28, 97, 10), _
      New TEST_TRIANGLE4(524, 473, 553, 287, 335, 290, 28, 180, 165, 10), _
      New TEST_TRIANGLE4(723, 554, 557, 460, 451, 513, 622, 509, 473, 0), _
      New TEST_TRIANGLE4(714, 557, 554, 510, 513, 451, 442, 473, 509, 0), _
      New TEST_TRIANGLE4(557, 714, 558, 513, 510, 577, 473, 442, 330, 0), _
      New TEST_TRIANGLE4(555, 558, 714, 581, 577, 510, 333, 330, 442, 0), _
      New TEST_TRIANGLE4(558, 555, 559, 577, 581, 623, 330, 333, 354, 0), _
      New TEST_TRIANGLE4(556, 559, 555, 621, 623, 581, 365, 354, 333, 0), _
      New TEST_TRIANGLE4(560, 723, 561, 470, 460, 518, 606, 622, 480, 0), _
      New TEST_TRIANGLE4(557, 561, 723, 513, 518, 460, 473, 480, 622, 0), _
      New TEST_TRIANGLE4(561, 557, 562, 518, 513, 589, 480, 473, 308, 0), _
      New TEST_TRIANGLE4(558, 562, 557, 577, 589, 513, 330, 308, 473, 0), _
      New TEST_TRIANGLE4(562, 558, 563, 589, 577, 625, 308, 330, 353, 0), _
      New TEST_TRIANGLE4(559, 563, 558, 623, 625, 577, 354, 353, 330, 0), _
      New TEST_TRIANGLE4(722, 560, 564, 499, 470, 534, 568, 606, 467, 0), _
      New TEST_TRIANGLE4(561, 564, 560, 518, 534, 470, 480, 467, 606, 0), _
      New TEST_TRIANGLE4(564, 561, 565, 534, 518, 593, 467, 480, 301, 0), _
      New TEST_TRIANGLE4(562, 565, 561, 589, 593, 518, 308, 301, 480, 0), _
      New TEST_TRIANGLE4(565, 562, 566, 593, 589, 626, 301, 308, 359, 0), _
      New TEST_TRIANGLE4(563, 566, 562, 625, 626, 589, 353, 359, 308, 0), _
      New TEST_TRIANGLE4(709, 722, 708, 528, 499, 560, 549, 568, 449, 0), _
      New TEST_TRIANGLE4(564, 708, 722, 534, 560, 499, 467, 449, 568, 0), _
      New TEST_TRIANGLE4(708, 564, 567, 560, 534, 600, 449, 467, 304, 0), _
      New TEST_TRIANGLE4(565, 567, 564, 593, 600, 534, 301, 304, 467, 0), _
      New TEST_TRIANGLE4(567, 565, 568, 600, 593, 627, 304, 301, 361, 0), _
      New TEST_TRIANGLE4(566, 568, 565, 626, 627, 593, 359, 361, 301, 0), _
      New TEST_TRIANGLE4(710, 709, 711, 687, 710, 657, 560, 549, 453, 0), _
      New TEST_TRIANGLE4(708, 711, 709, 684, 657, 710, 449, 453, 549, 0), _
      New TEST_TRIANGLE4(711, 708, 569, 587, 560, 608, 453, 449, 317, 0), _
      New TEST_TRIANGLE4(567, 569, 708, 600, 608, 560, 304, 317, 449, 0), _
      New TEST_TRIANGLE4(569, 567, 570, 608, 600, 628, 317, 304, 360, 0), _
      New TEST_TRIANGLE4(568, 570, 567, 627, 628, 600, 361, 360, 304, 0), _
      New TEST_TRIANGLE4(571, 710, 572, 552, 556, 591, 598, 560, 459, 0), _
      New TEST_TRIANGLE4(711, 572, 710, 587, 591, 556, 453, 459, 560, 0), _
      New TEST_TRIANGLE4(572, 711, 573, 591, 587, 610, 459, 453, 343, 0), _
      New TEST_TRIANGLE4(569, 573, 711, 608, 610, 587, 317, 343, 453, 0), _
      New TEST_TRIANGLE4(573, 569, 574, 610, 608, 629, 343, 317, 355, 0), _
      New TEST_TRIANGLE4(570, 574, 569, 628, 629, 608, 360, 355, 317, 0), _
      New TEST_TRIANGLE4(721, 571, 575, 536, 552, 571, 594, 598, 475, 0), _
      New TEST_TRIANGLE4(572, 575, 571, 591, 571, 552, 459, 475, 598, 0), _
      New TEST_TRIANGLE4(575, 572, 576, 571, 591, 606, 475, 459, 356, 0), _
      New TEST_TRIANGLE4(573, 576, 572, 610, 606, 591, 343, 356, 459, 0), _
      New TEST_TRIANGLE4(576, 573, 577, 606, 610, 630, 356, 343, 358, 0), _
      New TEST_TRIANGLE4(574, 577, 573, 629, 630, 610, 355, 358, 343, 0), _
      New TEST_TRIANGLE4(720, 721, 578, 531, 536, 563, 599, 594, 465, 0), _
      New TEST_TRIANGLE4(575, 578, 721, 571, 563, 536, 475, 465, 594, 0), _
      New TEST_TRIANGLE4(578, 575, 579, 563, 571, 603, 465, 475, 351, 0), _
      New TEST_TRIANGLE4(576, 579, 575, 606, 603, 571, 356, 351, 475, 0), _
      New TEST_TRIANGLE4(579, 576, 580, 603, 606, 631, 351, 356, 350, 0), _
      New TEST_TRIANGLE4(577, 580, 576, 630, 631, 606, 358, 350, 356, 0), _
      New TEST_TRIANGLE4(581, 720, 582, 532, 531, 564, 602, 599, 463, 0), _
      New TEST_TRIANGLE4(578, 582, 720, 563, 564, 531, 465, 463, 599, 0), _
      New TEST_TRIANGLE4(582, 578, 583, 564, 563, 604, 463, 465, 349, 0), _
      New TEST_TRIANGLE4(579, 583, 578, 603, 604, 563, 351, 349, 465, 0), _
      New TEST_TRIANGLE4(583, 579, 584, 604, 603, 632, 349, 351, 349, 0), _
      New TEST_TRIANGLE4(580, 584, 579, 631, 632, 603, 350, 349, 351, 0), _
      New TEST_TRIANGLE4(717, 716, 586, 720, 745, 717, 441, 508, 474, 0), _
      New TEST_TRIANGLE4(735, 586, 716, 737, 717, 745, 618, 474, 508, 0), _
      New TEST_TRIANGLE4(719, 717, 587, 662, 720, 665, 334, 441, 329, 0), _
      New TEST_TRIANGLE4(586, 587, 717, 717, 665, 720, 474, 329, 441, 0), _
      New TEST_TRIANGLE4(585, 719, 588, 620, 662, 622, 373, 334, 388, 0), _
      New TEST_TRIANGLE4(587, 588, 719, 665, 622, 662, 329, 388, 334, 0), _
      New TEST_TRIANGLE4(586, 735, 589, 717, 737, 712, 474, 618, 479, 0), _
      New TEST_TRIANGLE4(734, 589, 735, 731, 712, 737, 597, 479, 618, 0), _
      New TEST_TRIANGLE4(587, 586, 590, 665, 717, 654, 329, 474, 309, 0), _
      New TEST_TRIANGLE4(589, 590, 586, 712, 654, 717, 479, 309, 474, 0), _
      New TEST_TRIANGLE4(588, 587, 591, 622, 665, 619, 388, 329, 389, 0), _
      New TEST_TRIANGLE4(590, 591, 587, 654, 619, 665, 309, 389, 329, 0), _
      New TEST_TRIANGLE4(589, 734, 592, 712, 731, 702, 479, 597, 468, 0), _
      New TEST_TRIANGLE4(733, 592, 734, 724, 702, 731, 562, 468, 597, 0), _
      New TEST_TRIANGLE4(590, 589, 593, 654, 712, 650, 309, 479, 300, 0), _
      New TEST_TRIANGLE4(592, 593, 589, 702, 650, 712, 468, 300, 479, 0), _
      New TEST_TRIANGLE4(591, 590, 594, 619, 654, 615, 389, 309, 383, 0), _
      New TEST_TRIANGLE4(593, 594, 590, 650, 615, 654, 300, 383, 309, 0), _
      New TEST_TRIANGLE4(592, 733, 712, 702, 724, 683, 468, 562, 448, 0), _
      New TEST_TRIANGLE4(732, 712, 733, 709, 683, 724, 551, 448, 562, 0), _
      New TEST_TRIANGLE4(593, 592, 595, 650, 702, 643, 300, 468, 303, 0), _
      New TEST_TRIANGLE4(712, 595, 592, 683, 643, 702, 448, 303, 468, 0), _
      New TEST_TRIANGLE4(594, 593, 596, 615, 650, 616, 383, 300, 380, 0), _
      New TEST_TRIANGLE4(595, 596, 593, 643, 616, 650, 303, 380, 300, 0), _
      New TEST_TRIANGLE4(712, 732, 597, 682, 708, 656, 448, 551, 452, 0), _
      New TEST_TRIANGLE4(713, 597, 732, 686, 656, 708, 567, 452, 551, 0), _
      New TEST_TRIANGLE4(595, 712, 598, 643, 683, 635, 303, 448, 318, 0), _
      New TEST_TRIANGLE4(597, 598, 712, 658, 635, 683, 452, 318, 448, 0), _
      New TEST_TRIANGLE4(596, 595, 599, 616, 643, 617, 380, 303, 381, 0), _
      New TEST_TRIANGLE4(598, 599, 595, 635, 617, 643, 318, 381, 303, 0), _
      New TEST_TRIANGLE4(597, 713, 600, 658, 688, 652, 452, 567, 458, 0), _
      New TEST_TRIANGLE4(731, 600, 713, 690, 652, 688, 601, 458, 567, 0), _
      New TEST_TRIANGLE4(598, 597, 601, 635, 658, 633, 318, 452, 344, 0), _
      New TEST_TRIANGLE4(600, 601, 597, 652, 633, 658, 458, 344, 452, 0), _
      New TEST_TRIANGLE4(599, 598, 602, 617, 635, 614, 381, 318, 387, 0), _
      New TEST_TRIANGLE4(601, 602, 598, 633, 614, 635, 344, 387, 318, 0), _
      New TEST_TRIANGLE4(600, 731, 603, 652, 690, 671, 458, 601, 476, 0), _
      New TEST_TRIANGLE4(730, 603, 731, 700, 671, 690, 595, 476, 601, 0), _
      New TEST_TRIANGLE4(601, 600, 604, 633, 652, 637, 344, 458, 385, 0), _
      New TEST_TRIANGLE4(603, 604, 600, 671, 637, 652, 476, 385, 458, 0), _
      New TEST_TRIANGLE4(602, 601, 605, 614, 633, 611, 387, 344, 384, 0), _
      New TEST_TRIANGLE4(604, 605, 601, 637, 611, 633, 385, 384, 344, 0), _
      New TEST_TRIANGLE4(603, 730, 607, 671, 700, 678, 476, 595, 466, 0), _
      New TEST_TRIANGLE4(606, 607, 730, 704, 678, 700, 605, 466, 595, 0), _
      New TEST_TRIANGLE4(604, 603, 608, 637, 671, 639, 385, 476, 392, 0), _
      New TEST_TRIANGLE4(607, 608, 603, 678, 639, 671, 466, 392, 476, 0), _
      New TEST_TRIANGLE4(605, 604, 609, 611, 637, 612, 384, 385, 390, 0), _
      New TEST_TRIANGLE4(608, 609, 604, 639, 612, 637, 392, 390, 385, 0), _
      New TEST_TRIANGLE4(607, 606, 611, 678, 704, 679, 466, 605, 464, 0), _
      New TEST_TRIANGLE4(610, 611, 606, 705, 679, 704, 603, 464, 605, 0), _
      New TEST_TRIANGLE4(608, 607, 612, 639, 678, 640, 392, 466, 393, 0), _
      New TEST_TRIANGLE4(611, 612, 607, 679, 640, 678, 464, 393, 466, 0), _
      New TEST_TRIANGLE4(609, 608, 613, 612, 639, 613, 390, 392, 393, 0), _
      New TEST_TRIANGLE4(612, 613, 608, 640, 613, 639, 393, 393, 392, 0), _
      New TEST_TRIANGLE4(714, 554, 715, 721, 746, 723, 442, 509, 177, 0), _
      New TEST_TRIANGLE4(614, 715, 554, 280, 464, 279, 500, 177, 509, 0), _
      New TEST_TRIANGLE4(555, 714, 615, 663, 721, 660, 333, 442, 403, 0), _
      New TEST_TRIANGLE4(715, 615, 714, 723, 660, 721, 177, 403, 442, 0), _
      New TEST_TRIANGLE4(556, 555, 616, 621, 663, 618, 365, 333, 379, 0), _
      New TEST_TRIANGLE4(615, 616, 555, 660, 618, 663, 403, 379, 333, 0), _
      New TEST_TRIANGLE4(715, 614, 625, 464, 280, 462, 177, 500, 59, 0), _
      New TEST_TRIANGLE4(729, 625, 614, 277, 462, 280, 489, 59, 500, 0), _
      New TEST_TRIANGLE4(625, 729, 718, 462, 277, 463, 59, 489, 179, 0), _
      New TEST_TRIANGLE4(633, 718, 729, 278, 463, 277, 499, 179, 489, 0), _
      New TEST_TRIANGLE4(718, 633, 716, 463, 278, 274, 179, 499, 508, 0), _
      New TEST_TRIANGLE4(716, 717, 718, 450, 509, 507, 508, 441, 179, 0), _
      New TEST_TRIANGLE4(634, 718, 719, 583, 507, 580, 404, 179, 334, 0), _
      New TEST_TRIANGLE4(717, 719, 718, 509, 580, 507, 441, 334, 179, 0), _
      New TEST_TRIANGLE4(635, 634, 585, 624, 583, 620, 362, 404, 373, 0), _
      New TEST_TRIANGLE4(719, 585, 634, 580, 620, 583, 334, 373, 404, 0), _
      New TEST_TRIANGLE4(720, 581, 618, 341, 273, 340, 599, 602, 706, 0), _
      New TEST_TRIANGLE4(617, 618, 581, 271, 340, 273, 708, 706, 602, 0), _
      New TEST_TRIANGLE4(721, 720, 619, 458, 341, 456, 594, 599, 688, 0), _
      New TEST_TRIANGLE4(618, 619, 720, 340, 456, 341, 706, 688, 599, 0), _
      New TEST_TRIANGLE4(571, 721, 620, 541, 458, 540, 598, 594, 705, 0), _
      New TEST_TRIANGLE4(619, 620, 721, 456, 540, 458, 688, 705, 594, 0), _
      New TEST_TRIANGLE4(710, 571, 725, 569, 541, 567, 560, 598, 676, 0), _
      New TEST_TRIANGLE4(620, 725, 571, 540, 567, 541, 705, 676, 598, 0), _
      New TEST_TRIANGLE4(709, 710, 621, 710, 687, 714, 549, 560, 660, 0), _
      New TEST_TRIANGLE4(725, 621, 710, 694, 714, 687, 676, 660, 560, 0), _
      New TEST_TRIANGLE4(722, 709, 622, 669, 598, 668, 568, 549, 678, 0), _
      New TEST_TRIANGLE4(621, 622, 709, 596, 668, 598, 660, 678, 549, 0), _
      New TEST_TRIANGLE4(560, 722, 623, 726, 669, 729, 606, 568, 689, 0), _
      New TEST_TRIANGLE4(622, 623, 722, 668, 729, 669, 678, 689, 568, 0), _
      New TEST_TRIANGLE4(723, 560, 624, 752, 726, 755, 622, 606, 707, 0), _
      New TEST_TRIANGLE4(623, 624, 560, 729, 755, 726, 689, 707, 606, 0), _
      New TEST_TRIANGLE4(554, 723, 614, 759, 752, 757, 509, 622, 500, 0), _
      New TEST_TRIANGLE4(624, 614, 723, 755, 757, 752, 707, 500, 622, 0), _
      New TEST_TRIANGLE4(618, 617, 627, 340, 271, 339, 706, 708, 737, 0), _
      New TEST_TRIANGLE4(626, 627, 617, 269, 339, 271, 741, 737, 708, 0), _
      New TEST_TRIANGLE4(619, 618, 628, 456, 340, 455, 688, 706, 712, 0), _
      New TEST_TRIANGLE4(627, 628, 618, 339, 455, 340, 737, 712, 706, 0), _
      New TEST_TRIANGLE4(620, 619, 629, 540, 456, 539, 705, 688, 726, 0), _
      New TEST_TRIANGLE4(628, 629, 619, 455, 539, 456, 712, 726, 688, 0), _
      New TEST_TRIANGLE4(725, 620, 724, 567, 540, 565, 676, 705, 684, 0), _
      New TEST_TRIANGLE4(629, 724, 620, 539, 565, 540, 726, 684, 705, 0), _
      New TEST_TRIANGLE4(621, 725, 727, 714, 694, 716, 660, 676, 663, 0), _
      New TEST_TRIANGLE4(724, 727, 725, 692, 716, 694, 684, 663, 676, 0), _
      New TEST_TRIANGLE4(622, 621, 630, 668, 596, 664, 678, 660, 693, 0), _
      New TEST_TRIANGLE4(727, 630, 621, 594, 664, 596, 663, 693, 660, 0), _
      New TEST_TRIANGLE4(623, 622, 631, 729, 668, 732, 689, 678, 738, 0), _
      New TEST_TRIANGLE4(630, 631, 622, 664, 732, 668, 693, 738, 678, 0), _
      New TEST_TRIANGLE4(624, 623, 632, 755, 729, 756, 707, 689, 736, 0), _
      New TEST_TRIANGLE4(631, 632, 623, 732, 756, 729, 738, 736, 689, 0), _
      New TEST_TRIANGLE4(614, 624, 729, 757, 755, 765, 500, 707, 489, 0), _
      New TEST_TRIANGLE4(632, 729, 624, 756, 765, 755, 736, 489, 707, 0), _
      New TEST_TRIANGLE4(627, 626, 637, 339, 269, 338, 737, 741, 704, 0), _
      New TEST_TRIANGLE4(636, 637, 626, 268, 338, 269, 709, 704, 741, 0), _
      New TEST_TRIANGLE4(628, 627, 638, 455, 339, 457, 712, 737, 691, 0), _
      New TEST_TRIANGLE4(637, 638, 627, 338, 457, 339, 704, 691, 737, 0), _
      New TEST_TRIANGLE4(629, 628, 639, 539, 455, 538, 726, 712, 702, 0), _
      New TEST_TRIANGLE4(638, 639, 628, 457, 538, 455, 691, 702, 712, 0), _
      New TEST_TRIANGLE4(724, 629, 726, 565, 539, 566, 684, 726, 675, 0), _
      New TEST_TRIANGLE4(639, 726, 629, 538, 566, 539, 702, 675, 726, 0), _
      New TEST_TRIANGLE4(727, 724, 728, 716, 692, 715, 663, 684, 661, 0), _
      New TEST_TRIANGLE4(726, 728, 724, 693, 715, 692, 675, 661, 684, 0), _
      New TEST_TRIANGLE4(630, 727, 640, 664, 594, 667, 693, 663, 677, 0), _
      New TEST_TRIANGLE4(728, 640, 727, 595, 667, 594, 661, 677, 663, 0), _
      New TEST_TRIANGLE4(631, 630, 641, 732, 664, 728, 738, 693, 690, 0), _
      New TEST_TRIANGLE4(640, 641, 630, 667, 728, 664, 677, 690, 693, 0), _
      New TEST_TRIANGLE4(632, 631, 642, 756, 732, 754, 736, 738, 710, 0), _
      New TEST_TRIANGLE4(641, 642, 631, 728, 754, 732, 690, 710, 738, 0), _
      New TEST_TRIANGLE4(729, 632, 633, 765, 756, 758, 489, 736, 499, 0), _
      New TEST_TRIANGLE4(642, 633, 632, 754, 758, 756, 710, 499, 736, 0), _
      New TEST_TRIANGLE4(637, 636, 606, 338, 268, 337, 704, 709, 605, 0), _
      New TEST_TRIANGLE4(610, 606, 636, 267, 337, 268, 603, 605, 709, 0), _
      New TEST_TRIANGLE4(638, 637, 730, 457, 338, 454, 691, 704, 595, 0), _
      New TEST_TRIANGLE4(606, 730, 637, 337, 454, 338, 605, 595, 704, 0), _
      New TEST_TRIANGLE4(639, 638, 731, 538, 457, 537, 702, 691, 601, 0), _
      New TEST_TRIANGLE4(730, 731, 638, 454, 537, 457, 595, 601, 691, 0), _
      New TEST_TRIANGLE4(726, 639, 713, 566, 538, 568, 675, 702, 567, 0), _
      New TEST_TRIANGLE4(731, 713, 639, 537, 568, 538, 601, 567, 702, 0), _
      New TEST_TRIANGLE4(728, 726, 732, 715, 693, 708, 661, 675, 551, 0), _
      New TEST_TRIANGLE4(713, 732, 726, 686, 708, 693, 567, 551, 675, 0), _
      New TEST_TRIANGLE4(640, 728, 733, 667, 595, 670, 677, 661, 562, 0), _
      New TEST_TRIANGLE4(732, 733, 728, 597, 670, 595, 551, 562, 661, 0), _
      New TEST_TRIANGLE4(641, 640, 734, 728, 667, 727, 690, 677, 597, 0), _
      New TEST_TRIANGLE4(733, 734, 640, 670, 727, 667, 562, 597, 677, 0), _
      New TEST_TRIANGLE4(642, 641, 735, 754, 728, 753, 710, 690, 618, 0), _
      New TEST_TRIANGLE4(734, 735, 641, 727, 753, 728, 597, 618, 690, 0), _
      New TEST_TRIANGLE4(633, 642, 716, 758, 754, 760, 499, 710, 508, 0), _
      New TEST_TRIANGLE4(735, 716, 642, 753, 760, 754, 618, 508, 710, 0), _
      New TEST_TRIANGLE4(643, 644, 740, 736, 718, 743, 117, 267, 230, 0), _
      New TEST_TRIANGLE4(741, 740, 644, 721, 743, 718, 297, 230, 267, 0), _
      New TEST_TRIANGLE4(644, 645, 741, 718, 666, 721, 267, 411, 297, 0), _
      New TEST_TRIANGLE4(742, 741, 645, 663, 721, 666, 408, 297, 411, 0), _
      New TEST_TRIANGLE4(645, 559, 742, 666, 623, 663, 411, 354, 408, 0), _
      New TEST_TRIANGLE4(556, 742, 559, 621, 663, 623, 365, 408, 354, 0), _
      New TEST_TRIANGLE4(754, 646, 643, 730, 713, 736, 132, 261, 117, 0), _
      New TEST_TRIANGLE4(644, 643, 646, 718, 736, 713, 267, 117, 261, 0), _
      New TEST_TRIANGLE4(646, 647, 644, 713, 655, 718, 261, 433, 267, 0), _
      New TEST_TRIANGLE4(645, 644, 647, 666, 718, 655, 411, 267, 433, 0), _
      New TEST_TRIANGLE4(647, 563, 645, 655, 625, 666, 433, 353, 411, 0), _
      New TEST_TRIANGLE4(559, 645, 563, 623, 666, 625, 354, 411, 353, 0), _
      New TEST_TRIANGLE4(753, 648, 754, 725, 703, 730, 172, 272, 132, 0), _
      New TEST_TRIANGLE4(646, 754, 648, 713, 730, 703, 261, 132, 272, 0), _
      New TEST_TRIANGLE4(648, 649, 646, 703, 651, 713, 272, 438, 261, 0), _
      New TEST_TRIANGLE4(647, 646, 649, 655, 713, 651, 433, 261, 438, 0), _
      New TEST_TRIANGLE4(649, 566, 647, 651, 626, 655, 438, 359, 433, 0), _
      New TEST_TRIANGLE4(563, 647, 566, 625, 655, 626, 353, 433, 359, 0), _
      New TEST_TRIANGLE4(752, 650, 753, 711, 685, 725, 189, 291, 172, 0), _
      New TEST_TRIANGLE4(648, 753, 650, 703, 725, 685, 272, 172, 291, 0), _
      New TEST_TRIANGLE4(650, 651, 648, 685, 644, 703, 291, 436, 272, 0), _
      New TEST_TRIANGLE4(649, 648, 651, 651, 703, 644, 438, 272, 436, 0), _
      New TEST_TRIANGLE4(651, 568, 649, 644, 627, 651, 436, 361, 438, 0), _
      New TEST_TRIANGLE4(566, 649, 568, 626, 651, 627, 359, 438, 361, 0), _
      New TEST_TRIANGLE4(736, 652, 752, 554, 585, 527, 181, 286, 189, 0), _
      New TEST_TRIANGLE4(650, 752, 652, 559, 527, 585, 291, 189, 286, 0), _
      New TEST_TRIANGLE4(652, 653, 650, 659, 636, 685, 286, 421, 291, 0), _
      New TEST_TRIANGLE4(651, 650, 653, 644, 685, 636, 436, 291, 421, 0), _
      New TEST_TRIANGLE4(653, 570, 651, 636, 628, 644, 421, 360, 436, 0), _
      New TEST_TRIANGLE4(568, 651, 570, 627, 644, 628, 361, 436, 360, 0), _
      New TEST_TRIANGLE4(751, 654, 736, 691, 653, 689, 140, 280, 181, 0), _
      New TEST_TRIANGLE4(652, 736, 654, 659, 689, 653, 286, 181, 280, 0), _
      New TEST_TRIANGLE4(654, 655, 652, 653, 634, 659, 280, 398, 286, 0), _
      New TEST_TRIANGLE4(653, 652, 655, 636, 659, 634, 421, 286, 398, 0), _
      New TEST_TRIANGLE4(655, 574, 653, 634, 629, 636, 398, 355, 421, 0), _
      New TEST_TRIANGLE4(570, 653, 574, 628, 636, 629, 360, 421, 355, 0), _
      New TEST_TRIANGLE4(749, 656, 751, 701, 672, 691, 144, 265, 140, 0), _
      New TEST_TRIANGLE4(654, 751, 656, 653, 691, 672, 280, 140, 265, 0), _
      New TEST_TRIANGLE4(656, 657, 654, 672, 638, 653, 265, 357, 280, 0), _
      New TEST_TRIANGLE4(655, 654, 657, 634, 653, 638, 398, 280, 357, 0), _
      New TEST_TRIANGLE4(657, 577, 655, 638, 630, 634, 357, 358, 398, 0), _
      New TEST_TRIANGLE4(574, 655, 577, 629, 634, 630, 355, 398, 358, 0), _
      New TEST_TRIANGLE4(750, 658, 749, 706, 680, 701, 139, 274, 144, 0), _
      New TEST_TRIANGLE4(656, 749, 658, 672, 701, 680, 265, 144, 274, 0), _
      New TEST_TRIANGLE4(658, 659, 656, 680, 641, 672, 274, 352, 265, 0), _
      New TEST_TRIANGLE4(657, 656, 659, 638, 672, 641, 357, 265, 352, 0), _
      New TEST_TRIANGLE4(659, 580, 657, 641, 631, 638, 352, 350, 357, 0), _
      New TEST_TRIANGLE4(577, 657, 580, 630, 638, 631, 358, 357, 350, 0), _
      New TEST_TRIANGLE4(748, 660, 750, 707, 681, 706, 135, 276, 139, 0), _
      New TEST_TRIANGLE4(658, 750, 660, 680, 706, 681, 274, 139, 276, 0), _
      New TEST_TRIANGLE4(660, 661, 658, 681, 642, 680, 276, 349, 274, 0), _
      New TEST_TRIANGLE4(659, 658, 661, 641, 680, 642, 352, 274, 349, 0), _
      New TEST_TRIANGLE4(661, 584, 659, 642, 632, 641, 349, 349, 352, 0), _
      New TEST_TRIANGLE4(580, 659, 584, 631, 641, 632, 350, 352, 349, 0), _
      New TEST_TRIANGLE4(745, 662, 746, 508, 512, 449, 298, 266, 232, 0), _
      New TEST_TRIANGLE4(764, 746, 662, 459, 449, 512, 121, 232, 266, 0), _
      New TEST_TRIANGLE4(747, 663, 745, 579, 576, 508, 407, 412, 298, 0), _
      New TEST_TRIANGLE4(662, 745, 663, 512, 508, 576, 266, 298, 412, 0), _
      New TEST_TRIANGLE4(585, 588, 747, 620, 622, 579, 373, 388, 407, 0), _
      New TEST_TRIANGLE4(663, 747, 588, 576, 579, 622, 412, 407, 388, 0), _
      New TEST_TRIANGLE4(662, 664, 764, 512, 517, 459, 266, 262, 121, 0), _
      New TEST_TRIANGLE4(763, 764, 664, 469, 459, 517, 141, 121, 262, 0), _
      New TEST_TRIANGLE4(663, 665, 662, 576, 588, 512, 412, 432, 266, 0), _
      New TEST_TRIANGLE4(664, 662, 665, 517, 512, 588, 262, 266, 432, 0), _
      New TEST_TRIANGLE4(588, 591, 663, 622, 619, 576, 388, 389, 412, 0), _
      New TEST_TRIANGLE4(665, 663, 591, 588, 576, 619, 432, 412, 389, 0), _
      New TEST_TRIANGLE4(664, 666, 763, 517, 533, 469, 262, 271, 141, 0), _
      New TEST_TRIANGLE4(762, 763, 666, 498, 469, 533, 178, 141, 271, 0), _
      New TEST_TRIANGLE4(665, 667, 664, 588, 592, 517, 432, 439, 262, 0), _
      New TEST_TRIANGLE4(666, 664, 667, 533, 517, 592, 271, 262, 439, 0), _
      New TEST_TRIANGLE4(591, 594, 665, 619, 615, 588, 389, 383, 432, 0), _
      New TEST_TRIANGLE4(667, 665, 594, 592, 588, 615, 439, 432, 383, 0), _
      New TEST_TRIANGLE4(666, 737, 762, 533, 558, 498, 271, 292, 178, 0), _
      New TEST_TRIANGLE4(738, 762, 737, 526, 498, 558, 188, 178, 292, 0), _
      New TEST_TRIANGLE4(667, 668, 666, 592, 599, 533, 439, 437, 271, 0), _
      New TEST_TRIANGLE4(737, 666, 668, 558, 533, 599, 292, 271, 437, 0), _
      New TEST_TRIANGLE4(594, 596, 667, 615, 616, 592, 383, 380, 439, 0), _
      New TEST_TRIANGLE4(668, 667, 596, 599, 592, 616, 437, 439, 380, 0), _
      New TEST_TRIANGLE4(737, 739, 738, 557, 584, 525, 292, 287, 188, 0), _
      New TEST_TRIANGLE4(669, 738, 739, 553, 525, 584, 173, 188, 287, 0), _
      New TEST_TRIANGLE4(668, 670, 737, 599, 607, 558, 437, 422, 292, 0), _
      New TEST_TRIANGLE4(739, 737, 670, 586, 558, 607, 287, 292, 422, 0), _
      New TEST_TRIANGLE4(596, 599, 668, 616, 617, 599, 380, 381, 437, 0), _
      New TEST_TRIANGLE4(670, 668, 599, 607, 599, 617, 422, 437, 381, 0), _
      New TEST_TRIANGLE4(739, 672, 669, 586, 590, 555, 287, 281, 173, 0), _
      New TEST_TRIANGLE4(671, 669, 672, 551, 555, 590, 137, 173, 281, 0), _
      New TEST_TRIANGLE4(670, 673, 739, 607, 609, 586, 422, 399, 287, 0), _
      New TEST_TRIANGLE4(672, 739, 673, 590, 586, 609, 281, 287, 399, 0), _
      New TEST_TRIANGLE4(599, 602, 670, 617, 614, 607, 381, 387, 422, 0), _
      New TEST_TRIANGLE4(673, 670, 602, 609, 607, 614, 399, 422, 387, 0), _
      New TEST_TRIANGLE4(672, 675, 671, 590, 570, 551, 281, 264, 137, 0), _
      New TEST_TRIANGLE4(674, 671, 675, 535, 551, 570, 143, 137, 264, 0), _
      New TEST_TRIANGLE4(673, 676, 672, 609, 605, 590, 399, 386, 281, 0), _
      New TEST_TRIANGLE4(675, 672, 676, 570, 590, 605, 264, 281, 386, 0), _
      New TEST_TRIANGLE4(602, 605, 673, 614, 611, 609, 387, 384, 399, 0), _
      New TEST_TRIANGLE4(676, 673, 605, 605, 609, 611, 386, 399, 384, 0), _
      New TEST_TRIANGLE4(675, 678, 674, 570, 561, 535, 264, 273, 143, 0), _
      New TEST_TRIANGLE4(677, 674, 678, 530, 535, 561, 133, 143, 273, 0), _
      New TEST_TRIANGLE4(676, 679, 675, 605, 601, 570, 386, 391, 264, 0), _
      New TEST_TRIANGLE4(678, 675, 679, 561, 570, 601, 273, 264, 391, 0), _
      New TEST_TRIANGLE4(605, 609, 676, 611, 612, 605, 384, 390, 386, 0), _
      New TEST_TRIANGLE4(679, 676, 609, 601, 605, 612, 391, 386, 390, 0), _
      New TEST_TRIANGLE4(678, 680, 677, 561, 562, 530, 273, 275, 133, 0), _
      New TEST_TRIANGLE4(760, 677, 680, 529, 530, 562, 136, 133, 275, 0), _
      New TEST_TRIANGLE4(679, 681, 678, 601, 602, 561, 391, 393, 273, 0), _
      New TEST_TRIANGLE4(680, 678, 681, 562, 561, 602, 275, 273, 393, 0), _
      New TEST_TRIANGLE4(609, 613, 679, 612, 613, 601, 390, 393, 391, 0), _
      New TEST_TRIANGLE4(681, 679, 613, 602, 601, 613, 393, 391, 393, 0), _
      New TEST_TRIANGLE4(741, 743, 740, 511, 506, 452, 297, 563, 230, 0), _
      New TEST_TRIANGLE4(682, 740, 743, 767, 769, 735, 241, 230, 563, 0), _
      New TEST_TRIANGLE4(742, 683, 741, 581, 582, 511, 408, 337, 297, 0), _
      New TEST_TRIANGLE4(743, 741, 683, 506, 511, 582, 563, 297, 337, 0), _
      New TEST_TRIANGLE4(556, 616, 742, 621, 618, 581, 365, 379, 408, 0), _
      New TEST_TRIANGLE4(683, 742, 616, 582, 581, 618, 337, 408, 379, 0), _
      New TEST_TRIANGLE4(743, 692, 682, 735, 734, 767, 563, 682, 241, 0), _
      New TEST_TRIANGLE4(756, 682, 692, 770, 767, 734, 252, 241, 682, 0), _
      New TEST_TRIANGLE4(692, 744, 756, 734, 733, 770, 682, 561, 252, 0), _
      New TEST_TRIANGLE4(765, 756, 744, 762, 770, 733, 242, 252, 561, 0), _
      New TEST_TRIANGLE4(744, 745, 746, 722, 719, 744, 561, 298, 232, 0), _
      New TEST_TRIANGLE4(746, 765, 744, 771, 762, 733, 232, 242, 561, 0), _
      New TEST_TRIANGLE4(700, 747, 744, 660, 661, 722, 336, 407, 561, 0), _
      New TEST_TRIANGLE4(745, 744, 747, 719, 722, 661, 298, 561, 407, 0), _
      New TEST_TRIANGLE4(635, 585, 700, 624, 620, 660, 362, 373, 336, 0), _
      New TEST_TRIANGLE4(747, 700, 585, 661, 660, 620, 407, 336, 373, 0), _
      New TEST_TRIANGLE4(750, 685, 748, 751, 750, 768, 139, 35, 135, 0), _
      New TEST_TRIANGLE4(684, 748, 685, 766, 768, 750, 32, 135, 35, 0), _
      New TEST_TRIANGLE4(749, 686, 750, 742, 741, 751, 144, 53, 139, 0), _
      New TEST_TRIANGLE4(685, 750, 686, 750, 751, 741, 35, 139, 53, 0), _
      New TEST_TRIANGLE4(751, 687, 749, 699, 698, 742, 140, 36, 144, 0), _
      New TEST_TRIANGLE4(686, 749, 687, 741, 742, 698, 53, 144, 36, 0), _
      New TEST_TRIANGLE4(736, 688, 751, 674, 676, 699, 181, 65, 140, 0), _
      New TEST_TRIANGLE4(687, 751, 688, 698, 699, 676, 36, 140, 65, 0), _
      New TEST_TRIANGLE4(752, 755, 736, 527, 516, 554, 189, 82, 181, 0), _
      New TEST_TRIANGLE4(688, 736, 755, 549, 554, 516, 65, 181, 82, 0), _
      New TEST_TRIANGLE4(753, 689, 752, 573, 575, 646, 172, 63, 189, 0), _
      New TEST_TRIANGLE4(755, 752, 689, 648, 646, 575, 82, 189, 63, 0), _
      New TEST_TRIANGLE4(754, 690, 753, 475, 471, 573, 132, 52, 172, 0), _
      New TEST_TRIANGLE4(689, 753, 690, 575, 573, 471, 63, 172, 52, 0), _
      New TEST_TRIANGLE4(643, 691, 754, 328, 323, 475, 117, 34, 132, 0), _
      New TEST_TRIANGLE4(690, 754, 691, 471, 475, 323, 52, 132, 34, 0), _
      New TEST_TRIANGLE4(740, 682, 643, 276, 275, 328, 230, 241, 117, 0), _
      New TEST_TRIANGLE4(691, 643, 682, 323, 328, 275, 34, 117, 241, 0), _
      New TEST_TRIANGLE4(685, 694, 684, 750, 749, 766, 35, 4, 32, 0), _
      New TEST_TRIANGLE4(693, 684, 694, 764, 766, 749, 0, 32, 4, 0), _
      New TEST_TRIANGLE4(686, 695, 685, 741, 740, 750, 53, 29, 35, 0), _
      New TEST_TRIANGLE4(694, 685, 695, 749, 750, 740, 4, 35, 29, 0), _
      New TEST_TRIANGLE4(687, 696, 686, 698, 697, 741, 36, 14, 53, 0), _
      New TEST_TRIANGLE4(695, 686, 696, 740, 741, 697, 29, 53, 14, 0), _
      New TEST_TRIANGLE4(688, 758, 687, 676, 677, 698, 65, 57, 36, 0), _
      New TEST_TRIANGLE4(696, 687, 758, 697, 698, 677, 14, 36, 57, 0), _
      New TEST_TRIANGLE4(755, 759, 688, 516, 514, 549, 82, 77, 65, 0), _
      New TEST_TRIANGLE4(758, 688, 759, 550, 549, 514, 57, 65, 77, 0), _
      New TEST_TRIANGLE4(689, 697, 755, 575, 578, 648, 63, 48, 82, 0), _
      New TEST_TRIANGLE4(759, 755, 697, 649, 648, 578, 77, 82, 48, 0), _
      New TEST_TRIANGLE4(690, 698, 689, 471, 461, 575, 52, 3, 63, 0), _
      New TEST_TRIANGLE4(697, 689, 698, 578, 575, 461, 48, 63, 3, 0), _
      New TEST_TRIANGLE4(691, 699, 690, 323, 321, 471, 34, 5, 52, 0), _
      New TEST_TRIANGLE4(698, 690, 699, 461, 471, 321, 3, 52, 5, 0), _
      New TEST_TRIANGLE4(682, 756, 691, 275, 270, 323, 241, 252, 34, 0), _
      New TEST_TRIANGLE4(699, 691, 756, 321, 323, 270, 5, 34, 252, 0), _
      New TEST_TRIANGLE4(694, 702, 693, 749, 748, 764, 4, 37, 0, 0), _
      New TEST_TRIANGLE4(701, 693, 702, 763, 764, 748, 33, 0, 37, 0), _
      New TEST_TRIANGLE4(695, 703, 694, 740, 739, 749, 29, 50, 4, 0), _
      New TEST_TRIANGLE4(702, 694, 703, 748, 749, 739, 37, 4, 50, 0), _
      New TEST_TRIANGLE4(696, 704, 695, 697, 696, 740, 14, 38, 29, 0), _
      New TEST_TRIANGLE4(703, 695, 704, 739, 740, 696, 50, 29, 38, 0), _
      New TEST_TRIANGLE4(758, 757, 696, 677, 675, 697, 57, 66, 14, 0), _
      New TEST_TRIANGLE4(704, 696, 757, 696, 697, 675, 38, 14, 66, 0), _
      New TEST_TRIANGLE4(759, 761, 758, 514, 515, 550, 77, 81, 57, 0), _
      New TEST_TRIANGLE4(757, 758, 761, 548, 550, 515, 66, 57, 81, 0), _
      New TEST_TRIANGLE4(697, 705, 759, 578, 574, 649, 48, 64, 77, 0), _
      New TEST_TRIANGLE4(761, 759, 705, 647, 649, 574, 81, 77, 64, 0), _
      New TEST_TRIANGLE4(698, 706, 697, 461, 472, 578, 3, 51, 48, 0), _
      New TEST_TRIANGLE4(705, 697, 706, 574, 578, 472, 64, 48, 51, 0), _
      New TEST_TRIANGLE4(699, 707, 698, 321, 322, 461, 5, 31, 3, 0), _
      New TEST_TRIANGLE4(706, 698, 707, 472, 461, 322, 51, 3, 31, 0), _
      New TEST_TRIANGLE4(756, 765, 699, 270, 272, 321, 252, 242, 5, 0), _
      New TEST_TRIANGLE4(707, 699, 765, 322, 321, 272, 31, 5, 242, 0), _
      New TEST_TRIANGLE4(702, 677, 701, 748, 747, 763, 37, 133, 33, 0), _
      New TEST_TRIANGLE4(760, 701, 677, 761, 763, 747, 136, 33, 133, 0), _
      New TEST_TRIANGLE4(703, 674, 702, 739, 738, 748, 50, 143, 37, 0), _
      New TEST_TRIANGLE4(677, 702, 674, 747, 748, 738, 133, 37, 143, 0), _
      New TEST_TRIANGLE4(704, 671, 703, 696, 695, 739, 38, 137, 50, 0), _
      New TEST_TRIANGLE4(674, 703, 671, 738, 739, 695, 143, 50, 137, 0), _
      New TEST_TRIANGLE4(757, 669, 704, 675, 673, 696, 66, 173, 38, 0), _
      New TEST_TRIANGLE4(671, 704, 669, 695, 696, 673, 137, 38, 173, 0), _
      New TEST_TRIANGLE4(761, 738, 757, 515, 525, 548, 81, 188, 66, 0), _
      New TEST_TRIANGLE4(669, 757, 738, 553, 548, 525, 173, 66, 188, 0), _
      New TEST_TRIANGLE4(705, 762, 761, 574, 572, 647, 64, 178, 81, 0), _
      New TEST_TRIANGLE4(738, 761, 762, 645, 647, 572, 188, 81, 178, 0), _
      New TEST_TRIANGLE4(706, 763, 705, 472, 474, 574, 51, 141, 64, 0), _
      New TEST_TRIANGLE4(762, 705, 763, 572, 574, 474, 178, 64, 141, 0), _
      New TEST_TRIANGLE4(707, 764, 706, 322, 327, 472, 31, 121, 51, 0), _
      New TEST_TRIANGLE4(763, 706, 764, 474, 472, 327, 141, 51, 121, 0), _
      New TEST_TRIANGLE4(765, 746, 707, 272, 266, 322, 242, 232, 31, 0), _
      New TEST_TRIANGLE4(764, 707, 746, 327, 322, 266, 121, 31, 232, 0) _
    }
  End Sub

End Class

